SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE IF NOT EXISTS `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=481 ;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 636, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 2, 3, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 4, 13, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 14, 15, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 16, 17, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 18, 19, 1, 'com_config', 'com_config', '{}'),
(7, 1, 20, 91, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 92, 287, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 288, 289, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 290, 291, 1, 'com_installer', 'com_installer', '{"core.admin":{"7":1},"core.manage":{"7":1},"core.delete":[],"core.edit.state":[]}'),
(11, 1, 292, 293, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 294, 295, 1, 'com_login', 'com_login', '{}'),
(13, 1, 296, 297, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 298, 299, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 300, 301, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
(16, 1, 302, 303, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 39, 40, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 306, 495, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 496, 503, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(20, 1, 504, 505, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 506, 507, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 508, 509, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.edit.state":[]}'),
(23, 1, 510, 511, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 512, 513, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(25, 1, 514, 531, 1, 'com_weblinks', 'com_weblinks', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1,"10":0,"12":0},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(26, 1, 532, 533, 1, 'com_wrapper', 'com_wrapper', '{}'),
(34, 8, 109, 126, 2, 'com_content.category.9', 'Explore', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(35, 3, 7, 8, 2, 'com_banners.category.10', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(36, 7, 25, 26, 2, 'com_contact.category.11', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(37, 19, 499, 500, 2, 'com_newsfeeds.category.12', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(38, 25, 521, 522, 2, 'com_weblinks.category.13', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(39, 8, 127, 158, 2, 'com_content.category.14', 'Sample Data-Articles', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(40, 3, 9, 10, 2, 'com_banners.category.15', 'Sample Data-Banners', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(41, 7, 27, 88, 2, 'com_contact.category.16', 'Sample Data-Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 19, 501, 502, 2, 'com_newsfeeds.category.17', 'Smartaddons-Newsfeeds', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(43, 25, 523, 530, 2, 'com_weblinks.category.18', 'Sample Data-Weblinks', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(44, 39, 128, 153, 3, 'com_content.category.19', 'Joomla!', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 44, 129, 146, 4, 'com_content.category.20', 'Extensions', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 45, 130, 131, 5, 'com_content.category.21', 'Components', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 45, 132, 139, 5, 'com_content.category.22', 'Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(50, 45, 142, 145, 5, 'com_content.category.25', 'Plugins', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(56, 43, 524, 525, 3, 'com_weblinks.category.31', ' Smartaddons ', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(57, 43, 526, 529, 3, 'com_weblinks.category.32', 'Joomla! Specific Links', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(58, 57, 527, 528, 4, 'com_weblinks.category.33', 'Other Resources', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(59, 41, 28, 29, 3, 'com_contact.category.34', 'Park Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(60, 41, 30, 87, 3, 'com_contact.category.35', 'Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(61, 60, 31, 32, 4, 'com_contact.category.36', 'Staff', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(62, 60, 33, 86, 4, 'com_contact.category.37', 'Fruit Encyclopedia', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(63, 62, 34, 35, 5, 'com_contact.category.38', 'A', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 62, 36, 37, 5, 'com_contact.category.39', 'B', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(65, 62, 38, 39, 5, 'com_contact.category.40', 'C', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(66, 62, 40, 41, 5, 'com_contact.category.41', 'D', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(67, 62, 42, 43, 5, 'com_contact.category.42', 'E', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(68, 62, 44, 45, 5, 'com_contact.category.43', 'F', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(69, 62, 46, 47, 5, 'com_contact.category.44', 'G', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(70, 62, 48, 49, 5, 'com_contact.category.45', 'H', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(71, 62, 50, 51, 5, 'com_contact.category.46', 'I', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(72, 62, 52, 53, 5, 'com_contact.category.47', 'J', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(73, 62, 54, 55, 5, 'com_contact.category.48', 'K', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(74, 62, 56, 57, 5, 'com_contact.category.49', 'L', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(75, 62, 58, 59, 5, 'com_contact.category.50', 'M', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(76, 62, 60, 61, 5, 'com_contact.category.51', 'N', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(77, 62, 62, 63, 5, 'com_contact.category.52', 'O', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(78, 62, 64, 65, 5, 'com_contact.category.53', 'P', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(79, 62, 66, 67, 5, 'com_contact.category.54', 'Q', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(80, 62, 68, 69, 5, 'com_contact.category.55', 'R', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(81, 62, 70, 71, 5, 'com_contact.category.56', 'S', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(82, 62, 72, 73, 5, 'com_contact.category.57', 'T', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(83, 62, 74, 75, 5, 'com_contact.category.58', 'U', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(84, 62, 76, 77, 5, 'com_contact.category.59', 'V', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(85, 62, 78, 79, 5, 'com_contact.category.60', 'W', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(86, 62, 80, 81, 5, 'com_contact.category.61', 'X', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(87, 62, 82, 83, 5, 'com_contact.category.62', 'Y', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(88, 62, 84, 85, 5, 'com_contact.category.63', 'Z', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(95, 47, 133, 136, 6, 'com_content.category.66', 'Display Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 45, 140, 141, 5, 'com_content.category.71', 'Milky Way', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(101, 50, 143, 144, 6, 'com_content.article.5', 'Authentication', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(103, 95, 134, 135, 7, 'com_content.article.7', 'Banner Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(104, 44, 147, 148, 4, 'com_content.article.8', 'Beginners', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(122, 44, 149, 150, 4, 'com_content.article.24', 'Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(151, 44, 151, 152, 4, 'com_content.article.53', 'Using Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(168, 34, 110, 111, 3, 'com_content.article.67', 'What''s New in 1.5?', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(180, 245, 160, 181, 3, 'com_content.category.78', 'Content Category 1', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(181, 245, 182, 205, 3, 'com_content.category.79', 'Content Category 2', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(182, 180, 161, 162, 4, 'com_content.article.78', 'Tames pede elit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(183, 180, 163, 164, 4, 'com_content.article.79', 'Xulla semper Curabitur luctus', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(184, 180, 165, 166, 4, 'com_content.article.80', 'Detus laoreet dignissim ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(185, 180, 167, 168, 4, 'com_content.article.81', 'Lacinia Sed convallis ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(186, 180, 169, 170, 4, 'com_content.article.82', 'Mes pede elit nibh ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(187, 180, 171, 172, 4, 'com_content.article.83', 'Mauris ut mauris ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(188, 181, 199, 200, 4, 'com_content.article.84', 'Misociis nulla interdum', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(189, 180, 173, 174, 4, 'com_content.article.85', 'Aliquam lobortis cursus ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(190, 180, 175, 176, 4, 'com_content.article.86', 'Aenean vea aliquam', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(191, 180, 177, 178, 4, 'com_content.article.87', 'Ursus senectus ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(192, 181, 183, 184, 4, 'com_content.article.88', 'Ruci tenna mes', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(194, 181, 185, 186, 4, 'com_content.article.90', 'Us laoreet dignissim vel.', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(195, 180, 179, 180, 4, 'com_content.article.91', 'Faucibus eu laoreet nunc', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(196, 181, 187, 188, 4, 'com_content.article.92', 'Cinia Sed convallis urna ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(197, 181, 189, 190, 4, 'com_content.article.93', 'Tes pede elit nibh ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(198, 181, 191, 192, 4, 'com_content.article.94', 'Sociis nulla interdum et', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(199, 181, 193, 194, 4, 'com_content.article.95', 'Gimes pede elit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(200, 181, 195, 196, 4, 'com_content.article.96', 'Kril penectus aliquet pretium', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(201, 181, 197, 198, 4, 'com_content.article.97', 'Netra faucibus eu laoreet', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(202, 245, 206, 227, 3, 'com_content.category.80', 'Content Category 3', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(203, 245, 228, 249, 3, 'com_content.category.81', 'Content Category 4', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(204, 202, 207, 208, 4, 'com_content.article.98', 'Lisl Pellentesquem metus', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(205, 202, 209, 210, 4, 'com_content.article.99', 'Laoreet digen nissim', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(206, 202, 211, 212, 4, 'com_content.article.100', 'Kaucibus eu laoreet nunc', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(207, 202, 213, 214, 4, 'com_content.article.101', 'Bener senver munst onvase', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(209, 202, 215, 216, 4, 'com_content.article.103', 'Ciis nulla interdum senectus', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(210, 202, 217, 218, 4, 'com_content.article.104', 'Lames pede elit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(211, 202, 219, 220, 4, 'com_content.article.105', 'Jes pede elit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(212, 202, 221, 222, 4, 'com_content.article.106', 'Kiop senectus aliquet ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(213, 202, 223, 224, 4, 'com_content.article.107', 'Ma semper ac nec sit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(214, 202, 225, 226, 4, 'com_content.article.108', 'Karetra faucibus eu lao', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(215, 203, 229, 230, 4, 'com_content.article.109', 'Kara senver munst onvase', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(216, 203, 231, 232, 4, 'com_content.article.110', 'Kulla interdum ersus senectus', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(218, 203, 233, 234, 4, 'com_content.article.111', 'Pes pede elit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(219, 203, 235, 236, 4, 'com_content.article.112', 'Tra faucibus eu laoreet ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(220, 203, 237, 238, 4, 'com_content.article.113', 'Gaucibus eu laoreet', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(221, 203, 239, 240, 4, 'com_content.article.114', 'Cibus eu laoreet nunc', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(222, 203, 241, 242, 4, 'com_content.article.115', 'Gucibus Teu laoreet nunc', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(223, 203, 243, 244, 4, 'com_content.article.116', 'Seni senectus aliquet ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(224, 203, 245, 246, 4, 'com_content.article.117', 'Tanra mes pede elit', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(225, 203, 247, 248, 4, 'com_content.article.118', 'Nal pede elit nibh ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(235, 34, 112, 113, 3, 'com_content.article.128', 'Features', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(236, 34, 114, 115, 3, 'com_content.article.129', 'Module Variations', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(237, 34, 116, 117, 3, 'com_content.article.130', 'Positions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(238, 34, 118, 119, 3, 'com_content.article.131', 'Extensions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(240, 34, 124, 125, 3, 'com_content.article.133', 'Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(241, 3, 11, 12, 2, 'com_banners.category.83', 'JTC', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(245, 8, 159, 250, 2, 'com_content.category.84', 'Yt Sample Data', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(249, 7, 89, 90, 2, 'com_contact.category.85', 'Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(265, 1, 596, 597, 1, 'com_finder', 'com_finder', '{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(276, 298, 266, 267, 3, 'com_content.article.155', 'Page break example ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(298, 8, 251, 274, 2, 'com_content.category.91', 'Joomla page', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(299, 298, 252, 253, 3, 'com_content.article.176', 'FAQ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(300, 298, 254, 255, 3, 'com_content.article.177', 'Join now', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(301, 298, 256, 257, 3, 'com_content.article.178', 'About us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(302, 34, 122, 123, 3, 'com_content.article.179', 'Shortcodes', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(303, 298, 258, 259, 3, 'com_content.article.180', 'Testimonials', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(304, 298, 260, 261, 3, 'com_content.article.181', 'Services', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(305, 298, 262, 263, 3, 'com_content.article.182', 'Columns', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(306, 298, 264, 265, 3, 'com_content.article.183', 'What''s new?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(307, 298, 268, 269, 3, 'com_content.article.184', 'Photo Gallery ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(308, 298, 270, 271, 3, 'com_content.article.185', 'Portfolio', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(310, 298, 272, 273, 3, 'com_content.article.187', 'Bonus pages', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(317, 39, 156, 157, 3, 'com_content.article.193', 'Coming Soon', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(318, 1, 598, 599, 1, '#__ucm_content.1', '#__ucm_content.1', '[]'),
(320, 1, 600, 601, 1, '#__ucm_content.3', '#__ucm_content.3', '[]'),
(321, 1, 602, 603, 1, '#__ucm_content.4', '#__ucm_content.4', '[]'),
(322, 1, 604, 605, 1, '#__ucm_content.5', '#__ucm_content.5', '[]'),
(324, 1, 606, 607, 1, '#__ucm_content.7', '#__ucm_content.7', '[]'),
(325, 1, 608, 609, 1, '#__ucm_content.8', '#__ucm_content.8', '[]'),
(326, 1, 610, 611, 1, '#__ucm_content.9', '#__ucm_content.9', '[]'),
(327, 1, 612, 613, 1, '#__ucm_content.10', '#__ucm_content.10', '[]'),
(328, 1, 614, 615, 1, '#__ucm_content.11', '#__ucm_content.11', '[]'),
(330, 1, 616, 617, 1, '#__ucm_content.13', '#__ucm_content.13', '[]'),
(331, 1, 618, 619, 1, 'com_tags', 'com_tags', '{"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(333, 18, 307, 308, 2, 'com_modules.module.71', 'Shortcodes', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(337, 34, 120, 121, 3, 'com_content.article.198', 'Powerfull Features', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(338, 1, 620, 621, 1, 'com_jw_disqus', 'jw_disqus', '{}'),
(340, 18, 309, 310, 2, 'com_modules.module.210', 'Free Joomla! 3.0 Template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(341, 18, 311, 312, 2, 'com_modules.module.234', 'YT Framework + Bootstrap', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(342, 18, 313, 314, 2, 'com_modules.module.235', 'Google map', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(343, 18, 315, 316, 2, 'com_modules.module.250', 'Mega1- List Shortcode', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(344, 18, 317, 318, 2, 'com_modules.module.224', 'Mega1- Photo Shortcode', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(345, 18, 319, 320, 2, 'com_modules.module.251', 'Mega1- Featured Shortcode', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(348, 18, 321, 322, 2, 'com_modules.module.246', 'Joomla Page', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(350, 18, 323, 324, 2, 'com_modules.module.25', '"_menu" style ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(351, 18, 325, 326, 2, 'com_modules.module.90', '"icon-phone" Style', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(352, 18, 327, 328, 2, 'com_modules.module.249', 'Popular Tags', ''),
(353, 18, 329, 330, 2, 'com_modules.module.202', '"Title1" Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(355, 18, 331, 332, 2, 'com_modules.module.17', 'Breadcrumbs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(358, 18, 333, 334, 2, 'com_modules.module.207', '"Title3" style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(362, 18, 335, 336, 2, 'com_modules.module.258', '"Title2" Style ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(364, 18, 337, 338, 2, 'com_modules.module.232', 'Social Networking', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(365, 18, 339, 340, 2, 'com_modules.module.236', '"Default" Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(366, 18, 341, 342, 2, 'com_modules.module.225', 'LESS CSS', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(371, 18, 343, 344, 2, 'com_modules.module.260', 'SCLogin Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(373, 18, 345, 346, 2, 'com_modules.module.261', 'Language Switcher', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(374, 18, 347, 348, 2, 'com_modules.module.262', 'Breadcrumb', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(375, 18, 349, 350, 2, 'com_modules.module.263', 'Default Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(377, 18, 351, 352, 2, 'com_modules.module.264', '“Box 1” Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(380, 18, 353, 354, 2, 'com_modules.module.265', '“Box 3” Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(381, 18, 355, 356, 2, 'com_modules.module.266', '“Box 2” Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(382, 18, 357, 358, 2, 'com_modules.module.267', '"icon-bell"', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(383, 18, 359, 360, 2, 'com_modules.module.268', '"icon-file-alt"', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(384, 18, 361, 362, 2, 'com_modules.module.269', '"icon-comment-alt"', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(385, 18, 363, 364, 2, 'com_modules.module.270', '"icon-bookmark-empty"', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(386, 18, 365, 366, 2, 'com_modules.module.143', 'Follow Us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(387, 18, 367, 368, 2, 'com_modules.module.271', 'Login-Form', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(389, 18, 369, 370, 2, 'com_modules.module.273', 'Languages', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(390, 18, 371, 372, 2, 'com_modules.module.274', 'Suffix “Badge new”', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(391, 18, 373, 374, 2, 'com_modules.module.275', 'Suffix “baged hot”', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(392, 18, 375, 376, 2, 'com_modules.module.276', 'Suffix “Badge best”', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(393, 18, 377, 378, 2, 'com_modules.module.277', 'Suffix “Baged cool”', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(397, 18, 379, 380, 2, 'com_modules.module.281', 'Menu Bottom', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(398, 18, 381, 382, 2, 'com_modules.module.282', 'Support customer', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(399, 18, 383, 384, 2, 'com_modules.module.283', 'Search top', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(401, 18, 385, 386, 2, 'com_modules.module.284', 'Newslleter', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(402, 18, 387, 388, 2, 'com_modules.module.285', 'Are You Ready To Enjoy', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(403, 1, 622, 623, 1, 'com_k2', 'com_k2', '{"core.admin":[],"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(405, 18, 389, 390, 2, 'com_modules.module.287', 'Top Ratings', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(409, 18, 391, 392, 2, 'com_modules.module.291', 'K2 Quick Icons (admin)', ''),
(410, 18, 393, 394, 2, 'com_modules.module.292', 'K2 Stats (admin)', ''),
(411, 18, 395, 396, 2, 'com_modules.module.293', 'Sj News Scroller', ''),
(412, 18, 397, 398, 2, 'com_modules.module.294', 'New Review Video', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(413, 18, 399, 400, 2, 'com_modules.module.295', 'Our Blog', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(415, 18, 401, 402, 2, 'com_modules.module.297', 'Popular tags', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(416, 18, 403, 404, 2, 'com_modules.module.298', 'Custom module', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(417, 18, 405, 406, 2, 'com_modules.module.299', 'Who''s online', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(419, 18, 407, 408, 2, 'com_modules.module.301', 'Sj Module Tabs', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(420, 18, 409, 410, 2, 'com_modules.module.302', 'Top Comments', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(422, 18, 411, 412, 2, 'com_modules.module.304', 'Meet Our Team', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(423, 18, 413, 414, 2, 'com_modules.module.305', 'مدونتنا', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(424, 18, 415, 416, 2, 'com_modules.module.306', 'Notre Blog', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(425, 18, 417, 418, 2, 'com_modules.module.307', 'الفئات', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(427, 18, 419, 420, 2, 'com_modules.module.309', 'وحدة مخصصة', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(428, 18, 421, 422, 2, 'com_modules.module.310', 'Module personnalisé', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(429, 18, 423, 424, 2, 'com_modules.module.311', 'Qui est en ligne', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(430, 18, 425, 426, 2, 'com_modules.module.312', 'Mots-clés populaires', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(431, 18, 427, 428, 2, 'com_modules.module.313', 'به شعبية', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(432, 18, 429, 430, 2, 'com_modules.module.314', 'من هو على الانترنت', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(433, 18, 431, 432, 2, 'com_modules.module.315', 'استعراض فيديو جديدة', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(434, 18, 433, 434, 2, 'com_modules.module.316', 'Nouvelle Vidéo', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(435, 18, 435, 436, 2, 'com_modules.module.317', 'Slideshow', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(436, 18, 437, 438, 2, 'com_modules.module.318', 'Prêt jouir', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(437, 18, 439, 440, 2, 'com_modules.module.319', 'استمتع جاهزة', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(438, 18, 441, 442, 2, 'com_modules.module.320', 'Slideshow', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(439, 8, 275, 284, 2, 'com_content.category.92', 'Slideshow', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(440, 439, 276, 277, 3, 'com_content.article.199', 'Lorem ipsum dolor sit amet', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(441, 439, 278, 279, 3, 'com_content.article.200', 'Fusce in bibendum dolor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(442, 18, 443, 444, 2, 'com_modules.module.321', 'تلبية فريقنا', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(444, 18, 445, 446, 2, 'com_modules.module.323', 'Rencontrez notre équipe', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(445, 1, 624, 625, 1, '#__ucm_content.14', '#__ucm_content.14', '[]'),
(446, 1, 626, 627, 1, '#__ucm_content.15', '#__ucm_content.15', '[]'),
(447, 181, 201, 202, 4, 'com_content.article.201', 'Paze duma kire', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(448, 18, 447, 448, 2, 'com_modules.module.115', '"icon-user" Style ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(450, 18, 449, 450, 2, 'com_modules.module.325', 'Archive', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(451, 18, 451, 452, 2, 'com_modules.module.326', 'Blog Categories', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(452, 18, 453, 454, 2, 'com_modules.module.327', 'Login', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(453, 18, 455, 456, 2, 'com_modules.module.328', 'Latest Blogs', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(454, 18, 457, 458, 2, 'com_modules.module.329', 'Calendar', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(455, 18, 459, 460, 2, 'com_modules.module.330', 'EasyBlog Select List', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(456, 18, 461, 462, 2, 'com_modules.module.331', 'EasyBlog Most Active Bloggers', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(457, 18, 463, 464, 2, 'com_modules.module.332', 'EasyBlog Tag Cloud', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(458, 18, 465, 466, 2, 'com_modules.module.333', 'Contact Us', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(459, 18, 467, 468, 2, 'com_modules.module.334', 'أرشيف', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(460, 18, 469, 470, 2, 'com_modules.module.335', 'Archives', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(461, 18, 471, 472, 2, 'com_modules.module.336', 'Sélectionnez un Compte', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(462, 18, 473, 474, 2, 'com_modules.module.337', 'حدد حساب', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(463, 18, 475, 476, 2, 'com_modules.module.338', 'بلوق التصنيفات', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(464, 18, 477, 478, 2, 'com_modules.module.339', 'Catégories de Blog', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(465, 18, 479, 480, 2, 'com_modules.module.340', 'Derniers Blogs', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(466, 18, 481, 482, 2, 'com_modules.module.341', 'أحدث المدونات', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(467, 439, 280, 281, 3, 'com_content.article.202', 'Lorem ipsum dolor sit amet', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(468, 439, 282, 283, 3, 'com_content.article.203', 'Proin ornare orci quam', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(469, 18, 483, 484, 2, 'com_modules.module.342', 'Social', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(470, 18, 485, 486, 2, 'com_modules.module.343', 'Categories', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(471, 18, 487, 488, 2, 'com_modules.module.344', 'الفئات', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(472, 18, 489, 490, 2, 'com_modules.module.345', 'Catégories', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(473, 18, 491, 492, 2, 'com_modules.module.346', 'Who''s online?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(474, 8, 285, 286, 2, 'com_content.category.93', 'Shortcodes', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(475, 181, 203, 204, 4, 'com_content.article.204', 'Cinia Sed convallis urna 1111 (2)', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(476, 18, 493, 494, 2, 'com_modules.module.347', 'Partner', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(477, 1, 628, 629, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{}'),
(478, 1, 630, 631, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(479, 1, 632, 633, 1, 'com_ajax', 'com_ajax', '{}'),
(480, 1, 634, 635, 1, 'com_postinstall', 'com_postinstall', '{}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE IF NOT EXISTS `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE IF NOT EXISTS `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `version`) VALUES
(2, 1, 0, 'Shop 1', 'shop-1', 0, 212, 1, 'http://shop.joomla.org/amazoncom-bookstores.html', -2, 15, 'Get books about Joomla! at the Joomla! book shop.', '', 0, 0, '', '{"imageurl":"images\\/banners\\/shop-ad-books.jpg","width":"","height":"","alt":"Joomla! Books"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1),
(3, 1, 0, 'Shop 2', 'shop-2', 0, 65, 0, 'http://shop.joomla.org', -2, 15, 'T Shirts, caps and more from the Joomla! Shop.', '', 0, 0, '', '{"imageurl":"images\\/banners\\/shop-ad.jpg","width":"","height":"","alt":"Joomla! Shop"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1),
(4, 1, 0, 'Support Joomla!', 'support-joomla', 0, 75, 0, 'http://contribute.joomla.org', -2, 15, 'Your contributions of time, talent and money make Joomla! possible.', '', 0, 0, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1),
(5, 0, 0, 'SJ MerryChristmas', 'sj-merrychristmas', 0, 6087, 0, 'http://demo.smartaddons.com/templates/joomla17/?template=sj-merrychristmas', -2, 83, '', '', 0, 0, '', '{"imageurl":"images\\/banners\\/sj-merry.jpg","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2012-02-08 00:00:00', '2012-01-08 16:47:04', '*', 0, '', '0000-00-00 00:00:00', 0, 1);

DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE IF NOT EXISTS `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__banner_clients` (`id`, `name`, `contact`, `email`, `extrainfo`, `state`, `checked_out`, `checked_out_time`, `metakey`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`) VALUES
(1, 'Joomla!', 'Administrator', 'email@email.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, -1, -1);

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE IF NOT EXISTS `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE IF NOT EXISTS `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned DEFAULT NULL,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=94 ;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 119, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(9, 34, 1, 97, 98, 1, 'explore', 'com_content', 'Explore', 'explore', '', '\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2013-03-29 01:53:47', 0, '*', 1),
(10, 35, 1, 95, 96, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(11, 36, 1, 91, 92, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(12, 37, 1, 27, 28, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(13, 38, 1, 23, 24, 1, 'uncategorised', 'com_weblinks', 'Uncategorised', 'uncategorised', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(14, 39, 1, 9, 22, 1, 'sample-data-articles', 'com_content', 'Sample Data-Articles', 'sample-data-articles', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(15, 40, 1, 93, 94, 1, 'sample-data-banners', 'com_banners', 'Sample Data-Banners', 'sample-data-banners', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(16, 41, 1, 29, 90, 1, 'sample-data-contact', 'com_contact', 'Sample Data-Contact', 'sample-data-contact', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(17, 42, 1, 25, 26, 1, 'sample-data-newsfeeds', 'com_newsfeeds', 'Smartaddons-Newsfeeds', 'sample-data-newsfeeds', '', '\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2013-04-10 04:46:30', 0, '*', 1),
(18, 43, 1, 1, 8, 1, 'sample-data-weblinks', 'com_weblinks', 'Sample Data-Weblinks', 'sample-data-weblinks', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(19, 44, 14, 10, 21, 2, 'sample-data-articles/joomla', 'com_content', 'Joomla!', 'joomla', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(20, 45, 19, 11, 20, 3, 'sample-data-articles/joomla/extensions', 'com_content', 'Extensions', 'extensions', '', '<p>The Joomla! content management system lets you create webpages of various types using extensions. There are 5 basic types of extensions: components, modules, templates, languages, and plugins. Your website includes the extensions you need to create a basic website in English, but thousands of additional extensions of all types are available. The <a href="http://extensions.joomla.org" style="color: #1b57b1; text-decoration: none; font-weight: normal;">Joomla! Extensions Directory</a> is the largest directory of Joomla! extensions.</p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(21, 46, 20, 12, 13, 4, 'sample-data-articles/joomla/extensions/components', 'com_content', 'Components', 'components', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-component.png" class="image-left" alt="Component Image" />Components are larger extensions that produce the major content for your site. Each component has one or more "views" that control how content is displayed.In the Joomla! administrator there are additional extensions suce as Menus, Redirection, and the extension managers.</p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(22, 47, 20, 14, 17, 4, 'sample-data-articles/joomla/extensions/modules', 'com_content', 'Modules', 'modules', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-module.png" alt="Media Image" class="image-left" />Modules are small blocks of content that can be displayed in positions on a web page. The menus on this site are displayed in modules. The core of Joomla! includes 17 separate modules ranging from login to search to random images. Each module has a name that starts mod_ but when it displays it has a title. In the descriptions in this section, the titles are the same as the names.</p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, '*', 1),
(25, 50, 20, 18, 19, 4, 'sample-data-articles/joomla/extensions/plugins', 'com_content', 'Plugins', 'plugins', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-plugin.png" border="0" alt="Plugin Image" align="left" />Plugins are small task oriented extensions that enhance the Joomla! framework. Some are associated with particular extensions and others, such as editors, are used across all of Joomla!. Most beginning users do not need to change any of the plugins that install with Joomla!. <a href="http://help.joomla.org/proxy/index.php?option=com_help&keyref=Help16:Extensions_Plugin_Manager_Edit">Help</a></p>', -2, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2011-01-10 04:05:05', 0, '*', 1),
(31, 56, 18, 2, 3, 2, 'sample-data-weblinks/park-links', 'com_weblinks', ' Smartaddons ', 'park-links', '', '<p style="margin-bottom:30px;">\r\nWelcome to <strong>SmartAddons'' </strong>Joomla template and WordPress theme clubs. We offer 50+ eye-catching website templates and 150+ professional Joomla ...\r\n</p>\r\n\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 86, '2011-01-01 00:00:01', 315, '2014-01-14 15:51:21', 0, 'en-GB', 1),
(32, 57, 18, 4, 7, 2, 'sample-data-weblinks/joomla-specific-links', 'com_weblinks', 'Joomla! Specific Links', 'joomla-specific-links', '', '<p><div style="font-family: Tahoma, Helvetica, Arial, sans-serif; font-size: 76%; background-color: #ffffff; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; line-height: 1.3em; color: #333333;"><p>A selection of links that are all related to the Joomla! Project.</p></div></p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(33, 58, 32, 5, 6, 3, 'sample-data-weblinks/joomla-specific-links/other-resources', 'com_weblinks', 'Other Resources', 'other-resources', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(34, 59, 16, 30, 31, 2, 'sample-data-contact/park-site', 'com_contact', 'Park Site', 'park-site', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 42, '2011-01-01 00:00:01', 0, 'en-GB', 1),
(35, 60, 16, 32, 89, 2, 'sample-data-contact/shop-site', 'com_contact', 'Shop Site', 'shop-site', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(36, 61, 35, 33, 34, 3, 'sample-data-contact/shop-site/staff', 'com_contact', 'Staff', 'staff', '', '<p>Please feel free to contact our staff at any time should you need assistance.</p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(37, 62, 35, 35, 88, 3, 'sample-data-contact/shop-site/fruit-encyclopedia', 'com_contact', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', '<p> </p><p>Our directory of information about different kinds of fruit.</p><p>We love fruit and want the world to know more about all of its many varieties.</p><p>Although it is small now, we work on it whenever we have a chance.</p><p>All of the images can be found in <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>.</p><p><img src="images/sampledata/fruitshop/apple.jpg" border="0" alt="Apples" title="Apples" /></p><p><em>This encyclopedia is implemented using the contact component, each fruit a separate contact and a category for each letter. A CSS style is used to create the horizontal layout of the alphabet headings. </em></p><p><em>If you wanted to, you could allow some users (such as your growers) to have access to just this category in the contact component and let them help you to create new content for the encyclopedia.</em></p><p> </p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(38, 63, 37, 36, 37, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/a', 'com_contact', 'A', 'a', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(39, 64, 37, 38, 39, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/b', 'com_contact', 'B', 'b', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(40, 65, 37, 40, 41, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/c', 'com_contact', 'C', 'c', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(41, 66, 37, 42, 43, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/d', 'com_contact', 'D', 'd', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(42, 67, 37, 44, 45, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/e', 'com_contact', 'E', 'e', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(43, 68, 37, 46, 47, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/f', 'com_contact', 'F', 'f', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(44, 69, 37, 48, 49, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/g', 'com_contact', 'G', 'g', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(45, 70, 37, 50, 51, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/h', 'com_contact', 'H', 'h', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(46, 71, 37, 52, 53, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/i', 'com_contact', 'I', 'i', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(47, 72, 37, 54, 55, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/j', 'com_contact', 'J', 'j', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(48, 73, 37, 56, 57, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/k', 'com_contact', 'K', 'k', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(49, 74, 37, 58, 59, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/l', 'com_contact', 'L', 'l', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(50, 75, 37, 60, 61, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/m', 'com_contact', 'M', 'm', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(51, 76, 37, 62, 63, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/n', 'com_contact', 'N', 'n', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(52, 77, 37, 64, 65, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/o', 'com_contact', 'O', 'o', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(53, 78, 37, 66, 67, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/p', 'com_contact', 'P', 'p', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(54, 79, 37, 68, 69, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/q', 'com_contact', 'Q', 'q', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(55, 80, 37, 70, 71, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/r', 'com_contact', 'R', 'r', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(56, 81, 37, 72, 73, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/s', 'com_contact', 'S', 's', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(57, 82, 37, 74, 75, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/t', 'com_contact', 'T', 't', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(58, 83, 37, 76, 77, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/u', 'com_contact', 'U', 'u', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(59, 84, 37, 78, 79, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/v', 'com_contact', 'V', 'v', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(60, 85, 37, 80, 81, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/w', 'com_contact', 'W', 'w', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(61, 86, 37, 82, 83, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/x', 'com_contact', 'X', 'x', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(62, 87, 37, 84, 85, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/y', 'com_contact', 'Y', 'y', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(63, 88, 37, 86, 87, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/z', 'com_contact', 'Z', 'z', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(66, 95, 22, 15, 16, 5, 'sample-data-articles/joomla/extensions/modules/display-modules', 'com_content', 'Display Modules', 'display-modules', '', '<p>These modules display information from components other than content and user. These include weblinks, news feeds and the media manager.</p>', -2, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 86, '2011-01-01 00:00:01', 0, '2011-01-01 00:00:01', 0, '*', 1),
(78, 180, 84, 102, 103, 2, 'yt-sample-data/content-category-1', 'com_content', 'Content Category 1', 'content-category-1', '', '<p> Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. </p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2011-05-26 16:40:47', 42, '2012-11-28 18:30:52', 64, '*', 1),
(79, 181, 84, 104, 105, 2, 'yt-sample-data/content-category-2', 'com_content', 'Content Category 2', 'content-category-2', '', ' Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. ', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2011-05-26 16:42:50', 42, '2012-11-28 18:31:02', 2, '*', 1),
(80, 202, 84, 106, 107, 2, 'yt-sample-data/content-category-3', 'com_content', 'Content Category 3', 'content-category-3', '', ' Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. ', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2011-05-28 02:43:19', 42, '2012-11-28 18:31:11', 0, '*', 1),
(81, 203, 84, 108, 109, 2, 'yt-sample-data/content-category-4', 'com_content', 'Content Category 4', 'content-category-4', '', ' Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit. ', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2011-05-28 02:45:10', 42, '2012-11-28 18:31:21', 0, '*', 1),
(83, 241, 1, 99, 100, 1, 'jtc', 'com_banners', 'JTC', 'jtc', '', '', -2, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2012-01-08 16:46:31', 0, '0000-00-00 00:00:00', 0, '*', 1),
(84, 245, 1, 101, 110, 1, 'yt-sample-data', 'com_content', 'Yt Sample Data', 'yt-sample-data', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2012-01-11 03:02:28', 0, '0000-00-00 00:00:00', 0, '*', 1),
(85, 249, 1, 111, 112, 1, 'contact', 'com_contact', 'Contact', 'contact', '', '\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2012-02-28 04:25:59', 42, '2013-04-05 09:02:16', 0, '*', 1),
(91, 298, 1, 113, 114, 1, 'joomla-page', 'com_content', 'Joomla page', 'joomla-page', '', '<div class="jf_typo_accord_container" style="display: block;">Dignissim nec odio pid etiam sagittis aliquet sed dis, tincidunt, etiam rhoncus odio mus proin amet vel, sit urna? Lundium, auctor integer elementum vel dolor! Etiam? Et a enim nunc non massa porta, sed, dolor tincidunt magna penatibus vut purus nec nisi, duis enim et odio! In turpis, montes scelerisque proin nec urna sit, aliquet augue turpis, phasellus lundium tristique.</div>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2013-02-25 04:42:52', 0, '0000-00-00 00:00:00', 0, '*', 1),
(92, 439, 1, 115, 116, 1, 'slideshow', 'com_content', 'Slideshow', 'slideshow', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2014-03-17 08:39:09', 0, '0000-00-00 00:00:00', 0, '*', 1),
(93, 474, 1, 117, 118, 1, 'short-code', 'com_content', 'Shortcodes', 'short-code', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 86, '2014-03-26 10:18:18', 660, '2014-03-26 10:19:12', 0, '*', 1);

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE IF NOT EXISTS `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Contact Name Here', 'name', 'Position', 'Street Address', 'Suburb', 'State', 'Country', 'Zip Code', 'Telephone', 'Fax', '<p>Information about or by the contact.</p>', 'images/powered_by.png', 'email@email.com', 1, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Twitter","linka":"http:\\/\\/twitter.com\\/joomla","linkb_name":"YouTube","linkb":"http:\\/\\/www.youtube.com\\/user\\/joomla","linkc_name":"Facebook","linkc":"http:\\/\\/www.facebook.com\\/joomla","linkd_name":"FriendFeed","linkd":"http:\\/\\/friendfeed.com\\/joomla","linke_name":"Scribed","linke":"http:\\/\\/www.scribd.com\\/people\\/view\\/504592-joomla","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 16, 1, '', '', 'last', 'first', 'middle', 'en-GB', '2011-01-01 00:00:01', 86, '', '2011-01-08 17:39:00', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(2, 'Webmaster', 'webmaster', '', '', '', '', '', '', '', '', '', '', 'webmaster@example.com', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"","redirect":""}', 0, 34, 1, '', '', '', '', '', 'en-GB', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(3, 'Owner', 'owner', '', '', '', '', '', '', '', '', '<p>I''m the owner of this store.</p>', '', '', 0, -2, 0, '0000-00-00 00:00:00', 2, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(4, 'Buyer', 'buyer', '', '', '', '', '', '', '', '', '<p>I am in charge of buying fruit. If you sell good fruit, contact me.</p>', '', '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"0","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(5, 'Bananas', 'bananas', 'Scientific Name: Musa', 'Image Credit: Enzik\r\nRights: Creative Commons Share Alike Unported 3.0\r\nSource: http://commons.wikimedia.org/wiki/File:Bananas_-_Morocco.jpg', '', 'Type: Herbaceous', 'Large Producers: India, China, Brasil', '', '', '', '<p>Bananas are a great source of potassium.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/bananas_2.jpg', '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"show_with_link","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"1","show_email":"","show_street_address":"","show_suburb":"","show_state":"1","show_postcode":"","show_country":"1","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Banana English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Banana","linkb_name":"Wikipedia:  \\u0939\\u093f\\u0928\\u094d\\u0926\\u0940 \\u0915\\u0947\\u0932\\u093e","linkb":"http:\\/\\/hi.wikipedia.org\\/wiki\\/%E0%A4%95%E0%A5%87%E0%A4%B2%E0%A4%BE","linkc_name":"Wikipedia:Banana Portugu\\u00eas","linkc":"http:\\/\\/pt.wikipedia.org\\/wiki\\/Banana","linkd_name":"Wikipedia: \\u0411\\u0430\\u043d\\u0430\\u043d  \\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439","linkd":"http:\\/\\/ru.wikipedia.org\\/\\u0411\\u0430\\u043d\\u0430\\u043d","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 39, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(6, 'Apples', 'apples', 'Scientific Name: Malus domestica', 'Image Credit: Fievet\r\nRights: Public Domain\r\nSource: http://commons.wikimedia.org/wiki/File:Pommes_vertes.JPG', '', 'Family: Rosaceae', 'Large: Producers: China, United States', '', '', '', '<p>Apples are a versatile fruit, used for eating, cooking, and preserving.</p>\r\n<p>There are more that 7500 different kinds of apples grown around the world.</p>', 'images/sampledata/fruitshop/apple.jpg', '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Apples English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Apple","linkb_name":"Wikipedia: Manzana Espa\\u00f1ol ","linkb":"http:\\/\\/es.wikipedia.org\\/wiki\\/Manzana","linkc_name":"Wikipedia: \\u82f9\\u679c \\u4e2d\\u6587","linkc":"http:\\/\\/zh.wikipedia.org\\/zh\\/\\u82f9\\u679c","linkd_name":"Wikipedia: Tofaa Kiswahili","linkd":"http:\\/\\/sw.wikipedia.org\\/wiki\\/Tofaa","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 38, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(7, 'Tamarind', 'tamarind', 'Scientific Name: Tamarindus indica', 'Image Credit: Franz Eugen Köhler, Köhler''s Medizinal-Pflanzen \r\nRights: Public Domain\r\nSource:http://commons.wikimedia.org/wiki/File:Koeh-134.jpg', '', 'Family: Fabaceae', 'Large Producers: India, United States', '', '', '', '<p>Tamarinds are a versatile fruit used around the world. In its young form it is used in hot sauces; ripened it is the basis for many refreshing drinks.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/tamarind.jpg', '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Tamarind English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Tamarind","linkb_name":"Wikipedia: \\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2  \\u09ac\\u09be\\u0982\\u09b2\\u09be  ","linkb":"http:\\/\\/bn.wikipedia.org\\/wiki\\/\\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2 ","linkc_name":"Wikipedia: Tamarinier Fran\\u00e7ais","linkc":"http:\\/\\/fr.wikipedia.org\\/wiki\\/Tamarinier","linkd_name":"Wikipedia:Tamaline lea faka-Tonga","linkd":"http:\\/\\/to.wikipedia.org\\/wiki\\/Tamaline","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 57, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(8, 'Shop Address', 'shop-address', '', '', 'Our City', 'Our Province', 'Our Country', '', '555-555-5555', '', '<p>Here are directions for how to get to our shop.</p>', '', '', 0, -2, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 35, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(9, 'Jane Q. Public', 'jane-q-public', ' Chief Information Officer ', '40th Street, Oakland, California, United States ', 'Cupertino', 'California', 'USA', '95014', ' 1-212-555555-1 ', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum id est vel justo interdum molestie sed ac metus. Etiam sit amet ipsum luctus, blandit risus et, ultricies quam. Sed vehicula sollicitudin egestas. Mauris ut elementum libero. Etiam bibendum ipsum eu consequat semper? Vestibulum consectetur consectetur nisi tristique luctus! Maecenas suscipit et orci ut pellentesque. </p>\r\n<div class="add1">Add 1 : 40th Street, Oakland, California, United States <br />Tel : 084 - 00 - 12345678 <br />Email : <a href="mailto:contact@ytcvn.com">contact@ytcvn.com </a></div>\r\n<div class="add2">Add 2 : 40th Street, Oakland, California, United States <br />Tel : 084 - 00 - 12345678 <br />Email : contact@ytcvn.com </div>', '', 'noreply@smartaddons.com', 0, 1, 0, '0000-00-00 00:00:00', 3, '{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"","show_tags":"0","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"1","show_links":"0","linka_name":"","linka":false,"linkb_name":"","linkb":false,"linkc_name":"","linkc":false,"linkd_name":"","linkd":false,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"0","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 85, 1, ' 1-212-555555-1 ', 'http://smartaddons.com', '', '', '', '*', '2012-02-28 04:26:36', 86, '', '2014-04-03 09:48:52', 86, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 10, 285),
(10, 'Jane Q. Public 2', 'jane-q-public11', ' Chief Information Officer ', '', 'Cupertino', 'California', 'USA', '', ' 1-212-555555-1 ', '', '<p>\r\nForem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque convallis ligula eget tellus lacinia tristique. Vivamus convallis tristique fringilla. Pellentesque pharetra, lacus tincidunt pulvinar facilisis\r\n</p>\r\n\r\n', 'images/demo/sam-15.jpg', 'noreply@smartaddons.com', 0, 1, 0, '0000-00-00 00:00:00', 3, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"0","show_position":"","show_email":"0","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"1","show_links":"0","linka_name":"","linka":null,"linkb_name":"","linkb":null,"linkc_name":"","linkc":null,"linkd_name":"","linkd":null,"linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"0","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 42, 85, 1, ' 1-212-555555-1 ', 'http://.', '', '', '', '*', '2012-02-28 04:26:36', 86, '', '2013-05-07 08:20:40', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE IF NOT EXISTS `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=205 ;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(5, 101, 'Authentication', 'authentication', '<p>The authentication plugins operate when users login to your site or administrator. The Joomla! authentication is in operation by default but you can enable Gmail or LDAP or install a plugin for a different system. An example is included that may be used to create a new authentication plugin.</p><p>Default on:</p><ul><li>Joomla</li></ul><p>Default off:</p><ul><li>Gmail</li><li>LDAP</li></ul>', '', 2, 25, '2011-01-01 00:00:01', 86, 'Joomla!', '2011-01-01 00:00:01', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 3, '', '', 1, 2, '', 0, '*', ''),
(7, 103, 'Banner Module', 'banner-module', '<p>The banner module is used to display the banners that are managed by the banners component in the site administrator. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Banners">Help</a>.</p>\r\n<p>{loadposition bannersload}</p>', '', 2, 66, '2011-01-01 00:00:01', 86, 'Joomla!', '2011-01-10 03:41:15', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 6, '', '', 1, 4, '', 0, '*', ''),
(8, 104, 'Beginners', 'beginners', '<p>If this is your first Joomla site or your first web site, you have come to the right place. Joomla will help you get your website up and running quickly and easily.</p>\r\n<p>Start off using your site by logging in using the administrator account you created when you installed Joomla!.</p>\r\n', '\r\n<p>Explore the articles and other resources right here on your site data to learn more about how Joomla works.(When you''re done reading, you can delete or archive all of this.) You will also probably want to visit the beginners'' areas of the <a href="http://docs.joomla.org/Beginners">Joomla documentation</a> and <a href="http://forum.joomla.org">support forums</a>.</p>\r\n<p>You''ll also want to sign up for the Joomla Security Mailing list and the Announcements mailing list. For inspiration visit the Joomla Site Showcase to see an amazing array of ways people use Joomla to tell their stories on the web.</p>\r\n<p>The basic Joomla! installation will let you get a great site up and running, but when you are ready for more features the power of Joomla! is in the creative ways that developers have extended it to do all kinds of things. Visit the Joomla! Extensions Directory to see thousands of extensions that can do almost anything you could want on a website. Can''t find what you need? You may want to find a Joomla professional on the Joomla! Resources Directory.</p>\r\n<p>Want to learn more? Consider attending a Joomla! Day or other event or joining a local Joomla! Users Group. Can''t find one near you? Start one yourself.</p>', 2, 19, '2011-01-01 00:00:01', 86, 'Joomla!', '2011-01-09 16:41:00', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 3, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(24, 122, 'Joomla!', 'joomla', '<p>Congratulations! You have a Joomla! site! Joomla! makes it easy to build a website just the way you want it and keep it simple to update and maintain.</p>\r\n<p>Joomla! is a flexible and powerful platform, whether you are building a small site for yourself or a huge site with hundreds of thousands of visitors. Joomla is open source, which means you can make it work just the way you want it to.</p>', '', 1, 19, '2011-01-01 00:00:01', 86, 'Joomla!', '2011-06-29 04:53:32', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 2, '', '', 1, 53, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(53, 151, 'Using Joomla!', 'using-joomla', '<p>With Joomla! You can create anything from a simple personal website to a complex ecommerce or social site with millions of visitors.</p><p>This section of the sample data provides you with a brief introduction to Joomla! concepts and reference material to help you understand how Joomla! works.</p><p><em>When you no longer need the sample data, you can can simply unpublish the sample data category found within each extension in the site administrator or you may completely delete each item and all of the categories. </em></p>', '', 1, 19, '2011-01-01 00:00:01', 86, 'Joomla!', '2013-03-09 04:54:02', 42, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 7, '', '', 1, 21, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(67, 168, 'What''s New in 1.5?', 'whats-new-in-15', '<p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>\r\n<p style="margin-bottom: 0in;">In Joomla! 1.5, you''''ll notice:</p>\r\n<ul>\r\n<li>Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</li>\r\n<li>Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</li>\r\n<li>Extended integration of external applications through Web services</li>\r\n<li>Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</li>\r\n<li>A more sustainable and flexible framework for Component and Extension developers</li>\r\n<li>Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</li>\r\n</ul>', '', 2, 9, '2011-01-01 00:00:01', 86, 'Joomla! 1.5', '2011-01-01 00:00:01', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 6, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(78, 182, 'Tames pede elit', 'tames-pede-elit', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:44:15', 86, '', '2014-03-17 15:39:12', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c16.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c16.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 10, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(79, 183, 'Xulla semper Curabitur luctus', 'xulla-semper-ac-nec-sit', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:45:24', 86, '', '2014-03-17 15:41:38', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:45:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c18.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c18.jpg","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam gravida ultrices","image_fulltext_caption":"Curabitur luctus tortor non quam gravida ultrices"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 9, '', '', 1, 23, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(80, 184, 'Detus laoreet dignissim ', 'detus-laoreet-dignissim-vel', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:46:07', 86, '', '2014-03-17 15:35:22', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c11.jpg","float_fulltext":"","image_fulltext_alt":"Detus laoreet dignissim ","image_fulltext_caption":"Detus laoreet dignissim "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 8, '', '', 1, 62, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(81, 185, 'Lacinia Sed convallis ', 'lacinia-sed-convallis-urna', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:46:50', 86, '', '2014-03-17 15:37:08', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:50', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c13.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c13.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 7, '', '', 1, 20, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(82, 186, 'Mes pede elit nibh ', 'mes-pede-elit-nibh', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:48:10', 86, '', '2014-03-17 15:38:32', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:48:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c15.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c15.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 6, '', '', 1, 30, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(83, 187, 'Mauris ut mauris ', 'mauris-ut-mauris-vel-libero', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit.</p>\r\n<p>[space height="20px"]</p>\r\n<div class="g-pageteam">\r\n<div class="row-fluid b-gettouch">\r\n<div class="span9">\r\n<h4 class="h-heading4">Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales</h4>\r\n</div>\r\n<div class="span3"><a class="btn btn-3d green" style="border-radius: 3px;" href="#" target=""> get in touch width us </a></div>\r\n</div>\r\n</div>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:49:05', 86, '', '2014-03-17 15:37:52', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:49:05', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c14.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c14.jpg","float_fulltext":"left","image_fulltext_alt":"Proin consectetur vestibulum tellus eu tempor","image_fulltext_caption":"Proin consectetur vestibulum tellus eu tempor"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 27, 5, '', '', 1, 88, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(84, 188, 'Misociis nulla interdum', 'misociis-nulla-interdum-et-cursus', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Aenean id turpis lectus. Duis eget consequat velit.nulla vel eros blandit placerat.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:50:18', 86, '', '2014-03-17 15:45:21', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c23.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c23.jpg","float_fulltext":"","image_fulltext_alt":"Misociis nulla interdum et","image_fulltext_caption":"Misociis nulla interdum et"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 5, '', '', 1, 21, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(85, 189, 'Aliquam lobortis cursus ', 'aliquam-lobortis-cursus-erat', '<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam sodales.</p>\r\n', '\r\n<p>[space height="15"]<br /> [quote width="auto" align="none" border="#666" color="#666" title="Smartaddon"] Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. [/quote]</p>\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>', 1, 78, '2011-05-26 16:51:13', 86, '', '2014-03-17 15:34:40', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c10.jpg","float_fulltext":"","image_fulltext_alt":"Garetra faucibus eu ","image_fulltext_caption":"Garetra faucibus eu "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 22, 3, '', '', 1, 165, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(86, 190, 'Aenean vea aliquam', 'aenean-vehicula-vehicula-aliquam', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:52:24', 86, '', '2014-03-17 15:33:54', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":" Page break example","targeta":"","urlb":false,"urlbtext":" Stet clita kasd guber","targetb":"","urlc":false,"urlctext":" Curabitur a lectus vitae elit","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 55, 2, '', '', 1, 286, '{"robots":"","author":"","rights":"SJ Company","xreference":""}', 0, '*', ''),
(87, 191, 'Ursus senectus ', 'ursus-senectus-aliquet-pretium', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:53:19', 86, '', '2014-03-17 15:40:46', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c17.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c17.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 28, 4, '', '', 1, 84, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(88, 192, 'Ruci tenna mes', 'ruci-tenna-mes', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:54:17', 86, '', '2014-03-17 15:46:51', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:54:17', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c25.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c25.jpg","float_fulltext":"","image_fulltext_alt":"Vestibulum sit amet libero vel neque dapibus ultrices mattis massa","image_fulltext_caption":"Vestibulum sit amet libero vel neque dapibus ultrices mattis massa"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 10, '', '', 1, 62, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(90, 194, 'Us laoreet dignissim vel.', 'detus-laoreet-dignissim-vel', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:46:07', 86, '', '2014-03-17 15:49:07', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c4.jpg","float_fulltext":"","image_fulltext_alt":"Us laoreet dignissim vel.","image_fulltext_caption":"Us laoreet dignissim vel."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 9, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(91, 195, 'Faucibus eu laoreet nunc', 'haretra-faucibus-eu-laoreet-nunc', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 78, '2011-05-26 16:52:24', 86, '', '2014-03-17 15:36:03', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c12.jpg","float_intro":"","image_intro_alt":"Faucibus eu laoreet nunc","image_intro_caption":"Faucibus eu laoreet nunc","image_fulltext":"images\\/SJ_iCenter\\/c12.jpg","float_fulltext":"","image_fulltext_alt":"Faucibus eu laoreet nunc","image_fulltext_caption":"Faucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 14, 1, '', '', 1, 77, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(92, 196, 'Cinia Sed convallis urna ', 'lacinia-sed-convallis-urna', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:46:50', 86, '', '2014-03-17 15:42:42', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:50', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 8, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(93, 197, 'Tes pede elit nibh ', 'mes-pede-elit-nibh', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:48:10', 86, '', '2014-03-17 15:48:16', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:48:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c3.jpg","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam","image_fulltext_caption":"Curabitur luctus tortor non quam"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(94, 198, 'Sociis nulla interdum et', 'misociis-nulla-interdum-et-cursu', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:50:18', 86, '', '2014-03-17 15:47:34', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c26.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c26.jpg","float_fulltext":"","image_fulltext_alt":"Sociis nulla interdum et","image_fulltext_caption":"Sociis nulla interdum et"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(95, 199, 'Gimes pede elit', 'tames-pede-elit', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:44:15', 86, '', '2014-03-17 15:43:17', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c21.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c21.jpg","float_fulltext":"","image_fulltext_alt":">Vestibulum sit amet libero vel neque","image_fulltext_caption":">Vestibulum sit amet libero vel neque"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 4, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(96, 200, 'Kril penectus aliquet pretium', 'ursus-senectus-aliquet-pretiu', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:53:19', 86, '', '2014-03-17 15:44:01', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c22.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c22.jpg","float_fulltext":"","image_fulltext_alt":"Kril penectus aliquet pretium","image_fulltext_caption":"Kril penectus aliquet pretium"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 3, '', '', 1, 25, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(97, 201, 'Netra faucibus eu laoreet', 'yinean-pharetra-faucibus-eu-laoree', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:51:13', 86, '', '2014-03-17 15:46:03', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c24.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c24.jpg","float_fulltext":"","image_fulltext_alt":"Netra faucibus eu laoreet","image_fulltext_caption":"Netra faucibus eu laoreet"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 2, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(98, 204, 'Lisl Pellentesquem metus', 'ceger-nisl-pellentesque-in-id-metus', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:49:05', 86, '', '2014-03-17 15:57:41', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:49:05', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c21.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c21.jpg","float_fulltext":"","image_fulltext_alt":"Lisl Pellentesque In id metus","image_fulltext_caption":"Lisl Pellentesque In id metus"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 11, '', '', 1, 41, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(99, 205, 'Laoreet digen nissim', 'detus-laoreet-dignissim-vel', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:46:07', 86, '', '2014-03-17 15:56:57', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c18.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c18.jpg","float_fulltext":"","image_fulltext_alt":"Laoreet digen nissim veli","image_fulltext_caption":"Laoreet digen nissim veli"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 10, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(100, 206, 'Kaucibus eu laoreet nunc', 'haretra-faucibus-eu-laoreet-nunc', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:52:24', 86, '', '2014-03-17 15:54:32', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c10.jpg","float_fulltext":"","image_fulltext_alt":"Kaucibus eu laoreet nunc","image_fulltext_caption":"Kaucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 9, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(101, 207, 'Bener senver munst onvase', 'haretra-faucibus-eu-laoreet-nuns', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:52:24', 86, '', '2014-03-17 15:51:44', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c6.jpg","float_fulltext":"","image_fulltext_alt":"Bener senver munst onvase","image_fulltext_caption":"Bener senver munst onvase"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 8, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(103, 209, 'Ciis nulla interdum senectus', 'misociis-nulla-interdum-et-cursus', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:50:18', 86, '', '2014-03-17 15:52:27', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c7.jpg","float_fulltext":"","image_fulltext_alt":"Ciis nulla interdum senectus","image_fulltext_caption":"Ciis nulla interdum senectus"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 6, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(104, 210, 'Lames pede elit', 'tames-pede-elit', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:44:15', 86, '', '2014-03-17 15:55:59', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c14.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c14.jpg","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam gravida","image_fulltext_caption":"Curabitur luctus tortor non quam gravida"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(105, 211, 'Jes pede elit', 'tames-pede', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:44:15', 86, '', '2014-03-17 15:53:05', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c8.jpg","float_fulltext":"","image_fulltext_alt":"Cras condimentum vulputate ante in imperdiet","image_fulltext_caption":"Cras condimentum vulputate ante in imperdiet"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(106, 212, 'Kiop senectus aliquet ', 'ursus-senectus-aliquet-pretium', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:53:19', 86, '', '2014-03-17 15:55:17', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c12.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c12.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 3, '', '', 1, 16, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(107, 213, 'Ma semper ac nec sit', 'xulla-semper-ac-nec-sit', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:45:24', 86, '', '2014-03-17 15:58:25', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:45:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c24.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c24.jpg","float_fulltext":"","image_fulltext_alt":"Ma semper ac nec sit","image_fulltext_caption":"Ma semper ac nec sit"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 1, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(108, 214, 'Karetra faucibus eu lao', 'yinean-pharetra-faucibus-eu-laoreet-nunc', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 80, '2011-05-26 16:51:13', 86, '', '2014-03-17 15:53:53', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c9.jpg","float_fulltext":"","image_fulltext_alt":"Karetra faucibus eu laoreet","image_fulltext_caption":"Karetra faucibus eu laoreet"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(109, 215, 'Kara senver munst onvase', 'haretra-faucibus-eu-laoreet-nuns', '<p><img src="images/content_category/munich-travel-guide.jpg" alt="" border="0" /></p>\r\n<p>Rance fanceus eu laoreet nunc. Tincidunt nulla a Nulla eu convallis scelerisque sociis nulla interdum et. Cursus senectus alique maken chika</p>\r\n', '\r\n<p>Donec ac ante in erat dictum adipiscing. Maecenas pretium accumsan velit, vitae congue diam malesuada nec. Curabitur ut mauris et elit pharetra venenatis id at lectus. Duis porttitor, orci imperdiet porta ultricies, mi arcu blandit sapien, auctor consectetur velit nunc sed mauris. Donec ac ipsum ligula. Aenean egestas facilisis facilisis. Sed id tortor lacus. Integer blandit urna ut dolor sagittis eget pharetra mi eleifend. Maecenas eu eros vitae lectus sodales tempor. Sed tellus erat, lobortis a sodales sit amet, varius sed ante. Phasellus vitae magna vitae augue lobortis vulputate sit amet ut ante. In semper dictum nibh in condimentum. Phasellus vestibulum tortor vitae erat feugiat in tempor leo tempor. Proin sed lacus nibh, non porttitor metus. </p>\r\n<p>Vestibulum id elit a felis fermentum vehicula. In ligula purus, consectetur sodales pellentesque vel, volutpat vel elit. Donec sed lacus at sapien eleifend iaculis. Donec dui ligula, adipiscing sed feugiat non, elementum in metus. Donec molestie consequat mattis. Ut id turpis sed purus adipiscing sollicitudin eget mollis turpis. Integer enim neque, egestas quis fermentum in, gravida in lacus. Nullam vitae ante nibh, nec gravida leo. Duis consectetur nulla eget odio aliquet euismod. Phasellus vehicula augue fermentum tellus rhoncus porta. Fusce at dapibus nisi. Vivamus feugiat tincidunt lorem, nec venenatis erat congue vel. </p>\r\n<p>Quisque sem lacus, elementum ut faucibus at, convallis nec massa. Nam vel rhoncus sem. Nunc sed tellus ac dui ullamcorper sodales vel at est. Fusce non purus at nibh dapibus pellentesque. Nam semper, est at dignissim mattis, dui mauris vulputate nunc, eu convallis enim tortor quis ante. Sed tincidunt luctus sapien et luctus. Phasellus commodo ante elit, ut pellentesque massa. Vestibulum enim tellus, interdum et tempus vel, consequat nec ante. Aliquam erat volutpat. Donec blandit rutrum metus viverra aliquam. Morbi imperdiet laoreet elementum. Curabitur sit amet orci eget felis condimentum hendrerit. </p>\r\n<p>Donec sodales adipiscing mauris eu consequat. Aenean sit amet nibh eu lacus varius luctus. Aliquam erat volutpat. Mauris tristique porttitor tortor, ac commodo enim ultricies ac. Suspendisse at diam quis nibh sagittis semper. Nunc vel aliquam dui. Aenean posuere mauris at diam pretium faucibus. Sed elementum, lacus at varius dignissim, ipsum ipsum egestas diam, at egestas ante nisi at lectus. </p>\r\n<p>Maecenas in lacus turpis. Fusce pellentesque convallis tincidunt. Morbi ac urna ipsum, sed congue metus. Maecenas a enim eu est ornare congue consectetur vel elit. Etiam dictum orci eu augue imperdiet sollicitudin. Mauris consequat lacus sapien, eget condimentum arcu. Cras at tortor leo, in accumsan turpis. Proin a est et massa luctus venenatis. Vivamus mollis arcu a justo aliquam gravida. Pellentesque sagittis fermentum purus, id tincidunt tortor luctus quis. Donec aliquam leo id dolor egestas non condimentum nisl bibendum. In hac habitasse platea dictumst. Sed eget enim dui. In facilisis luctus justo, id faucibus dolor sodales sed. Nullam ligula mauris, pharetra quis bibendum eget, ultrices convallis velit. </p>\r\n<p>In vehicula nisi nec massa sollicitudin fermentum ut et odio. Quisque tellus enim, faucibus eget vehicula aliquam, interdum fringilla nunc. Nunc at porta massa. Donec sed est erat. Nulla dictum nisl et sapien ornare et bibendum massa rutrum. Sed sapien justo, gravida ac cursus vitae, gravida et turpis. Mauris a quam diam. Aenean aliquet, dolor eget pretium interdum, ligula sem egestas odio, fringilla adipiscing libero diam sed ipsum. Aliquam a orci vel mi ullamcorper auctor nec eget eros. Aenean nec diam ut risus molestie vulputate. Proin sagittis felis in dolor blandit eu consequat ipsum adipiscing. Maecenas adipiscing, nibh ac mollis lobortis, diam arcu semper turpis, sit amet interdum purus sapien et turpis. Suspendisse mi erat, mollis non molestie vitae, malesuada sit amet est. Proin tincidunt augue nec est lobortis ullamcorper. </p>\r\n<p>In feugiat diam viverra sem eleifend viverra vulputate quam placerat. Cras facilisis luctus purus at gravida. Vivamus sit amet mi elementum purus faucibus adipiscing. Aenean vulputate justo vel enim congue vehicula. Nullam ut ligula interdum lorem ullamcorper feugiat. Cras egestas sollicitudin ullamcorper. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nam in orci massa. Duis mollis est a urna venenatis eget accumsan mi cursus. Etiam risus mauris, tempor sit amet hendrerit sit amet, rhoncus et sem. Fusce purus elit, tincidunt porttitor porta et, mattis quis nulla. Vivamus justo ligula, bibendum eu sagittis non, interdum ut ipsum.</p>\r\n<p> </p>', 1, 81, '2011-05-26 16:52:24', 86, '', '2014-03-17 16:00:58', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c2.jpg","float_fulltext":"","image_fulltext_alt":"Kara senver munst onvase","image_fulltext_caption":"Kara senver munst onvase"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 9, '', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(110, 216, 'Kulla interdum ersus senectus', 'misociis-nulla-interdum-et-cursus-senectus', '<p><img src="images/content_category/makeup_2.jpg" alt="" border="0" /></p>\r\n<p>Nis nulla interdum et. Cursus senectus aliquet pretium at tristique hac ullamcorper adipiscing et Donec. Enim montes parturient metus laoreet dignissim</p>\r\n', '\r\n<p>Nunc arcu nibh, facilisis ac tincidunt eu, varius ut dolor. Maecenas non tortor nec magna aliquet egestas non at nunc. Vivamus placerat rutrum rutrum. Vestibulum blandit rutrum leo sit amet ultricies. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque at imperdiet nulla. Quisque felis sapien, consectetur vitae interdum in, bibendum et risus. Quisque dolor ante, cursus vel rutrum ac, malesuada non nulla. Sed lacus enim, tempor a vestibulum sit amet, condimentum ut eros. Pellentesque sit amet nulla metus, id bibendum urna. Suspendisse potenti. </p>\r\n<p>Aenean pulvinar euismod pretium. Donec a tortor elit, quis pellentesque ipsum. Proin eleifend interdum tellus vel venenatis. Nullam id leo in ipsum ullamcorper cursus. Donec tincidunt iaculis aliquet. Proin commodo felis vitae massa pretium et imperdiet justo lacinia. Morbi metus tortor, fringilla a vestibulum vitae, varius nec elit. Nam velit nunc, sagittis a dictum vel, pellentesque in lectus. Quisque eu urna enim. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus felis justo, iaculis sit amet pellentesque non, dapibus sed urna. Fusce libero ipsum, venenatis at pellentesque vel, adipiscing a ante. Sed ullamcorper nulla in tellus congue a hendrerit quam condimentum. Praesent augue mi, sodales vitae viverra vel, convallis id risus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. </p>\r\n<p>Nulla facilisi. Nunc varius sagittis ante. Vivamus aliquet tincidunt diam, quis molestie leo lobortis a. Proin commodo rhoncus urna sit amet aliquet. Nunc elementum leo id nisi malesuada fringilla. Quisque faucibus interdum massa in elementum. Pellentesque volutpat quam eu justo dapibus vitae rhoncus est eleifend. Nam tempor vulputate nibh quis gravida. Nullam facilisis tristique auctor. Fusce condimentum mauris quis purus sodales fermentum. Aliquam rhoncus facilisis enim egestas fermentum. Nullam enim ipsum, porta a venenatis a, adipiscing non metus. Vestibulum aliquet nulla tempor lectus tempor tincidunt pulvinar nec nisl. Integer commodo tellus id est ornare interdum. Vivamus eu diam eget urna porta adipiscing. </p>\r\n<p>Curabitur semper pellentesque malesuada. Sed justo nisi, tempor id adipiscing a, fermentum sed nisi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Maecenas sed felis ac turpis vehicula posuere. Morbi consectetur purus a elit sodales convallis. Sed quis turpis nec velit vulputate mattis. Praesent at rhoncus augue. Aenean quis quam ac nisl dapibus porta. </p>\r\n<p>Maecenas adipiscing, nunc ullamcorper consectetur tristique, nibh elit posuere turpis, ut suscipit lorem tellus vitae turpis. Morbi et orci diam. Maecenas in ornare lacus. Phasellus in mi non mauris cursus sollicitudin. Maecenas sed magna elit, a vestibulum sapien. Proin eros quam, vulputate et varius a, varius vitae eros. Sed porta enim vel turpis suscipit tincidunt. Aenean aliquam nunc a est elementum elementum. Nunc quis purus ante. Mauris placerat elit sed neque tempus interdum. Proin in libero nec dolor ullamcorper posuere in a arcu. Proin sem dui, vestibulum a consectetur sodales, ullamcorper id turpis. Proin nibh nibh, commodo id luctus quis, lacinia tempor enim. Nunc vestibulum tempus nisi, varius iaculis quam venenatis ut. </p>\r\n<p>Fusce non lectus ac dui scelerisque ullamcorper. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi lacus dolor, vehicula et volutpat eu, auctor et sapien. Cras vel neque et lacus fringilla aliquam. Aliquam viverra leo id lacus pulvinar rutrum ut eu justo. Fusce velit arcu, vestibulum sed suscipit non, fermentum id diam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Mauris non ligula ac purus rutrum scelerisque eget vitae ligula. Nullam nec aliquam felis. Mauris et sollicitudin turpis. Morbi gravida, enim sed faucibus dictum, purus nisi dapibus nunc, sed faucibus orci lorem at eros. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In porta libero sit amet dui interdum tempor. Maecenas vestibulum iaculis sem, vitae tincidunt risus interdum eu. Etiam ullamcorper justo sit amet nunc aliquam convallis. Etiam ut suscipit risus. Ut sed dui lectus, vel adipiscing ligula. Phasellus iaculis condimentum tellus dapibus aliquet. Praesent in arcu quis neque porta eleifend sed vel tellus. Proin ut risus massa, vel pulvinar massa. Integer id ligula est, sit amet luctus ipsum. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>\r\n<p> </p>', 1, 81, '2011-05-26 16:50:18', 86, '', '2014-03-17 16:01:41', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:50:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c23.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c23.jpg","float_fulltext":"","image_fulltext_alt":"Kulla interdum ersus senectus","image_fulltext_caption":"Kulla interdum ersus senectus"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 8, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(111, 218, 'Pes pede elit', 'tames-pede', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 81, '2011-05-26 16:44:15', 86, '', '2014-03-17 16:03:06', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c4.jpg","float_fulltext":"","image_fulltext_alt":"Vestibulum sit amet libero vel neque","image_fulltext_caption":"Vestibulum sit amet libero vel neque"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(112, 219, 'Tra faucibus eu laoreet ', 'yinean-pharetra-faucibus-eu-laoreet-nunc', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 81, '2011-05-26 16:51:13', 86, '', '2014-03-17 16:05:16', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c9.jpg","float_fulltext":"","image_fulltext_alt":"Curabitur luctus tortor non quam ","image_fulltext_caption":"Curabitur luctus tortor non quam"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(113, 220, 'Gaucibus eu laoreet', 'yinean-pharetra-faucibus-eu-laoreet-nu1', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 81, '2011-05-26 16:51:13', 86, '', '2014-03-17 15:59:46', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c11.jpg","float_fulltext":"","image_fulltext_alt":"Gaucibus eu laoreet nunc","image_fulltext_caption":"Gaucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(114, 221, 'Cibus eu laoreet nunc', 'inean-pharetra-faucibus-eu', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 81, '2011-05-26 16:51:13', 86, '', '2014-03-18 01:53:25', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:51:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/sjcontent\\/12.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c1.jpg","float_fulltext":"","image_fulltext_alt":"Kaucibus eu laoreet nunc","image_fulltext_caption":"Kaucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(115, 222, 'Gucibus Teu laoreet nunc', 'getra-faucibus-eu-laoreet-nunc', '<p>Kus eu laoreet nunc. Tincidunt nulla a Nulla eu convallis scelerisque sociis nulla interdum et. Cursus senectus alique.Ty fames pede elit nibh at risus tempus.</p>\r\n', '\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Maecenas libero odio, fringilla a elementum nec, iaculis a tortor. Praesent eget tortor leo. Cras bibendum mauris ut metus lacinia cursus. Aenean posuere diam quis quam aliquet nec dignissim orci convallis. Mauris molestie tincidunt convallis. Curabitur vestibulum vehicula erat eget placerat.Donec mattis, sapien id ornare interdum, orci nibh egestas nulla, at consectetur nunc libero eget nunc. Sed dignissim nisl at diam</p>\r\n<p>[clear] [space height="30"] [columns background="none" ] [column_item col="10"]</p>\r\n<blockquote class="yt-boxquote pull-none" style="width: auto; border-color: #0291FF; color: #666;">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Praesent tincidunt tincidunt turpis quis ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. <small>Smartaddons</small></blockquote>\r\n<p>[/column_item][/columns]</p>\r\n<h3>Praesent eget tortor leo varius nulla</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Maecenas libero odio, fringilla a elementum nec, iaculis a tortor. Praesent eget tortor leo. Cras bibendum mauris ut metus lacinia cursus.</p>\r\n<p>[space height="10"]</p>\r\n<h3>Nam tincidunt fermentum ultrices</h3>\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam sed sapien ipsum. Pellentesque ac eros eu mauris suscipit fermentum et sed lacus. Sed sodales mollis sagittis. Donec mattis, sapien id ornare interdum, orci nibh egestas nulla, at consectetur nunc libero eget nunc. Sed dignissim nisl at diam consectetur lacinia. Vivamus eget posuere erat. Aenean enim odio, cursus sit amet ultrices sed, dictum quis felis. Praesent eget diam in mauris accumsan posuere. Mauris ornare rhoncus nunc, ac varius tellus congue eget. Ut vitae tellus a dolor viverra cursus sed non lectus. Maecenas in velit vel lectus tempor ornare eget eget dolor. Nulla felis enim, venenatis at interdum sit amet, auctor at nisl. Duis sed mauris elit, et volutpat felis. Praesent vitae ante sed ante sagittis consectetur nec et arcu. Sed venenatis ligula id nisl imperdiet convallis.</p>\r\n<p>[space height="10"]</p>', 1, 81, '2011-05-26 16:52:24', 86, '', '2014-03-24 03:59:45', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:52:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c15.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c15.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 62, 3, '', '', 1, 370, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(116, 223, 'Seni senectus aliquet ', 'ursus-senectus-aliquet-pretium', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 81, '2011-05-26 16:53:19', 86, '', '2014-03-17 16:03:56', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:53:19', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c6.jpg","float_fulltext":"","image_fulltext_alt":"In erat urna, tincidunt nec pulvinar","image_fulltext_caption":"In erat urna, tincidunt nec pulvinar"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 2, '', '', 1, 19, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(117, 224, 'Tanra mes pede elit', 'tames-pede-elit', '<p>Gimes pede elit nibh at risus tempus. Nulla semper ac nec sit massa In Curabitur id risus sit. Non ante gravida eros quis justo sed nonummy et velit orci sagittis eu</p>\r\n', '\r\n<p>Vestibulum ullamcorper varius nisl, ac ornare libero laoreet a. Nam lobortis feugiat quam nec consequat. Proin ut orci et nibh vestibulum sodales nec a felis. Etiam mollis gravida laoreet. Sed at eros nulla. Quisque ut orci ut mauris egestas volutpat. Vestibulum lectus diam, dictum nec sagittis interdum, tincidunt vitae elit. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Morbi erat velit, gravida rutrum pulvinar at, aliquam id mi. Sed non augue mauris. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nullam porttitor vulputate ipsum in aliquam. Vivamus semper dui nec nulla rhoncus non suscipit velit aliquam. Nam orci metus, pulvinar at rhoncus ac, ultrices id orci. Praesent rutrum faucibus ante rhoncus lobortis.</p>\r\n<p>Nullam a felis leo, eget iaculis odio. In vulputate auctor rutrum. Sed ligula metus, imperdiet tincidunt sagittis vitae, iaculis at sapien. Aliquam viverra nisi vitae mauris congue vitae interdum elit tincidunt. Aliquam orci arcu, tempor ut euismod eget, rhoncus non quam. Aenean sed nisl eu tortor sodales tempor. Aenean ultricies ornare auctor. Mauris et turpis ante, nec molestie erat. Curabitur congue ante vel odio tincidunt elementum. Donec a fringilla augue. Mauris est ligula, pretium ultrices adipiscing quis, faucibus quis elit.</p>\r\n<p>Nam sed risus ante, nec feugiat purus. Maecenas volutpat volutpat volutpat. Duis ornare eleifend congue. Maecenas elementum porta nulla ut vulputate. Fusce vel erat neque. Phasellus mi massa, rutrum a mollis eu, rutrum ut risus. Aenean non augue risus. Phasellus porta mi quis mauris cursus ac euismod leo interdum. In hac habitasse platea dictumst. Donec pulvinar luctus velit sit amet hendrerit.</p>\r\n<p>Vivamus non justo leo. Morbi posuere lacinia elit, in feugiat augue ornare et. Aenean sodales tincidunt volutpat. Cras eleifend ornare lobortis. Suspendisse ornare mauris dui. Pellentesque a euismod nulla. Sed ac ante id dui hendrerit porttitor at quis felis. Nulla dui sapien, sollicitudin at semper non, auctor sit amet orci. Fusce mattis gravida velit, sed iaculis purus consequat et. Nullam ut metus at velit tristique tempus id ac quam. Suspendisse non suscipit nisi. Integer non malesuada purus.</p>\r\n<p>Suspendisse mauris ligula, convallis ac consectetur vel, condimentum non massa. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Nunc mattis hendrerit laoreet. Suspendisse potenti. Proin vel auctor diam. Morbi mattis tellus in elit ullamcorper eu vulputate dui cursus. Nulla facilisi. Donec tristique dictum justo et pretium. Sed vestibulum, nisl nec tempus volutpat, mi mi aliquam urna, non egestas turpis ante et velit.</p>\r\n<p>Ut ac sapien purus. Suspendisse sollicitudin mattis lectus, at elementum nunc facilisis vel. Mauris a massa nibh, at blandit felis. Sed iaculis enim nisi. Mauris lobortis lacus nisi. Integer blandit augue dui. Quisque dolor orci, congue fringilla aliquam id, pellentesque sit amet justo. Vestibulum magna enim, lacinia at vulputate id, porta sed nulla. Curabitur ante dolor, iaculis vel pharetra non, sodales sit amet ligula. Fusce id lacus sapien, et facilisis erat. Integer non libero est. Nunc nisl felis, egestas eget ultricies ac, lobortis a quam. </p>\r\n<p>Nam eget tempus enim. Mauris id dui mi. In hac habitasse platea dictumst. In vitae cursus sem. Mauris porta placerat metus vitae tempus. Mauris imperdiet accumsan molestie. Donec orci nulla, feugiat fermentum bibendum id, dignissim nec nisl. Sed ultricies turpis sodales quam vestibulum non hendrerit odio lacinia. Duis in porttitor ipsum. Quisque vestibulum nibh a quam varius quis pellentesque augue placerat. Donec justo massa, interdum in malesuada sit amet, lobortis at arcu. Suspendisse odio est, consectetur eu tincidunt et, convallis id est. Cras nisl nunc, ultrices at varius eu, facilisis sit amet nisi. Mauris volutpat nisi eget orci iaculis molestie. In vestibulum, metus a lobortis luctus, leo ipsum mollis eros, at malesuada magna mi eget turpis. Quisque lectus libero, porta et posuere egestas, sodales vel diam.</p>\r\n<div> </div>', 1, 81, '2011-05-26 16:44:15', 86, '', '2014-03-25 02:03:42', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:44:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(118, 225, 'Nal pede elit nibh ', 'mes-pede-elit-nibh', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 81, '2011-05-26 16:48:10', 86, '', '2014-03-17 16:02:18', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:48:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c26.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c26.jpg","float_fulltext":"","image_fulltext_alt":"Nal pede elit nibh ","image_fulltext_caption":"Nal pede elit nibh "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(128, 235, 'Features', 'features', '<p><strong>Yt Framework</strong> uses xml file to render your layout.  The framework  supports all general features of a joomla template. The  below is the  list of features:</p>\r\n<ul>\r\n<li>Multiple Layouts: Left-Main-Right,  Left-Main, Main-Right, etc. With  xml file, you can easy to create some  layouts for a joomla template</li>\r\n<li>Mobile Ready</li>\r\n<li>Table-less Layout</li>\r\n<li>Search Engine Friendly</li>\r\n<li>Modules Types</li>\r\n<li>Cross-browser Support</li>\r\n<li>Typography</li>\r\n<li>Validation</li>\r\n<li>Template Parameters</li>\r\n<li>Google Font</li>\r\n<li>Font Size</li>\r\n<li>RTL language support</li>\r\n</ul>', '', 1, 9, '2011-06-29 03:10:46', 86, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2011-06-29 03:10:46', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 1, 5, '', '', 1, 338, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(129, 236, 'Module Variations', 'module-variations', '<p><strong> Enter any available suffixes at Extensions - Module Manager - Module - Module Class Suffix. </strong></p>\r\n<p>This template''s module system comes with a wide range of module styles, color variations, badges and icons. Below you can see which module styles come with color variations and with which badges and icons you can combine them.Here is a list of the available options:</p>\r\n<table class="variations">\r\n<tbody>\r\n<tr class="odd">\r\n<td class="bold">Box</td>\r\n<td>Default, Box 1, Box 2, Box 3</td>\r\n</tr>\r\n<tr class="odd">\r\n<td class="bold">Badge</td>\r\n<td>Badge_new, Badge_hot, Badge_cool, Badge_best</td>\r\n</tr>\r\n<tr>\r\n<td class="bold">Icons</td>\r\n<td>icon-bell, icon-comment-alt.vv.. You can find the full icons of usage at <a href="http://fortawesome.github.io/Font-Awesome/3.2.1/" target="_blank">Font Awesome3.2.1 </a></td>\r\n</tr>\r\n<tr class="odd">\r\n<td class="bold">Responsive</td>\r\n<td>visible-phone, visible-tablet, visible-desktop, hidden-phone , hidden-tablet , hidden-desktop</td>\r\n</tr>\r\n<tr>\r\n<td class="bold">Other</td>\r\n<td>clear, menu</td>\r\n</tr>\r\n</tbody>\r\n</table>', '', 1, 9, '2011-06-29 03:31:50', 86, '', '2014-03-24 07:46:46', 660, 0, '0000-00-00 00:00:00', '2011-06-29 03:31:50', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 4, '', '', 1, 2421, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(130, 237, 'Positions', 'positions', '<p>This Joomla! template supports a wide variety of module positions which can be archived automatically by the system.The module positions are fully collapsible mean that if there are no modules published in particular position, this module position will disappear and the other modules with take this place. Also you can have 2-Columns layout (content, left or right)</p>\r\n<p><a class="button" href="images/Position.jpg" target="_blank" data-rel="prettyPhoto">Click here to view clearer picture</a></p>', '', 1, 9, '2011-06-29 03:32:22', 86, '', '2014-03-27 09:11:41', 660, 0, '0000-00-00 00:00:00', '2011-06-29 03:32:22', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 3, '', '', 1, 110, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(131, 238, 'Extensions', 'extenstions', '<p><strong>This Template is using:</strong></p>\r\n<p>[list type="smallnumber5"] [list_item]</p>\r\n<p><strong> Modules:</strong></p>\r\n<ul style="margin: 0 20px;">\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/free-extensions/item/158-sj-moduletabs" target="_blank">SJ Module Tabs</a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/69-sj-content-slick-slider-joomla-module" target="_blank">SJ Content Slick Slider </a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/67-sj-k2-extra-slider-joomla-module" target="_blank">SJ K2 Extra Slider </a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/410-sj-responsive-listing-for-k2-joomla-module" target="_blank">SJ Responsive Listing for K2</a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/60-sj-k2-slider-joomla-module" target="_blank">SJ K2 Slider</a></li>\r\n</ul>\r\n<p>[/list_item] [list_item]</p>\r\n<p><strong> Plugins</strong></p>\r\n<ul style="margin: 0 20px;">\r\n<li>Yt Plugin</li>\r\n<li>SJ Core Plugin</li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/537-sj-listing-ajax-for-k2-joomla-plugin">SJ Listing Ajax for K2</a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/563-sj-listing-ajax-for-content-joomla-plugin">SJ Listing Ajax for Content</a></li>\r\n<li><a href="http://www.smartaddons.com/joomla/extensions/free-extensions/item/252-sj-content-related-news-joomla-plugin">Sj Content Related News</a></li>\r\n</ul>\r\n<p>[/list_item] [/list]</p>', '', 1, 9, '2011-06-29 03:33:13', 86, '', '2014-03-31 09:55:47', 660, 0, '0000-00-00 00:00:00', '2011-06-29 03:33:13', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 18, 2, '', '', 1, 219, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(133, 240, 'Typography', 'typography', '<p> </p>\r\n<!-- Headings\r\n================================================== -->\r\n<div class="yt-typography">\r\n<div class="page-header">\r\n<h1>Headings</h1>\r\n</div>\r\n<div class="accordion-body in">\r\n<section id="Headings">\r\n<p>All HTML headings, <code>&lt;h1&gt;</code> through <code>&lt;h6&gt;</code> are available.</p>\r\n<div class="bs-docs-example">\r\n<h1>h1. Heading 1</h1>\r\n<h2>h2. Heading 2</h2>\r\n<h3>h3. Heading 3</h3>\r\n<h4>h4. Heading 4</h4>\r\n<h5>h5. Heading 5</h5>\r\n<h6>h6. Heading 6</h6>\r\n</div>\r\n<h2 id="body-copy">Body copy</h2>\r\n<p>Bootstrap''s global default <code>font-size</code> is <strong>14px</strong>, with a <code>line-height</code> of <strong>20px</strong>. This is applied to the <code>&lt;body&gt;</code> and all paragraphs. In addition, <code>&lt;p&gt;</code> (paragraphs) receive a bottom margin of half their line-height (10px by default).</p>\r\n<div class="bs-docs-example">\r\n<p>Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec ullamcorper nulla non metus auctor fringilla. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;p&gt;</span><span class="pln">...</span><span class="tag">&lt;/p&gt;</span></pre>\r\n<h3>Lead body copy</h3>\r\n<p>Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<div class="bs-docs-example">\r\n<p class="lead">Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;p</span><span class="atn">class</span><span class="pun">=</span><span class="atv">"lead"</span><span class="tag">&gt;</span><span class="pln">...</span><span class="tag">&lt;/p&gt;</span></pre>\r\n<h3>Built with Less</h3>\r\n<p>The typographic scale is based on two LESS variables in <strong>variables.less</strong>: <code>@baseFontSize</code> and <code>@baseLineHeight</code>. The first is the base font-size used throughout and the second is the base line-height. We use those variables and some simple math to create the margins, paddings, and line-heights of all our type and more. Customize them and Bootstrap adapts.</p>\r\n<hr class="bs-docs-separator" />\r\n<h2 id="emphasis">Emphasis</h2>\r\n<p>Make use of HTML''s default emphasis tags with lightweight styles.</p>\r\n<h3><code>&lt;small&gt;</code></h3>\r\n<p>For de-emphasizing inline or blocks of text, <small>use the small tag.</small></p>\r\n<div class="bs-docs-example">\r\n<p><small>This line of text is meant to be treated as fine print.</small></p>\r\n</div>\r\n<pre class="prettyprint">&lt;p&gt;\r\n     &lt;small&gt;This line of text is meant to be treated as fine print. &lt;/small&gt;\r\n&lt;/p&gt;</pre>\r\n<h3>Bold</h3>\r\n<p>For emphasizing a snippet of text with a heavier font-weight.</p>\r\n<div class="bs-docs-example">\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;strong&gt;</span><span class="pln">rendered as bold text</span><span class="tag">&lt;/strong&gt;</span></pre>\r\n<h3>Italics</h3>\r\n<p>For emphasizing a snippet of text with italics.</p>\r\n<div class="bs-docs-example">\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n</div>\r\n<pre class="prettyprint"><span class="tag">&lt;em&gt;</span><span class="pln">rendered as italicized text</span><span class="tag">&lt;/em&gt;</span></pre>\r\n<p><span class="label label-info">Heads up!</span> Feel free to use <code>&lt;b&gt;</code> and <code>&lt;i&gt;</code> in HTML5. <code>&lt;b&gt;</code> is meant to highlight words or phrases without conveying additional importance while <code>&lt;i&gt;</code> is mostly for voice, technical terms, etc.</p>\r\n<h3>Emphasis classes</h3>\r\n<p>Convey meaning through color with a handful of emphasis utility classes.</p>\r\n<div class="bs-docs-example">\r\n<p class="muted">Fusce dapibus, tellus ac cursus commodo, tortor mauris nibh.</p>\r\n<p class="text-warning">Etiam porta sem malesuada magna mollis euismod.</p>\r\n<p class="text-error">Donec ullamcorper nulla non metus auctor fringilla.</p>\r\n<p class="text-info">Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis.</p>\r\n<p class="text-success">Duis mollis, est non commodo luctus, nisi erat porttitor ligula.</p>\r\n</div>\r\n<pre class="prettyprint linenums">&lt;p class="muted"&gt;Fusce dapibus, tellus ac cursus commodo, tortor mauris nibh.&lt;/p&gt;\r\n&lt;p class="text-warning"&gt;Etiam porta sem malesuada magna mollis euismod.&lt;/p&gt;\r\n&lt;p class="text-error"&gt;Donec ullamcorper nulla non metus auctor fringilla.&lt;/p&gt;\r\n&lt;p class="text-info"&gt;Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis.&lt;/p&gt;\r\n&lt;p class="text-success"&gt;Duis mollis, est non commodo luctus, nisi erat porttitor ligula.&lt;/p&gt;</pre>\r\n</section>\r\n</div>\r\n<!-- Labels and badges\r\n================================================== -->\r\n<div class="page-header">\r\n<h1>Labels and badges</h1>\r\n</div>\r\n<h3>Labels</h3>\r\n<table class="table table-bordered table-striped">\r\n<thead>\r\n<tr><th>Labels</th><th>Markup</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td><span class="label">Default</span></td>\r\n<td><code>&lt;span class="label"&gt;Default&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-success">Success</span></td>\r\n<td><code>&lt;span class="label label-success"&gt;Success&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-warning">Warning</span></td>\r\n<td><code>&lt;span class="label label-warning"&gt;Warning&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-important">Important</span></td>\r\n<td><code>&lt;span class="label label-important"&gt;Important&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-info">Info</span></td>\r\n<td><code>&lt;span class="label label-info"&gt;Info&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td><span class="label label-inverse">Inverse</span></td>\r\n<td><code>&lt;span class="label label-inverse"&gt;Inverse&lt;/span&gt;</code></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<h3>Badges</h3>\r\n<table class="table table-bordered table-striped">\r\n<thead>\r\n<tr><th>Name</th><th>Example</th><th>Markup</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td>Default</td>\r\n<td><span class="badge">1</span></td>\r\n<td><code>&lt;span class="badge"&gt;1&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Success</td>\r\n<td><span class="badge badge-success">2</span></td>\r\n<td><code>&lt;span class="badge badge-success"&gt;2&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Warning</td>\r\n<td><span class="badge badge-warning">4</span></td>\r\n<td><code>&lt;span class="badge badge-warning"&gt;4&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Important</td>\r\n<td><span class="badge badge-important">6</span></td>\r\n<td><code>&lt;span class="badge badge-important"&gt;6&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Info</td>\r\n<td><span class="badge badge-info">8</span></td>\r\n<td><code>&lt;span class="badge badge-info"&gt;8&lt;/span&gt;</code></td>\r\n</tr>\r\n<tr>\r\n<td>Inverse</td>\r\n<td><span class="badge badge-inverse">10</span></td>\r\n<td><code>&lt;span class="badge badge-inverse"&gt;10&lt;/span&gt;</code></td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n<!-- Code\r\n================================================== -->\r\n<div class="page-header">\r\n<h1>Code</h1>\r\n</div>\r\n<div class="accordion-body ">\r\n<div class=" first-child span6">\r\n<h2>Inline</h2>\r\n<p>Wrap inline snippets of code with <code>&lt;code&gt;</code>.</p>\r\n<div class="bs-docs-example">For example, <code>&lt;section&gt;</code> should be wrapped as inline.</div>\r\n<div class="prettyprint linenums"><ol class="linenums">\r\n<li class="L0"><span class="typ">For</span><span class="pln"> example</span><span class="pun">,</span><span class="pln"> </span><span class="str">&lt;code&gt;&lt;section&gt;</span><span class="pun">&lt;/</span><span class="pln">code</span><span class="pun">&gt;</span><span class="pln"> should be wrapped </span><span class="kwd">as</span><span class="pln"> </span><span class="kwd">inline</span><span class="pun">.</span></li>\r\n</ol></div>\r\n<p><strong>Note:</strong> Be sure to keep code within <code>&lt;pre&gt;</code> tags as close to the left as possible; it will render all tabs.</p>\r\n<p>You may optionally add the <code>.pre-scrollable</code> class which will set a max-height of 350px and provide a y-axis scrollbar.</p>\r\n</div>\r\n<div class="span6">\r\n<h2>Basic block</h2>\r\n<p>Use <code>&lt;pre&gt;</code> for multiple lines of code. Be sure to escape any angle brackets in the code for proper rendering.</p>\r\n<div class="bs-docs-example">\r\n<pre>   &lt;p&gt;Sample text here...&lt;/p&gt;</pre>\r\n</div>\r\n<pre class="prettyprint linenums" style="margin-bottom: 9px;">&lt;pre&gt;\r\n  &amp;lt;p&amp;gt;Sample text here...&amp;lt;/p&amp;gt;\r\n&lt;/pre&gt;</pre>\r\n</div>\r\n<div class="clear"> </div>\r\n<div class="span12">\r\n<h2>Prettify</h2>\r\n<p>To add colored syntax highlight to the <code>&lt;pre&gt;</code> tag, then use the <code>.prettyprint</code> class or the <code>.prettyprint linenums</code> class.</p>\r\n<div class="bs-docs-example">\r\n<pre class="prettyprint linenums">&lt;?php /** Begin Debug **/ if ($yt-&gt;countModules(''debug'')) : ?&gt;\r\n    &lt;div id="yt-debug"&gt;\r\n        &lt;div class="yt-container"&gt;\r\n            &lt;php echo $yt-&gt;displayModules(''debug'',''standard''); ?&gt;\r\n            &lt;div class="clear"&gt;&lt;/div&gt;\r\n        &lt;/div&gt;\r\n    &lt;/div&gt;\r\n&lt;?php /** End Debug **/ endif; ?&gt;</pre>\r\n</div>\r\n<pre class="prettyprint linenums" style="margin-bottom: 9px;">&amp;lt;?php /** Begin Debug **/ if ($yt-&gt;countModules(''debug'')) : ?&amp;gt;\r\n    &amp;lt;div id="yt-debug"&amp;gt;\r\n        &amp;lt;div class="yt-container"&amp;gt;\r\n            &amp;lt;php echo $yt-&gt;displayModules(''debug'',''standard''); ?&amp;gt;\r\n            &amp;lt;div class="clear"&amp;gt;&amp;lt;/div&amp;gt;\r\n        &amp;lt;/div&amp;gt;\r\n    &amp;lt;/div&amp;gt;\r\n&amp;lt;?php /** End Debug **/ endif; ?&amp;gt;</pre>\r\n</div>\r\n</div>\r\n</div>\r\n<section class="clearfix clear" style="padding: 2em 0;"><em>The documented typography above is a modified version of the reference guide available at: <a href="http://twitter.github.com/bootstrap/base-css.html">http://twitter.github.com/bootstrap/base-css.html</a></em></section>', '', 1, 9, '2011-10-31 10:10:56', 86, '', '2014-02-28 04:46:24', 315, 0, '0000-00-00 00:00:00', '2011-10-31 10:10:56', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 119, 11, '', '', 1, 589, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(155, 276, 'Page break example ', 'page-break-example', '<div class="gallery page-break">\r\n<h3>First paragraph</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Maecenas libero odio, fringilla a elementum nec, iaculis a tortor. Praesent eget tortor leo. Cras bibendum mauris ut metus lacinia cursus. Aenean posuere diam quis quam aliquet nec dignissim orci convallis. Mauris molestie tincidunt convallis. Curabitur vestibulum vehicula erat eget placerat.Donec mattis, sapien id ornare interdum, orci nibh egestas nulla, at consectetur nunc libero eget nunc. Sed dignissim nisl at diam</p>\r\n<p>Kus eu laoreet nunc. Tincidunt nulla a Nulla eu convallis scelerisque sociis nulla interdum et. Cursus senectus alique.Ty fames pede elit nibh at risus tempus.Kus eu laoreet nunc. Cursus senectus alique.Ty fames pede elit nibh at risus tempus.</p>\r\n<hr title="The second page" class="system-pagebreak" />\r\n<h3>The second page</h3>\r\n<p>Nulla nec lectus tortor. Suspendisse nisl tellus, euismod non nulla vel, egestas viverra diam. Sed mi metus, lobortis sed tortor eu, vestibulum ornare leo. Proin id porttitor nulla. Suspendisse rhoncus et tortor vitae fermentum. Sed eleifend, velit et facilisis sagittis, lectus turpis posuere enim, euismod aliquam justo orci eu lorem.</p>\r\n<p>Nunc eu est iaculis; posuere nisi imperdiet, malesuada justo. Cras lacus sem, sagittis et commodo eu, tempor eleifend tellus. Nulla ac augue dapibus justo porttitor feugiat nec non velit. Duis eget blandit eros. Nullam non molestie nisi, quis bibendum purus. Etiam pellentesque risus sed eleifend adipiscing. Quisque consectetur nisl quis ullamcorper ullamcorper?</p>\r\n<hr title="The third page" class="system-pagebreak" />\r\n<h3>The third page</h3>\r\n<p>Cras mattis consectetur purus sit amet fermentum. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec id elit non mi porta gravida at eget metus. Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros.</p>\r\n<p>Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>\r\n<hr title="The fourth page" class="system-pagebreak" />\r\n<h3>The fourth page</h3>\r\n<p>Praesent commodo cursus magna, vel scelerisque nisl consectetur et. Nullam id dolor id nibh ultricies vehicula ut id elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper.</p>\r\n<p>Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n</div>', '', 1, 91, '2012-11-30 03:50:46', 86, '', '2014-03-24 03:51:25', 660, 0, '0000-00-00 00:00:00', '2012-11-30 03:50:46', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 41, 4, '', '', 1, 215, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(176, 299, 'FAQ', 'faq', '<h5 class="title">Got Questions? We’ve Got Answers!</h5>\r\n<p>Asunt in anim uis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum. Allamco laboris nisi ut aliquip ex ea commodo consequat. Aser velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum.</p>\r\n<p>[space height=''20'']</p>\r\n<div class="row">\r\n<div class="col-lg-8">[accordion] [acc_item title="I do not have a Paypal account. Do you support other payment methods?"] Yes! You can pay through all of payment gateways that Paypal or 2Checkout supports including all major types of Credit cards. Visit Paypal and 2Checkout for more information. [/acc_item] [acc_item title="How can I join the SmartAddons Club for Products?"]\r\n<p><strong> Please try to do steps: </strong></p>\r\n[list type="smallnumber5"]\r\n<ul>\r\n<li>Click "Join Now", select the membership package and make your payment via Paypal or 2Checkout. Our "Special Offers" and "Promotions" also come at this page.</li>\r\n<li>If your payment is successful, login details to access the Member Download Area will be sent to your email and you can start downloading instantly. This process normally takes less than 5 minutes.</li>\r\n</ul>\r\n[/list] [/acc_item] [acc_item title="Which Joomla! membership package is the best for me?"]\r\n<p><strong> You are recommended to register the following packages as they will bring to you the best benefits: </strong></p>\r\n[list type="star"]\r\n<ul>\r\n<li>Joomla Template Club - Business License</li>\r\n<li>Joomla Template Club - Developer License</li>\r\n<li>Joomla Extension Club - Business License</li>\r\n<li>Joomla Extension Club - Developer License</li>\r\n</ul>\r\n[/list] [/acc_item] [acc_item title="How much does it cost?"] We have many Membership Packages for you to choose. Each package has different prices, durations and number of Supported domain. The membership duration starts instantly from the moment you make payment and receive login details from smartaddons.com. Visit our <b> <a href="../../register.html">Join Now</a></b> Page to view the various memberships available for the products with details.[/acc_item] [acc_item title="SmartAddons membership fee is one-time fee, or I have to pay extra?"] When your membership is expired, you can still use all our templates, extensions downloaded during your membership period without paying any extra fee. However, in order to continue downloading our new/update/upgrade templates/extensions or access to Download area, you should renewal your membership. [/acc_item] [/accordion]</div>\r\n<div class="col-lg-4">\r\n<h5>[icon name="envelope-alt" size="20" color="#666" ] One More Question?</h5>\r\n<p>Asunt in anim uis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum. Allamco laboris nisi ut aliquip ex ea commodo consequat. Aser velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in anim id est laborum.</p>\r\n<p><a class="button " href="#" target="_blank" rel="slides[buttonlightbox]"><strong>Get in Touch</strong></a></p>\r\n</div>\r\n</div>', '', 1, 91, '2013-02-25 04:45:21', 86, '', '2014-01-24 09:56:22', 315, 0, '0000-00-00 00:00:00', '2013-02-25 04:45:21', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 34, 10, '', '', 1, 163, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(177, 300, 'Join now', 'join-now', '<div class="join-now">\r\n<h2><a href="index.php?option=com_content&amp;view=article&amp;id=177&amp;catid=91&amp;Itemid=787">Join now</a></h2>\r\n<p class="fontsize_l">6353+ people were not wrong choosing <strong>SmartAddons Club</strong>. Get access to all our clubs within 3 minutes.</p>\r\n<ul class="c-step">\r\n<li class="item1 active">\r\n<h3>Step 1</h3>\r\nSelect the right package</li>\r\n<li class="item2">\r\n<h3>Step 2</h3>\r\nOrder Info/Payment option</li>\r\n<li class="item3">\r\n<h3>Step 3</h3>\r\nComplete &amp; Receive download info</li>\r\n</ul>\r\n<p>[tabs style="blue"] [tab_item title="Joomla Templates Club"] [pricing columns="3" style="blue"] [plan title="JEC Personal" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=4" button_label="Join Now" price="$49 " featured="false" per="3 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>1 </strong> Domains License <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>Source Files (.psd)</li>\r\n<li>Copyright Removal <a class="boxtip" href="#" rel="tooltip" data-original-title="Personal members must keep the SmartAddons logo that is found on the footer of each template. If you want to remove Copyright by Smartaddons.Com, you can purchase Copyright Removal package..">(?) </a></li>\r\n<li>Access to AppStore Templates</li>\r\n<li>No Discount <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JEC Business" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=5" button_label="Join Now" price="$79" featured="false" per="6 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>5 </strong> Domains License <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>Source Files (.psd)</li>\r\n<li>Copyright Removal <a class="boxtip" href="#" rel="tooltip" data-original-title="Personal members must keep the SmartAddons logo that is found on the footer of each template. If you want to remove Copyright by Smartaddons.Com, you can purchase Copyright Removal package..">(?) </a></li>\r\n<li>Access to AppStore Templates</li>\r\n<li>No Discount 10% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JEC Developer" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=6" button_label="Join Now" price="$199" featured="false" per="1 Year"]</p>\r\n<ul class="pricing-list">\r\n<li>Unlimited Domains License <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>Source Files (.psd)</li>\r\n<li>Copyright Removal <a class="boxtip" href="#" rel="tooltip" data-original-title="Personal members must keep the SmartAddons logo that is found on the footer of each template. If you want to remove Copyright by Smartaddons.Com, you can purchase Copyright Removal package..">(?) </a></li>\r\n<li>Access to AppStore Templates</li>\r\n<li>No Discount 30% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [/pricing] [/tab_item] [tab_item title="Joomla Extensions Club"] [pricing columns="3" style="blue"] [plan title="JEC Personal" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=1" button_label="Join Now" price="$49 " featured="false" per="3 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>1 </strong> Domains Limit <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>No Discount <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JEC Business" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=2" button_label="Join Now" price="$79" featured="false" per="6 month"]</p>\r\n<ul class="pricing-list">\r\n<li><strong>5 </strong> Domains Limit <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>No Discount 10% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [plan title="JEC Developer" button_link="http://www.smartaddons.com/index.php?option=com_osemsc&amp;view=register&amp;Itemid=292&amp;step=step2&amp;layout=twocolumns&amp;msc_id=3" button_label="Join Now" price="$99" featured="false" per="1 Year"]</p>\r\n<ul class="pricing-list">\r\n<li>Domains Unlimited <a class="boxtip" href="#" rel="tooltip" data-original-title="Number of domains supported: you are entitled to install our products. The membership you purchase specifies the total number of domains supported.">(?) </a></li>\r\n<li><strong>Access to All Templates <a class="boxtip" href="#" rel="tooltip" data-original-title="You can download and use any available templates.">(?) </a> </strong></li>\r\n<li><strong>Access to All Extensions <strong><a class="boxtip" href="#" rel="tooltip" data-original-title="You can download extensions included in templates only. All Extensions of SmartAddons can be downloaded with Developer Membership">(?) </a></strong> </strong></li>\r\n<li>No Discount 30% <a class="boxtip" href="#" rel="tooltip" data-original-title="In case you require to renew your membership after it has expired you can benefit from the discount options that we offer.">(?) </a></li>\r\n<li>Support Forum / Ticket</li>\r\n</ul>\r\n<p>[/plan] [/pricing] [/tab_item] [/tabs]</p>\r\n<p>[space height="20"]</p>\r\n<h2 class="fontsize_l">Frequently Asked Questions</h2>\r\n<p>Frequently asked questions for our Joomla! Templates Club memberships.</p>\r\n<p>[accordion] [acc_item title="What will I get after I join a membership plan?"]</p>\r\n<p><strong>1. Template Membership</strong>: After you join the club, you will immediately access the download area of the templates. There you should find your favorite template and download it. You will see two parts for each download: The Source Files and The All In One Package. The All In One Package contains all the files that are necessary to install the template on the site: the Template file, the Cloner Installer to make your site exactly like the demo, all the modules, components and plug-ins included in that template and of course the documentation guide. The Source Files package contains the Adobe Photoshop files so that you can easily edit the design part of the template.</p>\r\n<p><strong>2. Extension Membership</strong>: After you join the club, you will immediately access the download area of the extensions. There you should find your favorite extension and download it.</p>\r\n<p>[/acc_item] [acc_item title="What payment methods do you accept?"] We accept PayPal payments, credit cards (major credit cards like Visa, MasterCard, Maestro, American express etc.). The payments are managed by 2CheckOut, one of the most powerful payment gateway systems. They are completely secure as you are the only one who has access to your financial information. You may also pay through bank transfer. Please, contact us for further details regarding the payment methods. [/acc_item] [acc_item title="What will happen after my membership expires?"] After your membership expires you may continue using the same template/extension you have downloaded and installed on your domain. In fact, you may use the same template/extension for lifetime if you wish. No other payment is required to keep the same template/extension. The payment is a one-time fee. However, you won''t be able to have support from SmartAddons after the expiry. Support is given as long as you are an active member. [/acc_item] [acc_item title="Membership fees are refundable?"] Yes, we have a money back program that refunds completely your payment, if it is asked for it up to 7 days after your subscription day. Although it is a money back program, we will need a valid reason to refund your payment. We can''t accept motives like "I didn''t notice this product was for Joomla" or "I didn''t realize this template doesn''t work with Joomla 1.5". Of course, we take our responsibility for any possible problem with our products and will refund your money if we haven''t delivered you the promised product. [/acc_item] [acc_item title="How many templates/extensions am I allowed to download/use? "] The number of the templates/extensions that you may use depends on the membership plan that you have joined. You are free to download as many templates/extensions as you consider appropriate in order to test and check them out, regardless the plan that you chose. However, you may not take advantage of every template/extensions that you have downloaded. The membership plan limits you to a specific number of domains in which you can install the templates/extensions. For Personal Membership this is two, meaning that you can use two domains. For Business Membership and Developer Membership the number is Unlimited, meaning that there is no limit in the number of domains to be created. [/acc_item] [acc_item title="Can I use the templates/extensions for non commercial and nonprofit sites? "] You may use the templates/extensions for commercial and non commercial purpose. You may use it to create your company''s or personal website. If you are a designer or a freelancer, you can use them for your clients. Our templates/extensions have been also used from non profits organizations and institutions, as well as churches. However, you may not use our templates/extensions to create sites which convey to inappropriate content like crime, violence, threatening etc. [/acc_item] [/accordion]</p>\r\n<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n</div>', '', 1, 91, '2013-02-25 08:30:29', 86, '', '2014-03-24 02:41:48', 660, 0, '0000-00-00 00:00:00', '2013-02-25 08:30:29', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 67, 9, '', '', 1, 439, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(178, 301, 'About us', 'about-us', '<div class="about-page">\r\n<h2><a href="index.php?option=com_content&amp;view=article&amp;id=178&amp;catid=91&amp;Itemid=789">About us</a></h2>\r\n<div class="g-pageteam">\r\n<div class="b-block">[lightbox src="images/demo/276x157.png" width="338" height="248" lightbox="off" title="Vestibulum id urna" align="left" ]\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales posuere egestas elit. Quisque sodales pulvinar dolor eu facilisis. Proin in feugiat nisi. Donec feugiat purus eget ipsum aliquet rhoncus.</p>\r\n<p>Aliquam aliquam consequat laoreet. Proin eu magna et odio facilisis viverra vitae et dolor. Fusce enim elit, pulvinar at vestibulum faucibus, eleifend sit amet massa. Vestibulum mattis felis a ante vestibulum varius. Ut in nisi eu mi semper interdum sit amet a magna. Curabitur eget sapien sem, non pretium augue.</p>\r\n</div>\r\n<div class="row content-about">\r\n<div class="span6">\r\n<div class="content"><a href="#"><span class="fa fa-desktop fa-3x">  </span></a>\r\n<h3 class="h-title"><a href="index.php?option=com_content&amp;view=article&amp;id=178&amp;catid=91&amp;Itemid=789">Computer Review teams</a></h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo.</p>\r\n</div>\r\n<div class="content"><a href="#"><span class=" fa fa-tablet fa-3x"> </span></a>\r\n<h3 class="h-title"><a href="index.php?option=com_content&amp;view=article&amp;id=178&amp;catid=91&amp;Itemid=789">Tablet, Phablet Review teams</a></h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo.</p>\r\n</div>\r\n</div>\r\n<div class="span6">\r\n<div class="content"><a href="#"><span class="fa fa-mobile fa-4x">  </span></a>\r\n<h3 class="h-title "><a href="index.php?option=com_content&amp;view=article&amp;id=178&amp;catid=91&amp;Itemid=789">Smartphone Review Teams</a></h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo.</p>\r\n</div>\r\n<div class="content"><a href="#"><span class=" fa fa-camera-retro fa-3x">  </span></a>\r\n<h3 class="h-title"><a href="index.php?option=com_content&amp;view=article&amp;id=178&amp;catid=91&amp;Itemid=789">Camera Review Teams</a></h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo.</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', 1, 91, '2013-02-26 09:25:46', 86, '', '2014-04-03 10:07:27', 86, 0, '0000-00-00 00:00:00', '2013-02-26 09:25:46', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 133, 8, '', '', 1, 546, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(179, 302, 'Shortcodes', 'short-codes', '<div style="text-align: center;"><a href="http://www.smartaddons.com/joomla/extensions/commercial-extensions/item/564-yt-shortcode-joomla-plugin" target="_blank"><img src="images/shortcode/shortcode.jpg" alt="YT Shortcode" /> </a></div>\r\n<p>[space height="20"]</p>\r\n<div style="text-align: center;">\r\n<p>[button type="flat inverse" target="_blank" link="http://demo.smartaddons.com/extensions/yt-shortcode/index.php"] View all example YT Shortcode [/button]</p>\r\n</div>\r\n<p>The shortcodes supports users to make content for web pages. In Joomla administrator, Yt Shortcodes button will be appeared below the text-area, you can choose shortcodes for the text-area to make content. We will show <strong>bonus pages</strong> for sample in some templates using shortcodes from now.</p>\r\n<p class="text-error"><strong>Note:</strong> Shortcodes only works in <strong>detail</strong> article (joomla! content, k2 content), custom html module.</p>\r\n<p><strong>YT Shortcode User-guide:</strong></p>\r\n<p>Let''s go to <a style="color: #0291ff;" href="http://smartaddons.s3.amazonaws.com/images/userguide/Yt-Shortcodes/index.html" target="blank">here</a> for reading full help documentation of YT Shortcode Plugin</p>', '', 1, 9, '2013-03-07 07:14:55', 86, '', '2014-04-01 10:18:43', 660, 86, '2014-04-02 08:33:53', '2013-03-07 07:14:55', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 47, 7, '', '', 1, 627, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(180, 303, 'Testimonials', 'testimonials', '<div class="span12 testimonial">\r\n<h3 class="title">Testimonials</h3>\r\n<p>[space height=''30'']</p>\r\n<div class="span5">[testimonial author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n<p>[/testimonial]</p>\r\n</div>\r\n<div class="span5">[testimonial style="blue" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n<p>[/testimonial]</p>\r\n</div>\r\n<div class="span5">[testimonial style="red" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n<p>[/testimonial]</p>\r\n</div>\r\n<div class="span5">[testimonial style="green" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n<p>[/testimonial]</p>\r\n</div>\r\n<div class="span5">[testimonial style="green" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n[/testimonial]</div>\r\n<div class="span5">[testimonial style="green" author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n[/testimonial]</div>\r\n</div>', '', 1, 91, '2013-03-07 07:51:17', 86, '', '2014-04-04 02:35:45', 86, 0, '0000-00-00 00:00:00', '2013-03-07 07:51:17', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 52, 7, '', '', 1, 330, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(181, 304, 'Services', 'services', '<div class="page-service">\r\n<h2><a href="index.php?option=com_content&amp;view=article&amp;id=181&amp;catid=91&amp;Itemid=791">Services</a></h2>\r\n<div id="g-pageservices">\r\n<p>We provide professional services to small and medium sized businesses as well as to larger companies in Europe and abroad. Specialising in Web Development, we have helped many businesses make their online appearance and interactive campaigns a success. We are specialized in following services.</p>\r\n[space height=''20'']\r\n<div class="row">\r\n<div class="span4">[icon name="flask" align="left" size="39" color="#fff"]\r\n<article>\r\n<h3>Easy To Customize</h3>\r\n<p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p>\r\n<a class="detail" href="#"> Read More</a></article>\r\n</div>\r\n<div class="span4">[icon name="fa fa-cutlery" align="left" size="34" color="#fff"]\r\n<article>\r\n<h3>Ready to Use</h3>\r\n<p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p>\r\n<a class="detail" href="#"> Read More</a></article>\r\n</div>\r\n<div class="span4">[icon name="fa fa-tablet" align="left" size="42" color="#fff"]\r\n<article>\r\n<h3>Responsive Design</h3>\r\n<p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p>\r\n<a class="detail" href="#"> Read More</a></article>\r\n</div>\r\n[space height=''40'']\r\n<div class="span4 first">[icon name="fa fa-search" align="left" size="32" color="#fff"]\r\n<article>\r\n<h3>Search Engines (SEO)</h3>\r\n<p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p>\r\n<a class="detail" href="#"> Read More</a></article>\r\n</div>\r\n<div class="span4">[icon name="fa fa-globe" align="left" size="46" color="#fff"]\r\n<article>\r\n<h3>Web Marketing</h3>\r\n<p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p>\r\n<a class="detail" href="#"> Read More</a></article>\r\n</div>\r\n<div class="span4">[icon name="fa fa-twitter" align="left" size="32" color="#fff"]\r\n<article>\r\n<h3>Social Media</h3>\r\n<p>Aliquam lacinia mi elit, ut accumsan orci. Ut nisl lorem, pharetra vitae sagittis non, commodo id orci. Sed interdum elit a mi ultricies ac lobortis tellus venenatis</p>\r\n<a class="detail" href="#"> Read More</a></article>\r\n</div>\r\n</div>\r\n<hr />\r\n<h2>Who we are?</h2>\r\n<div class="b-block">[lightbox src="http://placehold.it/320x210" lightbox="off" title="Vestibulum id urna" align="left" ]\r\n<article>\r\n<h3>Cras eget congue arcu.</h3>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales posuere egestas elit. Quisque sodales pulvinar dolor eu facilisis. Proin in feugiat nisi.</p>\r\n[list type="check"]\r\n<li>Donec feugiat purus eget ipsum</li>\r\n<li>pulvinar at vestibulum faucibus</li>\r\n<li>Aliquam aliquam consequat laoreet</li>\r\n<li>Curabitur eget sapien sem</li>\r\n<li>Vestibulum mattis felis a ante</li>\r\n[/list]</article>\r\n</div>\r\n<hr />\r\n<h2>What clients say</h2>\r\n<div class="span12 testimonial">\r\n<div class="span4">[testimonial author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n<p>[/testimonial]</p>\r\n</div>\r\n<div class="span4">[testimonial author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n<p>[/testimonial]</p>\r\n</div>\r\n<div class="span4">[testimonial author="Alycia E. Kelly" position="Kelly Financial Group" avatar="images/shortcode/avatar.png" ]\r\n<div class="content-testimonial">\r\n<div class="content-text">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin scelerisque, augue porttitor bibendum facilisis; quam sapien dapibus nisl, ac blandit sem metus quis mauris. Suspendisse in laoreet enim.</div>\r\n<div class="content-bottom"> </div>\r\n</div>\r\n<p>[/testimonial]</p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', 1, 91, '2013-03-08 02:27:34', 86, '', '2014-04-04 02:28:40', 86, 0, '0000-00-00 00:00:00', '2013-03-08 02:27:34', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 76, 6, '', '', 1, 278, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(182, 305, 'Columns', 'columns', '<div id="g-pagecolumn">\r\n    <div class="row-fluid">\r\n        <div class="span12">\r\n            <h3>12 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. Pellentesque placerat lobortis lorem vitae mollis? Morbi leo massa; rhoncus nec lobortis et; vestibulum in quam.Vivamus pellentesque accumsan tincidunt? Sed accumsan auctor dui ut pretium. Mauris dolor est, fringilla a luctus ut, congue ut erat? Ut ante lorem; bibendum a pharetra nec, iaculis at augue. Mauris id lectus lacus. \r\n        </p>  \r\n        </div>\r\n        \r\n        <hr/>\r\n        \r\n        <div class="span6 first-child">\r\n            <h3>6 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span6">\r\n            <h3>6 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. \r\n        </p>  \r\n        </div>\r\n        \r\n        <hr/>\r\n        \r\n        <div class="span4 first-child">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span4">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum.\r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span4">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. \r\n        </p>\r\n        </div>\r\n        \r\n        <hr/>\r\n          \r\n         <div class="span3 first-child">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n         \r\n        <div class="span3">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span3">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n        \r\n        <div class="span3">\r\n            <h3>3 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis \r\n        </p>\r\n        </div>\r\n        \r\n        <hr/>\r\n        <div class="span8 first-child">\r\n            <h3>8 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. Morbi euismod ornare dictum. Pellentesque lorem odio, tincidunt eget tempus ac, sodales sit amet sem. Maecenas laoreet dolor sit amet justo posuere lacinia. Pellentesque placerat lobortis lorem vitae mollis\r\n            </p>\r\n        </div>\r\n        \r\n        <div class="span4">\r\n            <h3>4 Columns</h3>\r\n            <p>\r\n        Donec dapibus pretium auctor. Morbi eget ligula non elit mollis suscipit. Nunc ut sapien sed nisl vehicula molestie! In bibendum tellus purus. Nunc convallis blandit purus non mollis. \r\n            </p>\r\n        </div>\r\n        \r\n        \r\n        \r\n        \r\n    </div>\r\n\r\n</div>', '', 1, 91, '2013-03-08 04:12:49', 86, '', '2013-03-08 06:58:43', 42, 0, '0000-00-00 00:00:00', '2013-03-08 04:12:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 15, 5, '', '', 1, 32, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(183, 306, 'What''s new?', 'what-s-new', '<div id="g-pagewhatnew">\r\n<p>[message_box title="New UI for backend template" type="info" show_close="Yes"]From the YT Framework v2, we support UI for backend of template. We hope this will bring to you the best gratification.[/message_box]</p>\r\n<p>[message_box title="Renew, add new params" type="info" show_close="Yes"] With this version, you will get many renewing, many new added params.[/message_box]</p>\r\n<p>[message_box title="Support shortcodes, bonus pages" type="info" show_close="Yes"]From the YT Framework v2, we will support shortcodes and bonus pages. Let <a href="index.php?option=com_content&amp;view=article&amp;id=179&amp;Itemid=648">click here </a>for more info. [/message_box]</p>\r\n<h3 class="title">YT v2 screenshot</h3>\r\n[columns background="none"] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/overview-desc.jpg" title="Template info &amp; desc" data-rel="prettyPhoto"><img src="images/yt/screenshot1.png" border="0" /></a></div>\r\n<h5 class="align-center">Template info &amp; desc</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/overview-version.jpg" title="Template version &amp; Framework version" data-rel="prettyPhoto"><img src="images/yt/screenshot2.png" border="0" /></a></div>\r\n<h5 class="align-center">Template version &amp; Framework version</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/layout-setting.jpg" title="Layout setting" data-rel="prettyPhoto"><img src="images/yt/screenshot3.png" border="0" /></a></div>\r\n<h5 class="align-center">Layout setting</h5>\r\n[/column_item] [/columns] [columns background="none"] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/menu-setting.jpg" title="Menu setting" data-rel="prettyPhoto"><img src="images/yt/screenshot4.png" border="0" /></a></div>\r\n<h5 class="align-center">Menu setting</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/theme-setting.jpg" title="Theme setting" data-rel="prettyPhoto"><img src="images/yt/screenshot5.png" border="0" /></a></div>\r\n<h5 class="align-center">Theme setting</h5>\r\n[/column_item] [column_item col="4"]\r\n<div class="yt-lightbox curved  image-none  "><a href="images/yt/special-pos.jpg" title="Use special position" data-rel="prettyPhoto"><img src="images/yt/screenshot6.png" border="0" /></a></div>\r\n<h5 class="align-center">Use special position</h5>\r\n[/column_item] [/columns]\r\n<h3 class="title">Main Features</h3>\r\n<ul class="yt-list type-check" style="color: #6b82a2;">\r\n<li>Typography</li>\r\n<li>Shortcodes</li>\r\n<li>Bonus page</li>\r\n<li>Support cpanel</li>\r\n<li>Multiple Themes</li>\r\n<li>Responsive web design</li>\r\n<li>Integrate Bootstrap</li>\r\n<li>Support RTL/LTR language</li>\r\n<li>100% table-less design, using html5 css3</li>\r\n<li>Mega Menu, moo menu, dropline menu, css menu</li>\r\n<li>Joomla! 1.7 Joomla! 2.5 and Joomla! 3.0 Native</li>\r\n<li>Support Module Variations, set style for each module</li>\r\n<li>Multiple Layouts, support override layout for many menu item</li>\r\n<li>W3C XHTML 1.0 Transitional Valid; Optimize CSS/JS/HTML/Merge File</li>\r\n<li>Compatible with IE8+, Firefox 2+, Flock 0.7+, Netscape, Safari, Opera 9.5 and Chrome</li>\r\n</ul>\r\n</div>', '', 1, 91, '2013-03-09 08:05:17', 86, '', '2013-05-23 10:44:01', 42, 0, '0000-00-00 00:00:00', '2013-03-09 08:05:17', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 99, 3, '', '', 1, 309, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(184, 307, 'Photo Gallery ', 'photo-gallery', '<div class="gallery"><hr title="Smart Phone" alt="Smart Phone" class="system-pagebreak" />[gallery width="270" height="174" columns="3"] [gallery_item title="Vivamus volutpat turpis" src="" video_addr="http://youtube.com/watch?v=B0ky-VMi9fI"] Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src="" video_addr="http://vimeo.com/22564317"]Nullam ultrices[/gallery_item] [gallery_item title="Aenean dictum commodo dictum" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Cum sociis natoque penatibus " src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec aliquet dui pharetra" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [/gallery]<hr title="Tablet" alt="Tablet" class="system-pagebreak" />[gallery width="270" height="174" columns="3"] [gallery_item title="Aenean dictum commodo dictum" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src="" video_addr="http://youtube.com/watch?v=B0ky-VMi9fI"] Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src="" video_addr="http://www.youtube.com/watch?v=n323WknTym8"]Nullam ultrices[/gallery_item] [gallery_item title="Cum sociis natoque penatibus " src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec aliquet dui pharetra" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [/gallery]<hr title="Phablet" alt="Phablet" class="system-pagebreak" />[gallery width="270" height="174" columns="3"] [gallery_item title="Aenean dictum commodo dictum" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src="" video_addr="http://vimeo.com/22564317"]Nullam ultrices[/gallery_item] [gallery_item title="Cum sociis natoque penatibus " src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec aliquet dui pharetra" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [/gallery]<hr title="Laptop" alt="Laptop" class="system-pagebreak" />[gallery width="270" height="174" columns="3"] [gallery_item title="Vivamus volutpat turpis" src="" video_addr="http://youtube.com/watch?v=B0ky-VMi9fI"] Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src="" video_addr="http://www.youtube.com/watch?v=n323WknTym8"]Nullam ultrices[/gallery_item] [gallery_item title="Aenean dictum commodo dictum" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Cum sociis natoque penatibus " src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec aliquet dui pharetra" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Vivamus volutpat turpis" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [gallery_item title="Donec semper dui ut risus" src=""]Nullam ultrices[/gallery_item] [/gallery]</div>', '', 1, 91, '2013-03-11 03:08:06', 86, '', '2014-04-04 02:17:43', 86, 0, '0000-00-00 00:00:00', '2013-03-11 03:08:06', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 39, 2, '', '', 1, 317, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(185, 308, 'Portfolio', 'portfolio', '<div id="g-pageportfolio">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec purus nibh, commodo ac pellentesque quis, vehicula ut leo. Suspendisse potenti. Sed rhoncus est ac arcu malesuada bibendum. Cras ut nisi id lacus aliquam sodales posuere egestas</p>\r\n<div class="row">[space height="20"]\r\n<div class="span3 first">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ Bakery</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n<div class="span3">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ Lotte</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n<div class="span3">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ Wall Blog</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n<div class="span3">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ Company</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n[space height="30"]\r\n<div class="span3 first">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ eSport</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n<div class="span3">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ AppStore HiTech</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n<div class="span3">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ Health</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n<div class="span3">\r\n<div class="port-item"><a class="port-item-img" href="#"> <img src="http://placehold.it/250x150" alt="Vestibulum id urna" /> </a>\r\n<div class="port-item-content">\r\n<h4>SJ Fashion Store</h4>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean non metus et felis vulputate.</p>\r\n<a class="detail" href="#1">Visit Website</a></div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>', '', 1, 91, '2013-03-11 08:16:31', 86, '', '2014-04-03 07:45:46', 86, 0, '0000-00-00 00:00:00', '2013-03-11 08:16:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 49, 1, '', '', 1, 342, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(187, 310, 'Bonus pages', 'bonus-pages', '<p style="margin-top:250px" >\r\nWe use shortcodes to do the bonus pages, and css file dedicated for bonus pages is joomla-page.less(path: ROOT/templates/YOUR_TEMPLATE/less/joomla-page.less)\r\n\r\n<p>', '', 1, 91, '2013-03-18 09:31:16', 86, '', '2013-05-10 10:08:13', 42, 0, '0000-00-00 00:00:00', '2013-03-18 09:31:16', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/shortcode\\/bonuspages.jpg","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 19, 0, '', '', 1, 142, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(193, 317, 'Coming Soon', 'coming-soon', 'Coming Soon', '', 1, 14, '2013-05-20 08:56:06', 86, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2013-05-20 08:56:06', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":null,"urlatext":"","targeta":"","urlb":null,"urlbtext":"","targetb":"","urlc":null,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 17, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(198, 337, 'Powerfull Features', 'powerfull-features', '<div class="row-fluid ">\r\n<div class="span6">\r\n<h3>Joomla 2.5 and 3.0</h3>\r\n<p>YT Framework is available for Joomla 2.5 as well as Joomla 3.0 that means no matter which version of you joomla you like to use for developing your next website.</p>\r\n<p> </p>\r\n<h3>HTML5</h3>\r\n<p>We brought HTML5 in YT blank template to make elegant, modern and SEO friendly website that would be fully functional &amp; represents awesome typography.</p>\r\n<p> </p>\r\n<h3>Bootstrap</h3>\r\n<p><a href="joomla3/helix_ii/twitter.github.com/bootstrap/" target="_blank">Bootstrap</a> is made upon responsive CSS Designs with less code which enhances the overall look and feel of your website.</p>\r\n<p> </p>\r\n</div>\r\n<div class="span6">\r\n<p> </p>\r\n<h3>Wordpress</h3>\r\n<p>This is really great thing that YT Framework is available for most popular blogging platform Wordpress besides Joomla with tons of exciting features.  </p>\r\n<p> </p>\r\n<h3>CSS3</h3>\r\n<p>The latest CSS3 technology has been used in YT Framework - II to make the whole web development process easier and faster with lot of scopes.  </p>\r\n<p> </p>\r\n<h3>Presets</h3>\r\n<p>Presets manager give the flexibilty to change the design of your website without coding by selecting the desire color of your website background, header and footer etc.</p>\r\n</div>\r\n</div>', '', 1, 9, '2013-12-20 23:04:09', 86, '', '2014-03-11 04:55:47', 660, 0, '0000-00-00 00:00:00', '2013-12-20 23:04:09', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 0, '', '', 1, 3032, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(199, 440, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet', '<p>In iaculis a tortor sed pretium. Proin ornare orci quam, quis sodales tortor laoreet non. Integer elementum sed nisi in vehicula. Nullam a semper risus. Vivamus imperdiet lorem justo, at mollis nibh vulputate vel. Sed adipiscing, diam sed bibendum vestibulum, sem enim iaculis augue, ac dictum orci est at dolor. Vestibulum a enim quis leo interdum placerat. Aliquam sagittis elit eget faucibus tempor. Praesent vel ornare ipsum.</p>\r\n<p>Quisque pulvinar erat sit amet mattis bibendum. Donec sed augue suscipit, varius turpis vitae, scelerisque augue. Fusce congue congue sodales. Suspendisse euismod magna a magna interdum, sit amet venenatis est ornare. Aenean luctus enim adipiscing sapien pharetra, nec fringilla tellus eleifend. Quisque dictum id nibh et dapibus. Mauris nec diam velit. Etiam felis risus, porta vitae accumsan quis, dapibus vel urna. Suspendisse vehicula, leo sollicitudin aliquet mollis, quam massa viverra lorem, a feugiat orci lacus at eros. Ut id tristique lectus. Suspendisse vel cursus massa.</p>\r\n<p>Fusce in bibendum dolor. Praesent ut feugiat diam. Vestibulum sed scelerisque augue. Phasellus non lectus non dui semper lobortis. Duis in tortor ac nunc tempus volutpat. Ut sed nunc leo. Donec ultricies massa nisi, nec pharetra tellus lobortis vitae. Phasellus vel interdum massa. Praesent varius libero vestibulum, suscipit nibh ut, malesuada orci. Nulla in sem nec mi iaculis pretium. Nam dictum pretium dapibus. Morbi sagittis aliquet enim sit amet lacinia.</p>\r\n<p>Ut elementum eget lacus sed faucibus. Phasellus at vestibulum erat, non sollicitudin lectus. Integer quis elementum nibh, ac auctor arcu. Nunc eget nibh a orci sagittis dictum. Aenean luctus accumsan turpis, eget congue neque commodo sit amet. Mauris placerat dui et augue tincidunt molestie. Sed non elit mi. Proin hendrerit libero eu risus pharetra imperdiet id sed arcu. Nunc non enim augue. Integer ultrices luctus est, a ultricies nisi suscipit fermentum. Nam ut sagittis urna. Morbi ut elementum massa. Praesent condimentum lacus at metus suscipit, venenatis ullamcorper metus elementum. Aenean sed viverra justo. Curabitur nibh turpis, placerat quis blandit pulvinar, ullamcorper in sapien. Donec dapibus laoreet erat, ac interdum felis consectetur vel.</p>', '', 1, 92, '2014-03-17 08:40:24', 86, '', '2014-04-03 01:50:39', 86, 0, '0000-00-00 00:00:00', '2014-03-17 08:40:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(200, 441, 'Fusce in bibendum dolor', 'fusce-in-bibendum-dolor', '<p>Ut elementum eget lacus sed faucibus. Phasellus at vestibulum erat, non sollicitudin lectus. Integer quis elementum nibh, ac auctor arcu. Nunc eget nibh a orci sagittis dictum. Aenean luctus accumsan turpis, eget congue neque commodo sit amet. Mauris placerat dui et augue tincidunt molestie. Sed non elit mi. Proin hendrerit libero eu risus pharetra imperdiet id sed arcu. Nunc non enim augue. Integer ultrices luctus est, a ultricies nisi suscipit fermentum. Nam ut sagittis urna. Morbi ut elementum massa. Praesent condimentum lacus at metus suscipit, venenatis ullamcorper metus elementum. Aenean sed viverra justo. Curabitur nibh turpis, placerat quis blandit pulvinar, ullamcorper in sapien. Donec dapibus laoreet erat, ac interdum felis consectetur vel.</p>\r\n<p>Cras dignissim dui mauris. Etiam vel sapien quis quam pellentesque aliquam. Sed et neque eu odio ultrices malesuada. Etiam varius quam mi. Cras volutpat nulla vel neque dapibus, ac sollicitudin ante lacinia. Nam lacus est, bibendum id porta vitae, egestas ac diam. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer imperdiet tempus tempus. In nibh nisi, venenatis ac dolor eu, rhoncus scelerisque massa. Quisque ac velit sit amet dui dapibus mollis vulputate eu tellus. Donec tempor porta odio nec vehicula. Vivamus scelerisque eget lectus id iaculis. Nullam commodo mi in vestibulum cursus.</p>\r\n<p>Aenean accumsan risus dolor, vel sagittis est dictum eget. Phasellus consequat erat in faucibus vehicula. Duis cursus sollicitudin cursus. Cras hendrerit sapien eros, nec aliquam arcu viverra ac. Sed vel sodales nunc. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Integer gravida consequat convallis. Aliquam id eros et lorem fringilla dapibus.</p>', '', 1, 92, '2014-03-17 09:22:49', 86, '', '2014-04-03 01:37:10', 86, 0, '0000-00-00 00:00:00', '2014-03-17 09:22:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(201, 447, 'Paze duma kire', 'paze-duma-kire', '<p>Kiten at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 1, 79, '2011-05-26 16:46:50', 86, '', '2014-03-17 15:42:42', 0, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:50', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 29, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(202, 467, 'Lorem ipsum dolor sit amet', 'lorem-ipsum-dolor-sit-amet-2', '<p>In iaculis a tortor sed pretium. Proin ornare orci quam, quis sodales tortor laoreet non. Integer elementum sed nisi in vehicula. Nullam a semper risus. Vivamus imperdiet lorem justo, at mollis nibh vulputate vel. Sed adipiscing, diam sed bibendum vestibulum, sem enim iaculis augue, ac dictum orci est at dolor. Vestibulum a enim quis leo interdum placerat. Aliquam sagittis elit eget faucibus tempor. Praesent vel ornare ipsum.</p>\r\n<p>Quisque pulvinar erat sit amet mattis bibendum. Donec sed augue suscipit, varius turpis vitae, scelerisque augue. Fusce congue congue sodales. Suspendisse euismod magna a magna interdum, sit amet venenatis est ornare. Aenean luctus enim adipiscing sapien pharetra, nec fringilla tellus eleifend. Quisque dictum id nibh et dapibus. Mauris nec diam velit. Etiam felis risus, porta vitae accumsan quis, dapibus vel urna. Suspendisse vehicula, leo sollicitudin aliquet mollis, quam massa viverra lorem, a feugiat orci lacus at eros. Ut id tristique lectus. Suspendisse vel cursus massa.</p>\r\n<p>Fusce in bibendum dolor. Praesent ut feugiat diam. Vestibulum sed scelerisque augue. Phasellus non lectus non dui semper lobortis. Duis in tortor ac nunc tempus volutpat. Ut sed nunc leo. Donec ultricies massa nisi, nec pharetra tellus lobortis vitae. Phasellus vel interdum massa. Praesent varius libero vestibulum, suscipit nibh ut, malesuada orci. Nulla in sem nec mi iaculis pretium. Nam dictum pretium dapibus. Morbi sagittis aliquet enim sit amet lacinia.</p>\r\n<p>Ut elementum eget lacus sed faucibus. Phasellus at vestibulum erat, non sollicitudin lectus. Integer quis elementum nibh, ac auctor arcu. Nunc eget nibh a orci sagittis dictum. Aenean luctus accumsan turpis, eget congue neque commodo sit amet. Mauris placerat dui et augue tincidunt molestie. Sed non elit mi. Proin hendrerit libero eu risus pharetra imperdiet id sed arcu. Nunc non enim augue. Integer ultrices luctus est, a ultricies nisi suscipit fermentum. Nam ut sagittis urna. Morbi ut elementum massa. Praesent condimentum lacus at metus suscipit, venenatis ullamcorper metus elementum. Aenean sed viverra justo. Curabitur nibh turpis, placerat quis blandit pulvinar, ullamcorper in sapien. Donec dapibus laoreet erat, ac interdum felis consectetur vel.</p>', '', 1, 92, '2014-03-17 08:40:24', 86, '', '2014-04-03 02:06:43', 86, 0, '0000-00-00 00:00:00', '2014-03-17 08:40:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 1, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(203, 468, 'Proin ornare orci quam', 'proin-ornare-orci-quam', '<p>In iaculis a tortor sed pretium. Proin ornare orci quam, quis sodales tortor laoreet non. Integer elementum sed nisi in vehicula. Nullam a semper risus. Vivamus imperdiet lorem justo, at mollis nibh vulputate vel. Sed adipiscing, diam sed bibendum vestibulum, sem enim iaculis augue, ac dictum orci est at dolor. Vestibulum a enim quis leo interdum placerat. Aliquam sagittis elit eget faucibus tempor. Praesent vel ornare ipsum.</p>\r\n<p>Quisque pulvinar erat sit amet mattis bibendum. Donec sed augue suscipit, varius turpis vitae, scelerisque augue. Fusce congue congue sodales. Suspendisse euismod magna a magna interdum, sit amet venenatis est ornare. Aenean luctus enim adipiscing sapien pharetra, nec fringilla tellus eleifend. Quisque dictum id nibh et dapibus. Mauris nec diam velit. Etiam felis risus, porta vitae accumsan quis, dapibus vel urna. Suspendisse vehicula, leo sollicitudin aliquet mollis, quam massa viverra lorem, a feugiat orci lacus at eros. Ut id tristique lectus. Suspendisse vel cursus massa.</p>\r\n<p>Fusce in bibendum dolor. Praesent ut feugiat diam. Vestibulum sed scelerisque augue. Phasellus non lectus non dui semper lobortis. Duis in tortor ac nunc tempus volutpat. Ut sed nunc leo. Donec ultricies massa nisi, nec pharetra tellus lobortis vitae. Phasellus vel interdum massa. Praesent varius libero vestibulum, suscipit nibh ut, malesuada orci. Nulla in sem nec mi iaculis pretium. Nam dictum pretium dapibus. Morbi sagittis aliquet enim sit amet lacinia.</p>\r\n<p>Ut elementum eget lacus sed faucibus. Phasellus at vestibulum erat, non sollicitudin lectus. Integer quis elementum nibh, ac auctor arcu. Nunc eget nibh a orci sagittis dictum. Aenean luctus accumsan turpis, eget congue neque commodo sit amet. Mauris placerat dui et augue tincidunt molestie. Sed non elit mi. Proin hendrerit libero eu risus pharetra imperdiet id sed arcu. Nunc non enim augue. Integer ultrices luctus est, a ultricies nisi suscipit fermentum. Nam ut sagittis urna. Morbi ut elementum massa. Praesent condimentum lacus at metus suscipit, venenatis ullamcorper metus elementum. Aenean sed viverra justo. Curabitur nibh turpis, placerat quis blandit pulvinar, ullamcorper in sapien. Donec dapibus laoreet erat, ac interdum felis consectetur vel.</p>', '', 1, 92, '2014-03-17 08:40:24', 86, '', '2014-04-03 02:07:05', 86, 0, '0000-00-00 00:00:00', '2014-03-17 08:40:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"left","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(204, 475, 'Cinia Sed convallis urna 1111 (2)', 'lacinia-sed-convallis-urna-2', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', '\r\n<p>Aenean vehicula vehicula aliquam. Aliquam lobortis cursus erat, in dictum neque suscipit id. In eget ante massa. Mauris ut mauris vel libero sagittis congue. Aenean id turpis lectus. Duis eget consequat velit. Suspendisse cursus nulla vel eros blandit placerat. Aliquam volutpat justo sit amet dui sollicitudin eget interdum nibh gravida. Cras nec placerat libero. Cras id risus sem. Maecenas sit amet ligula turpis, malesuada convallis dui. Ut ligula lorem, vestibulum sit amet fringilla lobortis, posuere at odio. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Integer egestas lectus egestas erat convallis et eleifend sapien tempor. Nulla aliquam nisi sed lorem rhoncus ut adipiscing leo semper. Vestibulum sit amet libero ante, a porta augue. Morbi ornare, leo a tristique rutrum, arcu nulla ornare purus, et pharetra tortor lectus at lectus. Cras congue rhoncus eros et facilisis. Maecenas vehicula pretium turpis, in volutpat mauris imperdiet vel. Nulla facilisi. Sed at justo sem, at iaculis ligula. Phasellus ligula tortor, porttitor in imperdiet et, dignissim in metus. Etiam vitae lorem at felis porta auctor. Nullam semper pharetra gravida.</p>\r\n<p>Quisque arcu elit, condimentum eu convallis nec, mattis vitae elit. Aliquam eu justo eu ipsum ultricies rutrum non eu sapien. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean congue porttitor ligula, in tempor ipsum sagittis ut. Suspendisse sit amet tortor urna, ut mattis massa. Curabitur eget elit leo. Integer mauris odio, semper quis aliquet id, mattis quis mauris. Proin consectetur vestibulum tellus eu tempor.</p>\r\n<p>Vestibulum sit amet libero vel neque dapibus ultrices. Sed sollicitudin est neque, ac dictum ipsum. Nullam lobortis, nisi ut pulvinar pellentesque, orci metus bibendum velit, et adipiscing felis sapien fermentum dui. Mauris vulputate lobortis hendrerit. Cras condimentum vulputate ante in imperdiet. Donec vitae massa orci. Fusce orci ligula, gravida vel tincidunt ut, pretium in dolor. Nulla in odio diam, eu malesuada nisl. Sed porta metus at est suscipit sagittis. Suspendisse elementum tortor sit amet lorem elementum ornare. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Mauris venenatis, quam fringilla lobortis luctus, nulla sapien ultricies nisi, ut fermentum arcu tortor vel orci.</p>\r\n<p>Curabitur luctus tortor non quam gravida ultrices. In erat urna, tincidunt nec pulvinar ac, laoreet ut orci. Duis vestibulum, mi id malesuada pulvinar, arcu nibh facilisis augue, ut accumsan urna orci sagittis justo. Donec ut metus eros. Nulla at tortor et mauris accumsan adipiscing. Morbi pellentesque, dui ut blandit vehicula, lectus ligula aliquam nulla, sed mollis nunc odio at ipsum. Mauris scelerisque metus a justo facilisis ut semper ligula eleifend. Phasellus non odio nibh. Curabitur at tincidunt neque. Nunc euismod malesuada massa ac luctus. Pellentesque sed bibendum velit. Vivamus dictum pulvinar ipsum, vitae vestibulum eros ornare sit amet. Donec ut felis at sem auctor iaculis. Nullam hendrerit tempus tellus, ut fringilla diam vehicula quis. Nulla facilisi. Morbi at eros et leo pulvinar molestie at rutrum orci.</p>', 2, 79, '2011-05-26 16:46:50', 86, '', '2014-03-28 02:35:40', 660, 0, '0000-00-00 00:00:00', '2011-05-26 16:46:50', '0000-00-00 00:00:00', '{"image_intro":"images\\/SJ_iCenter\\/c2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE IF NOT EXISTS `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_tag` (`tag_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps items from content tables to tags';

INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES
('com_content.article', 3, 80, 6, '2014-03-17 15:35:19', 1),
('com_content.article', 3, 80, 7, '2014-03-17 15:35:19', 1),
('com_content.article', 8, 81, 2, '2014-03-17 15:37:05', 1),
('com_content.article', 8, 81, 9, '2014-03-17 15:37:05', 1),
('com_content.article', 5, 82, 5, '2014-03-17 15:38:30', 1),
('com_content.article', 5, 82, 6, '2014-03-17 15:38:30', 1),
('com_content.article', 4, 83, 2, '2014-03-17 15:37:50', 1),
('com_content.article', 4, 83, 7, '2014-03-17 15:37:50', 1),
('com_content.article', 7, 85, 5, '2014-03-17 15:34:37', 1),
('com_content.article', 7, 85, 6, '2014-03-17 15:34:37', 1),
('com_content.article', 14, 86, 5, '2014-03-17 15:33:52', 1),
('com_content.article', 14, 86, 6, '2014-03-17 15:33:52', 1),
('com_content.article', 15, 87, 2, '2014-03-17 15:40:44', 1),
('com_content.article', 15, 87, 8, '2014-03-17 15:40:44', 1),
('com_content.article', 1, 91, 2, '2014-03-17 15:36:00', 1),
('com_content.article', 1, 91, 6, '2014-03-17 15:36:00', 1),
('com_content.article', 9, 115, 5, '2014-03-24 03:59:46', 1),
('com_content.article', 9, 115, 6, '2014-03-24 03:59:46', 1),
('com_weblinks.weblink', 11, 2, 11, '2013-05-28 08:35:11', 2),
('com_weblinks.weblink', 10, 3, 10, '2013-05-28 08:19:38', 2),
('com_newsfeeds.newsfeed', 12, 1, 12, '2013-05-28 08:38:36', 4),
('com_newsfeeds.newsfeed', 13, 4, 7, '2013-05-28 08:39:24', 4);

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE IF NOT EXISTS `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(8, 10),
(35, 12),
(50, 11),
(78, 3),
(83, 5),
(84, 4),
(85, 1),
(91, 2),
(119, 7),
(120, 9),
(122, 8),
(126, 6);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE IF NOT EXISTS `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_rating` (`content_id`, `rating_sum`, `rating_count`, `lastip`) VALUES
(91, 5, 1, '::1'),
(96, 1, 1, '::1'),
(97, 3, 1, '::1'),
(115, 5, 2, '192.168.1.122'),
(129, 20, 4, '127.0.0.1'),
(130, 2, 1, '192.168.1.71'),
(131, 5, 1, '118.70.233.11'),
(179, 5, 1, '192.168.1.122');

DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE IF NOT EXISTS `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=16 ;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id"}, "special": {"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Weblink', 'com_weblinks.weblink', '{"special":{"dbtable":"#__weblinks","key":"id","type":"Weblink","prefix":"WeblinksTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"url", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {}}', 'WeblinksHelperRoute::getWeblinkRoute', '{"formFile":"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","featured","images"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"], "convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(3, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(4, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(5, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {}}', 'UsersHelperRoute::getUserRoute', ''),
(6, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(8, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(9, 'Weblinks Category', 'com_weblinks.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'WeblinksHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(10, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(11, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(12, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(13, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(14, 'User Notes', 'com_users.note', '{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(15, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS `#__core_log_searches`;
CREATE TABLE IF NOT EXISTS `#__core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE IF NOT EXISTS `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned DEFAULT NULL,
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10142 ;

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":""}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":""}', '{"contact_layout":"_:default","show_contact_category":"hide","show_contact_list":"0","presentation_style":"plain","show_name":"1","show_position":"1","show_email":"1","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"1","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"1","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"0","show_empty_categories":"0","show_subcat_desc":"0","show_cat_items":"0","show_base_description":"0","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"0","show_cat_items_cat":"0","show_pagination_limit":"1","show_headings":"1","show_position_headings":"1","show_email_headings":"1","show_telephone_headings":"1","show_mobile_headings":"1","show_fax_headings":"1","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"0","custom_reply":"0","redirect":"","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{"cachetimeout":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":""}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html","enable_flash":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"newsfeed_layout":"_:default","save_history":"0","history_limit":5,"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_character_count":"50","feed_display_order":"des","float_first":"right","float_second":"right","show_tags":"1","category_layout":"_:default","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"0","show_cat_items":"1","show_cat_tags":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","filter_field":"hide","show_pagination_limit":"0","show_headings":"1","show_articles":"0","show_link":"1","show_pagination":"1","show_pagination_results":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":""}', '{"enabled":"1","search_areas":"1","show_date":"1","opensearch_name":"Search ","opensearch_description":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"1","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(21, 'com_weblinks', 'component', 'com_weblinks', '', 1, 1, 1, 0, '{"name":"com_weblinks","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WEBLINKS_XML_DESCRIPTION","group":""}', '{"target":"0","save_history":"0","history_limit":5,"count_clicks":"1","icons":1,"link_icons":"","float_first":"right","float_second":"right","show_tags":"1","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"0","show_cat_num_links":"0","show_cat_tags":"1","show_base_description":"0","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"0","show_cat_num_links_cat":"0","filter_field":"1","show_pagination_limit":"0","show_headings":"1","show_link_description":"1","show_link_hits":"1","show_pagination":"2","show_pagination_results":"0","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":""}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"1","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"1","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_tags":"0","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"0","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","save_history":"0","history_limit":10,"show_urls_images_frontend":"1","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"none","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"0","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"order","order_date":"published","show_pagination":"2","show_pagination_results":"0","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"2":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"10":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"12":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":""}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"1","sendpassword":"1","useractivation":"1","mail_to_admin":"1","captcha":"0","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","minimum_length":"4","minimum_integers":"0","minimum_symbols":"0","minimum_uppercase":"0","save_history":"0","history_limit":5,"mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"legacy":false,"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":""}', '{"tag_layout":"_:default","save_history":"0","history_limit":5,"show_tag_title":"1","tag_list_show_tag_image":"1","tag_list_show_tag_description":"1","tag_list_image":"","show_tag_num_items":"1","tag_list_orderby":"c.core_title","tag_list_orderby_direction":"ASC","show_headings":"1","tag_list_show_date":"created","tag_list_show_item_image":"1","tag_list_show_item_description":"1","tag_list_item_maximum_characters":0,"return_any_or_all":"1","include_children":"0","maximum":200,"tag_list_language_filter":"all","tags_layout":"_:default","all_tags_orderby":"title","all_tags_orderby_direction":"ASC","all_tags_show_tag_image":"1","all_tags_show_tag_descripion":"1","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"0","filter_field":"0","show_pagination_limit":"0","show_pagination":"2","show_pagination_results":"1","tag_field_ajax_mode":"1","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 0, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(100, 'PHPMailer', 'library', 'phpmailer', '', 0, 1, 1, 1, '{"name":"PHPMailer","type":"library","creationDate":"2001","author":"PHPMailer","copyright":"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2013, Jim Jagielski. All Rights Reserved.","authorEmail":"jimjag@gmail.com","authorUrl":"https:\\/\\/github.com\\/PHPMailer\\/PHPMailer","version":"5.2.6","description":"LIB_PHPMAILER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(101, 'SimplePie', 'library', 'simplepie', '', 0, 1, 1, 1, '{"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 'phputf8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 'Joomla! Platform', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":""}', '{"mediaversion":"48e2afc28aefaa7760fd0d0236a14b33"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 'IDNA Convert', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"IDNA Convert","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2013-12-14","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2013 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.1.1","description":"LIB_FOF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters.\\n\\t\\tAll rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(217, 'mod_weblinks', 'module', 'mod_weblinks', '', 0, 1, 1, 0, '{"name":"mod_weblinks","type":"module","creationDate":"July 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WEBLINKS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(306, 'mod_online', 'module', 'mod_online', '', 1, 1, 1, 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 'mod_unread', 'module', 'mod_unread', '', 1, 1, 1, 0, '', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":""}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":""}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":""}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":""}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":""}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(404, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":""}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(405, 'plg_content_geshi', 'plugin', 'geshi', 'content', 0, 0, 1, 0, '{"legacy":false,"name":"plg_content_geshi","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"qbnz.com\\/highlighter","version":"3.0.0","description":"PLG_CONTENT_GESHI_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(406, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":""}', '{"style":"none"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(407, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":""}', '{"title":"1","article_index":"1","article_index_text":"Article Index","multipage_toc":"1","showall":"1","style":"tabs"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":""}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"3.15","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":""}', '{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"August 2004","author":"Unknown","copyright":"","authorEmail":"N\\/A","authorUrl":"","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2013","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com","version":"4.0.18","description":"PLG_TINY_XML_DESCRIPTION","group":""}', '{"mode":"2","skin":"0","mobile":"0","entity_encoding":"raw","lang_mode":"0","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","html_height":"550","html_width":"750","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","colors":"1","table":"1","smilies":"1","hr":"1","link":"1","media":"1","print":"1","directionality":"1","fullscreen":"1","alignment":"1","visualchars":"1","visualblocks":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","image_advtab":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 1, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(420, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(421, 'plg_search_weblinks', 'plugin', 'weblinks', 'search', 0, 1, 1, 0, '{"name":"plg_search_weblinks","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION","group":""}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 1, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":""}', '{"detect_browser":"0","automatic_change":"1","item_associations":"1","remove_default_prefix":"1","lang_cookie":"0","alternate_meta":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":""}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":""}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":""}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":""}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2009 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":""}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":""}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(447, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"Se[ptember 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2013 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 'English (United Kingdom)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (United Kingdom)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.3","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 'English (United Kingdom)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (United Kingdom)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.3","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"March 2014","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.3","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10005, 'PKG_JOOMLA', 'package', 'pkg_joomla', '', 0, 1, 1, 1, '{"legacy":false,"name":"PKG_JOOMLA","type":"package","creationDate":"2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"2.5.0","description":"PKG_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10011, 'YT Framework', 'plugin', 'yt', 'system', 0, 1, 1, 0, '{"name":"YT Framework","type":"plugin","creationDate":"01 March 2014","author":"YouTech Company","copyright":"","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"2.2.3","description":"YT_DESC","group":""}', '{"show_sjhelp":1,"no_jquery":"com_virtuemart"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10037, 'VM - Search, Virtuemart Product', 'plugin', 'virtuemart', 'search', 0, 1, 1, 0, '{"legacy":false,"name":"plg_search_virtuemart","type":"plugin","creationDate":"Febuary 2010","author":"P.Kohl - Studio42","copyright":"Copyright (C) 2010 Virtuemart. All rights reserved.","authorEmail":"contact@st42.fr","authorUrl":"www.virtuemart.net","version":"1.5","description":"Allows Searching of VirtueMart Component","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10048, 'com_finder', 'component', 'com_finder', '', 1, 1, 1, 0, '{"legacy":false,"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}', '{"enabled":"0","show_description":"0","description_length":255,"allow_empty_query":"0","show_url":"1","show_autosuggest":"0","show_advanced":"1","show_advanced_tips":"1","expand_advanced":"0","show_date_filters":"0","sort_order":"relevance","sort_direction":"desc","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"10","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stem":"1","stemmer":"snowball","enable_logging":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10049, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 1, 0, '{"legacy":false,"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}', '{"searchfilter":"","show_autosuggest":"1","show_advanced":"0","moduleclass_sfx":"","field_size":"25","show_label":"1","label_pos":"top","show_button":"0","button_pos":"right","opensearch":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10050, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":""}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10051, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"legacy":false,"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10052, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":""}', '{"public_key":"6Ld7TM4SAAAAAFZzsZ9ujKCLFyYVQzAd0HTzQ7V_","private_key":"6Ld7TM4SAAAAABsGZDz2hllR0VD6hihcZeAiRdiL","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10053, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10054, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10055, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10056, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10057, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10058, 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_weblinks","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_WEBLINKS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10059, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 0, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":""}', '{"context":"mod_quickicon"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10060, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 0, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{"context":"mod_quickicon"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10061, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 0, 1, 0, '{"legacy":false,"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2012 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"2.5.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10062, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 1, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10079, 'Sj Content Related News', 'plugin', 'relatednews', 'content', 0, 1, 1, 0, '{"legacy":false,"name":"Sj Content Related News","type":"plugin","creationDate":"January 2012","author":"YouTech Company","copyright":"Copyright (c) 2012 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0","description":"SJ_XML_DESCRIPTION","group":""}', '{"depends":["78","79","80","81"],"title":"Related Items:","show_child_category_articles":"0","levels":"1","show_front":"show","article_ordering":"fp.ordering","article_ordering_direction":"ASC","count":"4","item_title_max_characs":"25","item_image_display":"1","item_date_display":"0","imgcfg_from_image_intro":"1","imgcfg_from_image_fulltext":"1","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images","imgcfg_order":"image_intro, image_fulltext, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"0","imgcfg_width":"185","imgcfg_height":"85","imgcfg_background":"#000000","imgcfg_cache":"cache\\/resized","imgcfg_cache_url":"cache\\/resized\\/","imgcfg_placeholder":"1","imgcfg_placeholder_path":"plugins\\/content\\/relatednews\\/assets\\/images\\/nophoto.png","item_link_target":"_self","usecss":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10084, 'YT Shortcodes', 'plugin', 'ytshortcodes', 'system', 0, 1, 1, 0, '{"name":"YT Shortcodes","type":"plugin","creationDate":"01 Marc 2013","author":"YouTech Company","copyright":"Copyright (C) 2010 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.2.1","description":"YT_DESC","group":""}', '{"show_sjawesome":1,"show_sjbootstrap":0,"show_sjjquery":0,"show_sjprettify":1}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10091, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":""}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10092, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":""}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10094, 'plg_installer_webinstaller', 'plugin', 'webinstaller', 'installer', 0, 1, 1, 0, '{"name":"plg_installer_webinstaller","type":"plugin","creationDate":"18 December 2013","author":"Joomla! Project","copyright":"Copyright (C) 2013 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"1.0.5","description":"PLG_INSTALLER_WEBINSTALLER_XML_DESCRIPTION","group":""}', '{"tab_position":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10095, 'jw_disqus', 'component', 'com_jw_disqus', '', 1, 0, 0, 0, '{"name":"JW_DISQUS","type":"component","creationDate":"October 2nd, 2013","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"3.4","description":"Thank you for installing DISQUS Comments for Joomla! (by JoomlaWorks).","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10096, 'DISQUS Comments for Joomla! (by JoomlaWorks)', 'plugin', 'jw_disqus', 'content', 0, 1, 1, 0, '{"name":"DISQUS Comments for Joomla! (by JoomlaWorks)","type":"plugin","creationDate":"October 2nd, 2013","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"3.4","description":"JW_DISQUS_THANK_YOU_FOR_INSTALLING_JOOMLAWORKS_DISQUS_COMMENTS_FOR_JOOMLA","group":""}', '{"disqusSubDomain":"smartaddons","disqusLanguage":"","selectedCategories":["78","79","80","81"],"selectedMenus":[""],"disqusListingCounter":"0","disqusArticleCounter":"0","disqusDevMode":"0"}', '', '', 0, '0000-00-00 00:00:00', 99, 0),
(10097, 'System - DISQUS Comments for Joomla! (by JoomlaWorks)', 'plugin', 'jw_disqus', 'system', 0, 1, 1, 0, '{"name":"System - DISQUS Comments for Joomla! (by JoomlaWorks)","type":"plugin","creationDate":"October 2nd, 2013","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2013 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"3.4","description":"JW_DISQUS_SYSTEM_PLUGIN_DESC","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 99, 0),
(10100, 'ArabicUnitag', 'language', 'ar-AA', '', 0, 1, 0, 0, '{"name":"Arabic Unitag (\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629)","type":"language","creationDate":"25 February 2014","author":"Dr. Ashraf Damra\\/Abu Nidal","copyright":"Copyright (C) 2005 - 2014 Dr. Ashraf Damra\\/Abu Nidal and Open Source Matters. All rights reserved.","authorEmail":"","authorUrl":"","version":"3.2.3","description":"Arabic Unitag site language pack for Joomla! 3.1.5 \\u062d\\u0632\\u0645\\u0629 \\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629\\/\\u0627\\u0644\\u0645\\u0648\\u0642\\u0639","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10101, 'ArabicUnitag', 'language', 'ar-AA', '', 1, 1, 0, 0, '{"name":"Arabic Unitag (\\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629)","type":"language","creationDate":"25 February 2014","author":"Dr. Ashraf Damra\\/Abu Nidal","copyright":"Copyright (C) 2005 - 2014 Dr. Ashraf Damra\\/Abu Nidal and Open Source Matters. All rights reserved.","authorEmail":"dr.d.ashraf@gmail.com","authorUrl":"www.jarabic.com","version":"3.2.3","description":"Arabic Unitag Administrator language 3.2 \\u062d\\u0632\\u0645\\u0629 \\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629\\/\\u0627\\u0644\\u0625\\u062f\\u0627\\u0631\\u0629","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10102, 'ar-AA', 'package', 'pkg_ar-AA', '', 0, 1, 1, 0, '{"name":"Arabic Unitag Language Package - \\u062d\\u0632\\u0645\\u0629 \\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629","type":"package","creationDate":"25 February 2014","author":"Dr. Ashraf Damra\\/Abu Nidal","copyright":"Copyright (C) 2005 - 2014 Open Source Matters & Dr. Ashraf Damra\\/Abu Nidal. All rights reserved.","authorEmail":"dr.d.ashraf@gmail.com","authorUrl":"www.jarabic.com","version":"3.2.3.1","description":"\\n\\t    <h3>\\u062d\\u0632\\u0645\\u0629 \\u0627\\u0644\\u0644\\u063a\\u0629 \\u0627\\u0644\\u0639\\u0631\\u0628\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0648\\u062d\\u062f\\u0629 \\u0644\\u0646\\u0638\\u0627\\u0645 \\u062c\\u0648\\u0645\\u0644\\u0627! 3.2.3 \\u0627\\u0644\\u0627\\u0635\\u062f\\u0627\\u0631 1<\\/h3>\\n\\t\\t<h3>Arabic Unitag Language Package for Joomla! 3.2.3 version 1<\\/h3>\\n\\t\\t\\n   ","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10103, 'Frenchfr-FR', 'language', 'fr-FR', '', 0, 1, 0, 0, '{"name":"French (fr-FR)","type":"language","creationDate":"February 2014","author":"French translation team : joomla.fr","copyright":"Copyright (C) 2005 - 2014 joomla.fr et Open Source Matters. Tous droits r\\u00e9serv\\u00e9s","authorEmail":"traduction@joomla.fr","authorUrl":"www.joomla.fr","version":"3.2.3.1","description":"fr-FR site language for 3.2","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10104, 'Frenchfr-FR', 'language', 'fr-FR', '', 1, 1, 0, 0, '{"name":"French (fr-FR)","type":"language","creationDate":"February 2014","author":"French translation team : joomla.fr","copyright":"Copyright (C) 2005 - 2014 joomla.fr et Open Source Matters. Tous droits r\\u00e9serv\\u00e9s","authorEmail":"traduction@joomla.fr","authorUrl":"www.joomla.fr","version":"3.2.3.1","description":"fr-FR administrator language","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10105, 'fr-FR', 'package', 'pkg_fr-FR', '', 0, 1, 1, 0, '{"name":"French Language Pack","type":"package","creationDate":"February 2014","author":"French translation team : joomla.fr","copyright":"Copyright (C) 2005 - 2014 joomla.fr et Open Source Matters. Tous droits r\\u00e9serv\\u00e9s","authorEmail":"traduction@joomla.fr","authorUrl":"www.joomla.fr","version":"3.2.3.1","description":"\\n\\t\\t\\n\\t\\t<div style=\\"text-align:left;\\">\\n\\t\\t<h3>Joomla! 3.2.3 Full French (fr-FR) Language Package - Version 3.2.3v1<\\/h3>\\n\\t\\t<h3>Paquet de langue Joomla! 3.2.3 fran\\u00e7ais (fr-FR) complet - Version 3.2.3v1<\\/h3>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10108, 'plg_system_k2_reslisting_ajax', 'plugin', 'k2_reslisting_ajax', 'system', 0, 1, 1, 0, '{"name":"plg_system_k2_reslisting_ajax","type":"plugin","creationDate":"March 2013","author":"YouTech Company","copyright":"Copyright (c) 2009-2013 YouTech Company. All rights reserved.","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"2.5","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10109, 'sj_icenter', 'template', 'sj_icenter', '', 0, 1, 1, 0, '{"name":"sj_icenter","type":"template","creationDate":"25\\/3\\/14","author":"YouTech Company","copyright":"","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":"yt_framework"}', '{"hideComponentHomePage":"0","responsive":"1","templateLayout":"main-left-right","menutype":"mainmenu","menustyle":"mega","keepMenu":"1","fancyMenu":"1","responsiveMenu":"mega","moofx":"easeInOutCirc","moofxduration":"500","startlevel":"0","endlevel":"9","templateColor":"blue","logoType":"image","logoText":"SmartAddons.Com","sloganText":"The high quality products","typelayout":"wide","bgcolor":"#ffffff","linkcolor":"#0083e8","textcolor":"#666666","bgimage":"pattern3","header-bgcolor":"#f1f1f1","header-bgimage":"pattern1","footer-bgcolor":"#141414","footer-bgimage":"pattern4","fontSize":"14px","fontName":"arial","googleWebFont":"Titillium Web","googleWebFontTargets":"h1,h2,h3,h4,h5,h6","direction":"ltr","thumbnail":"1","thumbnail_front_page":"1","leading_width":"540","leading_height":"290","intro_width":"540","intro_height":"290","thumbnail_background":"#000000","thumbnail_mode":"stretch","developing":"1","compileLess":"server","optimizeMergeFile":"0","optimizeCSS":"0","optimizeCSSExclude":"","optimizeJS":"0","optimizeJSExclude":"respond.min.js","optimizeFolder":"yt-assets","showBacktotop":"1","showCpanel":"1","useSpecialPositions":"1","activeNotice":"1","setGeneratorTag":"SmartAddons.Com - the high quality products!","enableGoogleAnalytics":"1","googleAnalyticsTrackingID":"","includeLazyload":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10110, 'com_k2', 'component', 'com_k2', '', 1, 1, 0, 0, '{"name":"COM_K2","type":"component","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"Thank you for installing K2 by JoomlaWorks, the powerful content extension for Joomla!","group":""}', '{"enable_css":"1","jQueryHandling":"1.8remote","backendJQueryHandling":"local","userName":"1","userImage":"1","userDescription":"1","userURL":"1","userEmail":"0","userFeedLink":"0","userFeedIcon":"0","userItemCount":"4","userItemTitle":"1","userItemTitleLinked":"1","userItemDateCreated":"1","userItemImage":"1","userItemIntroText":"1","userItemCategory":"0","userItemTags":"0","userItemCommentsAnchor":"1","userItemReadMore":"0","userItemK2Plugins":"1","tagItemCount":"4","tagItemTitle":"1","tagItemTitleLinked":"1","tagItemDateCreated":"1","tagItemImage":"1","tagItemIntroText":"1","tagItemCategory":"0","tagItemReadMore":"0","tagItemExtraFields":"0","tagOrdering":"","tagFeedLink":"0","tagFeedIcon":"0","genericItemCount":"4","genericItemTitle":"1","genericItemTitleLinked":"1","genericItemDateCreated":"1","genericItemImage":"0","genericItemIntroText":"1","genericItemCategory":"0","genericItemReadMore":"1","genericItemExtraFields":"0","genericFeedLink":"0","genericFeedIcon":"0","feedLimit":"10","feedItemImage":"1","feedImgSize":"S","feedItemIntroText":"1","feedTextWordLimit":"100","feedItemFullText":"1","feedItemTags":"0","feedItemVideo":"0","feedItemGallery":"0","feedItemAttachments":"0","feedBogusEmail":"","introTextCleanup":"0","introTextCleanupExcludeTags":"","introTextCleanupTagAttr":"","fullTextCleanup":"0","fullTextCleanupExcludeTags":"","fullTextCleanupTagAttr":"","xssFiltering":"0","linkPopupWidth":"900","linkPopupHeight":"600","imagesQuality":"100","itemImageXS":"200","itemImageS":"250","itemImageM":"400","itemImageL":"600","itemImageXL":"900","itemImageGeneric":"500","catImageWidth":"100","catImageDefault":"1","userImageWidth":"100","userImageDefault":"1","commenterImgWidth":"48","onlineImageEditor":"splashup","imageTimestamp":"0","imageMemoryLimit":"","socialButtonCode":"","twitterUsername":"","facebookImage":"XSmall","comments":"1","commentsOrdering":"DESC","commentsLimit":"3","commentsFormPosition":"below","commentsPublishing":"1","commentsReporting":"2","commentsReportRecipient":"","inlineCommentsModeration":"0","gravatar":"0","antispam":"0","recaptchaForRegistered":"0","akismetForRegistered":"0","commentsFormNotes":"1","commentsFormNotesText":"","frontendEditing":"1","showImageTab":"1","showImageGalleryTab":"1","showVideoTab":"1","showExtraFieldsTab":"1","showAttachmentsTab":"1","showK2Plugins":"1","sideBarDisplayFrontend":"0","mergeEditors":"1","sideBarDisplay":"1","attachmentsFolder":"","hideImportButton":"0","googleSearch":"0","googleSearchContainer":"k2GoogleSearchContainer","K2UserProfile":"0","redirect":"701","adminSearch":"simple","cookieDomain":"","taggingSystem":"1","lockTags":"0","showTagFilter":"0","k2TagNorm":"0","k2TagNormCase":"lower","k2TagNormAdditionalReplacements":"","recaptcha_public_key":"","recaptcha_private_key":"","recaptcha_theme":"clean","recaptchaOnRegistration":"0","akismetApiKey":"","stopForumSpam":"0","stopForumSpamApiKey":"","showItemsCounterAdmin":"1","showChildCatItems":"1","disableCompactOrdering":"0","metaDescLimit":"150","enforceSEFReplacements":"0","SEFReplacements":"\\u00c0|A, \\u00c1|A, \\u00c2|A, \\u00c3|A, \\u00c4|A, \\u00c5|A, \\u00e0|a, \\u00e1|a, \\u00e2|a, \\u00e3|a, \\u00e4|a, \\u00e5|a, \\u0100|A, \\u0101|a, \\u0102|A, \\u0103|a, \\u0104|A, \\u0105|a, \\u00c7|C, \\u00e7|c, \\u0106|C, \\u0107|c, \\u0108|C, \\u0109|c, \\u010a|C, \\u010b|c, \\u010c|C, \\u010d|c, \\u00d0|D, \\u00f0|d, \\u010e|D, \\u010f|d, \\u0110|D, \\u0111|d, \\u00c8|E, \\u00c9|E, \\u00ca|E, \\u00cb|E, \\u00e8|e, \\u00e9|e, \\u00ea|e, \\u00eb|e, \\u0112|E, \\u0113|e, \\u0114|E, \\u0115|e, \\u0116|E, \\u0117|e, \\u0118|E, \\u0119|e, \\u011a|E, \\u011b|e, \\u011c|G, \\u011d|g, \\u011e|G, \\u011f|g, \\u0120|G, \\u0121|g, \\u0122|G, \\u0123|g, \\u0124|H, \\u0125|h, \\u0126|H, \\u0127|h, \\u00cc|I, \\u00cd|I, \\u00ce|I, \\u00cf|I, \\u00ec|i, \\u00ed|i, \\u00ee|i, \\u00ef|i, \\u0128|I, \\u0129|i, \\u012a|I, \\u012b|i, \\u012c|I, \\u012d|i, \\u012e|I, \\u012f|i, \\u0130|I, \\u0131|i, \\u0134|J, \\u0135|j, \\u0136|K, \\u0137|k, \\u0138|k, \\u0139|L, \\u013a|l, \\u013b|L, \\u013c|l, \\u013d|L, \\u013e|l, \\u013f|L, \\u0140|l, \\u0141|L, \\u0142|l, \\u00d1|N, \\u00f1|n, \\u0143|N, \\u0144|n, \\u0145|N, \\u0146|n, \\u0147|N, \\u0148|n, \\u0149|n, \\u014a|N, \\u014b|n, \\u00d2|O, \\u00d3|O, \\u00d4|O, \\u00d5|O, \\u00d6|O, \\u00d8|O, \\u00f2|o, \\u00f3|o, \\u00f4|o, \\u00f5|o, \\u00f6|o, \\u00f8|o, \\u014c|O, \\u014d|o, \\u014e|O, \\u014f|o, \\u0150|O, \\u0151|o, \\u0154|R, \\u0155|r, \\u0156|R, \\u0157|r, \\u0158|R, \\u0159|r, \\u015a|S, \\u015b|s, \\u015c|S, \\u015d|s, \\u015e|S, \\u015f|s, \\u0160|S, \\u0161|s, \\u017f|s, \\u0162|T, \\u0163|t, \\u0164|T, \\u0165|t, \\u0166|T, \\u0167|t, \\u00d9|U, \\u00da|U, \\u00db|U, \\u00dc|U, \\u00f9|u, \\u00fa|u, \\u00fb|u, \\u00fc|u, \\u0168|U, \\u0169|u, \\u016a|U, \\u016b|u, \\u016c|U, \\u016d|u, \\u016e|U, \\u016f|u, \\u0170|U, \\u0171|u, \\u0172|U, \\u0173|u, \\u0174|W, \\u0175|w, \\u00dd|Y, \\u00fd|y, \\u00ff|y, \\u0176|Y, \\u0177|y, \\u0178|Y, \\u0179|Z, \\u017a|z, \\u017b|Z, \\u017c|z, \\u017d|Z, \\u017e|z, \\u03b1|a, \\u03b2|b, \\u03b3|g, \\u03b4|d, \\u03b5|e, \\u03b6|z, \\u03b7|h, \\u03b8|th, \\u03b9|i, \\u03ba|k, \\u03bb|l, \\u03bc|m, \\u03bd|n, \\u03be|x, \\u03bf|o, \\u03c0|p, \\u03c1|r, \\u03c3|s, \\u03c4|t, \\u03c5|y, \\u03c6|f, \\u03c7|ch, \\u03c8|ps, \\u03c9|w, \\u0391|A, \\u0392|B, \\u0393|G, \\u0394|D, \\u0395|E, \\u0396|Z, \\u0397|H, \\u0398|Th, \\u0399|I, \\u039a|K, \\u039b|L, \\u039c|M, \\u039e|X, \\u039f|O, \\u03a0|P, \\u03a1|R, \\u03a3|S, \\u03a4|T, \\u03a5|Y, \\u03a6|F, \\u03a7|Ch, \\u03a8|Ps, \\u03a9|W, \\u03ac|a, \\u03ad|e, \\u03ae|h, \\u03af|i, \\u03cc|o, \\u03cd|y, \\u03ce|w, \\u0386|A, \\u0388|E, \\u0389|H, \\u038a|I, \\u038c|O, \\u038e|Y, \\u038f|W, \\u03ca|i, \\u0390|i, \\u03cb|y, \\u03c2|s, \\u0410|A, \\u04d0|A, \\u04d2|A, \\u04d8|E, \\u04da|E, \\u04d4|E, \\u0411|B, \\u0412|V, \\u0413|G, \\u0490|G, \\u0403|G, \\u0492|G, \\u04f6|G, y|Y, \\u0414|D, \\u0415|E, \\u0400|E, \\u0401|YO, \\u04d6|E, \\u04bc|E, \\u04be|E, \\u0404|YE, \\u0416|ZH, \\u04c1|DZH, \\u0496|ZH, \\u04dc|DZH, \\u0417|Z, \\u0498|Z, \\u04de|DZ, \\u04e0|DZ, \\u0405|DZ, \\u0418|I, \\u040d|I, \\u04e4|I, \\u04e2|I, \\u0406|I, \\u0407|JI, \\u04c0|I, \\u0419|Y, \\u048a|Y, \\u0408|J, \\u041a|K, \\u049a|Q, \\u049e|Q, \\u04a0|K, \\u04c3|Q, \\u049c|K, \\u041b|L, \\u04c5|L, \\u0409|L, \\u041c|M, \\u04cd|M, \\u041d|N, \\u04c9|N, \\u04a2|N, \\u04c7|N, \\u04a4|N, \\u040a|N, \\u041e|O, \\u04e6|O, \\u04e8|O, \\u04ea|O, \\u04a8|O, \\u041f|P, \\u04a6|PF, \\u0420|P, \\u048e|P, \\u0421|S, \\u04aa|S, \\u0422|T, \\u04ac|TH, \\u040b|T, \\u040c|K, \\u0423|U, \\u040e|U, \\u04f2|U, \\u04f0|U, \\u04ee|U, \\u04ae|U, \\u04b0|U, \\u0424|F, \\u0425|H, \\u04b2|H, \\u04ba|H, \\u0426|TS, \\u04b4|TS, \\u0427|CH, \\u04f4|CH, \\u04b6|CH, \\u04cb|CH, \\u04b8|CH, \\u040f|DZ, \\u0428|SH, \\u0429|SHT, \\u042a|A, \\u042b|Y, \\u04f8|Y, \\u042c|Y, \\u048c|Y, \\u042d|E, \\u04ec|E, \\u042e|YU, \\u042f|YA, \\u0430|a, \\u04d1|a, \\u04d3|a, \\u04d9|e, \\u04db|e, \\u04d5|e, \\u0431|b, \\u0432|v, \\u0433|g, \\u0491|g, \\u0453|g, \\u0493|g, \\u04f7|g, y|y, \\u0434|d, \\u0435|e, \\u0450|e, \\u0451|yo, \\u04d7|e, \\u04bd|e, \\u04bf|e, \\u0454|ye, \\u0436|zh, \\u04c2|dzh, \\u0497|zh, \\u04dd|dzh, \\u0437|z, \\u0499|z, \\u04df|dz, \\u04e1|dz, \\u0455|dz, \\u0438|i, \\u045d|i, \\u04e5|i, \\u04e3|i, \\u0456|i, \\u0457|ji, \\u04c0|i, \\u0439|y, \\u048b|y, \\u0458|j, \\u043a|k, \\u049b|q, \\u049f|q, \\u04a1|k, \\u04c4|q, \\u049d|k, \\u043b|l, \\u04c6|l, \\u0459|l, \\u043c|m, \\u04ce|m, \\u043d|n, \\u04ca|n, \\u04a3|n, \\u04c8|n, \\u04a5|n, \\u045a|n, \\u043e|o, \\u04e7|o, \\u04e9|o, \\u04eb|o, \\u04a9|o, \\u043f|p, \\u04a7|pf, \\u0440|p, \\u048f|p, \\u0441|s, \\u04ab|s, \\u0442|t, \\u04ad|th, \\u045b|t, \\u045c|k, \\u0443|u, \\u045e|u, \\u04f3|u, \\u04f1|u, \\u04ef|u, \\u04af|u, \\u04b1|u, \\u0444|f, \\u0445|h, \\u04b3|h, \\u04bb|h, \\u0446|ts, \\u04b5|ts, \\u0447|ch, \\u04f5|ch, \\u04b7|ch, \\u04cc|ch, \\u04b9|ch, \\u045f|dz, \\u0448|sh, \\u0449|sht, \\u044a|a, \\u044b|y, \\u04f9|y, \\u044c|y, \\u048d|y, \\u044d|e, \\u04ed|e, \\u044e|yu, \\u044f|ya","k2Sef":"0","k2SefLabelCat":"content","k2SefLabelTag":"tag","k2SefLabelUser":"author","k2SefLabelSearch":"search","k2SefLabelDate":"date","k2SefLabelItem":"0","k2SefLabelItemCustomPrefix":"","k2SefInsertItemId":"1","k2SefItemIdTitleAliasSep":"dash","k2SefUseItemTitleAlias":"1","k2SefInsertCatId":"1","k2SefCatIdTitleAliasSep":"dash","k2SefUseCatTitleAlias":"1","sh404SefLabelCat":"","sh404SefLabelUser":"blog","sh404SefLabelItem":"2","sh404SefTitleAlias":"alias","sh404SefModK2ContentFeedAlias":"feed","sh404SefInsertItemId":"0","sh404SefInsertUniqueItemId":"0","cbIntegration":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10111, 'plg_finder_k2', 'plugin', 'k2', 'finder', 0, 0, 1, 0, '{"name":"plg_finder_k2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"PLG_FINDER_K2_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10112, 'Search - K2', 'plugin', 'k2', 'search', 0, 1, 1, 0, '{"name":"Search - K2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_THIS_PLUGIN_EXTENDS_THE_DEFAULT_JOOMLA_SEARCH_FUNCTIONALITY_TO_K2_CONTENT","group":""}', '{"search_limit":"50","search_tags":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10113, 'System - K2', 'plugin', 'k2', 'system', 0, 1, 1, 0, '{"name":"System - K2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_THE_K2_SYSTEM_PLUGIN_IS_USED_TO_ASSIST_THE_PROPER_FUNCTIONALITY_OF_THE_K2_COMPONENT_SITE_WIDE_MAKE_SURE_ITS_ALWAYS_PUBLISHED_WHEN_THE_K2_COMPONENT_IS_INSTALLED","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10114, 'User - K2', 'plugin', 'k2', 'user', 0, 1, 1, 0, '{"name":"User - K2","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_A_USER_SYNCHRONIZATION_PLUGIN_FOR_K2","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10115, 'Josetta - K2 Categories', 'plugin', 'k2category', 'josetta_ext', 0, 1, 1, 0, '{"name":"Josetta - K2 Categories","type":"plugin","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10116, 'Josetta - K2 Items', 'plugin', 'k2item', 'josetta_ext', 0, 1, 1, 0, '{"name":"Josetta - K2 Items","type":"plugin","creationDate":"June 7th, 2012","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10117, 'K2 Comments', 'module', 'mod_k2_comments', '', 0, 1, 0, 0, '{"name":"K2 Comments","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"MOD_K2_COMMENTS_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","module_usage":"","":"K2_TOP_COMMENTERS","catfilter":"0","category_id":"","comments_limit":"5","comments_word_limit":"10","commenterName":"1","commentAvatar":"1","commentAvatarWidthSelect":"custom","commentAvatarWidth":"50","commentDate":"1","commentDateFormat":"absolute","commentLink":"1","itemTitle":"1","itemCategory":"1","feed":"1","commenters_limit":"5","commenterNameOrUsername":"1","commenterAvatar":"1","commenterAvatarWidthSelect":"custom","commenterAvatarWidth":"50","commenterLink":"1","commenterCommentsCounter":"1","commenterLatestComment":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10118, 'K2 Content', 'module', 'mod_k2_content', '', 0, 1, 0, 0, '{"name":"K2 Content","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_MOD_K2_CONTENT_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","":"K2_OTHER_OPTIONS","catfilter":"0","category_id":"","getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","videosOnly":"0","item":"","items":"","itemTitle":"1","itemAuthor":"1","itemAuthorAvatar":"1","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"1","itemIntroText":"1","itemIntroTextWordLimit":"","itemImage":"1","itemImgSize":"Small","itemVideo":"1","itemVideoCaption":"1","itemVideoCredits":"1","itemAttachments":"1","itemTags":"1","itemCategory":"1","itemDateCreated":"1","itemHits":"1","itemReadMore":"1","itemExtraFields":"0","itemCommentsCounter":"1","feed":"1","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10119, 'K2 Tools', 'module', 'mod_k2_tools', '', 0, 1, 0, 0, '{"name":"K2 Tools","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_TOOLS","group":""}', '{"moduleclass_sfx":"","module_usage":"0","":"K2_CUSTOM_CODE_SETTINGS","archiveItemsCounter":"1","archiveCategory":"","authors_module_category":"","authorItemsCounter":"1","authorAvatar":"1","authorAvatarWidthSelect":"custom","authorAvatarWidth":"50","authorLatestItem":"1","calendarCategory":"","home":"","seperator":"","root_id":"","end_level":"","categoriesListOrdering":"","categoriesListItemsCounter":"1","root_id2":"","catfilter":"0","category_id":"","getChildren":"0","liveSearch":"","width":"20","text":"","button":"","imagebutton":"","button_text":"","min_size":"75","max_size":"300","cloud_limit":"30","cloud_category":"0","cloud_category_recursive":"0","customCode":"","parsePhp":"0","K2Plugins":"0","JPlugins":"0","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10120, 'K2 Users', 'module', 'mod_k2_users', '', 0, 1, 0, 0, '{"name":"K2 Users","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_MOD_K2_USERS_DESCRTIPTION","group":""}', '{"moduleclass_sfx":"","getTemplate":"Default","source":"0","":"K2_DISPLAY_OPTIONS","filter":"1","K2UserGroup":"","ordering":"1","limit":"4","userIDs":"","userName":"1","userAvatar":"1","userAvatarWidthSelect":"custom","userAvatarWidth":"50","userDescription":"1","userDescriptionWordLimit":"","userURL":"1","userEmail":"0","userFeed":"1","userItemCount":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10121, 'K2 User', 'module', 'mod_k2_user', '', 0, 1, 0, 0, '{"name":"K2 User","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_MOD_K2_USER_DESCRIPTION","group":""}', '{"moduleclass_sfx":"","pretext":"","":"K2_LOGIN_LOGOUT_REDIRECTION","name":"1","userAvatar":"1","userAvatarWidthSelect":"custom","userAvatarWidth":"50","menu":"","login":"","logout":"","usesecure":"0","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(10122, 'K2 Quick Icons (admin)', 'module', 'mod_k2_quickicons', '', 1, 1, 2, 0, '{"name":"K2 Quick Icons (admin)","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_QUICKICONS_FOR_USE_IN_THE_JOOMLA_CONTROL_PANEL_DASHBOARD_PAGE","group":""}', '{"modCSSStyling":"1","modLogo":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10123, 'K2 Stats (admin)', 'module', 'mod_k2_stats', '', 1, 1, 2, 0, '{"name":"K2 Stats (admin)","type":"module","creationDate":"February 28th, 2014","author":"JoomlaWorks","copyright":"Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.","authorEmail":"please-use-the-contact-form@joomlaworks.net","authorUrl":"www.joomlaworks.net","version":"2.6.8","description":"K2_STATS_FOR_USE_IN_THE_K2_DASHBOARD_PAGE","group":""}', '{"latestItems":"1","popularItems":"1","mostCommentedItems":"1","latestComments":"1","statistics":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10125, 'Sj K2 Extra Slider', 'module', 'mod_sj_k2_extraslider', '', 0, 1, 0, 0, '{"name":"Sj K2 Extra Slider","type":"module","creationDate":"July 2013","author":"YouTech Company","copyright":"Copyright (c) 2013 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"3.0.1","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"item_link_target":"_self","button_page":"","theme":"style4","nb-column1":"6","nb-column2":"4","nb-column3":"2","nb-column4":"1","items_page":"4","source":"filter","":"K2_SELECT_SPECIFIC_ITEMS","catfilter":"0","category_id":"","getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","item":"","items":"","title_slider_display":"1","title_slider":"Latest News","item_title_display":"1","item_title_max_characs":"20","item_desc_display":"1","item_desc_max_characs":"50","item_tags_display":"0","item_readmore_display":"1","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"960","imgcfg_height":"400","imgcfg_background":"#FFFFFF","imgcfg_placeholder_path":"modules\\/mod_sj_k2_extraslider\\/assets\\/images\\/nophoto.jpg","play":"0","interval":"5000","pause_hover":"hover","effect":"slide","swipe_enable":"1","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10126, 'Sj Responsive Listing for K2', 'module', 'mod_sj_k2_reslisting', '', 0, 1, 0, 0, '{"name":"Sj Responsive Listing for K2","type":"module","creationDate":"March 2012","author":"YouTech Company","copyright":"Copyright (c) 2013 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"2.5.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"nb-column1":"6","nb-column2":"4","nb-column3":"2","nb-column4":"1","sort_byform_display":"1","layout_select_display":"1","default_view":"1","catfilter":"0","category_id":"","category_preload":"","itemCount":"5","itemsOrdering_display":"","itemsOrdering":"","FeaturedItems":"1","tab_all_display":"1","tal_max_characters":"25","count_items_display":"0","category_ordering":"name","item_title_display":"1","item_title_max_characters":"25","item_description_display":"1","item_des_maxlength_layout_grid":"150","item_des_maxlength_layout_list":"200","item_hits_display":"1","item_created_display":"1","item_cat_display":"1","item_readmore_display":"1","link_target":"_self","imgcfg_from_k2_image":"1","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"600","imgcfg_height":"400","imgcfg_background":"","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_k2_reslisting\\/assets\\/images\\/nophoto.png","moduleclass_sfx":"","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10127, 'Sj Module Tabs', 'module', 'mod_sj_moduletabs', '', 0, 1, 0, 0, '{"name":"Sj Module Tabs","type":"module","creationDate":"November 2012","author":"YouTech Company","copyright":"Copyright (c) 2009-2012 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0","description":"SJ_XML_DESCRIPTION","group":""}', '{"position":"","nb_module":"","tab_position":"top","moduleclass_sfx":"","layout":"basic","include_jquery":"0","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10128, 'plg_system_plg_sj_content_listing_ajax', 'plugin', 'plg_sj_content_listing_ajax', 'system', 0, 1, 1, 0, '{"name":"plg_system_plg_sj_content_listing_ajax","type":"plugin","creationDate":"November 2013","author":"YouTech Company","copyright":"Copyright (c) 2009-2013 YouTech Company. All rights reserved.","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"limit":"4","cls_items_leading1":" items-leading ","cls_items_leading2":" item span12","cls_items_row1":"items-row","cls_items_row2":"item span12","cls_items_more":"items-more","path_blog_category":"templates\\/sj_icenter\\/html\\/com_content\\/category","patt_blog_featured":"templates\\/sj_icenter\\/html\\/com_content\\/featured","display_pagination":"0","include_jquery":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10129, 'plg_system_plg_sj_k2_listing_ajax', 'plugin', 'plg_sj_k2_listing_ajax', 'system', 0, 1, 1, 0, '{"name":"plg_system_plg_sj_k2_listing_ajax","type":"plugin","creationDate":"October 2013","author":"YouTech Company","copyright":"Copyright (c) 2009-2013 YouTech Company. All rights reserved.","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"1.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"limit":"2","path_template":"templates\\/sj_icenter\\/html\\/com_k2\\/templates\\/sj-template","display_pagination":"0","include_jquery":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10131, 'Sj Content Slick Slider', 'module', 'mod_sj_content_slickslider', '', 0, 1, 0, 0, '{"name":"Sj Content Slick Slider","type":"module","creationDate":"May 2013","author":"YouTech Company","copyright":"Copyright (c) 2013 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"2.5","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"theme":"basic1","button_theme":"number","item_link_target":"_self","button_position":"number","catid":"","show_child_category_articles":"1","levels":"1","show_front":"show","article_ordering":"a.title","article_ordering_direction":"ASC","count":"5","item_title_display":"1","item_title_max_characs":"20","item_desc_display":"1","item_desc_max_characs":"100","item_tags_display":"0","item_readmore_display":"1","item_readmore_text":"Readmore","item_image_position":"left","imgcfg_from_image_intro":"1","imgcfg_from_image_fulltext":"1","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_order":"image_intro, image_fulltext, inline_introtext, inline_fulltext, external","imgcfg_external_url":"images\\/{id}.jpg","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"600","imgcfg_height":"400","imgcfg_background":"#FFFFFF","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_content_slickslider\\/assets\\/images\\/nophoto.jpg","start":"1","pause_hover":"hover","play":"1","interval":"5000","effect":"1","swipe":"1","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10133, 'Blog Categories', 'module', 'mod_easyblogcategories', '', 0, 1, 0, 0, '{"name":"Blog Categories","type":"module","creationDate":"11th May 2010","author":"StackIdeas","copyright":"Copyright 2009 - 2011 StackIdeas. All rights reserved.","authorEmail":"support@stackideas.com","authorUrl":"http:\\/\\/stackideas.com","version":"3.8.3","description":"Lists down categories which are created in EasyBlog.","group":""}', '{"routingtype":"default","menuitemid":"","order":"popular","catid":"","sort":"desc","count":"0","showcount":"0","hideemptypost":"1","showcavatar":"1","cache":"0","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10140, 'Noo Google Map', 'module', 'mod_noo_maps', '', 0, 1, 0, 0, '{"name":"Noo Google Map","type":"module","creationDate":"August 2013","author":"NooTheme","copyright":"Copyright (C) 2013 NooTheme. All rights reserved.","authorEmail":"admin@nootheme.com","authorUrl":"http:\\/\\/nootheme.com","version":"1.1.2","description":"\\n\\t\\t\\n\\t\\t\\t<span style=\\"color: #008000;\\"><strong>Noo Google Map Module for Joomla 3!<\\/strong><\\/span><br \\/>\\n\\t\\t\\t<div style=''font-weight:normal''>\\n\\t\\t\\tThis module allows you to quickly and easily add the Google Map to your Joomla 3 website. It allows you set your address information in a HTML format on the map module with a bubble.\\n\\t\\t\\t<p>Copyright 2013 <a href=\\"http:\\/\\/nootheme.com\\" title=\\"Visit nootheme.com\\">NooTheme.com<\\/a>.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t \\n\\t","group":""}', '{"lang":"en","zoom":"14","width":"940","height":"500","alw_infowindow":"1","scrollwheel":"1","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10141, 'Sj K2 Slider', 'module', 'mod_sj_k2_slider', '', 0, 1, 0, 0, '{"name":"Sj K2 Slider","type":"module","creationDate":"August 2013","author":"YouTech Company","copyright":"Copyright (c) 2013 YouTech Company","authorEmail":"contact@ytcvn.com","authorUrl":"http:\\/\\/www.smartaddons.com","version":"3.0.0","description":"TPL_YTFRAMEWORK_XML_DESCRIPTION","group":""}', '{"title_slider_display":"0","slider_title_text":"Title of slider","item_link_target":"_blank","theme":"theme1","button_display":"1","control":"style","anchor":"top","source":"filter","":"IMAGE_OPTIONS","catfilter":"0","category_id":"","getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","item":"","items":"","item_title_display":"1","item_title_max_characs":"25","item_title_ending_char":"","item_desc_display":"1","item_desc_max_characs":"120","item_desc_ending_char":"","item_tags_display":"0","item_readmore_display":"1","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_k2_slider\\/assets\\/images\\/nophoto.png","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"200","imgcfg_height":"200","imgcfg_background":"#FFFFFF","play":"1","effect":"slide","swipe_enable":"1","start":"1","scroll":"1","duration":"1000","delay":"2500","pause_hover":"hover","include_jquery":"0","layout":"basic","deviceclass_sfx1":"4","deviceclass_sfx2":"3","deviceclass_sfx3":"2","deviceclass_sfx4":"2","deviceclass_sfx5":"1","pretext":"","posttext":"","owncache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__finder_filters`;
CREATE TABLE IF NOT EXISTS `#__finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__finder_links`;
CREATE TABLE IF NOT EXISTS `#__finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__finder_links_terms0`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms1`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms2`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms3`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms4`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms5`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms6`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms7`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms8`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_terms9`;
CREATE TABLE IF NOT EXISTS `#__finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsa`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsb`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsc`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsd`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termse`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_links_termsf`;
CREATE TABLE IF NOT EXISTS `#__finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_taxonomy`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=23 ;

INSERT INTO `#__finder_taxonomy` (`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES
(1, 0, 'ROOT', 0, 0, 0);

DROP TABLE IF EXISTS `#__finder_taxonomy_map`;
CREATE TABLE IF NOT EXISTS `#__finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_terms`;
CREATE TABLE IF NOT EXISTS `#__finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  `language` char(3) NOT NULL DEFAULT '',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__finder_terms_common`;
CREATE TABLE IF NOT EXISTS `#__finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__finder_terms_common` (`term`, `language`) VALUES
('a', 'en'),
('about', 'en'),
('after', 'en'),
('ago', 'en'),
('all', 'en'),
('am', 'en'),
('an', 'en'),
('and', 'en'),
('ani', 'en'),
('any', 'en'),
('are', 'en'),
('aren''t', 'en'),
('as', 'en'),
('at', 'en'),
('be', 'en'),
('but', 'en'),
('by', 'en'),
('for', 'en'),
('from', 'en'),
('get', 'en'),
('go', 'en'),
('how', 'en'),
('if', 'en'),
('in', 'en'),
('into', 'en'),
('is', 'en'),
('isn''t', 'en'),
('it', 'en'),
('its', 'en'),
('me', 'en'),
('more', 'en'),
('most', 'en'),
('must', 'en'),
('my', 'en'),
('new', 'en'),
('no', 'en'),
('none', 'en'),
('not', 'en'),
('noth', 'en'),
('nothing', 'en'),
('of', 'en'),
('off', 'en'),
('often', 'en'),
('old', 'en'),
('on', 'en'),
('onc', 'en'),
('once', 'en'),
('onli', 'en'),
('only', 'en'),
('or', 'en'),
('other', 'en'),
('our', 'en'),
('ours', 'en'),
('out', 'en'),
('over', 'en'),
('page', 'en'),
('she', 'en'),
('should', 'en'),
('small', 'en'),
('so', 'en'),
('some', 'en'),
('than', 'en'),
('thank', 'en'),
('that', 'en'),
('the', 'en'),
('their', 'en'),
('theirs', 'en'),
('them', 'en'),
('then', 'en'),
('there', 'en'),
('these', 'en'),
('they', 'en'),
('this', 'en'),
('those', 'en'),
('thus', 'en'),
('time', 'en'),
('times', 'en'),
('to', 'en'),
('too', 'en'),
('true', 'en'),
('under', 'en'),
('until', 'en'),
('up', 'en'),
('upon', 'en'),
('use', 'en'),
('user', 'en'),
('users', 'en'),
('veri', 'en'),
('version', 'en'),
('very', 'en'),
('via', 'en'),
('want', 'en'),
('was', 'en'),
('way', 'en'),
('were', 'en'),
('what', 'en'),
('when', 'en'),
('where', 'en'),
('whi', 'en'),
('which', 'en'),
('who', 'en'),
('whom', 'en'),
('whose', 'en'),
('why', 'en'),
('wide', 'en'),
('will', 'en'),
('with', 'en'),
('within', 'en'),
('without', 'en'),
('would', 'en'),
('yes', 'en'),
('yet', 'en'),
('you', 'en'),
('your', 'en'),
('yours', 'en');

DROP TABLE IF EXISTS `#__finder_tokens`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `language` char(3) NOT NULL DEFAULT '',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_tokens_aggregate`;
CREATE TABLE IF NOT EXISTS `#__finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  `language` char(3) NOT NULL DEFAULT '',
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__finder_types`;
CREATE TABLE IF NOT EXISTS `#__finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `#__finder_types` (`id`, `title`, `mime`) VALUES
(1, 'Category', ''),
(2, 'Contact', ''),
(3, 'Article', ''),
(4, 'News Feed', ''),
(5, 'Web Link', ''),
(6, 'K2 Item', ''),
(7, 'Tag', '');

DROP TABLE IF EXISTS `#__k2_attachments`;
CREATE TABLE IF NOT EXISTS `#__k2_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `filename` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `titleAttribute` text NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__k2_categories`;
CREATE TABLE IF NOT EXISTS `#__k2_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `parent` int(11) DEFAULT '0',
  `extraFieldsGroup` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `image` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`published`,`access`,`trash`),
  KEY `parent` (`parent`),
  KEY `ordering` (`ordering`),
  KEY `published` (`published`),
  KEY `access` (`access`),
  KEY `trash` (`trash`),
  KEY `language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

INSERT INTO `#__k2_categories` (`id`, `name`, `alias`, `description`, `parent`, `extraFieldsGroup`, `published`, `access`, `ordering`, `image`, `params`, `trash`, `plugins`, `language`) VALUES
(1, 'Smartphone', 'smartphone', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>', 10, 0, 1, 1, 1, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Medium","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Medium","num_links":"0","num_links_columns":"0","linksImgSize":"Medium","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"1","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"100","catItemExtraFields":"1","catItemHits":"1","catItemCategory":"0","catItemTags":"0","catItemAttachments":"1","catItemAttachmentsCounter":"1","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"0","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"XSmall","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(2, 'Tablet', 'tablet', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>', 10, 0, 1, 1, 2, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Medium","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Medium","num_links":"0","num_links_columns":"0","linksImgSize":"Medium","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"1","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"100","catItemExtraFields":"1","catItemHits":"1","catItemCategory":"0","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"0","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(3, 'Phablet', 'phablet', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>', 10, 0, 1, 1, 3, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Small","num_links":"0","num_links_columns":"0","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"1","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"100","catItemExtraFields":"1","catItemHits":"1","catItemCategory":"0","catItemTags":"0","catItemAttachments":"1","catItemAttachmentsCounter":"1","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"0","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(4, 'Laptop', 'laptop', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>', 10, 0, 1, 1, 4, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Small","num_links":"0","num_links_columns":"0","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"0","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"100","catItemExtraFields":"1","catItemHits":"1","catItemCategory":"0","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"1","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"0","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"0","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(5, 'Laptop', 'laptop', '', 0, 0, 1, 1, 5, '', '{"inheritFrom":"0","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 1, '', '*'),
(6, 'Video', 'video', '', 0, 1, 1, 1, 1, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Small","num_links":"0","num_links_columns":"0","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"0","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"0","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(7, 'Our Team', 'our-team', '', 0, 3, 1, 1, 2, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Medium","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"0","num_links_columns":"0","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"0","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"0","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"0","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"0","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(8, 'Partner', 'partner', '', 0, 2, 1, 1, 3, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Medium","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"0","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"0","catItemTags":"0","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"0","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"0","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(9, 'Slideshow', 'slideshow', '', 0, 0, 1, 1, 8, '', '{"inheritFrom":"0","theme":"","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 1, '', '*'),
(10, 'Technology', 'technology', '', 0, 0, 1, 1, 4, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"2","num_leading_columns":"1","leadingImgSize":"Large","num_primary_items":"4","num_primary_columns":"2","primaryImgSize":"Medium","num_secondary_items":"4","num_secondary_columns":"1","secondaryImgSize":"Small","num_links":"4","num_links_columns":"1","linksImgSize":"XSmall","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"1","catTitle":"1","catTitleItemCounter":"1","catDescription":"1","catImage":"1","catFeedLink":"1","catFeedIcon":"1","subCategories":"1","subCatColumns":"2","subCatOrdering":"","subCatTitle":"1","subCatTitleItemCounter":"1","subCatDescription":"1","subCatImage":"1","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"1","catItemDateCreated":"1","catItemRating":"0","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"","catItemExtraFields":"0","catItemHits":"0","catItemCategory":"1","catItemTags":"1","catItemAttachments":"0","catItemAttachmentsCounter":"0","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"1","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"1","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"1","itemTags":"1","itemAttachments":"1","itemAttachmentsCounter":"1","itemVideo":"1","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"1","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"1","itemRelatedLimit":"5","itemRelatedTitle":"1","itemRelatedCategory":"0","itemRelatedImageSize":"0","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 0, '', '*'),
(11, 'Copy of Smartphone', 'smartphone', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus. Fusce egestas, augue in fermentum euismod, quam ante mattis lorem, a tempor ipsum mi sed elit.</p>', 1, 0, 1, 1, 1, '', '{"inheritFrom":"0","theme":"sj-template","num_leading_items":"0","num_leading_columns":"0","leadingImgSize":"Medium","num_primary_items":"4","num_primary_columns":"1","primaryImgSize":"Medium","num_secondary_items":"0","num_secondary_columns":"0","secondaryImgSize":"Medium","num_links":"0","num_links_columns":"0","linksImgSize":"Medium","catCatalogMode":"0","catFeaturedItems":"1","catOrdering":"","catPagination":"2","catPaginationResults":"0","catTitle":"1","catTitleItemCounter":"0","catDescription":"1","catImage":"0","catFeedLink":"0","catFeedIcon":"0","subCategories":"0","subCatColumns":"2","subCatOrdering":"","subCatTitle":"0","subCatTitleItemCounter":"0","subCatDescription":"1","subCatImage":"0","itemImageXS":"","itemImageS":"","itemImageM":"","itemImageL":"","itemImageXL":"","catItemTitle":"1","catItemTitleLinked":"1","catItemFeaturedNotice":"0","catItemAuthor":"0","catItemDateCreated":"1","catItemRating":"1","catItemImage":"1","catItemIntroText":"1","catItemIntroTextWordLimit":"100","catItemExtraFields":"1","catItemHits":"1","catItemCategory":"0","catItemTags":"0","catItemAttachments":"1","catItemAttachmentsCounter":"1","catItemVideo":"0","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"0","catItemImageGallery":"0","catItemDateModified":"0","catItemReadMore":"0","catItemCommentsAnchor":"1","catItemK2Plugins":"1","itemDateCreated":"1","itemTitle":"1","itemFeaturedNotice":"1","itemAuthor":"1","itemFontResizer":"1","itemPrintButton":"1","itemEmailButton":"1","itemSocialButton":"0","itemVideoAnchor":"1","itemImageGalleryAnchor":"1","itemCommentsAnchor":"1","itemRating":"1","itemImage":"1","itemImgSize":"Large","itemImageMainCaption":"1","itemImageMainCredits":"1","itemIntroText":"1","itemFullText":"1","itemExtraFields":"1","itemDateModified":"1","itemHits":"1","itemCategory":"0","itemTags":"1","itemAttachments":"0","itemAttachmentsCounter":"0","itemVideo":"0","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"0","itemVideoCaption":"1","itemVideoCredits":"1","itemImageGallery":"1","itemNavigation":"0","itemComments":"1","itemTwitterButton":"1","itemFacebookButton":"1","itemGooglePlusOneButton":"1","itemAuthorBlock":"1","itemAuthorImage":"1","itemAuthorDescription":"1","itemAuthorURL":"1","itemAuthorEmail":"0","itemAuthorLatest":"1","itemAuthorLatestLimit":"5","itemRelated":"0","itemRelatedLimit":"5","itemRelatedTitle":"0","itemRelatedCategory":"0","itemRelatedImageSize":"XSmall","itemRelatedIntrotext":"0","itemRelatedFulltext":"0","itemRelatedAuthor":"0","itemRelatedMedia":"0","itemRelatedImageGallery":"0","itemK2Plugins":"1","catMetaDesc":"","catMetaKey":"","catMetaRobots":"","catMetaAuthor":""}', 1, '', '*');

DROP TABLE IF EXISTS `#__k2_comments`;
CREATE TABLE IF NOT EXISTS `#__k2_comments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `itemID` int(11) NOT NULL,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) NOT NULL,
  `commentDate` datetime NOT NULL,
  `commentText` text NOT NULL,
  `commentEmail` varchar(255) NOT NULL,
  `commentURL` varchar(255) NOT NULL,
  `published` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `itemID` (`itemID`),
  KEY `userID` (`userID`),
  KEY `published` (`published`),
  KEY `latestComments` (`published`,`commentDate`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=29 ;

INSERT INTO `#__k2_comments` (`id`, `itemID`, `userID`, `userName`, `commentDate`, `commentText`, `commentEmail`, `commentURL`, `published`) VALUES
(3, 6, 0, 'Smartaddons', '2014-03-12 07:22:12', 'Maecenas sit amet nunc nec nulla molestie hendrerit. Curabitur ultricies, nunc quis sodales facilisis, nisi purus malesuada mauris, aliquet semper enim elit vitae elit. Nullam lobortis, elit nec vehicula iaculis, nibh diam vehicula purus, quis eleifend lacus turpis eget erat. Aenean aliquam, mi non congue blandit, felis tellus aliquam odio, id ultrices urna justo eu augue. Sed ultrices imperdiet mauris, at vulputate metus. Maecenas a dolor dignissim, auctor nibh eget, facilisis lectus. Fusce elementum massa sit amet ipsum euismod auctor eget blandit sapien. Morbi sit amet varius erat. In scelerisque iaculis vestibulum.', 'abc@gmail.com', 'http://www.smartaddons.com', 1),
(4, 5, 0, 'Smartaddons', '2014-03-12 07:22:31', 'Integer tellus massa, consequat quis sagittis sit amet, fermentum ac ante. Phasellus interdum blandit lorem sodales semper. Etiam vel sapien vitae orci eleifend blandit ut eu felis. Quisque pretium velit a rutrum varius. Cras suscipit vehicula mauris, at euismod mi congue vel. In cursus vulputate metus, vel aliquam sem scelerisque condimentum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque tempus erat sit amet sem consectetur mollis. In iaculis eget lectus ut faucibus. Suspendisse vel ipsum tincidunt, convallis massa sit amet, elementum neque. Curabitur eget pretium ligula.', 'abc@gmail.com', 'http://www.smartaddons.com', 1),
(13, 6, 0, 'all', '2014-03-21 07:20:24', 'hi all', 'hi@all.com', 'http://dantri.com', 1),
(15, 25, 0, 'nam', '2014-03-21 07:21:47', 'skdfsdf', 'name@name.com', 'http://dantri.com', 1),
(16, 39, 0, 'fgd', '2014-03-21 07:22:25', 'fgfdg', 'ss@ss.com', 'http://dantri.com', 1),
(17, 56, 0, 'ff', '2014-03-21 07:23:14', 'fdgfdg', 'gg@gg.com', 'http://dantri.com', 1),
(24, 7, 0, 'Smartaddons Templates', '2014-03-22 09:52:40', 'Duis ultrices pretium molestie. Mauris ullamcorper leo ullamcorper libero laoreet malesuada. Maecenas et dapibus turpis. Vivamus laoreet velit non varius pharetra. Vestibulum sed erat non arcu aliquam placerat. Proin ipsum nisl, condimentum quis nisi eu, pharetra fermentum ligula. Morbi semper hendrerit neque non elementum. Donec id aliquam arcu.', 'abcx@gmail.com', 'http://www.smartaddons.com', 1),
(25, 7, 0, 'Joomla Templates', '2014-03-22 09:53:23', 'Morbi sollicitudin accumsan ultricies. Cras eget nulla at sapien imperdiet commodo. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aenean non eros auctor, tincidunt ipsum in, convallis lectus. Phasellus scelerisque tortor et dui pulvinar blandit. In vitae sapien ac velit vehicula placerat.', 'abcd@gmail.com', 'http://www.smartaddons.com', 1),
(26, 28, 0, 'Alex Nguyen', '2014-03-22 10:16:55', 'Forem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque convallis ligula eget tellus lacinia tristique. Vivamus convallis tristique fringilla. Pellentesque pharetra, lacus tincidunt pulvinar facilisis', 'a@admin.com', 'http://dantri.com', 1),
(27, 28, 0, 'Mr John', '2014-03-22 10:17:50', 'Forem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque convallis ligula eget tellus lacinia tristique. Vivamus convallis tristique fringilla. Pellentesque pharetra, lacus tincidunt pulvinar facilisis', 'dd@admin.com', 'http://dantri.com', 1),
(28, 28, 0, 'Peter', '2014-03-28 03:42:07', 'Forem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque convallis ligula eget tellus lacinia tristique. Vivamus convallis tristique fringilla. Pellentesque pharetra, lacus tincidunt pulvinar facilisis', 'abd@gmail.com', '', 1);

DROP TABLE IF EXISTS `#__k2_extra_fields`;
CREATE TABLE IF NOT EXISTS `#__k2_extra_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `type` varchar(255) NOT NULL,
  `group` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group` (`group`),
  KEY `published` (`published`),
  KEY `ordering` (`ordering`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `#__k2_extra_fields` (`id`, `name`, `value`, `type`, `group`, `published`, `ordering`) VALUES
(1, 'Video', '[{"name":null,"value":"","editor":null,"rows":"","cols":"","target":null,"alias":"","required":1,"showNull":0}]', 'textarea', 1, 1, 1),
(2, 'Link', '[{"name":"","value":"","target":"same","alias":"","required":1,"showNull":0}]', 'link', 2, 1, 1),
(3, 'Regency', '[{"name":null,"value":"","target":null,"alias":"","required":1,"showNull":0}]', 'textfield', 3, 1, 1),
(4, 'Facebook', '[{"name":null,"value":"","target":null,"alias":"Facebook","required":0,"showNull":0}]', 'textfield', 3, 1, 2),
(5, 'Twitter', '[{"name":null,"value":"","target":null,"alias":"Twitter","required":0,"showNull":0}]', 'textfield', 3, 1, 4),
(6, 'Skype', '[{"name":null,"value":"","target":null,"alias":"SkYpe","required":0,"showNull":0}]', 'textfield', 3, 1, 5),
(7, 'Google Plus', '[{"name":null,"value":"","target":null,"alias":"","required":0,"showNull":0}]', 'textfield', 3, 1, 3);

DROP TABLE IF EXISTS `#__k2_extra_fields_groups`;
CREATE TABLE IF NOT EXISTS `#__k2_extra_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__k2_extra_fields_groups` (`id`, `name`) VALUES
(1, 'Video'),
(2, 'Partner'),
(3, 'Our Team');

DROP TABLE IF EXISTS `#__k2_items`;
CREATE TABLE IF NOT EXISTS `#__k2_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `catid` int(11) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `video` text,
  `gallery` varchar(255) DEFAULT NULL,
  `extra_fields` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `extra_fields_search` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL,
  `checked_out` int(10) unsigned NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL,
  `publish_down` datetime NOT NULL,
  `trash` smallint(6) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `featured` smallint(6) NOT NULL DEFAULT '0',
  `featured_ordering` int(11) NOT NULL DEFAULT '0',
  `image_caption` text NOT NULL,
  `image_credits` varchar(255) NOT NULL,
  `video_caption` text NOT NULL,
  `video_credits` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL,
  `params` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `metakey` text NOT NULL,
  `plugins` text NOT NULL,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `item` (`published`,`publish_up`,`publish_down`,`trash`,`access`),
  KEY `catid` (`catid`),
  KEY `created_by` (`created_by`),
  KEY `ordering` (`ordering`),
  KEY `featured` (`featured`),
  KEY `featured_ordering` (`featured_ordering`),
  KEY `hits` (`hits`),
  KEY `created` (`created`),
  KEY `language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=63 ;

INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(1, 'Duis hendrerit', 'duis-hendrerit', 1, 1, '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc facilisis tellus ligula, id sollicitudin augue sagittis vitae. Integer convallis arcu non ipsum elementum, eget commodo purus imperdiet.</p>\r\n', '\r\n<p>Donec elit nulla, egestas quis ornare id, luctus in lacus. Phasellus sed dui nec nibh congue rutrum. Fusce eget tortor rhoncus, commodo tortor at, egestas urna. Pellentesque at sem placerat, venenatis arcu ac, vestibulum ante. Sed at dui ac libero sagittis semper. Suspendisse potenti. Aenean luctus dignissim velit, sed posuere augue convallis vel. Praesent vitae ante consectetur, varius nisi in, feugiat turpis. Sed sit amet nibh dolor. Duis hendrerit elementum dictum. Aliquam vulputate felis eu vulputate tincidunt.</p>\r\n<p>Fusce et vehicula felis. Sed ut purus tellus. Quisque quis purus velit. Sed fringilla magna ut augue ultrices interdum. Sed convallis dolor massa, a rutrum urna vulputate ut. Praesent fermentum lacus eu tellus ullamcorper, sit amet bibendum nunc sollicitudin. Nulla facilisi.</p>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed convallis eros tempus justo posuere accumsan. Cras aliquet, odio sed sodales tristique, nibh dolor tristique ante, quis sodales nisl turpis et nulla. Praesent vehicula tempus sagittis. Integer condimentum sem at leo laoreet, venenatis faucibus ligula venenatis. Vestibulum fringilla nisl eget nisi tempor, nec aliquet felis lacinia. Cras fringilla nulla at viverra tristique. Aliquam ultrices ultricies nunc et tincidunt. Maecenas rutrum lacus nec lacus viverra sollicitudin. Sed eu lacus convallis, feugiat erat in, facilisis arcu.</p>\r\n<p>Fusce egestas nisi vel congue vehicula. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus justo massa, dapibus ultrices sodales in, sodales sed nulla. Aenean mi libero, ullamcorper et quam elementum, pellentesque hendrerit lorem. Nulla fringilla massa nec diam luctus, convallis gravida lectus varius. Quisque commodo nisl nunc, non pretium turpis fermentum ut. Nam pretium id velit sit amet porttitor. Aliquam ut bibendum justo. Suspendisse feugiat lorem velit, vitae sodales eros ullamcorper quis.</p>', NULL, NULL, '[]', '', '2014-03-11 04:59:51', 660, '', 0, '0000-00-00 00:00:00', '2014-03-21 09:42:58', 660, '2014-03-11 04:59:51', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 15, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(2, 'Suspendisse potenti', 'suspendisse-potenti', 1, 1, '<p>Sed dapibus neque eget risus sollicitudin, sed elementum nisl accumsan. Pellentesque at elementum quam, ut fermentum elit. Nam luctus lectus a est placerat, vitae fringilla nulla volutpat.</p>\r\n', '\r\n<p>Nulla facilisi. Suspendisse potenti. Ut nisl diam, malesuada a luctus nec, condimentum facilisis eros. Morbi rutrum pulvinar fringilla. Sed arcu dolor, posuere quis mi sed, elementum fermentum eros.</p>\r\n<p>Nunc sed mattis neque. Mauris quis vestibulum sapien, non tincidunt dui. Pellentesque dictum ipsum lorem, ac vestibulum dui convallis vitae. Donec id aliquam leo. Donec at sollicitudin eros. Quisque sit amet mollis leo. Proin euismod magna eget commodo consequat. Maecenas ornare sagittis volutpat. Pellentesque euismod nunc eu massa ultrices accumsan. Sed sagittis non lorem eu ornare. Aenean lacinia sodales neque, sed commodo eros scelerisque nec. Nunc et consequat est. Nulla sed vulputate nulla, vitae ultrices nulla. Praesent at luctus diam, et bibendum lacus. Donec ultrices urna magna, ut faucibus nisi rutrum sit amet. Cras interdum orci ac pulvinar hendrerit.</p>\r\n<p>Nunc pulvinar molestie sem, auctor malesuada turpis vulputate non. Nullam a libero in lorem eleifend egestas. Morbi lobortis consequat lacus, et porta purus fermentum ut. Sed eu nisl et mauris vulputate malesuada. Vivamus sit amet ullamcorper justo, at pretium risus. Praesent ac lobortis sapien. Ut dolor turpis, varius at egestas vel, bibendum vitae dolor. Maecenas quis libero risus.</p>', NULL, NULL, '[]', '', '2014-03-11 06:47:30', 660, '', 0, '0000-00-00 00:00:00', '2014-03-19 01:35:08', 660, '2014-03-11 06:47:30', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(3, 'Vivamus metus', 'vivamus-metus', 1, 1, '<p>Fusce pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-11 06:56:52', 660, '', 0, '0000-00-00 00:00:00', '2014-03-19 01:33:30', 660, '2014-03-11 06:56:52', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(4, 'Aliquam consectetur', 'aliquam-consectetur', 1, 1, '<p>Rumas pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-11 06:58:19', 660, '', 0, '0000-00-00 00:00:00', '2014-03-24 09:40:39', 660, '2014-03-11 06:58:19', '0000-00-00 00:00:00', 0, 1, 9, 0, 0, '', '', '', '', 158, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(5, 'Quisque risus ligula', 'quisque-risus-ligula', 2, 1, '<p>Sed iaculis laoreet neque, at euismod est eleifend vitae. Nunc mattis dignissim ante nec vehicula. Pellentesque id quam hendrerit diam tristique gravida ut eget tortor. Donec consequat eget odio et convallis.</p>\r\n', '\r\n<p>Vestibulum scelerisque lorem sed neque hendrerit, eu dictum ipsum sollicitudin. Proin scelerisque, quam nec auctor pharetra, turpis purus sollicitudin nunc, quis ornare metus ante quis erat. Curabitur hendrerit gravida luctus. Vivamus posuere accumsan interdum. Nulla volutpat enim at est pellentesque, non cursus felis malesuada. Nulla nec erat nec nisl viverra feugiat. Praesent ac risus egestas, lobortis eros vitae, semper quam. In malesuada id felis quis imperdiet. Phasellus non felis molestie, porttitor justo et, ultricies erat. Phasellus luctus ornare hendrerit.</p>\r\n<p>Suspendisse sodales felis vitae mi vestibulum, quis lobortis neque ultrices. Quisque risus ligula, malesuada eget blandit at, venenatis id orci. Vivamus adipiscing nibh eu turpis interdum blandit vitae in odio. Fusce non justo vel lectus vulputate eleifend et eget turpis. Aliquam semper neque at turpis dapibus scelerisque. Maecenas at varius risus. Nulla sagittis sit amet leo a iaculis. Sed adipiscing eros nec semper sagittis. Ut viverra tellus at mollis dignissim. Fusce at blandit nibh. Sed convallis, risus non eleifend bibendum, lorem diam mattis lectus, vitae faucibus est lectus at justo.</p>\r\n<p>Nunc fringilla pulvinar lacus eget gravida. Pellentesque feugiat eros nisi, id pharetra lectus molestie ut. Curabitur felis metus, accumsan ac eros eget, consequat malesuada nisi. Phasellus condimentum volutpat dolor, in adipiscing libero molestie in. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Suspendisse nec ullamcorper libero. In eget aliquam odio. Quisque viverra massa sit amet justo mattis interdum.</p>', NULL, NULL, '[]', '', '2014-03-11 06:59:18', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:56:59', 660, '2014-03-11 06:59:18', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 7, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(6, 'Hisa nace ruma', 'hisa-nace-ruma', 4, 1, '<p>Wirem pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-11 09:39:24', 660, '', 0, '0000-00-00 00:00:00', '2014-03-28 09:11:52', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 12, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(7, 'Aliqua ut terdum', 'aliquam-ut-inte', 3, 1, '<p>Proin vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi, auctor blandit</p>\r\n', '\r\n<p>tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-11 09:46:29', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:01:38', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 35, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(8, 'Nulla ultrices congue', 'nulla-ultrices-congue', 2, 1, '<p>Wirem pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-11 09:55:15', 660, '', 0, '0000-00-00 00:00:00', '2014-03-28 09:10:55', 660, '2014-03-11 09:55:15', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 33, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(9, 'Nunc odio dolor', 'nunc-odio-dolor', 2, 1, '<p>Duis in feugiat est. Nunc odio dolor, tincidunt sit amet ornare vitae, semper sed eros. Praesent pharetra dictum facilisis. Aliquam vel enim sed justo feugiat egestas. Suspendisse potenti. Suspendisse sed</p>\r\n', '\r\n<p>scelerisque ipsum. Proin ac mattis lorem. Sed vestibulum sapien eu mauris scelerisque tristique. In elit est, egestas non erat nec, sollicitudin tempor metus. Fusce ipsum arcu, malesuada eget tempor aliquet, accumsan sed lorem. Maecenas placerat ligula laoreet accumsan rhoncus. Suspendisse lectus ante, suscipit ut sollicitudin quis, euismod vitae nisi. Aliquam diam erat, posuere eget fringilla a, pulvinar id tortor. Ut sit amet magna viverra arcu viverra iaculis.</p>\r\n<p>Duis vitae arcu est. Praesent condimentum dui non gravida sodales. Duis eget dolor quis ipsum vehicula suscipit eu in odio. Suspendisse pulvinar metus eu nunc facilisis, feugiat eleifend nisl laoreet. Morbi et massa id mi egestas tincidunt non ac ante. Mauris porttitor metus ut ipsum consectetur vulputate. Pellentesque ornare convallis lacus, non cursus leo commodo at. Quisque mattis mauris at turpis accumsan, non euismod purus porta. Sed laoreet, mi ut fermentum suscipit, magna velit dapibus justo, et auctor tellus sapien id turpis. Nunc cursus, tortor non vulputate posuere, risus eros vestibulum nunc, mattis tempus est justo non dolor. Fusce viverra tortor at tincidunt mattis. Quisque pharetra, lorem non pretium venenatis, ante purus tincidunt augue, in feugiat leo risus at sapien.</p>\r\n<p>Suspendisse sit amet quam eleifend, dictum ipsum vel, blandit metus. Mauris blandit orci et ligula aliquet consequat. Curabitur faucibus egestas ultrices. Praesent ut venenatis mauris. Proin vehicula lacus vitae risus pellentesque, ut fringilla risus elementum. Curabitur nec nunc congue, aliquet elit at, placerat neque. Mauris ut imperdiet dui, sit amet iaculis lorem. Integer venenatis tincidunt turpis porta faucibus. Nunc varius ac tortor ut vulputate. Donec gravida mi leo, id fermentum neque commodo eu.</p>\r\n<p>Vestibulum eget massa non lacus auctor placerat non at dui. Pellentesque pharetra suscipit ultricies. Duis dictum purus eget nulla sollicitudin sollicitudin. Proin mollis ornare felis non tristique. Nunc consectetur quis arcu vitae accumsan. Morbi feugiat semper quam, at rhoncus ligula. Mauris posuere in lacus quis gravida. Aenean et felis nisi. Duis quam sem, placerat ac neque sed, ornare dignissim nisl.</p>', NULL, NULL, '[]', '', '2014-03-11 09:59:17', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:56:36', 660, '2014-03-11 09:59:17', '0000-00-00 00:00:00', 0, 1, 8, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(10, 'Morbi varius justo', 'morbi-varius-justo', 6, 1, '<p>Donec ac felis ut nisl vulputate bibendum non nec arcu. Morbi varius justo in lectus semper, at pellentesque nulla semper. Aenean mattis diam ac urna sagittis, eu molestie lacus egestas. Duis ut convallis leo. Aenean fermentum dictum felis ut sodales. Vestibulum dapibus eros in imperdiet aliquam. Donec id imperdiet odio. Sed ac blandit justo. Nullam at erat ac diam porta rutrum. Aliquam sodales turpis ac dapibus tempus. Pellentesque adipiscing odio quam, ac tristique lorem feugiat ac. Maecenas nulla tortor, fringilla non diam quis, aliquam tristique sapien.</p>\r\n<p>Etiam rutrum feugiat velit, viverra viverra felis ullamcorper a. Nunc vel dolor ligula. Ut eget orci sit amet magna vestibulum faucibus et nec magna. Integer pulvinar pretium turpis at rutrum. Mauris ac tortor ornare massa pulvinar facilisis quis eu tellus. Nullam felis tellus, pellentesque id fringilla at, porta vitae orci. Duis dapibus euismod lacus eu commodo. Proin rutrum ipsum eget tempor sagittis. Pellentesque non tempor nisl. Vivamus dignissim augue vel mi mollis luctus. Nulla in diam adipiscing quam pharetra feugiat sit amet et velit. Aenean ligula orci, tristique in porttitor nec, facilisis ullamcorper ligula. Duis a pellentesque arcu.</p>\r\n<p>Fusce fringilla varius lacinia. Sed congue vestibulum volutpat. Nunc hendrerit purus eros, sit amet dictum ante fringilla at. Fusce in consequat nulla, at laoreet tortor. Fusce at ornare massa. Sed adipiscing, ligula et semper pharetra, ipsum magna rhoncus augue, ut tincidunt libero turpis vel lacus. Praesent porta est eu ante pharetra dapibus. Nullam eu diam porttitor, mattis erat ut, eleifend metus. Nullam non euismod purus, vel consectetur velit. Morbi id velit commodo, hendrerit odio et, lacinia elit. Quisque fermentum posuere dolor vel aliquet. Nam quis nisi eu velit feugiat aliquam ut at orci. Ut odio dolor, hendrerit eget sollicitudin id, tempus sed est.</p>\r\n<p>Proin dignissim tortor massa, ut iaculis mauris consequat in. Maecenas viverra laoreet mi, ac hendrerit purus aliquet non. Cras vulputate iaculis dignissim. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras et lacus nec dui consectetur imperdiet. Pellentesque sed neque id sapien tincidunt porta ut at sapien. Aliquam erat volutpat. Pellentesque bibendum purus ut enim aliquam, id eleifend sem molestie. Sed a pellentesque nunc. Mauris tellus tortor, sagittis sit amet vehicula et, hendrerit ac nunc. Aliquam ultricies purus sodales nunc pretium accumsan. Ut urna sapien, accumsan eu mauris ac, placerat mollis justo. Morbi et tellus aliquam, varius tortor et, aliquet sapien. In volutpat, nunc non feugiat eleifend, libero elit commodo sapien, in adipiscing augue eros aliquet ligula.</p>', '', NULL, NULL, '[{"id":"1","value":""}]', ' ', '2014-03-11 00:00:00', 660, '', 0, '0000-00-00 00:00:00', '2014-04-03 02:37:07', 86, '2014-03-11 00:00:00', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(11, 'Mauris orci elit', 'mauris-orci-elit', 6, 1, '<p>Praesent sed consequat purus. Mauris orci elit, cursus id justo sed, semper condimentum sapien. Integer suscipit eros quis tortor aliquam, vitae interdum mi congue. Nam dictum pellentesque felis non volutpat. Sed in fermentum diam. Suspendisse varius quis libero id elementum. Cras vel hendrerit urna. Pellentesque ultrices consectetur libero, varius faucibus enim mattis non. Donec in libero ante. Nunc sit amet arcu mi. Morbi consequat consequat erat a laoreet. Nulla ornare egestas magna, ultricies elementum tortor pulvinar et. Maecenas pretium congue turpis, ut viverra nisi aliquet in.</p>\r\n<p>Sed leo velit, porttitor et volutpat id, rhoncus quis nunc. Vestibulum et aliquam nulla, vitae commodo augue. Quisque posuere purus eu vulputate laoreet. Suspendisse potenti. Aliquam suscipit est at molestie pretium. Integer nec dui gravida, cursus enim bibendum, accumsan ante. Suspendisse vel enim libero. Aenean posuere id lorem vel porttitor. Donec id dolor mauris. Pellentesque faucibus diam eget mi interdum pretium. Proin at rhoncus odio. Sed sit amet malesuada dolor. Maecenas eget gravida nisi.</p>\r\n<p>Donec nec lorem dapibus, sagittis velit ac, varius arcu. Curabitur gravida metus est, ac lobortis libero vulputate eu. Phasellus vestibulum, nibh in tempor rhoncus, lectus elit venenatis lorem, nec egestas est lectus ac risus. Sed id sapien risus. Aenean porttitor magna vel congue adipiscing. Nunc in condimentum quam. Morbi viverra vestibulum libero, in aliquam odio dignissim sit amet.</p>\r\n<p>Nunc porttitor ante at elit placerat, quis dapibus urna euismod. Aliquam erat volutpat. Nulla ornare leo eu dictum feugiat. Integer eget auctor dolor. Nullam facilisis nisl sed ligula sodales porta. In erat purus, dignissim ultricies felis et, faucibus consequat quam. Aenean mattis a augue in aliquam. Fusce molestie, dui sed bibendum lacinia, metus nisi vestibulum risus, quis placerat orci justo sed mauris. Nullam congue leo eget pretium tempor. Fusce bibendum tellus vitae neque tempus, sed posuere nulla commodo. Aliquam vehicula lacus et tempor sagittis. Praesent gravida feugiat elit vitae sollicitudin. Ut aliquet consectetur lectus, ac auctor mauris dignissim non. Sed pulvinar magna nec odio egestas, id eleifend augue adipiscing. Pellentesque ut tempus sem.</p>', '', NULL, NULL, '[{"id":"1","value":""}]', ' ', '2014-03-12 00:00:00', 660, '', 0, '0000-00-00 00:00:00', '2014-04-03 02:36:56', 86, '2014-03-12 00:00:00', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(12, 'Nunc quis consectetur', 'nunc-quis-consectetur', 6, 1, '<p>Nulla vel justo dignissim, imperdiet lacus a, lobortis tortor. Duis ultrices mollis risus at posuere. Donec lacinia tempor viverra. Suspendisse id lacinia sem. Sed fringilla sollicitudin nibh eget consectetur. In hac habitasse platea dictumst. Donec sollicitudin dolor nec adipiscing venenatis. Integer fringilla ante in pharetra ultricies. Nulla facilisi. Proin mattis convallis nisl id varius. Etiam commodo arcu quam, sit amet dictum neque viverra et. Aliquam neque sapien, suscipit sit amet sollicitudin sed, lobortis id orci.</p>\r\n<p>Etiam sollicitudin faucibus feugiat. Nunc quis consectetur massa. Phasellus ultricies tincidunt nisi at posuere. Fusce viverra odio ac mattis viverra. Maecenas arcu nulla, laoreet sit amet odio at, malesuada facilisis est. Nulla luctus lorem nec lorem semper, id posuere sem consequat. Nunc luctus orci lorem, eu malesuada felis molestie at. Cras quis facilisis turpis. Vivamus ullamcorper neque vitae nisl consectetur euismod porta in nisi. Aenean est nisi, rhoncus a ligula accumsan, elementum egestas magna. Suspendisse eros neque, dictum id pulvinar sed, aliquet nec sem. Sed quis magna dolor.</p>\r\n<p>Nam eu imperdiet eros. Duis nec mattis enim, vitae pulvinar odio. Vivamus vel nunc risus. In in odio quis metus hendrerit faucibus in eget lectus. Mauris adipiscing, felis a facilisis luctus, turpis libero convallis urna, id cursus orci justo vel arcu. Fusce sed dapibus eros, eu interdum dui. Curabitur non nulla facilisis, tristique orci eget, congue tellus. Suspendisse ut bibendum enim. Sed sodales leo sed facilisis convallis. Donec sodales metus orci, quis tincidunt tellus imperdiet et. Sed facilisis quis mauris sit amet imperdiet.</p>\r\n<p>In fringilla ornare nunc vitae placerat. Sed tempor blandit risus, quis ornare est scelerisque ac. Ut sed dolor mi. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed nec mi vitae ante vulputate lobortis. Curabitur vitae ornare sem, quis venenatis erat. Vivamus tincidunt scelerisque massa, id placerat lorem elementum in. Integer quis diam lacus.</p>', '', NULL, NULL, '[{"id":"1","value":""}]', ' ', '2014-03-12 00:00:00', 660, '', 0, '0000-00-00 00:00:00', '2014-04-03 02:36:42', 86, '2014-03-12 00:00:00', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(13, 'Nokia', 'nokia', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Nokia","http:\\/\\/www.nokia.com\\/","new"]}]', 'Nokia http://www.nokia.com/  ', '2014-03-12 08:38:04', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 01:42:30', 660, '2014-03-12 08:38:04', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(14, 'Samsung', 'samsung', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Samsung","http:\\/\\/www.samsung.com\\/","new"]}]', 'Samsung http://www.samsung.com/  ', '2014-03-12 08:44:19', 660, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2014-03-12 08:44:19', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(15, 'Apple Store', 'app-store', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Sony Ericsson","http:\\/\\/www.sonymobile.com\\/","new"]}]', 'Sony Ericsson http://www.sonymobile.com/  ', '2014-03-12 08:45:40', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 01:41:05', 660, '2014-03-12 08:45:40', '0000-00-00 00:00:00', 0, 1, 7, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(16, 'HTC', 'htc', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["HTC","http:\\/\\/www.htc.com\\/","new"]}]', 'HTC http://www.htc.com/  ', '2014-03-12 08:47:21', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 01:44:34', 660, '2014-03-12 08:47:21', '0000-00-00 00:00:00', 0, 1, 8, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(17, 'Oppo', 'oppo', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Oppo","https:\\/\\/oppo.com","new"]}]', 'Oppo https://oppo.com  ', '2014-03-12 08:48:44', 660, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2014-03-12 08:48:44', '0000-00-00 00:00:00', 0, 1, 9, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(18, 'Google Play', 'google-play', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Google Play","https:\\/\\/play.google.com\\/store","new"]}]', 'Google Play https://play.google.com/store  ', '2014-03-12 08:49:43', 660, '', 0, '0000-00-00 00:00:00', '2014-03-12 09:28:30', 660, '2014-03-12 08:49:43', '0000-00-00 00:00:00', 0, 1, 10, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(19, 'Jennifer Lawreance', 'jennifer-lawreance', 7, 1, '<p>Nunc nulla metus, fringilla sed eleifend ut, convallis et libero. Vivamus eget condimentum felis, a imperdiet turpis. Nullam felis turpis, vestibulum non ultricies eu, commodo sed justo. Duis tempor diam ut lacus scelerisque, eu pretium erat volutpat. Vestibulum tincidunt, dolor id elementum porttitor, ante ipsum suscipit dui, ac scelerisque tellus dui eu tellus. Aliquam a congue est. Morbi nec elit vulputate, vestibulum felis id, molestie leo. Sed vitae erat ullamcorper, mattis odio quis, congue nunc. Nam aliquam felis augue, vitae pellentesque turpis commodo a. Etiam ut lobortis augue, et laoreet enim. Sed ut velit et magna tincidunt ultricies sed in neque. Duis orci urna, consequat sit amet odio sit amet, dapibus sagittis massa.</p>\r\n<p>Donec malesuada nulla laoreet tortor congue rutrum. Quisque adipiscing molestie turpis ut adipiscing. Phasellus scelerisque porttitor ipsum, in posuere diam imperdiet quis. Suspendisse ut dapibus enim. Maecenas eget imperdiet risus, at congue quam. Integer semper pellentesque nisl quis sollicitudin. Vestibulum at commodo velit, pulvinar sodales nulla.</p>', '', NULL, NULL, '[{"id":"3","value":"Administrator"},{"id":"4","value":"#"},{"id":"7","value":"#"},{"id":"5","value":"#"},{"id":"6","value":"#"}]', 'Administrator # # # # ', '2014-03-12 10:13:14', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 01:50:50', 660, '2014-03-12 10:13:14', '0000-00-00 00:00:00', 0, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(20, 'Michael Lambert', 'michael-lambert', 7, 1, '<p>Donec quis suscipit sem. Ut sagittis mauris eget posuere commodo. Maecenas a est urna. Aliquam non congue ante, vel tincidunt sem. Nullam tristique quam non nulla venenatis, vitae hendrerit diam ultricies. Curabitur porttitor elementum lectus quis elementum. Pellentesque nec mi et mauris posuere venenatis. Quisque arcu enim, facilisis eu egestas sit amet, dictum eget elit. Sed consectetur, augue tristique pretium pharetra, dolor mauris blandit dui, luctus venenatis tellus ipsum nec libero. Donec vestibulum molestie lorem, eu scelerisque neque porta id. Sed id nibh blandit, consequat justo ac, vulputate arcu. Morbi ultrices fringilla auctor. Mauris augue arcu, dapibus et aliquam in, viverra ac odio. Aenean ut ultricies sapien, ut tristique sem. Praesent ullamcorper commodo mauris, nec ultrices tellus cursus et. Donec vitae arcu vehicula nibh pharetra aliquam vel sit amet urna.</p>\r\n<p>Praesent aliquet augue sem, vestibulum luctus ipsum vehicula euismod. Ut condimentum neque eu lacinia congue. Pellentesque in nisi tempus, molestie dui et, ultricies arcu. Integer semper ultricies lacus et laoreet. Aliquam mauris elit, condimentum eget neque vel, iaculis venenatis lorem. Duis lobortis gravida nibh nec varius. Phasellus scelerisque lacinia lacinia. Sed at aliquam mauris. Sed vestibulum dolor a nunc tempor, a mollis libero sodales.</p>', '', NULL, NULL, '[{"id":"3","value":"Leader"},{"id":"4","value":"#"},{"id":"7","value":"#"},{"id":"5","value":"#"},{"id":"6","value":"#"}]', 'Leader # # # # ', '2014-03-12 10:29:33', 660, '', 0, '0000-00-00 00:00:00', '2014-03-13 02:55:49', 660, '2014-03-12 10:29:33', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(21, 'Michael Lambert', 'michael-lambert', 7, 1, '<p>Donec quis suscipit sem. Ut sagittis mauris eget posuere commodo. Maecenas a est urna. Aliquam non congue ante, vel tincidunt sem. Nullam tristique quam non nulla venenatis, vitae hendrerit diam ultricies. Curabitur porttitor elementum lectus quis elementum. Pellentesque nec mi et mauris posuere venenatis. Quisque arcu enim, facilisis eu egestas sit amet, dictum eget elit. Sed consectetur, augue tristique pretium pharetra, dolor mauris blandit dui, luctus venenatis tellus ipsum nec libero. Donec vestibulum molestie lorem, eu scelerisque neque porta id. Sed id nibh blandit, consequat justo ac, vulputate arcu. Morbi ultrices fringilla auctor. Mauris augue arcu, dapibus et aliquam in, viverra ac odio. Aenean ut ultricies sapien, ut tristique sem. Praesent ullamcorper commodo mauris, nec ultrices tellus cursus et. Donec vitae arcu vehicula nibh pharetra aliquam vel sit amet urna.</p>\r\n<p>Praesent aliquet augue sem, vestibulum luctus ipsum vehicula euismod. Ut condimentum neque eu lacinia congue. Pellentesque in nisi tempus, molestie dui et, ultricies arcu. Integer semper ultricies lacus et laoreet. Aliquam mauris elit, condimentum eget neque vel, iaculis venenatis lorem. Duis lobortis gravida nibh nec varius. Phasellus scelerisque lacinia lacinia. Sed at aliquam mauris. Sed vestibulum dolor a nunc tempor, a mollis libero sodales.</p>', '', NULL, NULL, '[{"id":"3","value":"Leader"},{"id":"4","value":"#"},{"id":"7","value":"#"},{"id":"5","value":"#"},{"id":"6","value":"#"}]', 'Leader # # # # ', '2014-03-12 10:29:33', 660, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2014-03-12 10:29:33', '0000-00-00 00:00:00', 1, 1, 3, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(22, 'Marry Jackson', 'marry-jackson', 7, 1, '<p>Pellentesque feugiat neque dui, et euismod libero congue a. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut eu hendrerit arcu, vitae scelerisque quam. Nullam felis tortor, ullamcorper non massa non, sodales imperdiet nulla. Sed et egestas neque. Phasellus porttitor tincidunt justo id condimentum. Nulla a sollicitudin diam. Sed eget orci scelerisque, eleifend dolor ac, consequat eros. Etiam imperdiet sem at erat euismod vehicula. Etiam eu dolor gravida, pellentesque enim vitae, porta nisi. Phasellus molestie mi in tempor egestas. Vestibulum fermentum, tellus sit amet cursus porttitor, urna ante lobortis tellus, et vehicula neque elit vitae dui. Nam id lorem id arcu adipiscing mollis. Praesent placerat erat in rhoncus pretium.</p>\r\n<p>Donec in sodales libero. Aliquam bibendum felis eu felis suscipit adipiscing. Duis id arcu scelerisque, semper nisl id, fermentum tellus. Nullam aliquet a elit vel lobortis. Pellentesque non posuere velit, nec vehicula magna. Morbi imperdiet mattis tortor eu convallis. Cras venenatis nec diam tempus varius. Quisque ultrices, metus sed aliquet sagittis, sem ligula imperdiet elit, non scelerisque nulla ligula quis massa. Sed venenatis condimentum dui a dignissim. Duis id dictum nibh. Ut mollis at velit ac molestie. Donec ornare id erat at dapibus. Cras scelerisque nunc sed orci hendrerit iaculis. Fusce congue porttitor massa et vestibulum. Sed a sem vehicula, pretium orci at, malesuada velit. Aenean id urna eu turpis sagittis fringilla sed eu turpis.</p>', '', NULL, NULL, '[{"id":"3","value":"Manager"},{"id":"4","value":"#"},{"id":"7","value":"#"},{"id":"5","value":"#"},{"id":"6","value":"#"}]', 'Manager # # # # ', '2014-03-12 10:31:35', 660, '', 0, '0000-00-00 00:00:00', '2014-03-13 03:43:34', 660, '2014-03-12 10:31:35', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(23, 'Jack Rhode', 'jack-rhode', 7, 1, '<p>Phasellus mollis eleifend sem, et sodales metus feugiat eget. Morbi massa lorem, interdum quis ullamcorper nec, accumsan vel quam. Quisque tempus tristique consequat. Vivamus id rutrum metus, in tempor enim. Maecenas porta, nibh id auctor porta, odio nulla sollicitudin odio, eu pharetra augue tortor ullamcorper magna. Donec iaculis iaculis sapien at scelerisque. Proin interdum, libero non commodo lacinia, nibh nibh rutrum orci, id pulvinar ligula neque sit amet ipsum. Aliquam tincidunt id libero eu tristique.</p>\r\n<p>Curabitur vulputate laoreet varius. Aliquam erat volutpat. Etiam ante turpis, molestie vel malesuada non, auctor sit amet risus. Proin auctor commodo augue quis tempus. Aliquam imperdiet sed nisi id tempus. Maecenas in nunc eget dolor suscipit tristique a quis metus. In lorem mi, porta ut velit nec, aliquam mollis mauris. Mauris semper, lectus vel egestas rutrum, massa lorem posuere dui, sit amet cursus elit elit vitae tortor. Suspendisse aliquet felis vestibulum porta auctor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam eu metus dictum, ultrices nunc nec, tincidunt augue. Nulla congue mi a nunc tincidunt malesuada. Ut convallis suscipit ipsum eu lacinia.</p>\r\n<p>Vivamus consectetur ante sed ante elementum sagittis. Mauris quis pretium lorem, vel tincidunt eros. Vestibulum tincidunt tristique nibh sit amet aliquet. Aliquam vel velit vel leo imperdiet lacinia. Praesent vel nulla et mauris mattis sagittis nec convallis massa. Suspendisse non erat nec nisi bibendum sagittis id ac sem. Vivamus vehicula ipsum sem, vitae tristique est rutrum in.</p>', '', NULL, NULL, '[{"id":"3","value":"Administrator"},{"id":"4","value":"#"},{"id":"7","value":"#"},{"id":"5","value":"#"},{"id":"6","value":"#"}]', 'Administrator # # # # ', '2014-03-12 10:32:21', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 01:50:08', 660, '2014-03-12 10:32:21', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(24, 'Pukan mazin pozasen', 'vivamus-metus', 1, 1, '<p>Kirem pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-13 03:36:33', 660, '', 0, '0000-00-00 00:00:00', '2014-03-19 01:32:33', 660, '2014-03-11 06:56:52', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(25, 'Mizan suna liten', 'mizan-suna-liten', 1, 1, '<p>Fusce pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-13 03:36:59', 660, '', 0, '0000-00-00 00:00:00', '2014-03-21 08:33:03', 660, '2014-03-11 06:56:52', '0000-00-00 00:00:00', 0, 1, 8, 0, 0, '', '', '', '', 23, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(26, 'Lorem Ipsum Dolor Sit Amet', 'lorem-ipsum-dolor-sit-amet', 9, 1, '<p>Nullam purus massa, hendrerit eget mi vitae, pretium adipiscing nunc. Fusce ornare dapibus leo, ut elementum odio varius sed. Morbi commodo enim ac cursus mollis. Etiam fermentum scelerisque nisi vitae laoreet. Etiam laoreet, orci imperdiet condimentum mollis, nisl nisi rutrum neque, quis porta diam lacus sit amet eros. In hac habitasse platea dictumst. Quisque blandit odio tellus, sit amet eleifend velit dictum ut. Ut id sem eu ante rhoncus sodales in molestie tortor. Quisque iaculis justo diam, nec sodales lacus commodo in. Curabitur dictum massa non elit accumsan commodo. Duis tincidunt risus vitae ipsum tempus dictum.</p>\r\n<p>In iaculis a tortor sed pretium. Proin ornare orci quam, quis sodales tortor laoreet non. Integer elementum sed nisi in vehicula. Nullam a semper risus. Vivamus imperdiet lorem justo, at mollis nibh vulputate vel. Sed adipiscing, diam sed bibendum vestibulum, sem enim iaculis augue, ac dictum orci est at dolor. Vestibulum a enim quis leo interdum placerat. Aliquam sagittis elit eget faucibus tempor. Praesent vel ornare ipsum.</p>\r\n<p>Quisque pulvinar erat sit amet mattis bibendum. Donec sed augue suscipit, varius turpis vitae, scelerisque augue. Fusce congue congue sodales. Suspendisse euismod magna a magna interdum, sit amet venenatis est ornare. Aenean luctus enim adipiscing sapien pharetra, nec fringilla tellus eleifend. Quisque dictum id nibh et dapibus. Mauris nec diam velit. Etiam felis risus, porta vitae accumsan quis, dapibus vel urna. Suspendisse vehicula, leo sollicitudin aliquet mollis, quam massa viverra lorem, a feugiat orci lacus at eros. Ut id tristique lectus. Suspendisse vel cursus massa.</p>', '', NULL, NULL, '[]', '', '2014-03-17 08:11:31', 660, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, '2014-03-17 08:11:31', '0000-00-00 00:00:00', 1, 1, 1, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(27, 'Suro natem nacem', 'suro-natem-nacem', 1, 1, '<p>Fusce pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-19 01:36:25', 660, '', 0, '0000-00-00 00:00:00', '2014-03-19 01:41:35', 660, '2014-03-11 06:56:52', '0000-00-00 00:00:00', 0, 1, 7, 0, 0, '', '', '', '', 22, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(28, 'Witen mazon katen', 'witen-mazon-katen', 1, 1, '<p>Wirem pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-19 01:36:25', 660, '', 0, '0000-00-00 00:00:00', '2014-03-26 04:36:37', 660, '2014-03-11 06:56:52', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 288, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"1","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(29, 'Nasem makin poka', 'nasem-makin-poka', 1, 1, '<p>Rumas pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-19 01:36:25', 660, '', 0, '0000-00-00 00:00:00', '2014-03-24 09:40:14', 660, '2014-03-11 06:58:19', '0000-00-00 00:00:00', 0, 1, 10, 0, 0, '', '', '', '', 11, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(30, 'Ruma pizan sima', 'ruma-pizan-sima', 1, 1, '<p>Rumas pulvinar fermentum accumsan. In ultricies lacus rhoncus sem egestas faucibus. Fusce posuere sed sapien quis condimentum. Nunc ac nisi ac nulla auctor luctus eu mattis arcu.</p>\r\n', '\r\n<p>Morbi egestas condimentum erat, vel eleifend turpis rutrum eu. Curabitur eu lacus eget ante laoreet gravida. In mi mi, venenatis ut placerat et, luctus et odio. Pellentesque mollis accumsan sapien, aliquam gravida dolor dapibus a. In facilisis dui ac metus suscipit euismod. Maecenas ullamcorper, arcu at tincidunt auctor, justo augue vehicula sapien, at aliquam nisi felis et sapien.</p>\r\n<p>Curabitur tempus lacus sit amet ipsum sagittis, vel vulputate orci luctus. Vivamus metus enim, adipiscing vel eros et, adipiscing rutrum neque. Aenean vitae porta velit. Nullam in consectetur nibh. Donec euismod arcu eu lacus condimentum condimentum. Etiam elementum pulvinar ante. Pellentesque pharetra interdum purus et euismod. Integer sed est eget enim gravida tristique. Donec ut lacus tincidunt, tempor eros non, dignissim neque. Nam vehicula, nulla vitae tristique varius, nunc justo ullamcorper nisl, et tempus tellus ipsum viverra tellus. Quisque gravida, purus a posuere porta, odio justo vehicula orci, a sodales risus dolor at dui. Nam in odio dictum, semper augue eu, bibendum lectus. Donec eu nunc risus. Duis et massa eu neque scelerisque imperdiet. Donec fringilla sollicitudin tristique. Maecenas eu mi ullamcorper mi luctus venenatis ac ac dolor.</p>\r\n<p>In quam sem, blandit nec mauris eu, faucibus interdum ante. Donec viverra at nibh pulvinar elementum. Integer bibendum pulvinar augue nec imperdiet. Pellentesque elementum nulla in arcu consequat, at consectetur tortor egestas. Fusce vestibulum orci a risus dignissim molestie. Phasellus nec metus non sem condimentum lacinia. Morbi vitae libero non eros congue congue. Nulla pharetra lorem eu tortor cursus rhoncus. Mauris at purus a dolor convallis luctus. Suspendisse ultricies, orci vestibulum sodales iaculis, ante elit scelerisque metus, sit amet rhoncus orci arcu quis velit. Praesent malesuada ante quis sem fermentum tristique. Donec molestie facilisis tellus, et dictum mi tincidunt a.</p>', NULL, NULL, '[]', '', '2014-03-19 01:36:25', 660, '', 0, '0000-00-00 00:00:00', '2014-03-19 01:37:46', 660, '2014-03-11 06:56:52', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 63, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(31, 'Mirec makon pasen', 'mirec-makon-pasen', 2, 1, '<p>Duis in feugiat est. Nunc odio dolor, tincidunt sit amet ornare vitae, semper sed eros. Praesent pharetra dictum facilisis. Aliquam vel enim sed justo feugiat egestas. Suspendisse potenti. Suspendisse sed</p>\r\n', '\r\n<p>scelerisque ipsum. Proin ac mattis lorem. Sed vestibulum sapien eu mauris scelerisque tristique. In elit est, egestas non erat nec, sollicitudin tempor metus. Fusce ipsum arcu, malesuada eget tempor aliquet, accumsan sed lorem. Maecenas placerat ligula laoreet accumsan rhoncus. Suspendisse lectus ante, suscipit ut sollicitudin quis, euismod vitae nisi. Aliquam diam erat, posuere eget fringilla a, pulvinar id tortor. Ut sit amet magna viverra arcu viverra iaculis.</p>\r\n<p>Duis vitae arcu est. Praesent condimentum dui non gravida sodales. Duis eget dolor quis ipsum vehicula suscipit eu in odio. Suspendisse pulvinar metus eu nunc facilisis, feugiat eleifend nisl laoreet. Morbi et massa id mi egestas tincidunt non ac ante. Mauris porttitor metus ut ipsum consectetur vulputate. Pellentesque ornare convallis lacus, non cursus leo commodo at. Quisque mattis mauris at turpis accumsan, non euismod purus porta. Sed laoreet, mi ut fermentum suscipit, magna velit dapibus justo, et auctor tellus sapien id turpis. Nunc cursus, tortor non vulputate posuere, risus eros vestibulum nunc, mattis tempus est justo non dolor. Fusce viverra tortor at tincidunt mattis. Quisque pharetra, lorem non pretium venenatis, ante purus tincidunt augue, in feugiat leo risus at sapien.</p>\r\n<p>Suspendisse sit amet quam eleifend, dictum ipsum vel, blandit metus. Mauris blandit orci et ligula aliquet consequat. Curabitur faucibus egestas ultrices. Praesent ut venenatis mauris. Proin vehicula lacus vitae risus pellentesque, ut fringilla risus elementum. Curabitur nec nunc congue, aliquet elit at, placerat neque. Mauris ut imperdiet dui, sit amet iaculis lorem. Integer venenatis tincidunt turpis porta faucibus. Nunc varius ac tortor ut vulputate. Donec gravida mi leo, id fermentum neque commodo eu.</p>\r\n<p>Vestibulum eget massa non lacus auctor placerat non at dui. Pellentesque pharetra suscipit ultricies. Duis dictum purus eget nulla sollicitudin sollicitudin. Proin mollis ornare felis non tristique. Nunc consectetur quis arcu vitae accumsan. Morbi feugiat semper quam, at rhoncus ligula. Mauris posuere in lacus quis gravida. Aenean et felis nisi. Duis quam sem, placerat ac neque sed, ornare dignissim nisl.</p>', NULL, NULL, '[]', '', '2014-03-19 10:10:55', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:56:25', 660, '2014-03-11 09:59:17', '0000-00-00 00:00:00', 0, 1, 10, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(32, 'Jeka naxen mika', 'jeka-naxen-mika', 2, 1, '<p>Duis dapibus convallis nisi. Donec id lacus pellentesque, porttitor massa vel, mollis arcu. Donec at cursus lectus, ac tempus dui. Etiam felis ligula, euismod sit amet massa et, pharetra ornare lectus.</p>\r\n', '\r\n<p>Fusce a mattis turpis. Maecenas massa leo, tempus sit amet arcu vitae, congue aliquam mi. In est odio, viverra euismod ligula quis, vulputate viverra tellus. Donec sed fringilla enim, id porttitor eros. Praesent iaculis tincidunt rhoncus. Aliquam erat volutpat. Quisque fermentum fringilla diam, fringilla mollis mauris fermentum id. Duis rutrum at tellus eu accumsan. Fusce id congue tortor, sed mattis sem. Sed fermentum ornare velit non rutrum. Nulla commodo venenatis metus eu volutpat. Aliquam erat volutpat.</p>\r\n<p>Praesent nisl est, dignissim iaculis mi placerat, faucibus dictum massa. Nulla ultrices congue urna, dapibus lacinia mauris lacinia ut. Etiam aliquet lectus eu augue volutpat, mollis placerat elit placerat. Nullam lacinia leo at feugiat consequat. Proin eleifend commodo mauris, a mattis nunc placerat nec. Vestibulum ornare erat est, eu vestibulum eros suscipit id. Etiam auctor vel tellus sed tincidunt. Pellentesque egestas nunc tellus, quis consequat neque ultricies sit amet. Cras non dignissim elit, in ultrices elit. Sed nisi mauris, facilisis sed tempor ac, suscipit id mi. Ut egestas turpis vitae leo faucibus, eu vestibulum mi molestie. Nulla dignissim, magna sed molestie tempor, arcu dolor aliquam quam, in mattis purus nulla posuere justo. Cras orci est, malesuada id massa eget, pellentesque condimentum lorem. Aenean sagittis tincidunt mattis. Nullam lectus ligula, sodales quis ligula a, accumsan dapibus nisl. Maecenas vel adipiscing lectus, sit amet faucibus dolor.</p>\r\n<p>Sed quis tempus ante. Quisque volutpat, mauris at blandit blandit, velit massa ornare quam, eget fermentum lacus arcu eget tortor. Nulla faucibus fringilla interdum. Proin et ante at nibh tempus fringilla. Nulla sed dui lectus. Pellentesque imperdiet libero rhoncus lacus faucibus, a dictum leo venenatis. Quisque pharetra dolor quis dui sollicitudin ullamcorper.</p>', NULL, NULL, '[]', '', '2014-03-19 10:10:55', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:56:13', 660, '2014-03-11 09:55:15', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(33, 'Pizan cagen teki', 'pizan-cagen-teki', 2, 1, '<p>Sed iaculis laoreet neque, at euismod est eleifend vitae. Nunc mattis dignissim ante nec vehicula. Pellentesque id quam hendrerit diam tristique gravida ut eget tortor. Donec consequat eget odio et convallis.</p>\r\n', '\r\n<p>Vestibulum scelerisque lorem sed neque hendrerit, eu dictum ipsum sollicitudin. Proin scelerisque, quam nec auctor pharetra, turpis purus sollicitudin nunc, quis ornare metus ante quis erat. Curabitur hendrerit gravida luctus. Vivamus posuere accumsan interdum. Nulla volutpat enim at est pellentesque, non cursus felis malesuada. Nulla nec erat nec nisl viverra feugiat. Praesent ac risus egestas, lobortis eros vitae, semper quam. In malesuada id felis quis imperdiet. Phasellus non felis molestie, porttitor justo et, ultricies erat. Phasellus luctus ornare hendrerit.</p>\r\n<p>Suspendisse sodales felis vitae mi vestibulum, quis lobortis neque ultrices. Quisque risus ligula, malesuada eget blandit at, venenatis id orci. Vivamus adipiscing nibh eu turpis interdum blandit vitae in odio. Fusce non justo vel lectus vulputate eleifend et eget turpis. Aliquam semper neque at turpis dapibus scelerisque. Maecenas at varius risus. Nulla sagittis sit amet leo a iaculis. Sed adipiscing eros nec semper sagittis. Ut viverra tellus at mollis dignissim. Fusce at blandit nibh. Sed convallis, risus non eleifend bibendum, lorem diam mattis lectus, vitae faucibus est lectus at justo.</p>\r\n<p>Nunc fringilla pulvinar lacus eget gravida. Pellentesque feugiat eros nisi, id pharetra lectus molestie ut. Curabitur felis metus, accumsan ac eros eget, consequat malesuada nisi. Phasellus condimentum volutpat dolor, in adipiscing libero molestie in. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Suspendisse nec ullamcorper libero. In eget aliquam odio. Quisque viverra massa sit amet justo mattis interdum.</p>', NULL, NULL, '[]', '', '2014-03-19 10:10:55', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:56:01', 660, '2014-03-11 06:59:18', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(34, 'Bucan muren poka', 'bucan-muren-poka', 2, 1, '<p>Pizan sukan laoreet neque, at euismod est eleifend vitae. Nunc mattis dignissim ante nec vehicula. Pellentesque id quam hendrerit diam tristique gravida ut eget tortor. Donec consequat eget odio</p>\r\n', '\r\n<p>et convallis. Vestibulum scelerisque lorem sed neque hendrerit, eu dictum ipsum sollicitudin. Proin scelerisque, quam nec auctor pharetra, turpis purus sollicitudin nunc, quis ornare metus ante quis erat. Curabitur hendrerit gravida luctus. Vivamus posuere accumsan interdum. Nulla volutpat enim at est pellentesque, non cursus felis malesuada. Nulla nec erat nec nisl viverra feugiat. Praesent ac risus egestas, lobortis eros vitae, semper quam. In malesuada id felis quis imperdiet. Phasellus non felis molestie, porttitor justo et, ultricies erat. Phasellus luctus ornare hendrerit.</p>\r\n<p>Suspendisse sodales felis vitae mi vestibulum, quis lobortis neque ultrices. Quisque risus ligula, malesuada eget blandit at, venenatis id orci. Vivamus adipiscing nibh eu turpis interdum blandit vitae in odio. Fusce non justo vel lectus vulputate eleifend et eget turpis. Aliquam semper neque at turpis dapibus scelerisque. Maecenas at varius risus. Nulla sagittis sit amet leo a iaculis. Sed adipiscing eros nec semper sagittis. Ut viverra tellus at mollis dignissim. Fusce at blandit nibh. Sed convallis, risus non eleifend bibendum, lorem diam mattis lectus, vitae faucibus est lectus at justo.</p>\r\n<p>Nunc fringilla pulvinar lacus eget gravida. Pellentesque feugiat eros nisi, id pharetra lectus molestie ut. Curabitur felis metus, accumsan ac eros eget, consequat malesuada nisi. Phasellus condimentum volutpat dolor, in adipiscing libero molestie in. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Suspendisse nec ullamcorper libero. In eget aliquam odio. Quisque viverra massa sit amet justo mattis interdum.</p>', NULL, NULL, '[]', '', '2014-03-19 10:19:36', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:55:48', 660, '2014-03-11 06:59:18', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(35, 'Xedun mazon liten', 'xedun-mazon-liten', 2, 1, '<p>Xuren kiten dapibus convallis nisi. Donec id lacus pellentesque, porttitor massa vel, mollis arcu. Donec at cursus lectus, ac tempus dui. Etiam felis ligula, euismod sit amet massa et, pharetra ornare lectus.</p>\r\n', '\r\n<p>Fusce a mattis turpis. Maecenas massa leo, tempus sit amet arcu vitae, congue aliquam mi. In est odio, viverra euismod ligula quis, vulputate viverra tellus. Donec sed fringilla enim, id porttitor eros. Praesent iaculis tincidunt rhoncus. Aliquam erat volutpat. Quisque fermentum fringilla diam, fringilla mollis mauris fermentum id. Duis rutrum at tellus eu accumsan. Fusce id congue tortor, sed mattis sem. Sed fermentum ornare velit non rutrum. Nulla commodo venenatis metus eu volutpat. Aliquam erat volutpat.</p>\r\n<p>Praesent nisl est, dignissim iaculis mi placerat, faucibus dictum massa. Nulla ultrices congue urna, dapibus lacinia mauris lacinia ut. Etiam aliquet lectus eu augue volutpat, mollis placerat elit placerat. Nullam lacinia leo at feugiat consequat. Proin eleifend commodo mauris, a mattis nunc placerat nec. Vestibulum ornare erat est, eu vestibulum eros suscipit id. Etiam auctor vel tellus sed tincidunt. Pellentesque egestas nunc tellus, quis consequat neque ultricies sit amet. Cras non dignissim elit, in ultrices elit. Sed nisi mauris, facilisis sed tempor ac, suscipit id mi. Ut egestas turpis vitae leo faucibus, eu vestibulum mi molestie. Nulla dignissim, magna sed molestie tempor, arcu dolor aliquam quam, in mattis purus nulla posuere justo. Cras orci est, malesuada id massa eget, pellentesque condimentum lorem. Aenean sagittis tincidunt mattis. Nullam lectus ligula, sodales quis ligula a, accumsan dapibus nisl. Maecenas vel adipiscing lectus, sit amet faucibus dolor.</p>\r\n<p>Sed quis tempus ante. Quisque volutpat, mauris at blandit blandit, velit massa ornare quam, eget fermentum lacus arcu eget tortor. Nulla faucibus fringilla interdum. Proin et ante at nibh tempus fringilla. Nulla sed dui lectus. Pellentesque imperdiet libero rhoncus lacus faucibus, a dictum leo venenatis. Quisque pharetra dolor quis dui sollicitudin ullamcorper.</p>', NULL, NULL, '[]', '', '2014-03-19 10:19:36', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:55:35', 660, '2014-03-11 09:55:15', '0000-00-00 00:00:00', 0, 1, 7, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(36, 'Coren masin poka', 'coren-masin-poka', 2, 1, '<p>Kirem in feugiat est. Nunc odio dolor, tincidunt sit amet ornare vitae, semper sed eros. Praesent pharetra dictum facilisis. Aliquam vel enim sed justo feugiat egestas. Suspendisse potenti.</p>\r\n', '\r\n<p>Suspendisse sed scelerisque ipsum. Proin ac mattis lorem. Sed vestibulum sapien eu mauris scelerisque tristique. In elit est, egestas non erat nec, sollicitudin tempor metus. Fusce ipsum arcu, malesuada eget tempor aliquet, accumsan sed lorem. Maecenas placerat ligula laoreet accumsan rhoncus. Suspendisse lectus ante, suscipit ut sollicitudin quis, euismod vitae nisi. Aliquam diam erat, posuere eget fringilla a, pulvinar id tortor. Ut sit amet magna viverra arcu viverra iaculis.</p>\r\n<p>Duis vitae arcu est. Praesent condimentum dui non gravida sodales. Duis eget dolor quis ipsum vehicula suscipit eu in odio. Suspendisse pulvinar metus eu nunc facilisis, feugiat eleifend nisl laoreet. Morbi et massa id mi egestas tincidunt non ac ante. Mauris porttitor metus ut ipsum consectetur vulputate. Pellentesque ornare convallis lacus, non cursus leo commodo at. Quisque mattis mauris at turpis accumsan, non euismod purus porta. Sed laoreet, mi ut fermentum suscipit, magna velit dapibus justo, et auctor tellus sapien id turpis. Nunc cursus, tortor non vulputate posuere, risus eros vestibulum nunc, mattis tempus est justo non dolor. Fusce viverra tortor at tincidunt mattis. Quisque pharetra, lorem non pretium venenatis, ante purus tincidunt augue, in feugiat leo risus at sapien.</p>\r\n<p>Suspendisse sit amet quam eleifend, dictum ipsum vel, blandit metus. Mauris blandit orci et ligula aliquet consequat. Curabitur faucibus egestas ultrices. Praesent ut venenatis mauris. Proin vehicula lacus vitae risus pellentesque, ut fringilla risus elementum. Curabitur nec nunc congue, aliquet elit at, placerat neque. Mauris ut imperdiet dui, sit amet iaculis lorem. Integer venenatis tincidunt turpis porta faucibus. Nunc varius ac tortor ut vulputate. Donec gravida mi leo, id fermentum neque commodo eu.</p>\r\n<p>Vestibulum eget massa non lacus auctor placerat non at dui. Pellentesque pharetra suscipit ultricies. Duis dictum purus eget nulla sollicitudin sollicitudin. Proin mollis ornare felis non tristique. Nunc consectetur quis arcu vitae accumsan. Morbi feugiat semper quam, at rhoncus ligula. Mauris posuere in lacus quis gravida. Aenean et felis nisi. Duis quam sem, placerat ac neque sed, ornare dignissim nisl.</p>', NULL, NULL, '[]', '', '2014-03-19 10:19:36', 660, '', 0, '0000-00-00 00:00:00', '2014-03-24 02:12:13', 660, '2014-03-11 09:59:17', '0000-00-00 00:00:00', 0, 1, 9, 0, 0, '', '', '', '', 4, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(37, 'Pizace ruka moza', 'pizace-ruka-moza', 2, 1, '<p>Karenn convallis nisi. Donec id lacus pellentesque, porttitor massa vel, mollis arcu. Donec at cursus lectus, ac tempus dui. Etiam felis ligula, euismod sit amet massa et, pharetra ornare lectus.</p>\r\n', '\r\n<p>Fusce a mattis turpis. Maecenas massa leo, tempus sit amet arcu vitae, congue aliquam mi. In est odio, viverra euismod ligula quis, vulputate viverra tellus. Donec sed fringilla enim, id porttitor eros. Praesent iaculis tincidunt rhoncus. Aliquam erat volutpat. Quisque fermentum fringilla diam, fringilla mollis mauris fermentum id. Duis rutrum at tellus eu accumsan. Fusce id congue tortor, sed mattis sem. Sed fermentum ornare velit non rutrum. Nulla commodo venenatis metus eu volutpat. Aliquam erat volutpat.</p>\r\n<p>Praesent nisl est, dignissim iaculis mi placerat, faucibus dictum massa. Nulla ultrices congue urna, dapibus lacinia mauris lacinia ut. Etiam aliquet lectus eu augue volutpat, mollis placerat elit placerat. Nullam lacinia leo at feugiat consequat. Proin eleifend commodo mauris, a mattis nunc placerat nec. Vestibulum ornare erat est, eu vestibulum eros suscipit id. Etiam auctor vel tellus sed tincidunt. Pellentesque egestas nunc tellus, quis consequat neque ultricies sit amet. Cras non dignissim elit, in ultrices elit. Sed nisi mauris, facilisis sed tempor ac, suscipit id mi. Ut egestas turpis vitae leo faucibus, eu vestibulum mi molestie. Nulla dignissim, magna sed molestie tempor, arcu dolor aliquam quam, in mattis purus nulla posuere justo. Cras orci est, malesuada id massa eget, pellentesque condimentum lorem. Aenean sagittis tincidunt mattis. Nullam lectus ligula, sodales quis ligula a, accumsan dapibus nisl. Maecenas vel adipiscing lectus, sit amet faucibus dolor.</p>\r\n<p>Sed quis tempus ante. Quisque volutpat, mauris at blandit blandit, velit massa ornare quam, eget fermentum lacus arcu eget tortor. Nulla faucibus fringilla interdum. Proin et ante at nibh tempus fringilla. Nulla sed dui lectus. Pellentesque imperdiet libero rhoncus lacus faucibus, a dictum leo venenatis. Quisque pharetra dolor quis dui sollicitudin ullamcorper.</p>', NULL, NULL, '[]', '', '2014-03-19 10:19:36', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:55:11', 660, '2014-03-11 09:55:15', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(38, 'Pika lasen makon', 'pika-lasen-makon', 3, 1, '<p>Kiten palon vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra</p>\r\n', '\r\n<p>mi, auctor blandit tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:38:51', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:01:53', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 8, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(39, 'Moca regan buza', 'moca-regan-buza', 3, 1, '<p>Mozas gacen vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi, auctor</p>\r\n', '\r\n<p>blandit tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:40:51', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:01:27', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(40, 'Nurem mosu kote', 'nurem-mosu-kote', 3, 1, '<p>Nurem gacen vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi, auctor</p>\r\n', '\r\n<p>blandit tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:42:11', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:01:13', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(41, 'Suma pikan miko', 'suma-pikan-miko', 3, 1, '<p>Pozan vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi, auctor blandit tortor.</p>\r\n', '\r\n<p>Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:42:11', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:01:03', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 9, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(42, 'Suka mazan nace', 'suka-mazan-nace', 3, 1, '<p>Zuten mapon vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra</p>\r\n', '\r\n<p>mi, auctor blandit tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:42:11', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:00:16', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(43, 'Luzan sima pokan', 'luzan-sima-pokan', 3, 1, '<p>Pizan muka vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi</p>\r\n', '\r\n<p>, auctor blandit tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:47:02', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:00:04', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(44, 'Xolan mazo pokan', 'xolan-mazo-pokan', 3, 1, '<p>Xolan pazon vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi, auctor</p>\r\n', '\r\n<p>blandit tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:47:02', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:59:52', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 10, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(45, 'Nuras face mopa', 'nuras-face-mopa', 3, 1, '<p>Mipun hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi, auctor blandit tortor.</p>\r\n', '\r\n<p>Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:47:02', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:59:38', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 7, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(46, 'Cire maso pozan', 'cire-maso-pozan', 3, 1, '<p>Ciren mapo vel hendrerit velit. Etiam mollis sapien sed euismod ullamcorper. Praesent nisl urna, sagittis vel volutpat sed, dignissim ut purus. Aenean vehicula convallis egestas. Aliquam quis pharetra mi,</p>\r\n', '\r\n<p>auctor blandit tortor. Mauris cursus interdum nunc fermentum suscipit. Vestibulum a libero at quam scelerisque luctus eget sed urna.</p>\r\n<p>Integer luctus quam vel ipsum bibendum, at adipiscing felis condimentum. Aliquam ut interdum lectus, sed blandit ligula. Sed at mauris vel dui lacinia venenatis at eget turpis. Fusce felis tortor, blandit at malesuada sed, luctus quis massa. Nullam vitae ipsum facilisis, convallis nisi nec, rhoncus justo. Sed facilisis risus non nunc porttitor lacinia. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam ac erat et orci rutrum rhoncus ut vitae quam.</p>\r\n<p>Vestibulum nisl purus, tincidunt ut neque vel, dictum congue turpis. Duis hendrerit elit augue, nec feugiat leo feugiat et. Morbi quam mi, convallis non euismod eget, congue eget lectus. Cras dignissim nisl vitae risus laoreet rhoncus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Aliquam mattis ac sapien ut placerat. Vivamus in quam lectus. Suspendisse ac mauris pulvinar, malesuada dolor sed, suscipit sapien.</p>\r\n<p>Donec sollicitudin, mi quis eleifend lobortis, tellus diam luctus tortor, quis posuere arcu metus id erat. Vivamus consectetur lacinia leo, ac porttitor diam mollis a. Nam vitae felis nibh. Donec dapibus mattis semper. Nunc euismod tincidunt malesuada. Etiam scelerisque lacus sed blandit venenatis. Duis dolor quam, mollis non magna non, porta blandit augue. Phasellus sagittis ipsum at sollicitudin ultricies. Integer semper dictum gravida. Sed nec porttitor turpis, in lobortis mi. Nunc aliquam nulla id arcu venenatis, eu vehicula felis placerat. Morbi feugiat quam vitae aliquam posuere. Nullam felis diam, suscipit sodales vulputate semper, consectetur vitae libero.</p>', NULL, NULL, '[]', '', '2014-03-19 16:47:02', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:59:26', 660, '2014-03-11 09:46:29', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 8, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(47, 'Fica suma nurem', 'fica-suma-nurem', 4, 1, '<p>Ficon moza venenatis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:04:29', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:03:29', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(48, 'Suka miren poka', 'suka-miren-poka', 4, 1, '<p>Suma nikan moza venenatis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:06:24', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:03:19', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 8, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(49, 'Kecam nire pazo', 'kecam-nire-pazo', 4, 1, '<p>Pozanis venenatis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:06:24', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:03:09', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 4, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');
INSERT INTO `#__k2_items` (`id`, `title`, `alias`, `catid`, `published`, `introtext`, `fulltext`, `video`, `gallery`, `extra_fields`, `extra_fields_search`, `created`, `created_by`, `created_by_alias`, `checked_out`, `checked_out_time`, `modified`, `modified_by`, `publish_up`, `publish_down`, `trash`, `access`, `ordering`, `featured`, `featured_ordering`, `image_caption`, `image_credits`, `video_caption`, `video_credits`, `hits`, `params`, `metadesc`, `metadata`, `metakey`, `plugins`, `language`) VALUES
(50, 'Nirem faco nikan', 'nirem-faco-nikan', 4, 1, '<p>Moten tis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi. Pellentesque</p>\r\n', '\r\n<p>sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:10:23', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:02:59', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(51, 'Numa chika jite', 'numa-chika-jite', 4, 1, '<p>Niten moza venenatis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:10:23', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:02:48', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 10, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(52, 'Boka liza suma', 'boka-liza-suma', 4, 1, '<p>Bozin moza venenatis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:10:23', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:02:37', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 7, 0, 0, '', '', '', '', 6, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(53, 'Nica face duma', 'nica-face-duma', 4, 1, '<p>Pozan makin atis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:10:23', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:02:28', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 0, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(54, 'Nuim laton poza', 'nuim-laton-poza', 4, 1, '<p>Pikan mika venenatis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:17:34', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:02:18', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 9, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(55, 'Pace duma niren', 'pace-duma-niren', 4, 1, '<p>Pican atis felis at vulputate. Praesent eu consectetur risus. Pellentesque vulputate erat et mi bibendum luctus. Etiam bibendum auctor vulputate. Sed eu erat a erat sodales blandit non non mi.</p>\r\n', '\r\n<p>Pellentesque sed velit nec dolor lacinia bibendum et in enim. Vestibulum eu vehicula enim, non volutpat mauris. Sed sollicitudin erat id quam pharetra, id posuere velit vestibulum. Nam facilisis, neque eget faucibus molestie, tellus dui porttitor eros, eget rutrum eros massa ac justo. Aenean tincidunt rhoncus libero, id tempus eros volutpat ut. Suspendisse nec ipsum viverra, rutrum libero a, porttitor velit. Mauris consectetur ligula quis sem vestibulum ultrices. Etiam id elit at sem tempor mollis condimentum sit amet risus. Pellentesque pulvinar tempus velit ut pretium. Sed auctor quam ut sagittis volutpat. Curabitur vestibulum nibh id risus luctus, id ullamcorper turpis consequat.</p>\r\n<p>Praesent rutrum vitae libero eget tempor. Sed gravida vestibulum lectus, et lobortis mauris rutrum a. Morbi rhoncus arcu vel tristique blandit. Sed odio dui, elementum id venenatis fermentum, egestas et orci. Donec ornare est et magna porta suscipit. Integer sodales rutrum orci eu mollis. Mauris luctus libero felis, quis scelerisque velit varius ut. Proin feugiat feugiat vestibulum. Praesent suscipit magna mi.</p>\r\n<p>Praesent in ullamcorper erat. Phasellus dolor eros, commodo sit amet tortor sit amet, pharetra congue tellus. Sed eget odio nisl. Fusce eget est sit amet nisl faucibus adipiscing. Etiam aliquam vel leo at dapibus. In hac habitasse platea dictumst. Nullam tincidunt sollicitudin dolor imperdiet hendrerit. Suspendisse tincidunt leo ut turpis euismod, nec bibendum magna auctor. Nam rhoncus magna et odio vestibulum cursus. Duis fringilla diam urna, ac tempus mi imperdiet non. Phasellus dignissim dolor quis ligula accumsan sodales. Curabitur vitae mi a arcu varius imperdiet ac nec est. Pellentesque in euismod nisi. Nullam a nisi sit amet nulla tristique placerat vel non dolor.</p>', NULL, NULL, '[]', '', '2014-03-19 17:17:34', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 10:02:09', 660, '2014-03-11 09:39:24', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(56, 'James Blunt', 'james-blunt', 7, 1, '<p>Likan mollis eleifend sem, et sodales metus feugiat eget. Morbi massa lorem, interdum quis ullamcorper nec, accumsan vel quam. Quisque tempus tristique consequat. Vivamus id rutrum metus, in tempor enim. Maecenas porta, nibh id auctor porta, odio nulla sollicitudin odio, eu pharetra augue tortor ullamcorper magna. Donec iaculis iaculis sapien at scelerisque. Proin interdum, libero non commodo lacinia, nibh nibh rutrum orci, id pulvinar ligula neque sit amet ipsum. Aliquam tincidunt id libero eu tristique.</p>\r\n<p>Curabitur vulputate laoreet varius. Aliquam erat volutpat. Etiam ante turpis, molestie vel malesuada non, auctor sit amet risus. Proin auctor commodo augue quis tempus. Aliquam imperdiet sed nisi id tempus. Maecenas in nunc eget dolor suscipit tristique a quis metus. In lorem mi, porta ut velit nec, aliquam mollis mauris. Mauris semper, lectus vel egestas rutrum, massa lorem posuere dui, sit amet cursus elit elit vitae tortor. Suspendisse aliquet felis vestibulum porta auctor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nullam eu metus dictum, ultrices nunc nec, tincidunt augue. Nulla congue mi a nunc tincidunt malesuada. Ut convallis suscipit ipsum eu lacinia.</p>\r\n<p>Vivamus consectetur ante sed ante elementum sagittis. Mauris quis pretium lorem, vel tincidunt eros. Vestibulum tincidunt tristique nibh sit amet aliquet. Aliquam vel velit vel leo imperdiet lacinia. Praesent vel nulla et mauris mattis sagittis nec convallis massa. Suspendisse non erat nec nisi bibendum sagittis id ac sem. Vivamus vehicula ipsum sem, vitae tristique est rutrum in.</p>', '', NULL, NULL, '[{"id":"3","value":"Administrator"},{"id":"4","value":"#"},{"id":"7","value":"#"},{"id":"5","value":"#"},{"id":"6","value":"#"}]', 'Administrator # # # # ', '2014-03-20 04:26:16', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 01:07:00', 660, '2014-03-12 10:32:21', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(57, 'John Adams', 'john-adams', 7, 1, '<p>Kiten maso suscipit sem. Ut sagittis mauris eget posuere commodo. Maecenas a est urna. Aliquam non congue ante, vel tincidunt sem. Nullam tristique quam non nulla venenatis, vitae hendrerit diam ultricies. Curabitur porttitor elementum lectus quis elementum. Pellentesque nec mi et mauris posuere venenatis. Quisque arcu enim, facilisis eu egestas sit amet, dictum eget elit. Sed consectetur, augue tristique pretium pharetra, dolor mauris blandit dui, luctus venenatis tellus ipsum nec libero. Donec vestibulum molestie lorem, eu scelerisque neque porta id. Sed id nibh blandit, consequat justo ac, vulputate arcu. Morbi ultrices fringilla auctor. Mauris augue arcu, dapibus et aliquam in, viverra ac odio. Aenean ut ultricies sapien, ut tristique sem. Praesent ullamcorper commodo mauris, nec ultrices tellus cursus et. Donec vitae arcu vehicula nibh pharetra aliquam vel sit amet urna.</p>\r\n<p>Praesent aliquet augue sem, vestibulum luctus ipsum vehicula euismod. Ut condimentum neque eu lacinia congue. Pellentesque in nisi tempus, molestie dui et, ultricies arcu. Integer semper ultricies lacus et laoreet. Aliquam mauris elit, condimentum eget neque vel, iaculis venenatis lorem. Duis lobortis gravida nibh nec varius. Phasellus scelerisque lacinia lacinia. Sed at aliquam mauris. Sed vestibulum dolor a nunc tempor, a mollis libero sodales.</p>', '', NULL, NULL, '[{"id":"3","value":"Leader"},{"id":"4","value":"#"},{"id":"7","value":"#"},{"id":"5","value":"#"},{"id":"6","value":"#"}]', 'Leader # # # # ', '2014-03-20 04:26:16', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 01:06:43', 660, '2014-03-12 10:29:33', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 9, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(58, 'Integer vestibulum sapien et turpis', 'integer-vestibulum-sapien-et-turpis', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Nokia","http:\\/\\/www.nokia.com\\/","new"]}]', 'Nokia http://www.nokia.com/  ', '2014-03-20 04:37:27', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:41:37', 660, '2014-03-12 08:38:04', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 8, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(59, 'Nunc at purus lorem', 'nunc-at-purus-lorem', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Samsung","http:\\/\\/www.samsung.com\\/","new"]}]', 'Samsung http://www.samsung.com/  ', '2014-03-20 04:44:03', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:41:08', 660, '2014-03-12 08:44:19', '0000-00-00 00:00:00', 0, 1, 6, 0, 0, '', '', '', '', 2, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(60, 'Praesent eu nibh ut leo euismod semper', 'praesent-eu-nibh-ut-leo-euismod-semper', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Samsung","http:\\/\\/www.samsung.com\\/","new"]}]', 'Samsung http://www.samsung.com/  ', '2014-03-20 04:52:39', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:40:34', 660, '2014-03-12 08:44:19', '0000-00-00 00:00:00', 0, 1, 5, 0, 0, '', '', '', '', 3, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(61, 'Etiam fermentum tincidunt arcu at tristique', 'etiam-fermentum-tincidunt-arcu-at-tristique', 8, 1, '', '', NULL, NULL, '[{"id":"2","value":["Samsung","http:\\/\\/www.samsung.com\\/","new"]}]', 'Samsung http://www.samsung.com/  ', '2014-03-20 04:56:59', 660, '', 0, '0000-00-00 00:00:00', '2014-03-22 09:40:05', 660, '2014-03-12 08:44:19', '0000-00-00 00:00:00', 0, 1, 3, 0, 0, '', '', '', '', 1, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*'),
(62, 'Aliquam volutpat erat at dui ultricies dignissim', 'aliquam-volutpat-erat-at-dui-ultricies-dignissim', 6, 1, '<p>Donec ac felis ut nisl vulputate bibendum non nec arcu. Morbi varius justo in lectus semper, at pellentesque nulla semper. Aenean mattis diam ac urna sagittis, eu molestie lacus egestas. Duis ut convallis leo. Aenean fermentum dictum felis ut sodales. Vestibulum dapibus eros in imperdiet aliquam. Donec id imperdiet odio. Sed ac blandit justo. Nullam at erat ac diam porta rutrum. Aliquam sodales turpis ac dapibus tempus. Pellentesque adipiscing odio quam, ac tristique lorem feugiat ac. Maecenas nulla tortor, fringilla non diam quis, aliquam tristique sapien.</p>\r\n<p>Etiam rutrum feugiat velit, viverra viverra felis ullamcorper a. Nunc vel dolor ligula. Ut eget orci sit amet magna vestibulum faucibus et nec magna. Integer pulvinar pretium turpis at rutrum. Mauris ac tortor ornare massa pulvinar facilisis quis eu tellus. Nullam felis tellus, pellentesque id fringilla at, porta vitae orci. Duis dapibus euismod lacus eu commodo. Proin rutrum ipsum eget tempor sagittis. Pellentesque non tempor nisl. Vivamus dignissim augue vel mi mollis luctus. Nulla in diam adipiscing quam pharetra feugiat sit amet et velit. Aenean ligula orci, tristique in porttitor nec, facilisis ullamcorper ligula. Duis a pellentesque arcu.</p>\r\n<p>Fusce fringilla varius lacinia. Sed congue vestibulum volutpat. Nunc hendrerit purus eros, sit amet dictum ante fringilla at. Fusce in consequat nulla, at laoreet tortor. Fusce at ornare massa. Sed adipiscing, ligula et semper pharetra, ipsum magna rhoncus augue, ut tincidunt libero turpis vel lacus. Praesent porta est eu ante pharetra dapibus. Nullam eu diam porttitor, mattis erat ut, eleifend metus. Nullam non euismod purus, vel consectetur velit. Morbi id velit commodo, hendrerit odio et, lacinia elit. Quisque fermentum posuere dolor vel aliquet. Nam quis nisi eu velit feugiat aliquam ut at orci. Ut odio dolor, hendrerit eget sollicitudin id, tempus sed est.</p>\r\n<p>Proin dignissim tortor massa, ut iaculis mauris consequat in. Maecenas viverra laoreet mi, ac hendrerit purus aliquet non. Cras vulputate iaculis dignissim. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Cras et lacus nec dui consectetur imperdiet. Pellentesque sed neque id sapien tincidunt porta ut at sapien. Aliquam erat volutpat. Pellentesque bibendum purus ut enim aliquam, id eleifend sem molestie. Sed a pellentesque nunc. Mauris tellus tortor, sagittis sit amet vehicula et, hendrerit ac nunc. Aliquam ultricies purus sodales nunc pretium accumsan. Ut urna sapien, accumsan eu mauris ac, placerat mollis justo. Morbi et tellus aliquam, varius tortor et, aliquet sapien. In volutpat, nunc non feugiat eleifend, libero elit commodo sapien, in adipiscing augue eros aliquet ligula.</p>', '', NULL, NULL, '[{"id":"1","value":""}]', ' ', '2014-03-21 00:00:00', 660, '', 0, '0000-00-00 00:00:00', '2014-04-03 03:04:51', 86, '2014-03-11 00:00:00', '0000-00-00 00:00:00', 0, 1, 2, 0, 0, '', '', '', '', 10, '{"catItemTitle":"","catItemTitleLinked":"","catItemFeaturedNotice":"","catItemAuthor":"","catItemDateCreated":"","catItemRating":"","catItemImage":"","catItemIntroText":"","catItemExtraFields":"","catItemHits":"","catItemCategory":"","catItemTags":"","catItemAttachments":"","catItemAttachmentsCounter":"","catItemVideo":"","catItemVideoWidth":"","catItemVideoHeight":"","catItemAudioWidth":"","catItemAudioHeight":"","catItemVideoAutoPlay":"","catItemImageGallery":"","catItemDateModified":"","catItemReadMore":"","catItemCommentsAnchor":"","catItemK2Plugins":"","itemDateCreated":"","itemTitle":"","itemFeaturedNotice":"","itemAuthor":"","itemFontResizer":"","itemPrintButton":"","itemEmailButton":"","itemSocialButton":"","itemVideoAnchor":"","itemImageGalleryAnchor":"","itemCommentsAnchor":"","itemRating":"","itemImage":"","itemImgSize":"","itemImageMainCaption":"","itemImageMainCredits":"","itemIntroText":"","itemFullText":"","itemExtraFields":"","itemDateModified":"","itemHits":"","itemCategory":"","itemTags":"","itemAttachments":"","itemAttachmentsCounter":"","itemVideo":"","itemVideoWidth":"","itemVideoHeight":"","itemAudioWidth":"","itemAudioHeight":"","itemVideoAutoPlay":"","itemVideoCaption":"","itemVideoCredits":"","itemImageGallery":"","itemNavigation":"","itemComments":"","itemTwitterButton":"","itemFacebookButton":"","itemGooglePlusOneButton":"","itemAuthorBlock":"","itemAuthorImage":"","itemAuthorDescription":"","itemAuthorURL":"","itemAuthorEmail":"","itemAuthorLatest":"","itemAuthorLatestLimit":"","itemRelated":"","itemRelatedLimit":"","itemRelatedTitle":"","itemRelatedCategory":"","itemRelatedImageSize":"","itemRelatedIntrotext":"","itemRelatedFulltext":"","itemRelatedAuthor":"","itemRelatedMedia":"","itemRelatedImageGallery":"","itemK2Plugins":""}', '', 'robots=\nauthor=', '', '', '*');

DROP TABLE IF EXISTS `#__k2_rating`;
CREATE TABLE IF NOT EXISTS `#__k2_rating` (
  `itemID` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(11) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(11) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`itemID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__k2_rating` (`itemID`, `rating_sum`, `rating_count`, `lastip`) VALUES
(3, 3, 1, '::1'),
(6, 1, 1, '::1'),
(8, 1, 1, '::1'),
(24, 2, 1, '::1'),
(25, 2, 2, '192.168.1.126'),
(27, 10, 4, '127.0.0.1'),
(28, 5, 1, '127.0.0.1'),
(29, 3, 2, '118.70.233.11'),
(30, 11, 3, '42.115.208.198'),
(39, 1, 1, '::1'),
(56, 1, 1, '::1');

DROP TABLE IF EXISTS `#__k2_tags`;
CREATE TABLE IF NOT EXISTS `#__k2_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `published` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `published` (`published`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

INSERT INTO `#__k2_tags` (`id`, `name`, `published`) VALUES
(1, 'Design', 1),
(2, 'Responsive', 1),
(3, 'Templates', 1),
(4, 'content', 1),
(5, 'modules', 1),
(6, 'Extensions', 1),
(7, 'smartphone', 1),
(8, 'mobile', 1),
(9, 'popular', 1);

DROP TABLE IF EXISTS `#__k2_tags_xref`;
CREATE TABLE IF NOT EXISTS `#__k2_tags_xref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tagID` int(11) NOT NULL,
  `itemID` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `tagID` (`tagID`),
  KEY `itemID` (`itemID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=83 ;

INSERT INTO `#__k2_tags_xref` (`id`, `tagID`, `itemID`) VALUES
(22, 3, 3),
(23, 1, 3),
(24, 5, 3),
(27, 3, 2),
(39, 3, 30),
(40, 1, 30),
(41, 5, 30),
(70, 3, 1),
(74, 3, 29),
(75, 1, 29),
(76, 5, 29),
(77, 3, 4),
(78, 1, 4),
(79, 5, 4),
(80, 7, 28),
(81, 8, 28),
(82, 9, 28);

DROP TABLE IF EXISTS `#__k2_users`;
CREATE TABLE IF NOT EXISTS `#__k2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userID` int(11) NOT NULL,
  `userName` varchar(255) DEFAULT NULL,
  `gender` enum('m','f') NOT NULL DEFAULT 'm',
  `description` text NOT NULL,
  `image` varchar(255) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `group` int(11) NOT NULL DEFAULT '0',
  `plugins` text NOT NULL,
  `ip` varchar(15) NOT NULL,
  `hostname` varchar(255) NOT NULL,
  `notes` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userID` (`userID`),
  KEY `group` (`group`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__k2_users` (`id`, `userID`, `userName`, `gender`, `description`, `image`, `url`, `group`, `plugins`, `ip`, `hostname`, `notes`) VALUES
(1, 660, 'Super User', 'm', '<p>Aenean eu leo quam. Pellentesque ornare sem lacinia quam venenatis vestibulum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Duis mollis, est non commodo luctus,</p>', '1.png', 'http://smartaddons.com/', 0, '', '127.0.0.1', 'Kennguyen-PC', '');

DROP TABLE IF EXISTS `#__k2_user_groups`;
CREATE TABLE IF NOT EXISTS `#__k2_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE IF NOT EXISTS `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_ordering` (`ordering`),
  KEY `idx_access` (`access`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 'en-GB', 'English (UK)', 'English', 'en', 'en', '', '', '', '', 1, 1, 0),
(2, 'ar-AA', 'Arabic Unitag (AA)', 'Arabic ', 'ar', 'ar', 'Arabic Unitag (ar-AA)', '', '', '', 1, 1, 0),
(3, 'fr-FR', 'French (FR)', 'French ', 'fr', 'fr', 'French (fr-FR)', '', '', '', 1, 1, 0);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE IF NOT EXISTS `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned DEFAULT NULL,
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1046 ;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 691, 0, '*', 0),
(2, 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 0, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 143, 152, 0, '*', 1),
(3, 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 144, 145, 0, '*', 1),
(4, 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 0, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 146, 147, 0, '*', 1),
(5, 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 148, 149, 0, '*', 1),
(6, 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 150, 151, 0, '*', 1),
(7, 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 0, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 153, 158, 0, '*', 1),
(8, 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 0, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 154, 155, 0, '*', 1),
(9, 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 0, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 156, 157, 0, '*', 1),
(10, 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 0, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 159, 164, 0, '*', 1),
(11, 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 0, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 160, 161, 0, '*', 1),
(12, 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', 0, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-read', 0, '', 162, 163, 0, '*', 1),
(13, 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 165, 170, 0, '*', 1),
(14, 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 166, 167, 0, '*', 1),
(15, 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 0, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 168, 169, 0, '*', 1),
(16, 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 0, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 179, 180, 0, '*', 1),
(17, 'menu', 'com_search', 'Search', '', 'Search', 'index.php?option=com_search', 'component', 0, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 171, 172, 0, '*', 1),
(18, 'menu', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', 0, 1, 1, 21, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 173, 178, 0, '*', 1),
(19, 'menu', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', 0, 18, 2, 21, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks', 0, '', 174, 175, 0, '*', 1),
(20, 'menu', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', 0, 18, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:weblinks-cat', 0, '', 176, 177, 0, '*', 1),
(22, 'menu', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 0, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 141, 142, 0, '*', 1),
(23, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 0, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 137, 138, 0, '', 1),
(207, 'top', 'Joomla.org', 'joomlaorg', '', 'joomlaorg', 'http://joomla.org', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 185, 186, 0, '*', 0),
(435, 'mainmenu', 'Home', 'homepage', '', 'homepage', 'index.php?option=com_content&view=article&id=198', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":" Joomla Template YT Framework v3","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 3, 4, 0, '*', 0),
(444, 'top', 'Sample Site', 'sample-sites-2', '', 'sample-sites-2', 'http://www.smartaddons.com', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 183, 184, 0, '*', 0),
(464, 'top', 'Home', 'home', '', 'home', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"435","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 181, 182, 0, '*', 0),
(468, 'mainmenu', 'Explore', 'explore', '', 'explore', 'index.php?option=com_content&view=article&id=197', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"menuRss","ytext_desc":"Sub item","ytext_cols":"2","ytext_width":"500","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild"}', 5, 90, 0, '*', 0),
(494, 'mainmenu', 'Module Variations', 'module-variations', '', 'explore/template-info/module-variations', 'index.php?option=com_content&view=article&id=129', 'component', -2, 716, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 7, 8, 0, '*', 0),
(495, 'mainmenu', 'Extensions', 'extenstions', '', 'explore/template-info/extenstions', 'index.php?option=com_content&view=article&id=131', 'component', -2, 716, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 9, 10, 0, '*', 0),
(496, 'mainmenu', 'Module positions', 'module-positions', '', 'explore/template-info/module-positions', 'index.php?option=com_content&view=article&id=130', 'component', -2, 716, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 11, 12, 0, '*', 0),
(497, 'mainmenu', 'Joomla Pages', 'joomla-pages', '', 'explore/joomla-pages', '', 'url', -2, 468, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 48, 87, 0, '*', 0),
(516, 'mainmenu', 'Typography', 'typography', '', 'explore/template-info/typography', 'index.php?option=com_content&view=article&id=133', 'component', -2, 716, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 13, 14, 0, '*', 0),
(569, 'mainmenu', 'Joomla content', 'joomla-content', '', 'joomla-content', 'index.php?option=com_content&view=categories&id=84', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 91, 114, 0, '*', 0),
(572, 'mainmenu', 'Weblinks', 'weblinks', '', 'explore/joomla-pages/weblinks', 'index.php?option=com_weblinks&view=category&id=31', 'component', -2, 497, 3, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 49, 50, 0, '*', 0),
(601, 'main', 'COM_FINDER', 'com-finder', '', 'com-finder', 'index.php?option=com_finder', 'component', 0, 1, 1, 10048, 0, '0000-00-00 00:00:00', 0, 1, 'class:finder', 0, '', 187, 188, 0, '', 1),
(602, 'mainmenu', 'Search', 'smart-seach', '', 'explore/joomla-pages/smart-seach', 'index.php?option=com_finder&view=search&q=&f=', 'component', -2, 497, 3, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 57, 62, 0, '*', 0),
(625, 'mainmenu', 'Menu example', 'menu-example', '', 'explore/template-info/menu-example', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', -2, 716, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"2","ytext_width":"440","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild"}', 19, 46, 0, '*', 0),
(628, 'mainmenu', 'Registration Form', 'register', '', 'explore/joomla-pages/login-form/register', 'index.php?option=com_users&view=registration', 'component', -2, 629, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Register","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 64, 65, 0, '*', 0),
(629, 'mainmenu', 'User Component', 'login-form', '', 'explore/joomla-pages/login-form', '', 'separator', -2, 497, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 63, 76, 0, '*', 0),
(636, 'mainmenu', 'Group 1', 'html5-introduction', '', 'explore/template-info/menu-example/html5-introduction', 'http://w3schools.com/html/html5_intro.asp', 'url', -2, 625, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 20, 27, 0, '*', 0),
(637, 'mainmenu', 'Group 2', 'featured-item', '', 'explore/template-info/menu-example/featured-item', '#', 'url', -2, 625, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 28, 45, 0, '*', 0),
(638, 'mainmenu', 'Category Blog', 'category-blog', '', 'joomla-content/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=79', 'component', -2, 569, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 100, 109, 0, '*', 0),
(639, 'mainmenu', 'Single Article', 'single-article', '', 'joomla-content/single-article', 'index.php?option=com_content&view=article&id=115', 'component', -2, 569, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 110, 111, 0, '*', 0),
(640, 'mainmenu', 'List All Categories', 'list-all-categories', '', 'joomla-content/list-all-categories', 'index.php?option=com_content&view=categories&id=84', 'component', -2, 569, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"5","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 92, 93, 0, '*', 0),
(641, 'mainmenu', 'Category List', 'category-list', '', 'joomla-content/category-list', 'index.php?option=com_content&view=category&id=78', 'component', -2, 569, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 98, 99, 0, '*', 0),
(642, 'mainmenu', 'Archived Articles', 'archived-articles', '', 'joomla-content/archived-articles', 'index.php?option=com_content&view=archive', 'component', -2, 569, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"alpha","order_date":"created","display_num":"5","filter_field":"hide","introtext_limit":"100","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","link_titles":"","show_intro":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 96, 97, 0, '*', 0),
(643, 'mainmenu', 'Page breaks', 'page-break-example', '', 'joomla-content/page-break-example', 'index.php?option=com_content&view=article&id=155', 'component', -2, 569, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 112, 113, 0, '*', 0),
(648, 'mainmenu', 'Shortcodes', 'short-codes', '', 'short-codes', 'index.php?option=com_content&view=article&id=179', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"300","ytext_colwidth":"100","ytext_cssid":"","ytext_contenttype":"megachild"}', 115, 118, 0, '*', 0),
(660, 'mainmenu', 'FAQ', 'faq', '', 'bonus-pages/faq', 'index.php?option=com_content&view=article&id=176', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 122, 123, 0, '*', 0),
(661, 'mainmenu', 'Join now', 'join-now', '', 'bonus-pages/join-now', 'index.php?option=com_content&view=article&id=177', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 120, 121, 0, '*', 0),
(662, 'mainmenu', 'About us', 'about-us', '', 'bonus-pages/about-us', 'index.php?option=com_content&view=article&id=178', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 124, 125, 0, '*', 0),
(663, 'mainmenu', 'Bonus pages', 'bonus-pages', '', 'bonus-pages', 'index.php?option=com_content&view=article&id=187', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 119, 136, 0, '*', 0),
(664, 'mainmenu', 'Testimonial', 'testimonial2', '', 'bonus-pages/testimonial2', 'index.php?option=com_content&view=article&id=180', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 126, 127, 0, '*', 0),
(665, 'mainmenu', 'Our services', 'our-services', '', 'bonus-pages/our-services', 'index.php?option=com_content&view=article&id=181', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 128, 129, 0, '*', 0),
(667, 'mainmenu', 'What''s new?', 'what-s-new', '', 'explore/template-info/what-s-new', 'index.php?option=com_content&view=article&id=183', 'component', -2, 716, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 15, 18, 0, '*', 0),
(668, 'mainmenu', 'Photo Gallery ', 'photo-gallery', '', 'bonus-pages/photo-gallery', 'index.php?option=com_content&view=article&id=184', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 130, 131, 0, '*', 0),
(669, 'mainmenu', 'Portfolio', 'portfolio', '', 'bonus-pages/portfolio', 'index.php?option=com_content&view=article&id=185', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 132, 133, 0, '*', 0),
(673, 'mainmenu', 'Featured Articles', 'featured-articles', '', 'joomla-content/featured-articles', 'index.php?option=com_content&view=featured', 'component', -2, 569, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":["78","79","80","81"],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"2","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 94, 95, 0, '*', 0),
(674, 'mainmenu', 'Category Blog (1 column)', 'category-blog-1-column', '', 'joomla-content/category-blog/category-blog-1-column', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', -2, 638, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"1","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 101, 102, 0, '*', 0),
(675, 'mainmenu', 'Category Blog (2 columns)', 'category-blog-2-columns', '', 'joomla-content/category-blog/category-blog-2-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', -2, 638, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 103, 104, 0, '*', 0),
(676, 'mainmenu', 'Category Blog (3 columns)', 'category-blog-3-columns', '', 'joomla-content/category-blog/category-blog-3-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', -2, 638, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"6","num_columns":"3","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 105, 106, 0, '*', 0),
(677, 'mainmenu', 'Category Blog (4 columns)', 'category-blog-4-columns', '', 'joomla-content/category-blog/category-blog-4-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', -2, 638, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"8","num_columns":"4","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 107, 108, 0, '*', 0),
(678, 'mainmenu', 'Search', 'seach', '', 'explore/joomla-pages/smart-seach/seach', 'index.php?option=com_search&view=search&searchword=', 'component', -2, 602, 4, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"com_search component","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"com_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 58, 59, 0, '*', 0),
(679, 'mainmenu', 'Smart Search', 'smart-search', '', 'explore/joomla-pages/smart-seach/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', -2, 602, 4, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"smart_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 60, 61, 0, '*', 0),
(680, 'mainmenu', 'News Feed', 'news-feed-2', '', 'explore/joomla-pages/news-feed-2', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', -2, 497, 3, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 51, 56, 0, '*', 0),
(682, 'mainmenu', 'List News Feeds in a Category', 'list-news-feeds-in-a-category', '', 'explore/joomla-pages/news-feed-2/list-news-feeds-in-a-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', -2, 680, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 52, 53, 0, '*', 0),
(683, 'mainmenu', 'Single news feed', 'single-news-feed', '', 'explore/joomla-pages/news-feed-2/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=2', 'component', -2, 680, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 54, 55, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(684, 'mainmenu', 'Login Form', 'login-form', '', 'explore/joomla-pages/login-form/login-form', 'index.php?option=com_users&view=login', 'component', -2, 629, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin eros tellus, cursus nec iaculis et, dictum ultricies ante.","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Login Form","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 66, 67, 0, '*', 0),
(685, 'mainmenu', 'User Profile', 'user-profile', '', 'explore/joomla-pages/login-form/user-profile', 'index.php?option=com_users&view=profile', 'component', -2, 629, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 68, 69, 0, '*', 0),
(686, 'mainmenu', 'Edit User Profile', 'edit-user-profile', '', 'explore/joomla-pages/login-form/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', -2, 629, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 70, 71, 0, '*', 0),
(687, 'mainmenu', 'Password Reset', 'password-reset', '', 'explore/joomla-pages/login-form/password-reset', 'index.php?option=com_users&view=reset', 'component', -2, 629, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 72, 73, 0, '*', 0),
(688, 'mainmenu', 'Username Reminder Request', 'username-reminder-request', '', 'explore/joomla-pages/login-form/username-reminder-request', 'index.php?option=com_users&view=remind', 'component', -2, 629, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 74, 75, 0, '*', 0),
(689, 'mainmenu', 'Contact', 'contact', '', 'explore/joomla-pages/contact', 'index.php?option=com_contact&view=contact&id=9', 'component', -2, 497, 3, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"","show_contact_category":"","show_contact_list":"","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 77, 78, 0, '*', 0),
(694, 'mainmenu', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36', '#', 'url', -2, 637, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 29, 40, 0, '*', 0),
(701, 'hidden-categories', 'Phablet ', 'phablet', '', 'phablet', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=3', 'component', 1, 1, 1, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["3"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 189, 190, 0, '*', 0),
(702, 'hidden-categories', 'Tablet', 'tablet', '', 'tablet', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=2', 'component', 1, 1, 1, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["2"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 191, 192, 0, '*', 0),
(703, 'hidden-categories', 'Laptop ', 'laptop', '', 'laptop', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=4', 'component', 1, 1, 1, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["4"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 1, 2, 0, '*', 0),
(704, 'categories', 'Content Category 4', 'content-category-4', '', 'content-category-4', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_readmore":"0","show_readmore_title":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 193, 194, 0, '*', 0),
(705, 'mainmenu', 'Page 404', 'page-404', '', 'bonus-pages/page-404', 'index.php?option=com_content&view=article&id=1', 'component', -2, 663, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 134, 135, 0, '*', 0),
(706, 'mainmenu', 'Custom Module', 'documents', '', 'explore/documents', 'index.php?option=com_content&view=article&id=193', 'component', -2, 468, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"all for your site!","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["253"]}', 88, 89, 0, '*', 0),
(707, 'mainmenu', 'Tags', 'tags', '', 'explore/joomla-pages/tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', -2, 497, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":4,"all_tags_description":"","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 79, 86, 0, '*', 0),
(708, 'mainmenu', 'Compact list of tagged items', 'compact-list-of-tagged-items', '', 'explore/joomla-pages/tags/compact-list-of-tagged-items', 'index.php?option=com_tags&view=tag&layout=list&id[0]=5&id[1]=6&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', -2, 707, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":" <h2>Compact list of tagged items \\"Responsive\\", \\"Design\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","tag_list_show_date":"","date_format":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 80, 81, 0, '*', 0),
(709, 'mainmenu', 'List of all tags', 'list-of-all-tags', '', 'explore/joomla-pages/tags/list-of-all-tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', -2, 707, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":1,"all_tags_description":"<h2>List of all tags \\"Smartaddons\\" <\\/h2>","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"1","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 82, 83, 0, '*', 0),
(710, 'mainmenu', 'Tagged items', 'tagged-items', '', 'explore/joomla-pages/tags/tagged-items', 'index.php?option=com_tags&view=tag&id[0]=5&id[1]=6&id[2]=7&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', -2, 707, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"<h2>\\r\\nTagged items \\"Responsive\\", \\"Design\\", \\"Templates\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 84, 85, 0, '*', 0),
(711, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 0, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 139, 140, 0, '*', 1),
(715, 'main', 'com_jw_disqus', 'com-jw-disqus', '', 'com-jw-disqus', 'index.php?option=com_jw_disqus', 'component', 0, 1, 1, 10095, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 195, 196, 0, '', 1),
(716, 'mainmenu', 'Template info', 'template-info', '', 'explore/template-info', '', 'separator', -2, 468, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 6, 47, 0, '*', 0),
(717, 'mainmenu', 'Photo shortcode', 'photo-shortcode', '', 'short-codes/photo-shortcode', 'index.php?option=com_content&view=article&id=156', 'component', -2, 648, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"hidden","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["251"]}', 116, 117, 0, '*', 0),
(719, 'mainmenu', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-05', '#', 'url', -2, 637, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 41, 42, 0, '*', 0),
(720, 'mainmenu', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-36', '#', 'url', -2, 636, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 21, 22, 0, '*', 0),
(721, 'mainmenu', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-49-05', '#', 'url', -2, 636, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 23, 24, 0, '*', 0),
(722, 'mainmenu', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-37', '#', 'url', -2, 636, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 25, 26, 0, '*', 0),
(723, 'mainmenu', 'Child item ', '2013-12-26-23-49-6', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-6', '#', 'url', -2, 637, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 43, 44, 0, '*', 0),
(724, 'mainmenu', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-36', '#', 'url', -2, 694, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 30, 31, 0, '*', 0),
(725, 'mainmenu', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05', '#', 'url', -2, 694, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 32, 37, 0, '*', 0),
(726, 'mainmenu', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-37', '#', 'url', -2, 694, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 38, 39, 0, '*', 0),
(727, 'mainmenu', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-48-36', '#', 'url', -2, 725, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 33, 34, 0, '*', 0),
(728, 'mainmenu', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-49-05', '#', 'url', -2, 725, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 35, 36, 0, '*', 0),
(729, 'mainmenu', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/what-s-new/2013-12-26-23-48-37', '#', 'url', -2, 667, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 16, 17, 0, '*', 0),
(730, 'main-menu-english', 'Home', 'home', '', 'home', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"0","num_columns":"","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"SJ iCenter - Impressive Joomla Template with ios7 Flat design","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":" iCenter - Joomla 3.x template is on top desirable product of Smartaddons. With supporting of responsive layout and flat design, we hope to bring you the best!","menu-meta_keywords":"iCenter template, joomla 3.x template, flat design template, responsive joomla template, ios7 flat design, responsive web design","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 197, 198, 1, 'en-GB', 0),
(731, 'main-menu-english', 'Explore ', 'explore', '', 'explore', 'index.php?option=com_content&view=article&id=178', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"menuRss","ytext_desc":"","ytext_cols":"2","ytext_width":"500","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild","ytext_positions":["",""]}', 199, 280, 0, 'en-GB', 0),
(732, 'main-menu-english', 'Template info', 'template-info', '', 'explore/template-info', '', 'separator', 1, 731, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 200, 239, 0, 'en-GB', 0),
(733, 'main-menu-english', 'Module Variations', 'module-variations', '', 'explore/template-info/module-variations', 'index.php?option=com_content&view=article&id=129', 'component', 1, 732, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 201, 202, 0, 'en-GB', 0),
(734, 'main-menu-english', 'Extensions', 'extenstions', '', 'explore/template-info/extenstions', 'index.php?option=com_content&view=article&id=131', 'component', 1, 732, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 203, 204, 0, 'en-GB', 0),
(735, 'main-menu-english', 'Module positions', 'module-positions', '', 'explore/template-info/module-positions', 'index.php?option=com_content&view=article&id=130', 'component', 1, 732, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 205, 206, 0, 'en-GB', 0),
(736, 'main-menu-english', 'Typography', 'typography', '', 'explore/template-info/typography', 'index.php?option=com_content&view=article&id=133', 'component', 1, 732, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 207, 208, 0, 'en-GB', 0),
(737, 'main-menu-english', 'What''s new?', 'what-s-new', '', 'explore/template-info/what-s-new', 'index.php?option=com_content&view=article&id=183', 'component', 1, 732, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 209, 210, 0, 'en-GB', 0),
(738, 'main-menu-english', 'Menu example', 'menu-example', '', 'explore/template-info/menu-example', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 732, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"2","ytext_width":"440","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild"}', 211, 238, 0, 'en-GB', 0),
(739, 'main-menu-english', 'Group 1', 'html5-introduction', '', 'explore/template-info/menu-example/html5-introduction', 'http://w3schools.com/html/html5_intro.asp', 'url', 1, 738, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 212, 219, 0, 'en-GB', 0),
(740, 'main-menu-english', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-36', '#', 'url', 1, 739, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 213, 214, 0, 'en-GB', 0),
(741, 'main-menu-english', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-49-05', '#', 'url', 1, 739, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 215, 216, 0, 'en-GB', 0),
(742, 'main-menu-english', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-37', '#', 'url', 1, 739, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 217, 218, 0, 'en-GB', 0),
(743, 'main-menu-english', 'Group 2', 'featured-item', '', 'explore/template-info/menu-example/featured-item', '#', 'url', 1, 738, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 220, 237, 0, 'en-GB', 0),
(744, 'main-menu-english', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36', '#', 'url', 1, 743, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 221, 232, 0, 'en-GB', 0),
(745, 'main-menu-english', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-36', '#', 'url', 1, 744, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 222, 223, 0, 'en-GB', 0),
(746, 'main-menu-english', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05', '#', 'url', 1, 744, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 224, 229, 0, 'en-GB', 0),
(747, 'main-menu-english', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-48-36', '#', 'url', 1, 746, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 225, 226, 0, 'en-GB', 0),
(748, 'main-menu-english', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-49-05', '#', 'url', 1, 746, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 227, 228, 0, 'en-GB', 0),
(749, 'main-menu-english', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-37', '#', 'url', 1, 744, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 230, 231, 0, 'en-GB', 0),
(750, 'main-menu-english', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-05', '#', 'url', 1, 743, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 233, 234, 0, 'en-GB', 0),
(751, 'main-menu-english', 'Child item ', '2013-12-26-23-49-6', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-6', '#', 'url', 1, 743, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 235, 236, 0, 'en-GB', 0),
(752, 'main-menu-english', 'Joomla Pages', 'joomla-pages', '', 'explore/joomla-pages', '', 'url', 1, 731, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 240, 279, 0, 'en-GB', 0),
(753, 'main-menu-english', 'Weblinks', 'weblinks', '', 'explore/joomla-pages/weblinks', 'index.php?option=com_weblinks&view=category&id=31', 'component', 1, 752, 3, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 241, 242, 0, 'en-GB', 0),
(754, 'main-menu-english', 'News Feed', 'news-feed-2', '', 'explore/joomla-pages/news-feed-2', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 752, 3, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 243, 248, 0, 'en-GB', 0),
(755, 'main-menu-english', 'List News Feeds in a Category', 'list-news-feeds-in-a-category', '', 'explore/joomla-pages/news-feed-2/list-news-feeds-in-a-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 754, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 244, 245, 0, 'en-GB', 0),
(756, 'main-menu-english', 'Single news feed', 'single-news-feed', '', 'explore/joomla-pages/news-feed-2/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=2', 'component', 1, 754, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 246, 247, 0, 'en-GB', 0),
(757, 'main-menu-english', 'Search', 'smart-seach', '', 'explore/joomla-pages/smart-seach', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 752, 3, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 249, 254, 0, 'en-GB', 0),
(758, 'main-menu-english', 'Search', 'seach', '', 'explore/joomla-pages/smart-seach/seach', 'index.php?option=com_search&view=search&searchword=', 'component', 1, 757, 4, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"com_search component","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"com_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 250, 251, 0, 'en-GB', 0),
(759, 'main-menu-english', 'Smart Search', 'smart-search', '', 'explore/joomla-pages/smart-seach/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 757, 4, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"smart_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 252, 253, 0, 'en-GB', 0),
(760, 'main-menu-english', 'User Component', 'login-form', '', 'explore/joomla-pages/login-form', '', 'separator', 1, 752, 3, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 255, 268, 0, 'en-GB', 0),
(761, 'main-menu-english', 'Registration Form', 'register', '', 'explore/joomla-pages/login-form/register', 'index.php?option=com_users&view=registration', 'component', 1, 760, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Register","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 256, 257, 0, 'en-GB', 0),
(762, 'main-menu-english', 'Login Form', 'login-form', '', 'explore/joomla-pages/login-form/login-form', 'index.php?option=com_users&view=login', 'component', 1, 760, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin eros tellus, cursus nec iaculis et, dictum ultricies ante.","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Login Form","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 258, 259, 0, 'en-GB', 0),
(763, 'main-menu-english', 'User Profile', 'user-profile', '', 'explore/joomla-pages/login-form/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 760, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 260, 261, 0, 'en-GB', 0),
(764, 'main-menu-english', 'Edit User Profile', 'edit-user-profile', '', 'explore/joomla-pages/login-form/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 760, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 262, 263, 0, 'en-GB', 0),
(765, 'main-menu-english', 'Password Reset', 'password-reset', '', 'explore/joomla-pages/login-form/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 760, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 264, 265, 0, 'en-GB', 0),
(766, 'main-menu-english', 'Username Reminder Request', 'username-reminder-request', '', 'explore/joomla-pages/login-form/username-reminder-request', 'index.php?option=com_users&view=remind', 'component', 1, 760, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 266, 267, 0, 'en-GB', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(767, 'main-menu-english', 'Contact', 'contact', '', 'explore/joomla-pages/contact', 'index.php?option=com_contact&view=contact&id=9', 'component', 1, 752, 3, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"plain","show_contact_category":"hide","show_contact_list":"0","show_tags":"0","show_name":"0","show_position":"0","show_email":"0","show_street_address":"0","show_suburb":"0","show_state":"0","show_postcode":"0","show_country":"0","show_telephone":"0","show_mobile":"0","show_fax":"0","show_webpage":"0","show_misc":"","show_image":"0","allow_vcard":"0","show_articles":"0","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" contact-us","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 269, 270, 0, 'en-GB', 0),
(768, 'main-menu-english', 'Tags', 'tags', '', 'explore/joomla-pages/tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', 1, 752, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":4,"all_tags_description":"","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 271, 278, 0, 'en-GB', 0),
(769, 'main-menu-english', 'Compact list of tagged items', 'compact-list-of-tagged-items', '', 'explore/joomla-pages/tags/compact-list-of-tagged-items', 'index.php?option=com_tags&view=tag&layout=list&id[0]=5&id[1]=6&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', 1, 768, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":" <h2>Compact list of tagged items \\"Responsive\\", \\"Design\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","tag_list_show_date":"","date_format":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 272, 273, 0, 'en-GB', 0),
(770, 'main-menu-english', 'List of all tags', 'list-of-all-tags', '', 'explore/joomla-pages/tags/list-of-all-tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', 1, 768, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":1,"all_tags_description":"<h2>List of all tags \\"Smartaddons\\" <\\/h2>","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"1","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 274, 275, 0, 'en-GB', 0),
(771, 'main-menu-english', 'Tagged items', 'tagged-items', '', 'explore/joomla-pages/tags/tagged-items', 'index.php?option=com_tags&view=tag&id[0]=5&id[1]=6&id[2]=7&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', 1, 768, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"<h2>\\r\\nTagged items \\"Responsive\\", \\"Design\\", \\"Templates\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 276, 277, 0, 'en-GB', 0),
(772, 'main-menu-english', 'Joomla content ', 'joomla-content', '', 'joomla-content', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 281, 304, 0, 'en-GB', 0),
(773, 'main-menu-english', 'List All Categories', 'list-all-categories', '', 'joomla-content/list-all-categories', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 772, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"5","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 282, 283, 0, 'en-GB', 0),
(774, 'main-menu-english', 'Featured Articles', 'featured-articles', '', 'joomla-content/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 772, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":["78","79","80","81"],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"1","show_readmore":"0","show_readmore_title":"0","show_icons":"0","show_print_icon":"","show_email_icon":"","show_hits":"1","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 284, 285, 0, 'en-GB', 0),
(775, 'main-menu-english', 'Archived Articles', 'archived-articles', '', 'joomla-content/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 772, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"alpha","order_date":"created","display_num":"5","filter_field":"hide","introtext_limit":"100","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","link_titles":"","show_intro":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 286, 287, 0, 'en-GB', 0),
(776, 'main-menu-english', 'Category List', 'category-list', '', 'joomla-content/category-list', 'index.php?option=com_content&view=category&id=78', 'component', 1, 772, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 288, 289, 0, 'en-GB', 0),
(777, 'main-menu-english', 'Category Blog', 'category-blog', '', 'joomla-content/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=79', 'component', 1, 772, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"1","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"1","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"1","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 290, 299, 0, 'en-GB', 0),
(778, 'main-menu-english', 'Category Blog (1 column)', 'category-blog-1-column', '', 'joomla-content/category-blog/category-blog-1-column', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 777, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"1","show_readmore":"0","show_readmore_title":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 291, 292, 0, 'en-GB', 0),
(779, 'main-menu-english', 'Category Blog (2 columns)', 'category-blog-2-columns', '', 'joomla-content/category-blog/category-blog-2-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 0, 777, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 293, 294, 0, 'en-GB', 0),
(780, 'main-menu-english', 'Category Blog (3 columns)', 'category-blog-3-columns', '', 'joomla-content/category-blog/category-blog-3-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 777, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"6","num_columns":"3","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 295, 296, 0, 'en-GB', 0),
(781, 'main-menu-english', 'Category Blog (4 columns)', 'category-blog-4-columns', '', 'joomla-content/category-blog/category-blog-4-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 777, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"1","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"8","num_columns":"4","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 297, 298, 0, 'en-GB', 0),
(782, 'main-menu-english', 'Single Article', 'single-article', '', 'joomla-content/single-article', 'index.php?option=com_content&view=article&id=115', 'component', 1, 772, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"1","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"1","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"1","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 300, 301, 0, 'en-GB', 0),
(783, 'main-menu-english', 'Page breaks', 'page-break-example', '', 'joomla-content/page-break-example', 'index.php?option=com_content&view=article&id=155', 'component', 1, 772, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"0","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 302, 303, 0, 'en-GB', 0),
(784, 'main-menu-english', 'Shortcodes ', 'short-codes-2', '', 'short-codes-2', 'index.php?option=com_content&view=article&id=179', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"300","ytext_colwidth":"100","ytext_cssid":"","ytext_contenttype":"megachild"}', 305, 308, 0, 'en-GB', 0),
(785, 'main-menu-english', 'Photo shortcode', 'photo-shortcode', '', 'short-codes-2/photo-shortcode', 'index.php?option=com_content&view=article&id=115', 'component', 1, 784, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"hidden","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["251"],"ytext_positions":["",""]}', 306, 307, 0, 'en-GB', 0),
(786, 'main-menu-english', 'Bonus pages ', 'bonus-pages', '', 'bonus-pages', 'index.php?option=com_content&view=article&id=187', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 309, 326, 0, 'en-GB', 0),
(787, 'main-menu-english', 'Join now', 'join-now', '', 'bonus-pages/join-now', 'index.php?option=com_content&view=article&id=177', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 310, 311, 0, 'en-GB', 0),
(788, 'main-menu-english', 'FAQ', 'faq', '', 'bonus-pages/faq', 'index.php?option=com_content&view=article&id=176', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 312, 313, 0, 'en-GB', 0),
(789, 'main-menu-english', 'About us', 'about-us', '', 'bonus-pages/about-us', 'index.php?option=com_content&view=article&id=178', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 314, 315, 0, 'en-GB', 0),
(790, 'main-menu-english', 'Testimonial', 'testimonial2', '', 'bonus-pages/testimonial2', 'index.php?option=com_content&view=article&id=180', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 316, 317, 0, 'en-GB', 0),
(791, 'main-menu-english', 'Our services', 'our-services', '', 'bonus-pages/our-services', 'index.php?option=com_content&view=article&id=181', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 318, 319, 0, 'en-GB', 0),
(792, 'main-menu-english', 'Photo Gallery ', 'photo-gallery', '', 'bonus-pages/photo-gallery', 'index.php?option=com_content&view=article&id=184', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 320, 321, 0, 'en-GB', 0),
(793, 'main-menu-english', 'Portfolio', 'portfolio', '', 'bonus-pages/portfolio', 'index.php?option=com_content&view=article&id=185', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 322, 323, 0, 'en-GB', 0),
(794, 'main-menu-english', 'Page 404', 'page-404', '', 'bonus-pages/page-404', 'index.php?option=com_content&view=article&id=1', 'component', 1, 786, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 324, 325, 0, 'en-GB', 0),
(797, 'main-menu-france', 'Maison', 'homepage', '', 'homepage', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"0","num_columns":"","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":" SJ iCenter - Impressionnant conception de Joomla Template avec ios7 plat","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 327, 328, 1, 'fr-FR', 0),
(798, 'main-menu-france', 'Explorer', 'explore', '', 'explore', 'index.php?option=com_content&view=article&id=178', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"menuRss","ytext_desc":"","ytext_cols":"2","ytext_width":"500","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild","ytext_positions":["",""]}', 329, 410, 0, 'fr-FR', 0),
(799, 'main-menu-france', 'Template info', 'template-info', '', 'explore/template-info', '', 'separator', 1, 798, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 330, 369, 0, '*', 0),
(800, 'main-menu-france', 'Module Variations', 'module-variations', '', 'explore/template-info/module-variations', 'index.php?option=com_content&view=article&id=129', 'component', 1, 799, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 331, 332, 0, '*', 0),
(801, 'main-menu-france', 'Extensions', 'extenstions', '', 'explore/template-info/extenstions', 'index.php?option=com_content&view=article&id=131', 'component', 1, 799, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 333, 334, 0, '*', 0),
(802, 'main-menu-france', 'Module positions', 'module-positions', '', 'explore/template-info/module-positions', 'index.php?option=com_content&view=article&id=130', 'component', 1, 799, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 335, 336, 0, '*', 0),
(803, 'main-menu-france', 'Typography', 'typography', '', 'explore/template-info/typography', 'index.php?option=com_content&view=article&id=133', 'component', 1, 799, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 337, 338, 0, '*', 0),
(804, 'main-menu-france', 'What''s new?', 'what-s-new', '', 'explore/template-info/what-s-new', 'index.php?option=com_content&view=article&id=183', 'component', 1, 799, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 339, 340, 0, '*', 0),
(805, 'main-menu-france', 'Menu example', 'menu-example', '', 'explore/template-info/menu-example', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 799, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"2","ytext_width":"440","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild"}', 341, 368, 0, '*', 0),
(806, 'main-menu-france', 'Group 1', 'html5-introduction', '', 'explore/template-info/menu-example/html5-introduction', 'http://w3schools.com/html/html5_intro.asp', 'url', 1, 805, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 342, 349, 0, '*', 0),
(807, 'main-menu-france', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-36', '#', 'url', 1, 806, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 343, 344, 0, '*', 0),
(808, 'main-menu-france', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-49-05', '#', 'url', 1, 806, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 345, 346, 0, '*', 0),
(809, 'main-menu-france', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-37', '#', 'url', 1, 806, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 347, 348, 0, '*', 0),
(810, 'main-menu-france', 'Group 2', 'featured-item', '', 'explore/template-info/menu-example/featured-item', '#', 'url', 1, 805, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 350, 367, 0, '*', 0),
(811, 'main-menu-france', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36', '#', 'url', 1, 810, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 351, 362, 0, '*', 0),
(812, 'main-menu-france', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-36', '#', 'url', 1, 811, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 352, 353, 0, '*', 0),
(813, 'main-menu-france', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05', '#', 'url', 1, 811, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 354, 359, 0, '*', 0),
(814, 'main-menu-france', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-48-36', '#', 'url', 1, 813, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 355, 356, 0, '*', 0),
(815, 'main-menu-france', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-49-05', '#', 'url', 1, 813, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 357, 358, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(816, 'main-menu-france', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-37', '#', 'url', 1, 811, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 360, 361, 0, '*', 0),
(817, 'main-menu-france', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-05', '#', 'url', 1, 810, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 363, 364, 0, '*', 0),
(818, 'main-menu-france', 'Child item ', '2013-12-26-23-49-6', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-6', '#', 'url', 1, 810, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 365, 366, 0, '*', 0),
(819, 'main-menu-france', 'Joomla Pages', 'joomla-pages', '', 'explore/joomla-pages', '', 'url', 1, 798, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 370, 409, 0, '*', 0),
(820, 'main-menu-france', 'Weblinks', 'weblinks', '', 'explore/joomla-pages/weblinks', 'index.php?option=com_weblinks&view=category&id=31', 'component', 1, 819, 3, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 371, 372, 0, '*', 0),
(821, 'main-menu-france', 'News Feed', 'news-feed-2', '', 'explore/joomla-pages/news-feed-2', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 819, 3, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 373, 378, 0, '*', 0),
(822, 'main-menu-france', 'List News Feeds in a Category', 'list-news-feeds-in-a-category', '', 'explore/joomla-pages/news-feed-2/list-news-feeds-in-a-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 821, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 374, 375, 0, '*', 0),
(823, 'main-menu-france', 'Single news feed', 'single-news-feed', '', 'explore/joomla-pages/news-feed-2/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=2', 'component', 1, 821, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 376, 377, 0, '*', 0),
(824, 'main-menu-france', 'Search', 'smart-seach', '', 'explore/joomla-pages/smart-seach', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 819, 3, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 379, 384, 0, '*', 0),
(825, 'main-menu-france', 'Search', 'seach', '', 'explore/joomla-pages/smart-seach/seach', 'index.php?option=com_search&view=search&searchword=', 'component', 1, 824, 4, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"com_search component","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"com_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 380, 381, 0, '*', 0),
(826, 'main-menu-france', 'Smart Search', 'smart-search', '', 'explore/joomla-pages/smart-seach/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 824, 4, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"smart_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 382, 383, 0, '*', 0),
(827, 'main-menu-france', 'User Component', 'login-form', '', 'explore/joomla-pages/login-form', '', 'separator', 1, 819, 3, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 385, 398, 0, '*', 0),
(828, 'main-menu-france', 'Registration Form', 'register', '', 'explore/joomla-pages/login-form/register', 'index.php?option=com_users&view=registration', 'component', 1, 827, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Register","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 386, 387, 0, '*', 0),
(829, 'main-menu-france', 'Login Form', 'login-form', '', 'explore/joomla-pages/login-form/login-form', 'index.php?option=com_users&view=login', 'component', 1, 827, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin eros tellus, cursus nec iaculis et, dictum ultricies ante.","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Login Form","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 388, 389, 0, '*', 0),
(830, 'main-menu-france', 'User Profile', 'user-profile', '', 'explore/joomla-pages/login-form/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 827, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 390, 391, 0, '*', 0),
(831, 'main-menu-france', 'Edit User Profile', 'edit-user-profile', '', 'explore/joomla-pages/login-form/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 827, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 392, 393, 0, '*', 0),
(832, 'main-menu-france', 'Password Reset', 'password-reset', '', 'explore/joomla-pages/login-form/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 827, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 394, 395, 0, '*', 0),
(833, 'main-menu-france', 'Username Reminder Request', 'username-reminder-request', '', 'explore/joomla-pages/login-form/username-reminder-request', 'index.php?option=com_users&view=remind', 'component', 1, 827, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 396, 397, 0, '*', 0),
(834, 'main-menu-france', 'Contact', 'contact', '', 'explore/joomla-pages/contact', 'index.php?option=com_contact&view=contact&id=9', 'component', 1, 819, 3, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"plain","show_contact_category":"hide","show_contact_list":"0","show_tags":"0","show_name":"0","show_position":"0","show_email":"0","show_street_address":"0","show_suburb":"0","show_state":"0","show_postcode":"0","show_country":"0","show_telephone":"0","show_mobile":"0","show_fax":"0","show_webpage":"0","show_misc":"","show_image":"0","allow_vcard":"0","show_articles":"0","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 399, 400, 0, '*', 0),
(835, 'main-menu-france', 'Tags', 'tags', '', 'explore/joomla-pages/tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', 1, 819, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":4,"all_tags_description":"","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 401, 408, 0, '*', 0),
(836, 'main-menu-france', 'Compact list of tagged items', 'compact-list-of-tagged-items', '', 'explore/joomla-pages/tags/compact-list-of-tagged-items', 'index.php?option=com_tags&view=tag&layout=list&id[0]=5&id[1]=6&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', 1, 835, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":" <h2>Compact list of tagged items \\"Responsive\\", \\"Design\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","tag_list_show_date":"","date_format":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 402, 403, 0, '*', 0),
(837, 'main-menu-france', 'List of all tags', 'list-of-all-tags', '', 'explore/joomla-pages/tags/list-of-all-tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', 1, 835, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":1,"all_tags_description":"<h2>List of all tags \\"Smartaddons\\" <\\/h2>","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"1","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 404, 405, 0, '*', 0),
(838, 'main-menu-france', 'Tagged items', 'tagged-items', '', 'explore/joomla-pages/tags/tagged-items', 'index.php?option=com_tags&view=tag&id[0]=5&id[1]=6&id[2]=7&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', 1, 835, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"<h2>\\r\\nTagged items \\"Responsive\\", \\"Design\\", \\"Templates\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 406, 407, 0, '*', 0),
(839, 'main-menu-france', 'contenu Joomla', 'joomla-content', '', 'joomla-content', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 411, 434, 0, 'fr-FR', 0),
(840, 'main-menu-france', 'List All Categories', 'list-all-categories', '', 'joomla-content/list-all-categories', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 839, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"5","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 412, 413, 0, '*', 0),
(841, 'main-menu-france', 'Featured Articles', 'featured-articles', '', 'joomla-content/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 839, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":["78","79","80","81"],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"2","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 414, 415, 0, '*', 0),
(842, 'main-menu-france', 'Archived Articles', 'archived-articles', '', 'joomla-content/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 839, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"alpha","order_date":"created","display_num":"5","filter_field":"hide","introtext_limit":"100","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","link_titles":"","show_intro":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 416, 417, 0, '*', 0),
(843, 'main-menu-france', 'Category List', 'category-list', '', 'joomla-content/category-list', 'index.php?option=com_content&view=category&id=78', 'component', 1, 839, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 418, 419, 0, '*', 0),
(844, 'main-menu-france', 'Category Blog', 'category-blog', '', 'joomla-content/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=79', 'component', 1, 839, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 420, 429, 0, '*', 0),
(845, 'main-menu-france', 'Category Blog (1 column)', 'category-blog-1-column', '', 'joomla-content/category-blog/category-blog-1-column', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 844, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"1","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 421, 422, 0, '*', 0),
(846, 'main-menu-france', 'Category Blog (2 columns)', 'category-blog-2-columns', '', 'joomla-content/category-blog/category-blog-2-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 844, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 423, 424, 0, '*', 0),
(847, 'main-menu-france', 'Category Blog (3 columns)', 'category-blog-3-columns', '', 'joomla-content/category-blog/category-blog-3-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 844, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"6","num_columns":"3","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 425, 426, 0, '*', 0),
(848, 'main-menu-france', 'Category Blog (4 columns)', 'category-blog-4-columns', '', 'joomla-content/category-blog/category-blog-4-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 844, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"8","num_columns":"4","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 427, 428, 0, '*', 0),
(849, 'main-menu-france', 'Single Article', 'single-article', '', 'joomla-content/single-article', 'index.php?option=com_content&view=article&id=115', 'component', 1, 839, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 430, 431, 0, '*', 0),
(850, 'main-menu-france', 'Page breaks', 'page-break-example', '', 'joomla-content/page-break-example', 'index.php?option=com_content&view=article&id=155', 'component', 1, 839, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 432, 433, 0, '*', 0),
(851, 'main-menu-france', 'Shortcodes ', 'short-codes', '', 'short-codes', 'index.php?option=com_content&view=article&id=179', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"300","ytext_colwidth":"100","ytext_cssid":"","ytext_contenttype":"megachild"}', 435, 438, 0, 'fr-FR', 0),
(852, 'main-menu-france', 'Photo shortcode', 'photo-shortcode', '', 'short-codes/photo-shortcode', 'index.php?option=com_content&view=article&id=115', 'component', 1, 851, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["251"],"ytext_positions":["",""]}', 436, 437, 0, '*', 0),
(853, 'main-menu-france', 'Pages Bonus', 'bonus-pages', '', 'bonus-pages', 'index.php?option=com_content&view=article&id=187', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 439, 456, 0, 'fr-FR', 0),
(854, 'main-menu-france', 'Join now', 'join-now', '', 'bonus-pages/join-now', 'index.php?option=com_content&view=article&id=177', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 440, 441, 0, '*', 0),
(855, 'main-menu-france', 'FAQ', 'faq', '', 'bonus-pages/faq', 'index.php?option=com_content&view=article&id=176', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 442, 443, 0, '*', 0),
(856, 'main-menu-france', 'About us', 'about-us', '', 'bonus-pages/about-us', 'index.php?option=com_content&view=article&id=178', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 444, 445, 0, '*', 0),
(857, 'main-menu-france', 'Testimonial', 'testimonial2', '', 'bonus-pages/testimonial2', 'index.php?option=com_content&view=article&id=180', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 446, 447, 0, '*', 0),
(858, 'main-menu-france', 'Our services', 'our-services', '', 'bonus-pages/our-services', 'index.php?option=com_content&view=article&id=181', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 448, 449, 0, '*', 0),
(859, 'main-menu-france', 'Photo Gallery ', 'photo-gallery', '', 'bonus-pages/photo-gallery', 'index.php?option=com_content&view=article&id=184', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 450, 451, 0, '*', 0),
(860, 'main-menu-france', 'Portfolio', 'portfolio', '', 'bonus-pages/portfolio', 'index.php?option=com_content&view=article&id=185', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 452, 453, 0, '*', 0),
(861, 'main-menu-france', 'Page 404', 'page-404', '', 'bonus-pages/page-404', 'index.php?option=com_content&view=article&id=1', 'component', 1, 853, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 454, 455, 0, '*', 0),
(864, 'main-menu-arabic', 'منزل', 'homepage', '', 'homepage', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"0","num_columns":"","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"SJ iCenter - \\u062a\\u0635\\u0645\\u064a\\u0645 \\u0642\\u0627\\u0644\\u0628 \\u062c\\u0645\\u0644\\u0629 \\u0631\\u0627\\u0626\\u0639\\u0629 \\u0645\\u0639 ios7 \\u0634\\u0642\\u0629","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 457, 458, 1, 'ar-AA', 0),
(865, 'main-menu-arabic', 'بحث', 'explore', '', 'explore', 'index.php?option=com_content&view=article&id=178', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"menuRss","ytext_desc":"","ytext_cols":"2","ytext_width":"500","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild","ytext_positions":["",""]}', 459, 540, 0, 'ar-AA', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(866, 'main-menu-arabic', 'Template info', 'template-info', '', 'explore/template-info', '', 'separator', 1, 865, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 460, 499, 0, '*', 0),
(867, 'main-menu-arabic', 'Module Variations', 'module-variations', '', 'explore/template-info/module-variations', 'index.php?option=com_content&view=article&id=129', 'component', 1, 866, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 461, 462, 0, '*', 0),
(868, 'main-menu-arabic', 'Extensions', 'extenstions', '', 'explore/template-info/extenstions', 'index.php?option=com_content&view=article&id=131', 'component', 1, 866, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 463, 464, 0, '*', 0),
(869, 'main-menu-arabic', 'Module positions', 'module-positions', '', 'explore/template-info/module-positions', 'index.php?option=com_content&view=article&id=130', 'component', 1, 866, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 465, 466, 0, '*', 0),
(870, 'main-menu-arabic', 'Typography', 'typography', '', 'explore/template-info/typography', 'index.php?option=com_content&view=article&id=133', 'component', 1, 866, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 467, 468, 0, '*', 0),
(871, 'main-menu-arabic', 'What''s new?', 'what-s-new', '', 'explore/template-info/what-s-new', 'index.php?option=com_content&view=article&id=183', 'component', 1, 866, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 469, 470, 0, '*', 0),
(872, 'main-menu-arabic', 'Menu example', 'menu-example', '', 'explore/template-info/menu-example', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 866, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"2","ytext_width":"440","ytext_colwidth":"50,50","ytext_cssid":"","ytext_contenttype":"megachild"}', 471, 498, 0, '*', 0),
(873, 'main-menu-arabic', 'Group 1', 'html5-introduction', '', 'explore/template-info/menu-example/html5-introduction', 'http://w3schools.com/html/html5_intro.asp', 'url', 1, 872, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 472, 479, 0, '*', 0),
(874, 'main-menu-arabic', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-36', '#', 'url', 1, 873, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 473, 474, 0, '*', 0),
(875, 'main-menu-arabic', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-49-05', '#', 'url', 1, 873, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 475, 476, 0, '*', 0),
(876, 'main-menu-arabic', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/html5-introduction/2013-12-26-23-48-37', '#', 'url', 1, 873, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 477, 478, 0, '*', 0),
(877, 'main-menu-arabic', 'Group 2', 'featured-item', '', 'explore/template-info/menu-example/featured-item', '#', 'url', 1, 872, 4, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"megachild"}', 480, 497, 0, '*', 0),
(878, 'main-menu-arabic', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36', '#', 'url', 1, 877, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 481, 492, 0, '*', 0),
(879, 'main-menu-arabic', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-36', '#', 'url', 1, 878, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 482, 483, 0, '*', 0),
(880, 'main-menu-arabic', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05', '#', 'url', 1, 878, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 484, 489, 0, '*', 0),
(881, 'main-menu-arabic', 'Child item', '2013-12-26-23-48-36', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-48-36', '#', 'url', 1, 880, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 485, 486, 0, '*', 0),
(882, 'main-menu-arabic', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-49-05/2013-12-26-23-49-05', '#', 'url', 1, 880, 7, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 487, 488, 0, '*', 0),
(883, 'main-menu-arabic', 'Child item ', '2013-12-26-23-48-37', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-48-36/2013-12-26-23-48-37', '#', 'url', 1, 878, 6, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["mega3"]}', 490, 491, 0, '*', 0),
(884, 'main-menu-arabic', 'Child item', '2013-12-26-23-49-05', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-05', '#', 'url', 1, 877, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 493, 494, 0, '*', 0),
(885, 'main-menu-arabic', 'Child item ', '2013-12-26-23-49-6', '', 'explore/template-info/menu-example/featured-item/2013-12-26-23-49-6', '#', 'url', 1, 877, 5, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 495, 496, 0, '*', 0),
(886, 'main-menu-arabic', 'Joomla Pages', 'joomla-pages', '', 'explore/joomla-pages', '', 'url', 1, 865, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 500, 539, 0, '*', 0),
(887, 'main-menu-arabic', 'Weblinks', 'weblinks', '', 'explore/joomla-pages/weblinks', 'index.php?option=com_weblinks&view=category&id=31', 'component', 1, 886, 3, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 501, 502, 0, '*', 0),
(888, 'main-menu-arabic', 'News Feed', 'news-feed-2', '', 'explore/joomla-pages/news-feed-2', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 886, 3, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 503, 508, 0, '*', 0),
(889, 'main-menu-arabic', 'List News Feeds in a Category', 'list-news-feeds-in-a-category', '', 'explore/joomla-pages/news-feed-2/list-news-feeds-in-a-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 888, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 504, 505, 0, '*', 0),
(890, 'main-menu-arabic', 'Single news feed', 'single-news-feed', '', 'explore/joomla-pages/news-feed-2/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=2', 'component', 1, 888, 4, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 506, 507, 0, '*', 0),
(891, 'main-menu-arabic', 'Search', 'smart-seach', '', 'explore/joomla-pages/smart-seach', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 886, 3, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 509, 514, 0, '*', 0),
(892, 'main-menu-arabic', 'Search', 'seach', '', 'explore/joomla-pages/smart-seach/seach', 'index.php?option=com_search&view=search&searchword=', 'component', 1, 891, 4, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"com_search component","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"com_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 510, 511, 0, '*', 0),
(893, 'main-menu-arabic', 'Smart Search', 'smart-search', '', 'explore/joomla-pages/smart-seach/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 891, 4, 10048, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"smart_search component","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 512, 513, 0, '*', 0),
(894, 'main-menu-arabic', 'User Component', 'login-form', '', 'explore/joomla-pages/login-form', '', 'separator', 1, 886, 3, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 515, 528, 0, '*', 0),
(895, 'main-menu-arabic', 'Registration Form', 'register', '', 'explore/joomla-pages/login-form/register', 'index.php?option=com_users&view=registration', 'component', 1, 894, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Register","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 516, 517, 0, '*', 0),
(896, 'main-menu-arabic', 'Login Form', 'login-form', '', 'explore/joomla-pages/login-form/login-form', 'index.php?option=com_users&view=login', 'component', 1, 894, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin eros tellus, cursus nec iaculis et, dictum ultricies ante.","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Login Form","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 518, 519, 0, '*', 0),
(897, 'main-menu-arabic', 'User Profile', 'user-profile', '', 'explore/joomla-pages/login-form/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 894, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 520, 521, 0, '*', 0),
(898, 'main-menu-arabic', 'Edit User Profile', 'edit-user-profile', '', 'explore/joomla-pages/login-form/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 894, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 522, 523, 0, '*', 0),
(899, 'main-menu-arabic', 'Password Reset', 'password-reset', '', 'explore/joomla-pages/login-form/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 894, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 524, 525, 0, '*', 0),
(900, 'main-menu-arabic', 'Username Reminder Request', 'username-reminder-request', '', 'explore/joomla-pages/login-form/username-reminder-request', 'index.php?option=com_users&view=remind', 'component', 1, 894, 4, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 526, 527, 0, '*', 0),
(901, 'main-menu-arabic', 'Contact', 'contact', '', 'explore/joomla-pages/contact', 'index.php?option=com_contact&view=contact&id=9', 'component', 1, 886, 3, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"plain","show_contact_category":"hide","show_contact_list":"0","show_tags":"0","show_name":"0","show_position":"0","show_email":"0","show_street_address":"0","show_suburb":"0","show_state":"0","show_postcode":"0","show_country":"0","show_telephone":"0","show_mobile":"0","show_fax":"0","show_webpage":"0","show_misc":"","show_image":"0","allow_vcard":"0","show_articles":"0","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 529, 530, 0, '*', 0),
(902, 'main-menu-arabic', 'Tags', 'tags', '', 'explore/joomla-pages/tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', 1, 886, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":4,"all_tags_description":"","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 531, 538, 0, '*', 0),
(903, 'main-menu-arabic', 'Compact list of tagged items', 'compact-list-of-tagged-items', '', 'explore/joomla-pages/tags/compact-list-of-tagged-items', 'index.php?option=com_tags&view=tag&layout=list&id[0]=5&id[1]=6&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', 1, 902, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":" <h2>Compact list of tagged items \\"Responsive\\", \\"Design\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","tag_list_show_date":"","date_format":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 532, 533, 0, '*', 0),
(904, 'main-menu-arabic', 'List of all tags', 'list-of-all-tags', '', 'explore/joomla-pages/tags/list-of-all-tags', 'index.php?option=com_tags&view=tags&parent_id=3&tag_list_language_filter=', 'component', 1, 902, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":1,"all_tags_description":"<h2>List of all tags \\"Smartaddons\\" <\\/h2>","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"","all_tags_show_tag_description":"1","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 534, 535, 0, '*', 0),
(905, 'main-menu-arabic', 'Tagged items', 'tagged-items', '', 'explore/joomla-pages/tags/tagged-items', 'index.php?option=com_tags&view=tag&id[0]=5&id[1]=6&id[2]=7&types[0]=1&types[1]=6&types[2]=10&tag_list_language_filter=', 'component', 1, 902, 4, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"0","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"<h2>\\r\\nTagged items \\"Responsive\\", \\"Design\\", \\"Templates\\"\\r\\n<\\/h2>","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 536, 537, 0, '*', 0),
(906, 'main-menu-arabic', 'المحتوى جملة', 'joomla-content', '', 'joomla-content', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 541, 564, 0, 'ar-AA', 0),
(907, 'main-menu-arabic', 'List All Categories', 'list-all-categories', '', 'joomla-content/list-all-categories', 'index.php?option=com_content&view=categories&id=84', 'component', 1, 906, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"5","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 542, 543, 0, '*', 0),
(908, 'main-menu-arabic', 'Featured Articles', 'featured-articles', '', 'joomla-content/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 906, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":["78","79","80","81"],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 544, 545, 0, '*', 0),
(909, 'main-menu-arabic', 'Archived Articles', 'archived-articles', '', 'joomla-content/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 906, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"alpha","order_date":"created","display_num":"5","filter_field":"hide","introtext_limit":"100","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","link_titles":"","show_intro":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 546, 547, 0, '*', 0),
(910, 'main-menu-arabic', 'Category List', 'category-list', '', 'joomla-content/category-list', 'index.php?option=com_content&view=category&id=78', 'component', 1, 906, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_category_heading_title":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 548, 549, 0, '*', 0),
(911, 'main-menu-arabic', 'Category Blog', 'category-blog', '', 'joomla-content/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=79', 'component', 1, 906, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 550, 559, 0, '*', 0),
(912, 'main-menu-arabic', 'Category Blog (1 column)', 'category-blog-1-column', '', 'joomla-content/category-blog/category-blog-1-column', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 911, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 551, 552, 0, '*', 0),
(913, 'main-menu-arabic', 'Category Blog (2 columns)', 'category-blog-2-columns', '', 'joomla-content/category-blog/category-blog-2-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 0, 911, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 553, 554, 0, '*', 0),
(914, 'main-menu-arabic', 'Category Blog (3 columns)', 'category-blog-3-columns', '', 'joomla-content/category-blog/category-blog-3-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 911, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"6","num_columns":"3","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 555, 556, 0, '*', 0),
(915, 'main-menu-arabic', 'Category Blog (4 columns)', 'category-blog-4-columns', '', 'joomla-content/category-blog/category-blog-4-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 911, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"8","num_columns":"4","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 557, 558, 0, '*', 0),
(916, 'main-menu-arabic', 'Single Article', 'single-article', '', 'joomla-content/single-article', 'index.php?option=com_content&view=article&id=115', 'component', 1, 906, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 560, 561, 0, '*', 0),
(917, 'main-menu-arabic', 'Page breaks', 'page-break-example', '', 'joomla-content/page-break-example', 'index.php?option=com_content&view=article&id=155', 'component', 1, 906, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 562, 563, 0, '*', 0),
(918, 'main-menu-arabic', 'الهاتفية القصيرة', 'short-codes', '', 'short-codes', 'index.php?option=com_content&view=article&id=179', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"300","ytext_colwidth":"100","ytext_cssid":"","ytext_contenttype":"megachild"}', 565, 568, 0, 'ar-AA', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(919, 'main-menu-arabic', 'Photo shortcode', 'photo-shortcode', '', 'short-codes/photo-shortcode', 'index.php?option=com_content&view=article&id=115', 'component', 1, 918, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"hidden","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"mod","ytext_modules":["251"],"ytext_positions":["",""]}', 566, 567, 0, '*', 0),
(920, 'main-menu-arabic', 'صفحات مكافأة', 'bonus-pages', '', 'bonus-pages', 'index.php?option=com_content&view=article&id=187', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 569, 586, 0, 'ar-AA', 0),
(921, 'main-menu-arabic', 'Join now', 'join-now', '', 'bonus-pages/join-now', 'index.php?option=com_content&view=article&id=177', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 570, 571, 0, '*', 0),
(922, 'main-menu-arabic', 'FAQ', 'faq', '', 'bonus-pages/faq', 'index.php?option=com_content&view=article&id=176', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 572, 573, 0, '*', 0),
(923, 'main-menu-arabic', 'About us', 'about-us', '', 'bonus-pages/about-us', 'index.php?option=com_content&view=article&id=178', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 574, 575, 0, '*', 0),
(924, 'main-menu-arabic', 'Testimonial', 'testimonial2', '', 'bonus-pages/testimonial2', 'index.php?option=com_content&view=article&id=180', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 576, 577, 0, '*', 0),
(925, 'main-menu-arabic', 'Our services', 'our-services', '', 'bonus-pages/our-services', 'index.php?option=com_content&view=article&id=181', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 578, 579, 0, '*', 0),
(926, 'main-menu-arabic', 'Photo Gallery ', 'photo-gallery', '', 'bonus-pages/photo-gallery', 'index.php?option=com_content&view=article&id=184', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"0","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 580, 581, 0, '*', 0),
(927, 'main-menu-arabic', 'Portfolio', 'portfolio', '', 'bonus-pages/portfolio', 'index.php?option=com_content&view=article&id=185', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"0","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 582, 583, 0, '*', 0),
(928, 'main-menu-arabic', 'Page 404', 'page-404', '', 'bonus-pages/page-404', 'index.php?option=com_content&view=article&id=1', 'component', 1, 920, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytext_submenuwidth":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 584, 585, 0, '*', 0),
(931, 'menubottom', 'Home', 'home-bottom', '', 'home-bottom', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":" ","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" active","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":" ","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 587, 588, 1, '*', 0),
(932, 'menubottom', 'Site map', '2014-03-07-08-32-26', '', '2014-03-07-08-32-26', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 589, 590, 0, '*', 0),
(933, 'menubottom', 'Our Blog', '2014-03-07-08-32-53', '', '2014-03-07-08-32-53', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 591, 592, 0, '*', 0),
(934, 'menubottom', 'Forum', '2014-03-07-08-33-19', '', '2014-03-07-08-33-19', '#', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 593, 594, 0, '*', 0),
(935, 'menubottom', 'Smartphone', '2014-03-07-08-33-54', '', '2014-03-07-08-33-54', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 595, 596, 0, '*', 0),
(936, 'menubottom', 'Tablet', '2014-03-07-08-34-20', '', '2014-03-07-08-34-20', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 597, 598, 0, '*', 0),
(937, 'menubottom', 'Phablets', '2014-03-07-08-34-57', '', '2014-03-07-08-34-57', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 599, 600, 0, '*', 0),
(938, 'menubottom', 'Laptop', '2014-03-07-08-35-26', '', '2014-03-07-08-35-26', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 601, 602, 0, '*', 0),
(939, 'menubottom', 'About us', '2014-03-07-08-35-51', '', '2014-03-07-08-35-51', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 603, 604, 0, '*', 0),
(940, 'menubottom', 'Contact us', '2014-03-07-08-36-22', '', '2014-03-07-08-36-22', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu"}', 605, 606, 0, '*', 0),
(957, 'main', 'COM_K2', 'com-k2', '', 'com-k2', 'index.php?option=com_k2', 'component', 0, 1, 1, 10110, 0, '0000-00-00 00:00:00', 0, 1, '../media/k2/assets/images/system/k2_16x16.png', 0, '', 607, 628, 0, '', 1),
(958, 'main', 'K2_ITEMS', 'k2-items', '', 'com-k2/k2-items', 'index.php?option=com_k2&view=items', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 608, 609, 0, '', 1),
(959, 'main', 'K2_CATEGORIES', 'k2-categories', '', 'com-k2/k2-categories', 'index.php?option=com_k2&view=categories', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 610, 611, 0, '', 1),
(960, 'main', 'K2_TAGS', 'k2-tags', '', 'com-k2/k2-tags', 'index.php?option=com_k2&view=tags', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 612, 613, 0, '', 1),
(961, 'main', 'K2_COMMENTS', 'k2-comments', '', 'com-k2/k2-comments', 'index.php?option=com_k2&view=comments', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 614, 615, 0, '', 1),
(962, 'main', 'K2_USERS', 'k2-users', '', 'com-k2/k2-users', 'index.php?option=com_k2&view=users', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 616, 617, 0, '', 1),
(963, 'main', 'K2_USER_GROUPS', 'k2-user-groups', '', 'com-k2/k2-user-groups', 'index.php?option=com_k2&view=usergroups', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 618, 619, 0, '', 1),
(964, 'main', 'K2_EXTRA_FIELDS', 'k2-extra-fields', '', 'com-k2/k2-extra-fields', 'index.php?option=com_k2&view=extrafields', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 620, 621, 0, '', 1),
(965, 'main', 'K2_EXTRA_FIELD_GROUPS', 'k2-extra-field-groups', '', 'com-k2/k2-extra-field-groups', 'index.php?option=com_k2&view=extrafieldsgroups', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 622, 623, 0, '', 1),
(966, 'main', 'K2_MEDIA_MANAGER', 'k2-media-manager', '', 'com-k2/k2-media-manager', 'index.php?option=com_k2&view=media', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 624, 625, 0, '', 1),
(967, 'main', 'K2_INFORMATION', 'k2-information', '', 'com-k2/k2-information', 'index.php?option=com_k2&view=info', 'component', 0, 957, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, 'class:component', 0, '', 626, 627, 0, '', 1),
(968, 'main-menu-english', 'K2', 'k2', '', 'k2', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytmenu_class":"last-menu","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 629, 646, 0, 'en-GB', 0),
(969, 'main-menu-english', 'K2 Category', 'k2-category', '', 'k2/k2-category', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=1', 'component', 1, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["1"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cate","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 630, 631, 0, 'en-GB', 0),
(970, 'categories', 'K2 User Page', 'k2-user-page', '', 'k2-user-page', 'index.php?option=com_k2&view=itemlist&layout=user&id=0&task=user', 'component', -2, 1, 1, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","userCategoriesFilter":["1"],"userOrdering":"","userFeedLink":"0","userFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 665, 666, 0, '*', 0),
(971, 'main-menu-english', 'K2 Item', 'k2-item', '', 'k2/k2-item', 'index.php?option=com_k2&view=item&layout=item&id=28', 'component', 1, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 636, 637, 0, 'en-GB', 0),
(972, 'main-menu-english', 'Latest items (1 column)', 'latest-items-1-column', '', 'k2/latest-items-1-column', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"1","latestItemsLimit":"4","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"1","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-1","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 638, 639, 0, 'en-GB', 0),
(973, 'main-menu-english', 'Latest items (2 columns) ', 'latest-items-2-columns', '', 'k2/latest-items-2-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 0, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"2","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"1","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":" ","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-2","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 640, 641, 0, 'en-GB', 0),
(974, 'main-menu-english', 'Latest items (3 columns) ', 'latest-items-3-columns', '', 'k2/latest-items-3-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"3","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"1","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-3","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 642, 643, 0, 'en-GB', 0),
(975, 'main-menu-english', 'Latest items (4 columns)', 'latest-items-4-columns', '', 'k2/latest-items-4-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"4","latestItemsLimit":"8","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"1","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-4","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 644, 645, 0, 'en-GB', 0),
(976, 'main-menu-english', 'K2 User Page', 'k2-user-page1', '', 'k2/k2-user-page1', 'index.php?option=com_k2&view=itemlist&layout=user&id=660&task=user', 'component', 1, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","userCategoriesFilter":["1"],"userOrdering":"","userFeedLink":"0","userFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 632, 633, 0, 'en-GB', 0),
(977, 'main-menu-english', 'K2 Tags Page', 'k2-tags-page', '', 'k2/k2-tags-page', 'index.php?option=com_k2&view=itemlist&layout=tag&tag=Templates&task=tag', 'component', 1, 968, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","categoriesFilter":["1"],"tagOrdering":"","tagFeedLink":"0","tagFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 634, 635, 0, 'en-GB', 0),
(978, 'main-menu-arabic', 'k2', 'k2', '', 'k2', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 667, 684, 0, 'ar-AA', 0),
(979, 'main-menu-arabic', 'K2 Category', 'k2-category', '', 'k2/k2-category', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=1', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["1"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cate","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 668, 669, 0, 'ar-AA', 0),
(980, 'main-menu-arabic', 'K2 User Page', 'k2-user-page', '', 'k2/k2-user-page', 'index.php?option=com_k2&view=itemlist&layout=user&id=660&task=user', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","userCategoriesFilter":["1"],"userOrdering":"","userFeedLink":"0","userFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 670, 671, 0, 'ar-AA', 0),
(981, 'main-menu-arabic', 'K2 Tags Page', 'k2-tags-page', '', 'k2/k2-tags-page', 'index.php?option=com_k2&view=itemlist&layout=tag&tag=Templates&task=tag', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","categoriesFilter":["1"],"tagOrdering":"","tagFeedLink":"0","tagFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 672, 673, 0, 'ar-AA', 0),
(982, 'main-menu-arabic', 'K2 Item', 'k2-item', '', 'k2/k2-item', 'index.php?option=com_k2&view=item&layout=item&id=4', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 674, 675, 0, 'ar-AA', 0),
(983, 'main-menu-arabic', 'Latest items (1 column)', 'latest-items-1-column', '', 'k2/latest-items-1-column', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"1","latestItemsLimit":"4","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-1","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 676, 677, 0, 'ar-AA', 0),
(984, 'main-menu-arabic', 'Latest items (2 columns) ', 'latest-items-2-columns', '', 'k2/latest-items-2-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"2","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"0","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-2","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 678, 679, 0, 'ar-AA', 0),
(985, 'main-menu-arabic', 'Latest items (3 columns) ', 'latest-items-3-columns', '', 'k2/latest-items-3-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"3","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-3","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 680, 681, 0, 'ar-AA', 0),
(986, 'main-menu-arabic', 'Latest items (4 columns)', 'latest-items-4-columns', '', 'k2/latest-items-4-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 978, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"4","latestItemsLimit":"8","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"0","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-4","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 682, 683, 0, 'ar-AA', 0),
(987, 'main-menu-france', 'K2 ', 'k2', '', 'k2', '', 'separator', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu_image":"","menu_text":1,"ytmenu_class":"last-menu","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 647, 664, 0, 'fr-FR', 0),
(988, 'main-menu-france', 'K2 Category ', 'k2-category', '', 'k2/k2-category', 'index.php?option=com_k2&view=itemlist&layout=category&task=category&id=1', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories":["1"],"singleCatOrdering":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cate","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 648, 649, 0, 'fr-FR', 0),
(989, 'main-menu-france', 'K2 User Page ', 'k2-user-page', '', 'k2/k2-user-page', 'index.php?option=com_k2&view=itemlist&layout=user&id=660&task=user', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","userCategoriesFilter":["1"],"userOrdering":"","userFeedLink":"0","userFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 650, 651, 0, 'fr-FR', 0),
(990, 'main-menu-france', 'K2 Tags Page', 'k2-tags-page', '', 'k2/k2-tags-page', 'index.php?option=com_k2&view=itemlist&layout=tag&tag=Templates&task=tag', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"default","categoriesFilter":["1"],"tagOrdering":"","tagFeedLink":"0","tagFeedIcon":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 652, 653, 0, 'fr-FR', 0),
(991, 'main-menu-france', 'K2 Item', 'k2-item', '', 'k2/k2-item', 'index.php?option=com_k2&view=item&layout=item&id=4', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 654, 655, 0, 'fr-FR', 0),
(992, 'main-menu-france', 'Latest items (1 column)', 'latest-items-1-column', '', 'k2/latest-items-1-column', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"1","latestItemsLimit":"4","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"1","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-1","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 656, 657, 0, 'fr-FR', 0),
(993, 'main-menu-france', 'Latest items (2 columns)', 'latest-items-2-columns', '', 'k2/latest-items-2-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"2","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"0","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"1","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":" ","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-2","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 658, 659, 0, 'fr-FR', 0),
(994, 'main-menu-france', 'Latest items (3 columns)', 'latest-items-3-columns', '', 'k2/latest-items-3-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"3","latestItemsLimit":"6","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"1","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-3","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 660, 661, 0, 'fr-FR', 0),
(995, 'main-menu-france', 'Latest items (4 columns)', 'latest-items-4-columns', '', 'k2/latest-items-4-columns', 'index.php?option=com_k2&view=latest&layout=latest', 'component', 1, 987, 2, 10110, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"theme":"sj-template","source":"1","latestItemsCols":"4","latestItemsLimit":"8","latestItemsDisplayEffect":"all","userName":"0","userImage":"0","userDescription":"0","userURL":"0","userEmail":"0","userFeed":"0","categoryIDs":["1"],"categoryTitle":"1","categoryDescription":"1","categoryImage":"0","categoryFeed":"0","latestItemTitle":"1","latestItemTitleLinked":"1","latestItemDateCreated":"1","latestItemImage":"1","latestItemImageSize":"Medium","latestItemVideo":"1","latestItemVideoWidth":"","latestItemVideoHeight":"","latestItemAudioWidth":"","latestItemAudioHeight":"","latestItemVideoAutoPlay":"1","latestItemIntroText":"1","latestItemCategory":"0","latestItemTags":"0","latestItemReadMore":"0","latestItemCommentsAnchor":"0","feedLink":"1","latestItemK2Plugins":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" cols-4","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 662, 663, 0, 'fr-FR', 0),
(1043, 'hidden-categories', 'Content Category 3', 'content-category-3', '', 'content-category-3', 'index.php?option=com_content&view=category&layout=blog&id=80', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 685, 686, 0, '*', 0),
(1044, 'hidden-categories', 'Content Category-4', 'category-blog-4-columns', '', 'category-blog-4-columns', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"8","num_columns":"4","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 687, 688, 0, 'en-GB', 0),
(1045, 'hidden-categories', 'Content Category 1', 'content-category-01', '', 'content-category-01', 'index.php?option=com_content&view=category&layout=blog&id=78', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"ytmenu_class":"","ytext_desc":"","ytext_cols":"1","ytext_width":"","ytext_colwidth":"","ytext_cssid":"","ytext_contenttype":"menu","ytext_positions":["",""]}', 689, 690, 0, '*', 0);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE IF NOT EXISTS `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(3, 'top', 'Top', 'Links for major types of users'),
(6, 'mainmenu', 'Main Menu', 'Simple Home Menu'),
(15, 'categories', 'Categories', ''),
(16, 'main-menu-english', 'Main menu - English', 'Main menu - English'),
(17, 'main-menu-arabic', 'Main menu - Arabic', 'Main menu - Arabic'),
(18, 'main-menu-france', 'Main menu - France', 'Main menu - France'),
(19, 'menubottom', 'MenuBottom', ''),
(20, 'hidden-categories', 'Hidden Categories', '');

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE IF NOT EXISTS `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE IF NOT EXISTS `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE IF NOT EXISTS `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) DEFAULT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned DEFAULT NULL,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=348 ;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(2, 0, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 0, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 0, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(6, 0, 'Unread Messages', '', '', 1, 'header', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_unread', 3, 1, '', 1, '*'),
(7, 0, 'Online Users', '', '', 2, 'header', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_online', 3, 1, '', 1, '*'),
(8, 0, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 0, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 0, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 0, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 0, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 0, 'User Status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 0, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(17, 355, 'Breadcrumbs', '', '', 1, 'breadcrumb', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 0, '{"showHere":"0","showHome":"1","homeText":"Home","showLast":"1","separator":" ","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(25, 350, '"_menu" style ', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"2","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(41, 0, 'Footer', '', '', 1, 'copyright', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(90, 351, '"icon-phone" Style', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n\r\n\r\n\r\n<p class="suffix">Module Class Suffix: <strong>"blank @phone"</strong></p>', 2, 'maintop-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"blank @phone","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(100, 0, '"icon-twitter"  Style ', '', '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean com modo dolor.Cum sociis natoque penatibus et magnis dis turi parturient.</p>\r\n\r\n\r\n\r\n<p class="suffix">Module Class Suffix: <strong>"blank @twitter"</strong></p>', 3, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"blank @twitter","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(104, 0, '"icon-tablet" Style ', '', '<p>The solution is used Icons Class Suffix. You can customize icon Class Suffix</p>\r\n\r\n<p>Ex: Module Class Suffix: ''@tablet'' then: class of icons is ''icon-tablet''.</p>\r\n\r\n<p class="suffix">Module Class Suffix: <strong>"blank @tablet"</strong></p>', 1, 'maintop-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"blank @tablet","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(115, 448, '"icon-user" Style ', '', '<p>The solution is used Icons Class Suffix. You can customize icon Class Suffix</p>\r\n<p>Ex: Module Class Suffix: ''@cogs'' then: class of icons is ''icon-cogs''.</p>\r\n<p class="suffix">Module Class Suffix: <strong>"blank @cogs"</strong></p>', 1, 'middle1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@user","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(143, 386, 'Follow Us', '', '<div class="yt-social"><a class="facebooks" title="Facebook" href="http://www.facebook.com/pages/SmartAddons/121579357898967" target="_blank">Facebook</a> <a class="twitters" title="Twitter" href="http://twitter.com/#!/smartaddons" target="_blank">Twitter</a> <a class="rss" title="RSS" href="http://www.smartaddons.com/component/k2/itemlist?format=feed&amp;type=rss" target="_blank">RSS</a> <a class="flick" title="Flick" href="#" target="_blank">Flick</a></div>', 1, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(164, 0, 'Get Social ', '', '<div class="poscenter" style="margin-top:35px; padding-left:30px;">\r\n<div class="yt-socialbt first"><a href="http://www.facebook.com/SmartAddons.page" class="sb facebook default  min " target="_blank" rel="tooltip" data-original-title="facebook"><i class="icon facebook"></i> </a></div>\r\n<div class="yt-socialbt"><a href="https://twitter.com/#!/smartaddons" class="sb twitterbird default  min " target="_blank" rel="tooltip" data-original-title="twitterbird"><i class="icon twitterbird"></i> </a></div>\r\n<div class="yt-socialbt"><a href="https://plus.google.com/u/0/103151395684525745793/posts" class="sb google default  min " target="_blank" rel="tooltip" data-original-title="google"><i class="icon google"></i> </a></div>\r\n<div class="yt-socialbt"><a href="#" class="sb pinit default  min " target="_blank" rel="tooltip" data-original-title="pinit"><i class="icon pinit"></i> </a></div>\r\n<div class="yt-socialbt"><a href="#" class="sb dribbble default  min " target="_blank" rel="tooltip" data-original-title="dribbble"><i class="icon dribbble"></i> </a></div>\r\n  \r\n</div>', 1, 'social', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(179, 0, 'Smart Search ', '', '', 1, 'search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_finder', 1, 1, '{"searchfilter":"","show_autosuggest":"0","show_advanced":"0","layout":"_:default","moduleclass_sfx":"","field_size":25,"alt_label":"","show_label":"0","label_pos":"top","show_button":"1","button_pos":"right","opensearch":"1","opensearch_title":""}', 0, '*'),
(193, 0, 'Position notice ', '', 'We are delighted to inform you that YT v2 released, <a target="_self" href="index.php?option=com_content&view=article&id=183&Itemid=667">what''s new?</a>\r\n', 1, 'notice', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" @arrow-down","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(194, 0, 'For using special positions', '', '<p>Special positions are: sticky_left, sticky_right, notice, tool_bottom. You can use them for any module type. For using this, please go to Module Manager and config your module to your desired position.</p>\r\n<p><strong>You can disable by:</strong></p>\r\n<ul class="yt-list type-smallnumber4">\r\n<li>Go to Administrator » Template Manager » Your_Template » Tab: Advanced » Use special positions » select: No for all special positions</li>\r\n<li>Go to Administrator » Module magager » Your_Module(by postion: sticky_left/stickey_right/notice/tool_bottom) » Status: Unpublish for that module</li>\r\n</ul>', 1, 'sticky_right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"  bg-white  @bullhorn","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(195, 0, ' Live chat ', '', '<div class="box-livesupport">\r\n	<p> To help us serve you better, please provide some information before we begin your chat.</p>\r\n	<div class="controls">\r\n		<input type="password" size="25" class="required" value="Full Name"  placeholder="Full Name" name="password">\r\n	</div>\r\n	<div class="controls">\r\n		<input type="text" size="25" class=" required" value="Email"  placeholder="Email" name="password">\r\n	</div>\r\n	<div class="controls">\r\n		<textarea maxlength="255" cols="30" rows="2" class="swifttextwide" id="chatsubject" placeholder="Your Question" placeholder="Your Question"name="subject"></textarea>\r\n	</div>\r\n	<div class="controls">\r\n		<button class="btn btn-primary validate" type="submit">Start Chat</button>\r\n		\r\n		<input type="hidden" value="com_users" name="option">\r\n		<input type="hidden" value="registration.register" name="task">\r\n		<input type="hidden" value="1" name="b3e225d79d411369fe9bebf173f6ecae">\r\n	</div>\r\n</div>', 1, 'tool_bottom', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"  bg-white  @comments-alt  ","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(198, 0, '		 Statistics', '', '', 1, 'sticky_left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_stats', 1, 1, '{"serverinfo":"1","siteinfo":"1","counter":"0","increase":"0","layout":"_:default","moduleclass_sfx":" bg-white @group","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(199, 0, 'For customize module in special position', '', '<p>The solution is using Module Class Suffix. You can customize button, module content follow Module Class Suffix</p>\r\n<p>E.g. Module Class Suffix: <strong>bg-white</strong> @<strong>bullhorn</strong> then:<br />- Class of buttom is ''ico-<strong>bullhorn</strong>''<strong>. </strong>If without @<strong>... </strong>the default is ''icon-pushpin''<br /><strong>- </strong>Class of module is ''<strong>bg-white</strong>''</p>', 1, 'sticky_right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":" bg-white @info-sign","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(202, 353, '"Title1" Style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,  kean natling boekinlt laboris...</p>\r\n<p>Module Class Suffix: <span class="color-green">"title1"</span></p>', 2, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"title1","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(207, 358, '"Title3" style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,  kean natling boekinlt laboris...</p>\r\n<p>Module Class Suffix: "title3"</p>', 1, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"title3","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(210, 340, 'Free Joomla! 3.0 Template', '', '<div class="yt-circle">\r\n			<i class="icon-list-alt"></i>\r\n</div>\r\n<h2>Free Joomla! 3.0 Template</h2>\r\n<p>This is our first and free template built especially for Joomla 3.0. Want to know more about Joomla 3.0?</p>\r\n<a href="http://www.joomla.org/3/" class="button btn-large">Read more</a>', 1, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bg-content1","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"Sj_plus-ytmod"}', 0, '*'),
(232, 364, 'Social Networking', '', '<div class="footer-social">[social type="facebook"]http://www.facebook.com/SmartAddons.page[/social] [social type="twitter"]http://twitter.com/#!/smartaddons [/social] [social type="linkedin" ]http://www.linkedin.com/in/smartaddons[/social] [social type="rss"]http://feeds.feedburner.com/smartaddons/joomla-templates[/social] [social type="google-plus" ]https://plus.google.com/u/0/103151395684525745793/posts[/social]</div>', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(234, 341, 'YT Framework + Bootstrap', '', '<div class="yt-circle">\r\n			<i class="icon-rocket"></i>\r\n</div>\r\n<h2>YT Framework + Bootstrap</h2>\r\n<p>This is our first and free template built especially for Joomla 3.0. Want to know more about Joomla 3.0?</p>\r\n<a href="http://www.joomla.org/3/" class="button btn-large">Read more</a>', 5, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"bg-content1","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(235, 342, 'Google map', '', '<p><img src="http://placehold.it/1170x358" alt="" /></p>', 3, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"nomarginbottom","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(236, 365, '"Default" Style', '', '<p>Lorem ipsum dolor sit amet, consectet adipiscing elit. Praesent eu odio erat, ac imperdiet justo. Nullam elementum enim et nulla tristique quis sagittis .</p>\r\n\r\n\r\n', 1, 'top4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(246, 348, 'Joomla Page', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":"2","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(249, 352, 'Popular Tags', '', '', 3, 'left', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tags_popular', 1, 1, '{"maximum":"5","timeframe":"alltime","layout":"_:default","moduleclass_sfx":"","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(251, 345, 'Mega1- Featured Shortcode', '', '<div style="margin: 10px 10px;">[list type="star"] [list_item] Powered by Css3 [/list_item] [list_item] Support Bootstrap 3 [/list_item] [list_item] Extremely easy to use [/list_item] [list_item] 24+ amazing shortcodes [/list_item] [list_item] Support RTL Languages [/list_item] [list_item] Modern responsive design [/list_item] [list_item] Support Font Awesome 4.0.3 [/list_item] [list_item] Support joomla25 and joomla3 [/list_item] [/list]</div>', 1, 'mega1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(258, 362, '"Title2" Style ', '', '<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,  kean natling boekinlt laboris...</p>\r\n<p>Module Class Suffix: <span class="color-black">"title2"</span></p>', 3, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"title2","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(261, 373, 'Language Switcher', '', '', 1, 'flag', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_languages', 1, 0, '{"header_text":"","footer_text":"","dropdown":"1","image":"1","inline":"1","show_active":"1","full_name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(262, 374, 'Breadcrumb', '', '', 1, 'breadcrumb', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_breadcrumbs', 1, 1, '{"showHere":"0","showHome":"1","homeText":"","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(263, 375, 'Default Style', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p> </p>', 1, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"  item_content","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(264, 377, '“Box 1” Style', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>" box_1"</strong></p>', 1, 'top4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"  item_content box_1","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(265, 380, '“Box 3” Style', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"box_3"</strong></p>', 1, 'top6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"  item_content box_3","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(266, 381, '“Box 2” Style', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"box_2"</strong></p>', 1, 'top5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"  item_content box_2","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(267, 382, '"icon-bell"', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"@bell"</strong></p>', 1, 'middle1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@bell","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(268, 383, '"icon-file-alt"', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"@file-alt"</strong></p>', 2, 'middle1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@file-alt","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(269, 384, '"icon-comment-alt"', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"@comment-alt"</strong></p>', 1, 'middle2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@comment-alt","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(270, 385, '"icon-bookmark-empty"', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"@bookmark-empty"</strong></p>', 1, 'middle2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"@bookmark-empty","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(271, 387, 'Login-Form', '', '', 1, 'top1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 0, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"0","name":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(273, 389, 'Languages', '', '', 1, 'flag', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_languages', 1, 0, '{"header_text":"","footer_text":"","dropdown":"1","image":"1","inline":"1","show_active":"1","full_name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(274, 390, 'Suffix “Badge new”', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"badge_new"</strong></p>\r\n<p> </p>', 1, 'bottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"badge_new","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(275, 391, 'Suffix “baged hot”', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"badge_hot"</strong></p>', 1, 'bottom2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" badge_hot","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(276, 392, 'Suffix “Badge best”', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"badge_best"</strong></p>', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"badge_best","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(277, 393, 'Suffix “Baged cool”', '', '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry''s standard dummy text ever since the printer took make a type specimen book.</p>\r\n<p>Module Class Suffix: <strong>"badge_cool"</strong></p>', 1, 'bottom3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"badge_cool","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(281, 397, 'Menu Bottom', '', '', 1, 'bottom6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"menubottom","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":" ","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":" menu_bottom","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(282, 398, 'Support customer', '', '<div class="yt-support"><a class="email" href="#">support@icenter.com</a> <a class="skype" href="#">Skype: iCenter.Sky</a></div>', 4, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" box_support ","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(283, 399, 'Search top', '', '', 2, 'top2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 0, '{"label":" ","width":"20","text":"","button":"1","button_pos":"right","imagebutton":"0","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"0","layout":"_:default","moduleclass_sfx":" box_search","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(284, 401, 'Newslleter', '', '<form id="subscribe" class="form-email" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow"><input id="newsletter" class="input-large search-query txtEmail" name="email" type="email" value="Enter your email address...." /> <input name="uri" type="hidden" value="#" /> <input name="loc" type="hidden" value="en" /> <button class="btnEmail">Subscribe</button></form>', 1, 'bottom5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"newsletter","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(285, 402, 'Are You Ready To Enjoy', '', '<div class="modcontent clearfix">\r\n<p class="subtitle">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco</p>\r\n<div class="modcontent-text first">\r\n<h2>Support responsive layout</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>IOS 7 Design</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>HTML5 Validation</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n</div>\r\n<div class="modcontent-image"><img src="images/demo/400x227.png" alt="" /></div>\r\n<div class="modcontent-text">\r\n<h2>Retina Ready</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>Support SHORTCODES</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>Optimized CSS/JS/HTML/Merge Files</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n</div>\r\n</div>', 1, 'top4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"yt-enjoy","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'en-GB'),
(287, 405, 'Top Ratings', '', '', 2, 'tab', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/250x160","catfilter":"1","category_id":["1","2","3","4"],"getChildren":"0","itemCount":"4","itemsOrdering":"best","FeaturedItems":"0","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"20","itemImage":"1","itemImgSize":"Medium","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"1","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"1","itemHits":"0","itemReadMore":"0","itemExtraFields":"0","itemCommentsCounter":"1","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"701","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(291, 409, 'K2 Quick Icons (admin)', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_quickicons', 1, 1, '', 1, '*'),
(292, 410, 'K2 Stats (admin)', '', '', 0, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_stats', 1, 1, '', 1, '*'),
(294, 412, 'New Review Video', '', '', 1, 'bottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_extraslider', 1, 1, '{"item_link_target":"_self","button_page":"top","theme":"style1","nb-column1":"1","nb-column2":"1","nb-column3":"1","nb-column4":"1","items_page":"1","source":"filter","catfilter":"1","category_id":["6"],"getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","item":"0","title_slider_display":"0","title_slider":"Latest News","item_title_display":"1","item_title_max_characs":"-1","item_desc_display":"1","item_desc_max_characs":"180","item_tags_display":"0","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"720","imgcfg_height":"400","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_k2_extraslider\\/assets\\/images\\/nophoto.png","play":"1","interval":"5000","pause_hover":"hover","effect":"slide","swipe_enable":"1","moduleclass_sfx":"home-title yt-video  span8 offset2","layout":"_:default","include_jquery":"0","pretext":"Mauris orci justo, sodales quis turpis eget, venenatis vestibulum massa. Sed vitae neque sollicitudin, vestibulum velit eu, luctus nulla. Nam a leo sit amet enim posuere sagittis quis id tellus.","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'en-GB'),
(295, 413, 'Our Blog', '', '', 1, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_reslisting', 1, 1, '{"nb-column1":"4","nb-column2":"3","nb-column3":"2","nb-column4":"1","sort_byform_display":"0","layout_select_display":"0","default_view":"1","catfilter":"1","category_id":["1","2","3","4"],"category_preload":"0","itemCount":"8","itemsOrdering_display":[""],"itemsOrdering":"alpha","FeaturedItems":"1","tab_all_display":"1","tal_max_characters":"-1","count_items_display":"0","category_ordering":"name","item_title_display":"1","item_title_max_characters":"-1","item_description_display":"1","item_des_maxlength_layout_grid":"120","item_des_maxlength_layout_list":"120","item_hits_display":"0","item_created_display":"1","item_cat_display":"0","item_readmore_display":"0","link_target":"_self","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"250","imgcfg_height":"199","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/250x200","layout":"_:default","moduleclass_sfx":"home-title","include_jquery":"0","pretext":"Nullam vestibulum lacus in purus viverra, aliquam facilisis mauris luctus. Mauris vehicula magna ac lectus eleifend convallis id vel dui. Proin quis risus vulputate, gravida ligula sodales, ultricies tellus. ","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(297, 415, 'Popular tags', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tags_popular', 1, 1, '{"maximum":"10","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:default","moduleclass_sfx":" tags","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'en-GB'),
(298, 416, 'Custom module', '', '<p><img src="http://placehold.it/250x220" alt="" width="250" height="220" /></p>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. tion aliquip ex ea commodo consequat</p>', 3, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-module","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'en-GB'),
(299, 417, 'Who''s online', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":"upper @user","cache":"0","filter_groups":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'en-GB'),
(301, 419, 'Sj Module Tabs', '', '', 1, 'bottom2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_moduletabs', 1, 0, '{"position":"tab","nb_module":"","tab_position":"top","moduleclass_sfx":"sj-tabs","layout":"_:default","include_jquery":"0","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(302, 420, 'Top Comments', '', '', 1, 'tab', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_content', 1, 1, '{"moduleclass_sfx":"","getTemplate":"Default","source":"filter","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/250x160","catfilter":"1","category_id":["7","1","2","3","4"],"getChildren":"0","itemCount":"4","itemsOrdering":"comments","FeaturedItems":"0","popularityRange":"","videosOnly":"0","item":"0","itemTitle":"1","itemAuthor":"0","itemAuthorAvatar":"0","itemAuthorAvatarWidthSelect":"custom","itemAuthorAvatarWidth":"50","userDescription":"0","itemIntroText":"1","itemIntroTextWordLimit":"20","itemImage":"1","itemImgSize":"Medium","itemVideo":"0","itemVideoCaption":"0","itemVideoCredits":"0","itemAttachments":"0","itemTags":"0","itemCategory":"0","itemDateCreated":"1","itemHits":"0","itemReadMore":"0","itemExtraFields":"0","itemCommentsCounter":"1","feed":"0","itemPreText":"","itemCustomLink":"0","itemCustomLinkTitle":"","itemCustomLinkURL":"http:\\/\\/","itemCustomLinkMenuItem":"701","K2Plugins":"1","JPlugins":"1","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(304, 422, 'Meet Our Team', '', '', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_extraslider', 1, 1, '{"item_link_target":"_self","button_page":"top","theme":"style4","nb-column1":"2","nb-column2":"2","nb-column3":"1","nb-column4":"1","items_page":"2","source":"filter","catfilter":"1","category_id":["7"],"getChildren":"0","itemCount":"6","itemsOrdering":"","FeaturedItems":"1","item":"0","title_slider_display":"0","title_slider":"Latest News","item_title_display":"1","item_title_max_characs":"-1","item_desc_display":"1","item_desc_max_characs":"150","item_tags_display":"0","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_fill","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"150","imgcfg_height":"150","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/150x150","play":"1","interval":"5000","pause_hover":"hover","effect":"slide","swipe_enable":"1","moduleclass_sfx":"home-title sj-team","layout":"_:default","include_jquery":"0","pretext":"Nulla consequat massa quis enim.Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum ","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'en-GB'),
(305, 423, 'مدونتنا', '', '', 1, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_reslisting', 1, 1, '{"nb-column1":"4","nb-column2":"3","nb-column3":"2","nb-column4":"1","sort_byform_display":"0","layout_select_display":"0","default_view":"1","catfilter":"1","category_id":["1","2","3","4"],"category_preload":"0","itemCount":"8","itemsOrdering_display":[""],"itemsOrdering":"alpha","FeaturedItems":"1","tab_all_display":"1","tal_max_characters":"-1","count_items_display":"0","category_ordering":"name","item_title_display":"1","item_title_max_characters":"-1","item_description_display":"1","item_des_maxlength_layout_grid":"120","item_des_maxlength_layout_list":"120","item_hits_display":"0","item_created_display":"1","item_cat_display":"0","item_readmore_display":"0","link_target":"_self","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_fill","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"250","imgcfg_height":"199","imgcfg_background":"","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/250x200","layout":"_:default","moduleclass_sfx":"home-title","include_jquery":"0","pretext":"Nullam vestibulum lacus in purus viverra, aliquam facilisis mauris luctus. Mauris vehicula magna ac lectus eleifend convallis id vel dui. Proin quis risus vulputate, gravida ligula sodales, ultricies tellus. ","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(306, 424, 'Notre Blog', '', '', 1, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_sj_k2_reslisting', 1, 1, '{"nb-column1":"4","nb-column2":"3","nb-column3":"2","nb-column4":"1","sort_byform_display":"0","layout_select_display":"0","default_view":"1","catfilter":"1","category_id":["1","2","3","4"],"category_preload":"0","itemCount":"8","itemsOrdering_display":[""],"itemsOrdering":"alpha","FeaturedItems":"1","tab_all_display":"1","tal_max_characters":"-1","count_items_display":"0","category_ordering":"name","item_title_display":"1","item_title_max_characters":"-1","item_description_display":"1","item_des_maxlength_layout_grid":"120","item_des_maxlength_layout_list":"120","item_hits_display":"0","item_created_display":"1","item_cat_display":"0","item_readmore_display":"0","link_target":"_self","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_fill","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"250","imgcfg_height":"199","imgcfg_background":"","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/250x200","layout":"_:default","moduleclass_sfx":"home-title","include_jquery":"0","pretext":"Nullam vestibulum lacus in purus viverra, aliquam facilisis mauris luctus. Mauris vehicula magna ac lectus eleifend convallis id vel dui. Proin quis risus vulputate, gravida ligula sodales, ultricies tellus. ","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(307, 425, 'الفئات', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_menu', 1, 1, '{"menutype":"categories","base":"","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":" accordion2","class_sfx":"  accordion","window_open":"","layout":"_:default","moduleclass_sfx":" categories ","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(309, 427, 'وحدة مخصصة', '', '<p><img src="images/demo/blog/tabs-content-img2.png" alt="" /></p>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. tion aliquip ex ea commodo consequat</p>', 3, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-module","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(310, 428, 'Module personnalisé', '', '<p><img src="images/demo/blog/tabs-content-img2.png" alt="" /></p>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. tion aliquip ex ea commodo consequat</p>', 3, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" custom-module","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'fr-FR'),
(311, 429, 'Qui est en ligne', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":"upper @user","cache":"0","filter_groups":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'fr-FR'),
(312, 430, 'Mots-clés populaires', '', '', 2, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tags_popular', 1, 1, '{"maximum":"10","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:default","moduleclass_sfx":" tags","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'fr-FR'),
(313, 431, 'به شعبية', '', '', 2, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tags_popular', 1, 1, '{"maximum":"10","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:default","moduleclass_sfx":" tags","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(314, 432, 'من هو على الانترنت', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":"upper @user","cache":"0","filter_groups":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(315, 433, 'استعراض فيديو جديدة', '', '', 1, 'bottom1', 86, '2014-04-04 03:08:31', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_extraslider', 1, 1, '{"item_link_target":"_self","button_page":"top","theme":"style1","nb-column1":"1","nb-column2":"1","nb-column3":"1","nb-column4":"1","items_page":"1","source":"filter","catfilter":"1","category_id":["6"],"getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","item":"0","title_slider_display":"0","title_slider":"Latest News","item_title_display":"1","item_title_max_characs":"-1","item_desc_display":"1","item_desc_max_characs":"180","item_tags_display":"0","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"960","imgcfg_height":"400","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_k2_extraslider\\/assets\\/images\\/nophoto.png","play":"1","interval":"5000","pause_hover":"hover","effect":"slide","swipe_enable":"1","moduleclass_sfx":"home-title yt-video  span8 offset2","layout":"_:default","include_jquery":"0","pretext":"Mauris orci justo, sodales quis turpis eget, venenatis vestibulum massa. Sed vitae neque sollicitudin, vestibulum velit eu, luctus nulla. Nam a leo sit amet enim posuere sagittis quis id tellus.","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(316, 434, 'Nouvelle Vidéo', '', '', 1, 'bottom1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_extraslider', 1, 1, '{"item_link_target":"_self","button_page":"top","theme":"style1","nb-column1":"1","nb-column2":"1","nb-column3":"1","nb-column4":"1","items_page":"1","source":"filter","catfilter":"1","category_id":["6"],"getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","item":"0","title_slider_display":"0","title_slider":"Latest News","item_title_display":"1","item_title_max_characs":"-1","item_desc_display":"1","item_desc_max_characs":"180","item_tags_display":"0","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_stretch","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"960","imgcfg_height":"400","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_k2_extraslider\\/assets\\/images\\/nophoto.png","play":"1","interval":"5000","pause_hover":"hover","effect":"slide","swipe_enable":"1","moduleclass_sfx":"home-title yt-video  span8 offset2","layout":"_:default","include_jquery":"0","pretext":"Mauris orci justo, sodales quis turpis eget, venenatis vestibulum massa. Sed vitae neque sollicitudin, vestibulum velit eu, luctus nulla. Nam a leo sit amet enim posuere sagittis quis id tellus.","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'fr-FR'),
(318, 436, 'Prêt jouir', '', '<div class="modcontent clearfix">\r\n<p class="subtitle">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco</p>\r\n<div class="modcontent-text first">\r\n<h2>Support responsive layout</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>IOS 7 Design</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>HTML5 Validation</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n</div>\r\n<div class="modcontent-image"><img src="images/demo/400x227.png" alt="" width="430" height="350" /></div>\r\n<div class="modcontent-text">\r\n<h2>Retina Ready</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>Support SHORTCODES</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>Optimize CSS/JS/HTML/Merge File</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n</div>\r\n</div>', 1, 'top4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"yt-enjoy","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'fr-FR'),
(319, 437, 'استمتع جاهزة', '', '<div class="modcontent clearfix">\r\n<p class="subtitle">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco</p>\r\n<div class="modcontent-text first">\r\n<h2>Support responsive layout</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>IOS 7 Design</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>HTML5 Validation</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n</div>\r\n<div class="modcontent-image"><img src="images/demo/400x227.png" alt="" width="430" height="350" /></div>\r\n<div class="modcontent-text">\r\n<h2>Retina Ready</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>Support SHORTCODES</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n<h2>Optimize CSS/JS/HTML/Merge File</h2>\r\n<p>Lorem ipsum dolor sit amet conse ctetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore</p>\r\n</div>\r\n</div>', 1, 'top4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"yt-enjoy","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(320, 438, 'Slideshow', '', '', 1, 'slideshow', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_content_slickslider', 1, 0, '{"theme":"theme1","button_theme":"dot","item_link_target":"_self","button_position":"conner-tl","catid":["92"],"show_child_category_articles":"1","levels":"1","show_front":"show","article_ordering":"a.title","article_ordering_direction":"ASC","count":"5","item_title_display":"1","item_title_max_characs":"-1","item_desc_display":"1","item_desc_max_characs":"200","item_tags_display":"0","item_readmore_display":"1","item_readmore_text":"View Detail","item_image_position":"right","imgcfg_from_image_intro":"1","imgcfg_from_image_fulltext":"1","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_order":"image_intro, image_fulltext, inline_introtext, inline_fulltext, external","imgcfg_external_url":"images\\/{id}.jpg","imgcfg_function":"none","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"600","imgcfg_height":"400","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"modules\\/mod_sj_content_slickslider\\/assets\\/images\\/nophoto.jpg","start":"1","pause_hover":"hover","play":"1","interval":"5000","effect":"0","swipe":"1","moduleclass_sfx":"","layout":"_:default","include_jquery":"0","pretext":"","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(321, 442, 'تلبية فريقنا', '', '', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_extraslider', 1, 1, '{"item_link_target":"_self","button_page":"top","theme":"style4","nb-column1":"2","nb-column2":"2","nb-column3":"1","nb-column4":"1","items_page":"2","source":"filter","catfilter":"1","category_id":["7"],"getChildren":"0","itemCount":"6","itemsOrdering":"","FeaturedItems":"1","item":"0","title_slider_display":"0","title_slider":"Latest News","item_title_display":"1","item_title_max_characs":"-1","item_desc_display":"1","item_desc_max_characs":"150","item_tags_display":"0","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_fill","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"150","imgcfg_height":"150","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/150x150","play":"1","interval":"5000","pause_hover":"hover","effect":"slide","swipe_enable":"1","moduleclass_sfx":"home-title sj-team","layout":"_:default","include_jquery":"0","pretext":"Nulla consequat massa quis enim.Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum ","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(323, 444, 'Rencontrez notre équipe', '', '', 1, 'bottom4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_extraslider', 1, 1, '{"item_link_target":"_self","button_page":"top","theme":"style4","nb-column1":"2","nb-column2":"2","nb-column3":"1","nb-column4":"1","items_page":"2","source":"filter","catfilter":"1","category_id":["7"],"getChildren":"0","itemCount":"6","itemsOrdering":"","FeaturedItems":"1","item":"0","title_slider_display":"0","title_slider":"Latest News","item_title_display":"1","item_title_max_characs":"-1","item_desc_display":"1","item_desc_max_characs":"150","item_tags_display":"0","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_function":"resize_fill","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"150","imgcfg_height":"150","imgcfg_background":"#ffffff","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/150x150","play":"1","interval":"5000","pause_hover":"hover","effect":"slide","swipe_enable":"1","moduleclass_sfx":"home-title sj-team","layout":"_:default","include_jquery":"0","pretext":"Nulla consequat massa quis enim.Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum ","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'fr-FR'),
(326, 451, 'Blog Categories', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_easyblogcategories', 1, 1, '{"routingtype":"default","menuitemid":"956","order":"popular","layouttype":"flat","catid":"","sort":"desc","count":"0","showcount":"0","hideemptypost":"1","showcavatar":"1","moduleclass_sfx":" blog-categories","cache":"0","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(333, 458, 'Contact Us', '', '', 1, 'top3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_noo_maps', 1, 1, '{"address":"40th Street, Oakland, California, United States","description":"adasd","latitude":"40.052282","longitude":"86.572266","lang":"en","zoom":"7","width":"1160","height":"500","alw_infowindow":"0","scrollwheel":"1","moduleclass_sfx":" maps","layout":"_:default","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(338, 463, 'بلوق التصنيفات', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_easyblogcategories', 1, 1, '{"routingtype":"default","menuitemid":"956","order":"popular","layouttype":"flat","catid":"","sort":"desc","count":"0","showcount":"0","hideemptypost":"1","showcavatar":"1","moduleclass_sfx":" blog-categories","cache":"0","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(339, 464, 'Catégories de Blog', '', '', 4, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_easyblogcategories', 1, 1, '{"routingtype":"default","menuitemid":"956","order":"popular","layouttype":"flat","catid":"","sort":"desc","count":"0","showcount":"0","hideemptypost":"1","showcavatar":"1","moduleclass_sfx":" blog-categories","cache":"0","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(342, 469, 'Social', '', '<div class="modcontent clearfix"><!-- AddThis Button BEGIN -->\r\n<div class="addthis_toolbox addthis_counter_style"> </div>\r\n<!-- AddThis Button END --></div>', 34, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(343, 470, 'Categories', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_tools', 1, 1, '{"moduleclass_sfx":"categories _menu","module_usage":"4","archiveItemsCounter":"0","archiveCategory":"0","authors_module_category":"0","authorItemsCounter":"0","authorAvatar":"1","authorAvatarWidthSelect":"custom","authorAvatarWidth":"50","authorLatestItem":"0","calendarCategory":"0","home":"","seperator":"","root_id":"10","end_level":"","categoriesListOrdering":"","categoriesListItemsCounter":"0","root_id2":"0","catfilter":"0","getChildren":"0","liveSearch":"","width":"20","text":"","button":"","imagebutton":"","button_text":"","min_size":"75","max_size":"300","cloud_limit":"30","cloud_category":["0"],"cloud_category_recursive":"0","customCode":"","parsePhp":"0","K2Plugins":"0","JPlugins":"0","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(344, 471, 'الفئات', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_tools', 1, 1, '{"moduleclass_sfx":"categories ","module_usage":"4","archiveItemsCounter":"0","archiveCategory":"0","authors_module_category":"0","authorItemsCounter":"0","authorAvatar":"1","authorAvatarWidthSelect":"custom","authorAvatarWidth":"50","authorLatestItem":"0","calendarCategory":"0","home":"","seperator":"","root_id":"10","end_level":"","categoriesListOrdering":"","categoriesListItemsCounter":"0","root_id2":"0","catfilter":"0","getChildren":"0","liveSearch":"","width":"20","text":"","button":"","imagebutton":"","button_text":"","min_size":"75","max_size":"300","cloud_limit":"30","cloud_category":["0"],"cloud_category_recursive":"0","customCode":"","parsePhp":"0","K2Plugins":"0","JPlugins":"0","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'ar-AA'),
(345, 472, 'Catégories', '', '', 1, 'right', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_k2_tools', 1, 1, '{"moduleclass_sfx":"categories ","module_usage":"4","archiveItemsCounter":"0","archiveCategory":"0","authors_module_category":"0","authorItemsCounter":"0","authorAvatar":"1","authorAvatarWidthSelect":"custom","authorAvatarWidth":"50","authorLatestItem":"0","calendarCategory":"0","home":"","seperator":"","root_id":"10","end_level":"","categoriesListOrdering":"","categoriesListItemsCounter":"0","root_id2":"0","catfilter":"0","getChildren":"0","liveSearch":"","width":"20","text":"","button":"","imagebutton":"","button_text":"","min_size":"75","max_size":"300","cloud_limit":"30","cloud_category":["0"],"cloud_category_recursive":"0","customCode":"","parsePhp":"0","K2Plugins":"0","JPlugins":"0","cache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, 'fr-FR'),
(346, 473, 'Who''s online?', '', '', 1, 'middle2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"0","layout":"_:default","moduleclass_sfx":"@user ","cache":"0","filter_groups":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(347, 476, 'Partner', '', '', 1, 'bottom3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_sj_k2_slider', 1, 0, '{"title_slider_display":"0","slider_title_text":"Title of slider","item_link_target":"_self","theme":"theme1","button_display":"1","control":"style","anchor":"middle","source":"filter","catfilter":"1","category_id":["8"],"getChildren":"0","itemCount":"5","itemsOrdering":"","FeaturedItems":"1","popularityRange":"","item":"0","item_title_display":"0","item_title_max_characs":"25","item_title_ending_char":"","item_desc_display":"0","item_desc_max_characs":"120","item_desc_ending_char":"","item_tags_display":"0","item_readmore_display":"0","item_readmore_text":"Read more","imgcfg_from_k2_image":"1","imgcfg_k2_image_size":"","imgcfg_from_inline_introtext":"1","imgcfg_from_inline_fulltext":"1","imgcfg_from_external":"1","imgcfg_external_url":"images\\/k2\\/{id}.jpg","imgcfg_order":"k2_image, inline_introtext, inline_fulltext, external","imgcfg_placeholder":"1","imgcfg_placeholder_path":"http:\\/\\/placehold.it\\/182x80","imgcfg_function":"resize_fit","imgcfg_type":"","imgcfg_transparency":"1","imgcfg_width":"150","imgcfg_height":"70","imgcfg_background":"#ffffff","play":"1","effect":"slide","swipe_enable":"1","start":"1","scroll":"1","duration":"500","delay":"4000","pause_hover":"hover","include_jquery":"0","layout":"_:default","moduleclass_sfx":"sj-partner","deviceclass_sfx1":"5","deviceclass_sfx2":"5","deviceclass_sfx3":"3","deviceclass_sfx4":"2","deviceclass_sfx5":"2","pretext":"","posttext":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE IF NOT EXISTS `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(17, -931),
(17, -864),
(17, -797),
(17, -730),
(17, -464),
(17, -435),
(25, 494),
(25, 495),
(25, 496),
(41, 0),
(71, 427),
(71, 429),
(71, 430),
(71, 431),
(71, 432),
(71, 433),
(71, 462),
(71, 463),
(71, 648),
(71, 649),
(71, 650),
(71, 651),
(71, 652),
(71, 653),
(71, 654),
(71, 655),
(71, 656),
(71, 657),
(71, 658),
(71, 659),
(71, 670),
(71, 671),
(71, 672),
(71, 712),
(71, 713),
(71, 714),
(90, 494),
(100, 494),
(104, 494),
(115, 733),
(115, 800),
(115, 867),
(128, 0),
(143, 733),
(143, 867),
(164, 0),
(179, 0),
(193, 0),
(194, 0),
(195, 0),
(198, 0),
(199, 0),
(202, 494),
(207, 494),
(210, 435),
(224, 0),
(225, 0),
(228, 0),
(229, 0),
(230, 0),
(231, 0),
(232, 0),
(234, 435),
(235, 767),
(235, 834),
(235, 901),
(236, 435),
(236, 494),
(246, 497),
(246, 569),
(246, 572),
(246, 602),
(246, 638),
(246, 639),
(246, 640),
(246, 641),
(246, 642),
(246, 643),
(246, 673),
(246, 674),
(246, 675),
(246, 678),
(246, 679),
(246, 680),
(246, 682),
(246, 683),
(246, 707),
(246, 708),
(246, 709),
(246, 710),
(249, 710),
(250, 0),
(251, 0),
(258, 494),
(261, 0),
(262, 865),
(262, 866),
(262, 867),
(263, 733),
(263, 800),
(263, 867),
(264, 733),
(264, 800),
(264, 867),
(265, 733),
(265, 865),
(265, 867),
(266, 733),
(266, 865),
(266, 867),
(267, 733),
(267, 865),
(267, 867),
(268, 733),
(268, 865),
(268, 867),
(269, 733),
(269, 865),
(269, 867),
(270, 733),
(270, 865),
(270, 867),
(271, 0),
(273, 0),
(274, 733),
(274, 800),
(274, 867),
(275, 435),
(275, 733),
(275, 867),
(276, 733),
(276, 800),
(276, 867),
(277, 733),
(277, 800),
(277, 867),
(281, 0),
(282, 0),
(283, 0),
(284, 0),
(285, 435),
(285, 730),
(287, 0),
(291, 0),
(292, 0),
(294, 730),
(294, 797),
(294, 864),
(295, 730),
(297, 701),
(297, 702),
(297, 703),
(297, 734),
(297, 735),
(297, 736),
(297, 737),
(297, 738),
(297, 739),
(297, 740),
(297, 741),
(297, 742),
(297, 743),
(297, 744),
(297, 745),
(297, 746),
(297, 747),
(297, 748),
(297, 749),
(297, 750),
(297, 751),
(297, 773),
(297, 774),
(297, 775),
(297, 776),
(297, 777),
(297, 778),
(297, 779),
(297, 780),
(297, 782),
(297, 783),
(297, 792),
(297, 911),
(297, 924),
(297, 926),
(297, 956),
(297, 969),
(297, 971),
(297, 972),
(297, 973),
(297, 974),
(297, 976),
(297, 977),
(297, 997),
(297, 998),
(297, 999),
(297, 1000),
(297, 1001),
(297, 1002),
(297, 1003),
(297, 1004),
(297, 1005),
(297, 1006),
(297, 1007),
(297, 1008),
(297, 1009),
(297, 1010),
(297, 1043),
(297, 1044),
(297, 1045),
(298, 701),
(298, 702),
(298, 703),
(298, 734),
(298, 735),
(298, 736),
(298, 737),
(298, 738),
(298, 739),
(298, 740),
(298, 741),
(298, 742),
(298, 743),
(298, 744),
(298, 745),
(298, 746),
(298, 747),
(298, 748),
(298, 749),
(298, 750),
(298, 751),
(298, 773),
(298, 774),
(298, 775),
(298, 776),
(298, 777),
(298, 778),
(298, 779),
(298, 780),
(298, 782),
(298, 783),
(298, 792),
(298, 844),
(298, 845),
(298, 846),
(298, 857),
(298, 868),
(298, 869),
(298, 870),
(298, 871),
(298, 872),
(298, 873),
(298, 874),
(298, 875),
(298, 876),
(298, 877),
(298, 878),
(298, 879),
(298, 880),
(298, 881),
(298, 882),
(298, 883),
(298, 884),
(298, 885),
(298, 911),
(298, 912),
(298, 913),
(298, 926),
(298, 969),
(298, 971),
(298, 972),
(298, 973),
(298, 974),
(298, 976),
(298, 977),
(298, 979),
(298, 980),
(298, 981),
(298, 983),
(298, 984),
(298, 985),
(298, 988),
(298, 989),
(298, 990),
(298, 992),
(298, 993),
(298, 994),
(298, 1043),
(298, 1044),
(298, 1045),
(299, 207),
(299, 444),
(299, 464),
(299, 701),
(299, 702),
(299, 703),
(299, 732),
(299, 734),
(299, 735),
(299, 736),
(299, 737),
(299, 738),
(299, 739),
(299, 740),
(299, 741),
(299, 742),
(299, 743),
(299, 744),
(299, 745),
(299, 746),
(299, 747),
(299, 748),
(299, 749),
(299, 750),
(299, 751),
(299, 752),
(299, 753),
(299, 754),
(299, 755),
(299, 756),
(299, 757),
(299, 758),
(299, 759),
(299, 760),
(299, 761),
(299, 762),
(299, 763),
(299, 764),
(299, 765),
(299, 766),
(299, 768),
(299, 769),
(299, 770),
(299, 771),
(299, 772),
(299, 773),
(299, 774),
(299, 775),
(299, 776),
(299, 777),
(299, 778),
(299, 779),
(299, 780),
(299, 782),
(299, 783),
(299, 785),
(299, 792),
(299, 798),
(299, 799),
(299, 800),
(299, 801),
(299, 802),
(299, 803),
(299, 804),
(299, 805),
(299, 806),
(299, 807),
(299, 808),
(299, 809),
(299, 810),
(299, 811),
(299, 812),
(299, 813),
(299, 814),
(299, 815),
(299, 816),
(299, 817),
(299, 818),
(299, 819),
(299, 820),
(299, 821),
(299, 822),
(299, 823),
(299, 824),
(299, 825),
(299, 826),
(299, 827),
(299, 828),
(299, 829),
(299, 830),
(299, 831),
(299, 832),
(299, 833),
(299, 834),
(299, 835),
(299, 836),
(299, 837),
(299, 838),
(299, 839),
(299, 840),
(299, 841),
(299, 842),
(299, 843),
(299, 844),
(299, 845),
(299, 846),
(299, 847),
(299, 848),
(299, 849),
(299, 850),
(299, 851),
(299, 852),
(299, 853),
(299, 854),
(299, 855),
(299, 856),
(299, 857),
(299, 858),
(299, 859),
(299, 860),
(299, 861),
(299, 865),
(299, 866),
(299, 868),
(299, 869),
(299, 870),
(299, 871),
(299, 872),
(299, 873),
(299, 874),
(299, 875),
(299, 876),
(299, 877),
(299, 878),
(299, 879),
(299, 880),
(299, 881),
(299, 882),
(299, 883),
(299, 884),
(299, 885),
(299, 886),
(299, 887),
(299, 888),
(299, 889),
(299, 890),
(299, 891),
(299, 892),
(299, 893),
(299, 894),
(299, 895),
(299, 896),
(299, 897),
(299, 898),
(299, 899),
(299, 900),
(299, 901),
(299, 902),
(299, 903),
(299, 904),
(299, 905),
(299, 906),
(299, 907),
(299, 908),
(299, 909),
(299, 910),
(299, 911),
(299, 912),
(299, 913),
(299, 914),
(299, 916),
(299, 917),
(299, 918),
(299, 919),
(299, 920),
(299, 921),
(299, 922),
(299, 924),
(299, 925),
(299, 926),
(299, 927),
(299, 928),
(299, 931),
(299, 932),
(299, 933),
(299, 935),
(299, 936),
(299, 937),
(299, 938),
(299, 939),
(299, 940),
(299, 969),
(299, 971),
(299, 972),
(299, 973),
(299, 974),
(299, 976),
(299, 977),
(299, 1043),
(299, 1044),
(299, 1045),
(301, 730),
(301, 797),
(301, 864),
(302, 0),
(304, 730),
(304, 789),
(304, 856),
(304, 923),
(305, 864),
(306, 797),
(307, 207),
(307, 444),
(307, 464),
(307, 701),
(307, 702),
(307, 703),
(307, 704),
(307, 731),
(307, 732),
(307, 734),
(307, 735),
(307, 736),
(307, 737),
(307, 738),
(307, 739),
(307, 740),
(307, 741),
(307, 742),
(307, 743),
(307, 744),
(307, 745),
(307, 746),
(307, 747),
(307, 748),
(307, 749),
(307, 750),
(307, 751),
(307, 752),
(307, 753),
(307, 754),
(307, 755),
(307, 756),
(307, 757),
(307, 758),
(307, 759),
(307, 760),
(307, 761),
(307, 762),
(307, 763),
(307, 764),
(307, 765),
(307, 766),
(307, 767),
(307, 768),
(307, 769),
(307, 770),
(307, 771),
(307, 772),
(307, 773),
(307, 774),
(307, 775),
(307, 776),
(307, 777),
(307, 778),
(307, 779),
(307, 780),
(307, 782),
(307, 783),
(307, 784),
(307, 785),
(307, 786),
(307, 787),
(307, 788),
(307, 790),
(307, 791),
(307, 792),
(307, 793),
(307, 794),
(307, 907),
(307, 908),
(307, 909),
(307, 910),
(307, 911),
(307, 912),
(307, 913),
(307, 914),
(307, 916),
(307, 917),
(307, 924),
(307, 925),
(307, 926),
(307, 931),
(307, 932),
(307, 933),
(307, 934),
(307, 935),
(307, 936),
(307, 937),
(307, 938),
(307, 939),
(307, 940),
(307, 956),
(307, 969),
(307, 971),
(307, 972),
(307, 973),
(307, 974),
(307, 976),
(307, 977),
(307, 979),
(307, 980),
(307, 981),
(307, 982),
(307, 983),
(307, 984),
(307, 985),
(309, 701),
(309, 702),
(309, 703),
(309, 774),
(309, 775),
(309, 777),
(309, 778),
(309, 779),
(309, 780),
(309, 782),
(309, 790),
(309, 792),
(309, 844),
(309, 845),
(309, 846),
(309, 857),
(309, 868),
(309, 869),
(309, 870),
(309, 871),
(309, 872),
(309, 873),
(309, 874),
(309, 875),
(309, 876),
(309, 877),
(309, 878),
(309, 879),
(309, 880),
(309, 881),
(309, 882),
(309, 883),
(309, 884),
(309, 885),
(309, 907),
(309, 908),
(309, 909),
(309, 910),
(309, 911),
(309, 912),
(309, 913),
(309, 914),
(309, 916),
(309, 917),
(309, 969),
(309, 971),
(309, 972),
(309, 973),
(309, 974),
(309, 976),
(309, 977),
(309, 979),
(309, 980),
(309, 981),
(309, 982),
(309, 983),
(309, 984),
(309, 985),
(309, 988),
(309, 989),
(309, 990),
(309, 992),
(309, 993),
(309, 994),
(310, 701),
(310, 702),
(310, 703),
(310, 774),
(310, 775),
(310, 777),
(310, 778),
(310, 779),
(310, 780),
(310, 782),
(310, 790),
(310, 792),
(310, 801),
(310, 802),
(310, 803),
(310, 804),
(310, 805),
(310, 806),
(310, 807),
(310, 808),
(310, 809),
(310, 810),
(310, 811),
(310, 812),
(310, 813),
(310, 814),
(310, 815),
(310, 816),
(310, 817),
(310, 818),
(310, 839),
(310, 840),
(310, 841),
(310, 842),
(310, 843),
(310, 844),
(310, 845),
(310, 846),
(310, 847),
(310, 849),
(310, 850),
(310, 907),
(310, 908),
(310, 909),
(310, 910),
(310, 911),
(310, 912),
(310, 913),
(310, 914),
(310, 916),
(310, 917),
(310, 924),
(310, 926),
(310, 969),
(310, 971),
(310, 972),
(310, 973),
(310, 974),
(310, 976),
(310, 977),
(310, 979),
(310, 980),
(310, 981),
(310, 983),
(310, 984),
(310, 985),
(310, 987),
(310, 988),
(310, 989),
(310, 990),
(310, 991),
(310, 992),
(310, 993),
(310, 994),
(310, 1043),
(310, 1044),
(311, 207),
(311, 435),
(311, 444),
(311, 464),
(311, 731),
(311, 732),
(311, 734),
(311, 735),
(311, 736),
(311, 737),
(311, 738),
(311, 739),
(311, 740),
(311, 741),
(311, 742),
(311, 743),
(311, 744),
(311, 745),
(311, 746),
(311, 747),
(311, 748),
(311, 749),
(311, 750),
(311, 751),
(311, 752),
(311, 753),
(311, 754),
(311, 755),
(311, 756),
(311, 757),
(311, 758),
(311, 759),
(311, 760),
(311, 761),
(311, 762),
(311, 763),
(311, 764),
(311, 765),
(311, 766),
(311, 768),
(311, 769),
(311, 770),
(311, 771),
(311, 772),
(311, 773),
(311, 774),
(311, 775),
(311, 776),
(311, 777),
(311, 778),
(311, 779),
(311, 780),
(311, 782),
(311, 783),
(311, 784),
(311, 785),
(311, 786),
(311, 787),
(311, 788),
(311, 790),
(311, 791),
(311, 792),
(311, 793),
(311, 794),
(311, 798),
(311, 801),
(311, 802),
(311, 803),
(311, 804),
(311, 805),
(311, 806),
(311, 807),
(311, 808),
(311, 809),
(311, 810),
(311, 811),
(311, 812),
(311, 813),
(311, 814),
(311, 815),
(311, 816),
(311, 817),
(311, 818),
(311, 839),
(311, 840),
(311, 841),
(311, 842),
(311, 843),
(311, 844),
(311, 845),
(311, 846),
(311, 847),
(311, 849),
(311, 850),
(311, 851),
(311, 852),
(311, 859),
(311, 865),
(311, 866),
(311, 868),
(311, 869),
(311, 870),
(311, 871),
(311, 872),
(311, 873),
(311, 874),
(311, 875),
(311, 876),
(311, 877),
(311, 878),
(311, 879),
(311, 880),
(311, 881),
(311, 882),
(311, 883),
(311, 884),
(311, 885),
(311, 886),
(311, 887),
(311, 888),
(311, 889),
(311, 890),
(311, 891),
(311, 892),
(311, 893),
(311, 894),
(311, 895),
(311, 896),
(311, 897),
(311, 898),
(311, 899),
(311, 900),
(311, 901),
(311, 902),
(311, 903),
(311, 904),
(311, 905),
(311, 906),
(311, 907),
(311, 908),
(311, 909),
(311, 910),
(311, 911),
(311, 912),
(311, 913),
(311, 914),
(311, 915),
(311, 916),
(311, 917),
(311, 918),
(311, 919),
(311, 926),
(311, 931),
(311, 932),
(311, 933),
(311, 935),
(311, 936),
(311, 937),
(311, 938),
(311, 939),
(311, 940),
(311, 969),
(311, 971),
(311, 972),
(311, 973),
(311, 974),
(311, 976),
(311, 977),
(311, 987),
(311, 988),
(311, 989),
(311, 990),
(311, 991),
(311, 992),
(311, 993),
(311, 994),
(312, 701),
(312, 702),
(312, 703),
(312, 774),
(312, 777),
(312, 778),
(312, 779),
(312, 780),
(312, 782),
(312, 786),
(312, 790),
(312, 792),
(312, 801),
(312, 802),
(312, 803),
(312, 804),
(312, 805),
(312, 806),
(312, 807),
(312, 808),
(312, 809),
(312, 810),
(312, 811),
(312, 812),
(312, 813),
(312, 814),
(312, 815),
(312, 816),
(312, 817),
(312, 818),
(312, 840),
(312, 841),
(312, 842),
(312, 843),
(312, 844),
(312, 845),
(312, 846),
(312, 847),
(312, 849),
(312, 850),
(312, 859),
(312, 911),
(312, 969),
(312, 971),
(312, 972),
(312, 973),
(312, 974),
(312, 976),
(312, 977),
(312, 988),
(312, 989),
(312, 990),
(312, 991),
(312, 992),
(312, 993),
(312, 994),
(312, 1015),
(312, 1027),
(312, 1028),
(312, 1029),
(312, 1030),
(312, 1033),
(312, 1034),
(312, 1035),
(312, 1036),
(312, 1037),
(312, 1038),
(312, 1039),
(312, 1040),
(312, 1041),
(312, 1042),
(312, 1043),
(312, 1044),
(313, 701),
(313, 702),
(313, 703),
(313, 774),
(313, 777),
(313, 778),
(313, 779),
(313, 780),
(313, 782),
(313, 786),
(313, 790),
(313, 792),
(313, 840),
(313, 841),
(313, 842),
(313, 843),
(313, 844),
(313, 845),
(313, 846),
(313, 847),
(313, 849),
(313, 850),
(313, 855),
(313, 857),
(313, 858),
(313, 859),
(313, 860),
(313, 861),
(313, 868),
(313, 869),
(313, 870),
(313, 871),
(313, 872),
(313, 873),
(313, 874),
(313, 875),
(313, 876),
(313, 877),
(313, 878),
(313, 879),
(313, 880),
(313, 881),
(313, 882),
(313, 883),
(313, 884),
(313, 885),
(313, 907),
(313, 908),
(313, 909),
(313, 910),
(313, 911),
(313, 912),
(313, 913),
(313, 914),
(313, 916),
(313, 917),
(313, 926),
(313, 969),
(313, 971),
(313, 972),
(313, 973),
(313, 974),
(313, 976),
(313, 977),
(313, 979),
(313, 980),
(313, 981),
(313, 982),
(313, 983),
(313, 984),
(313, 985),
(313, 988),
(313, 989),
(313, 990),
(313, 992),
(313, 993),
(313, 994),
(314, 207),
(314, 444),
(314, 464),
(314, 701),
(314, 702),
(314, 703),
(314, 731),
(314, 732),
(314, 734),
(314, 735),
(314, 736),
(314, 737),
(314, 738),
(314, 739),
(314, 740),
(314, 741),
(314, 742),
(314, 743),
(314, 744),
(314, 745),
(314, 746),
(314, 747),
(314, 748),
(314, 749),
(314, 750),
(314, 751),
(314, 752),
(314, 753),
(314, 754),
(314, 755),
(314, 756),
(314, 757),
(314, 758),
(314, 759),
(314, 760),
(314, 761),
(314, 762),
(314, 763),
(314, 764),
(314, 765),
(314, 766),
(314, 767),
(314, 768),
(314, 769),
(314, 770),
(314, 771),
(314, 772),
(314, 773),
(314, 774),
(314, 775),
(314, 776),
(314, 777),
(314, 778),
(314, 779),
(314, 780),
(314, 782),
(314, 783),
(314, 784),
(314, 785),
(314, 786),
(314, 787),
(314, 788),
(314, 790),
(314, 791),
(314, 792),
(314, 793),
(314, 794),
(314, 798),
(314, 799),
(314, 800),
(314, 801),
(314, 802),
(314, 803),
(314, 804),
(314, 805),
(314, 806),
(314, 807),
(314, 808),
(314, 809),
(314, 810),
(314, 811),
(314, 812),
(314, 813),
(314, 814),
(314, 815),
(314, 816),
(314, 817),
(314, 818),
(314, 819),
(314, 820),
(314, 821),
(314, 822),
(314, 823),
(314, 824),
(314, 825),
(314, 826),
(314, 827),
(314, 828),
(314, 829),
(314, 830),
(314, 831),
(314, 832),
(314, 833),
(314, 834),
(314, 835),
(314, 836),
(314, 837),
(314, 838),
(314, 839),
(314, 840),
(314, 841),
(314, 842),
(314, 843),
(314, 844),
(314, 845),
(314, 846),
(314, 847),
(314, 848),
(314, 849),
(314, 850),
(314, 851),
(314, 852),
(314, 853),
(314, 854),
(314, 855),
(314, 856),
(314, 857),
(314, 858),
(314, 859),
(314, 860),
(314, 861),
(314, 865),
(314, 866),
(314, 868),
(314, 869),
(314, 870),
(314, 871),
(314, 872),
(314, 873),
(314, 874),
(314, 875),
(314, 876),
(314, 877),
(314, 878),
(314, 879),
(314, 880),
(314, 881),
(314, 882),
(314, 883),
(314, 884),
(314, 885),
(314, 886),
(314, 887),
(314, 888),
(314, 889),
(314, 890),
(314, 891),
(314, 892),
(314, 893),
(314, 894),
(314, 895),
(314, 896),
(314, 897),
(314, 898),
(314, 899),
(314, 900),
(314, 902),
(314, 903),
(314, 904),
(314, 905),
(314, 906),
(314, 907),
(314, 908),
(314, 909),
(314, 910),
(314, 911),
(314, 912),
(314, 913),
(314, 914),
(314, 916),
(314, 917),
(314, 918),
(314, 919),
(314, 920),
(314, 931),
(314, 932),
(314, 933),
(314, 935),
(314, 936),
(314, 937),
(314, 938),
(314, 939),
(314, 940),
(314, 956),
(314, 969),
(314, 971),
(314, 972),
(314, 973),
(314, 974),
(314, 976),
(314, 977),
(314, 979),
(314, 980),
(314, 981),
(314, 982),
(314, 983),
(314, 984),
(314, 985),
(315, 797),
(315, 864),
(316, 797),
(318, 435),
(318, 797),
(319, 435),
(319, 864),
(320, 730),
(320, 797),
(320, 864),
(321, 864),
(323, 797),
(326, 956),
(326, 997),
(326, 998),
(326, 999),
(326, 1000),
(326, 1001),
(326, 1002),
(326, 1003),
(326, 1004),
(326, 1005),
(326, 1006),
(326, 1007),
(326, 1008),
(326, 1009),
(326, 1010),
(333, 767),
(333, 834),
(333, 901),
(338, 1011),
(338, 1012),
(338, 1013),
(338, 1014),
(338, 1016),
(338, 1017),
(338, 1018),
(338, 1019),
(338, 1020),
(338, 1021),
(338, 1022),
(338, 1023),
(338, 1024),
(338, 1025),
(338, 1026),
(339, 1015),
(339, 1027),
(339, 1028),
(339, 1029),
(339, 1030),
(339, 1033),
(339, 1034),
(339, 1035),
(339, 1036),
(339, 1037),
(339, 1038),
(339, 1039),
(339, 1040),
(339, 1041),
(339, 1042),
(342, 701),
(342, 702),
(342, 703),
(342, 704),
(342, 732),
(342, 734),
(342, 735),
(342, 736),
(342, 737),
(342, 738),
(342, 739),
(342, 740),
(342, 741),
(342, 742),
(342, 743),
(342, 744),
(342, 745),
(342, 746),
(342, 747),
(342, 748),
(342, 749),
(342, 750),
(342, 751),
(342, 752),
(342, 753),
(342, 754),
(342, 755),
(342, 756),
(342, 757),
(342, 758),
(342, 759),
(342, 760),
(342, 761),
(342, 762),
(342, 763),
(342, 764),
(342, 765),
(342, 766),
(342, 768),
(342, 769),
(342, 770),
(342, 771),
(342, 773),
(342, 774),
(342, 775),
(342, 776),
(342, 777),
(342, 778),
(342, 779),
(342, 780),
(342, 782),
(342, 783),
(342, 969),
(342, 970),
(342, 971),
(342, 972),
(342, 973),
(342, 974),
(342, 976),
(342, 977),
(343, 701),
(343, 702),
(343, 703),
(343, 734),
(343, 735),
(343, 736),
(343, 737),
(343, 738),
(343, 739),
(343, 740),
(343, 741),
(343, 742),
(343, 743),
(343, 744),
(343, 745),
(343, 746),
(343, 747),
(343, 748),
(343, 749),
(343, 750),
(343, 751),
(343, 761),
(343, 762),
(343, 763),
(343, 764),
(343, 765),
(343, 766),
(343, 769),
(343, 770),
(343, 771),
(343, 773),
(343, 774),
(343, 775),
(343, 776),
(343, 777),
(343, 778),
(343, 779),
(343, 780),
(343, 782),
(343, 783),
(343, 792),
(343, 968),
(343, 969),
(343, 971),
(343, 972),
(343, 973),
(343, 974),
(343, 976),
(343, 977),
(343, 979),
(343, 980),
(343, 981),
(343, 982),
(343, 983),
(343, 984),
(343, 985),
(343, 986),
(343, 1031),
(343, 1032),
(343, 1043),
(343, 1044),
(343, 1045),
(344, 701),
(344, 702),
(344, 703),
(344, 734),
(344, 735),
(344, 736),
(344, 737),
(344, 738),
(344, 739),
(344, 740),
(344, 741),
(344, 742),
(344, 743),
(344, 744),
(344, 745),
(344, 746),
(344, 747),
(344, 748),
(344, 749),
(344, 750),
(344, 751),
(344, 761),
(344, 762),
(344, 763),
(344, 764),
(344, 765),
(344, 766),
(344, 769),
(344, 770),
(344, 771),
(344, 773),
(344, 774),
(344, 775),
(344, 776),
(344, 777),
(344, 778),
(344, 779),
(344, 780),
(344, 782),
(344, 783),
(344, 792),
(344, 868),
(344, 869),
(344, 870),
(344, 871),
(344, 872),
(344, 873),
(344, 874),
(344, 875),
(344, 876),
(344, 877),
(344, 878),
(344, 879),
(344, 880),
(344, 881),
(344, 882),
(344, 883),
(344, 884),
(344, 885),
(344, 907),
(344, 908),
(344, 909),
(344, 910),
(344, 911),
(344, 912),
(344, 914),
(344, 916),
(344, 917),
(344, 926),
(344, 968),
(344, 969),
(344, 971),
(344, 972),
(344, 973),
(344, 974),
(344, 976),
(344, 977),
(344, 979),
(344, 980),
(344, 981),
(344, 982),
(344, 983),
(344, 984),
(344, 985),
(344, 988),
(344, 989),
(344, 990),
(344, 991),
(344, 992),
(344, 993),
(344, 994),
(344, 995),
(344, 1031),
(344, 1032),
(345, 701),
(345, 702),
(345, 703),
(345, 734),
(345, 735),
(345, 736),
(345, 737),
(345, 738),
(345, 739),
(345, 740),
(345, 741),
(345, 742),
(345, 743),
(345, 744),
(345, 745),
(345, 746),
(345, 747),
(345, 748),
(345, 749),
(345, 750),
(345, 751),
(345, 761),
(345, 762),
(345, 763),
(345, 764),
(345, 765),
(345, 766),
(345, 769),
(345, 770),
(345, 771),
(345, 773),
(345, 774),
(345, 775),
(345, 776),
(345, 777),
(345, 778),
(345, 779),
(345, 780),
(345, 782),
(345, 783),
(345, 792),
(345, 801),
(345, 802),
(345, 803),
(345, 804),
(345, 805),
(345, 806),
(345, 807),
(345, 808),
(345, 809),
(345, 810),
(345, 811),
(345, 812),
(345, 813),
(345, 814),
(345, 815),
(345, 816),
(345, 817),
(345, 818),
(345, 828),
(345, 829),
(345, 830),
(345, 831),
(345, 832),
(345, 833),
(345, 839),
(345, 840),
(345, 841),
(345, 842),
(345, 843),
(345, 844),
(345, 845),
(345, 846),
(345, 847),
(345, 849),
(345, 850),
(345, 859),
(345, 868),
(345, 869),
(345, 870),
(345, 871),
(345, 872),
(345, 873),
(345, 874),
(345, 875),
(345, 876),
(345, 877),
(345, 878),
(345, 879),
(345, 880),
(345, 881),
(345, 882),
(345, 883),
(345, 884),
(345, 885),
(345, 906),
(345, 907),
(345, 908),
(345, 909),
(345, 910),
(345, 911),
(345, 912),
(345, 914),
(345, 926),
(345, 936),
(345, 937),
(345, 938),
(345, 968),
(345, 969),
(345, 971),
(345, 972),
(345, 973),
(345, 974),
(345, 976),
(345, 977),
(345, 979),
(345, 980),
(345, 981),
(345, 982),
(345, 983),
(345, 984),
(345, 985),
(345, 986),
(345, 987),
(345, 988),
(345, 989),
(345, 990),
(345, 991),
(345, 992),
(345, 993),
(345, 994),
(345, 1031),
(345, 1032),
(345, 1043),
(345, 1044),
(346, 733),
(346, 800),
(346, 867),
(347, 730),
(347, 797),
(347, 864);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE IF NOT EXISTS `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`, `description`, `version`, `hits`, `images`) VALUES
(17, 1, 'Joomla Extensions Feed', 'joomla-extensions-feed', 'http://feeds.feedburner.com/smartaddons/joomla-extensions', 1, 5, 3600, 0, '0000-00-00 00:00:00', 1, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 86, '', '2013-05-28 08:38:38', 42, '', '', '{"tags":[12],"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 2, 1, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(17, 2, 'News and Announcements Feed', 'news-and-announcements-feed', 'http://feeds.feedburner.com/smartaddons/news-announcements', 1, 5, 3600, 0, '0000-00-00 00:00:00', 4, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 86, '', '2013-04-18 02:54:25', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 20, ''),
(17, 3, 'Magento Extensions Feed', 'magento-extensions-feed', 'http://feeds.feedburner.com/smartaddons/magento-extensions', 1, 5, 3600, 0, '0000-00-00 00:00:00', 2, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 86, '', '2013-04-18 02:49:29', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 4, 'Joomla Templates Feed', 'joomla-templates-feed', 'http://feeds.feedburner.com/smartaddons/joomla-templates', 1, 5, 3600, 0, '0000-00-00 00:00:00', 3, 0, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 86, '', '2013-05-28 08:39:26', 42, '', '', '{"tags":[7],"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 2, 3, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}');

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE IF NOT EXISTS `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE IF NOT EXISTS `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 0),
(2, 700, 'COM_CPANEL_MSG_EACCELERATOR_TITLE', 'COM_CPANEL_MSG_EACCELERATOR_BODY', 'COM_CPANEL_MSG_EACCELERATOR_BUTTON', 'com_cpanel', 1, 'action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_condition', '3.2.0', 1),
(3, 700, 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.2.0', 1),
(4, 700, 'PLG_USER_JOOMLA_POSTINSTALL_STRONGPW_TITLE', 'PLG_USER_JOOMLA_POSTINSTALL_STRONGPW_TEXT', 'PLG_USER_JOOMLA_POSTINSTALL_STRONGPW_BTN', 'plg_user_joomla', 1, 'action', 'site://plugins/user/joomla/postinstall/actions.php', 'plguserjoomla_postinstall_action', 'site://plugins/user/joomla/postinstall/actions.php', 'plguserjoomla_postinstall_condition', '3.2.0', 0);

DROP TABLE IF EXISTS `#__redirect_links`;
CREATE TABLE IF NOT EXISTS `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) DEFAULT NULL,
  `new_url` varchar(255) DEFAULT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=220 ;

INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `hits`, `published`, `created_date`, `modified_date`) VALUES
(1, 'http://localhost/templates/yt-framework16/index.php?Itemid=455', '', 'http://localhost/templates/yt-framework16/index.php', '', 0, -2, '2011-06-28 09:49:22', '0000-00-00 00:00:00'),
(2, 'http://localhost/templates/yt-framework16/index.php/explore/features/template-info/module-variations&tp=1', '', '', '', 0, -2, '2011-06-29 04:00:35', '0000-00-00 00:00:00'),
(3, 'http://localhost/templates/yt-framework16/index.php/joomla/joomla', '', 'http://localhost/templates/yt-framework16/index.php', '', 0, -2, '2011-06-29 04:44:07', '0000-00-00 00:00:00'),
(4, 'http://localhost/templates/yt-framework16/index.php/joomla/joomla-content/index.php', '', 'http://localhost/templates/yt-framework16/index.php/joomla/joomla-content/single-article-default', '', 0, -2, '2011-06-29 09:05:47', '0000-00-00 00:00:00'),
(5, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/index.php', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/single-article-default', '', 0, -2, '2011-08-03 03:13:26', '0000-00-00 00:00:00'),
(6, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/user/index.php', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/user/profile', '', 0, -2, '2011-09-05 02:49:43', '0000-00-00 00:00:00'),
(7, 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/single-article', '', 0, -2, '2011-09-12 03:30:26', '0000-00-00 00:00:00'),
(8, 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/index.php', '', 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/category-blog-default', '', 0, -2, '2011-10-05 02:19:07', '0000-00-00 00:00:00'),
(9, 'http://localhost/templates/yt-framework17/index.php/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/joomla', '', 0, -2, '2011-10-18 02:54:48', '0000-00-00 00:00:00'),
(10, 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/category-list-default/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/joomla/joomla-content/category-list-default/126-tames-pede-elit', '', 0, -2, '2011-10-18 07:37:15', '0000-00-00 00:00:00'),
(11, 'http://localhost/templates/yt-framework17/index.php/explore/features/typographys/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/explore/features/typographys/typography', '', 0, -2, '2011-10-31 10:14:25', '0000-00-00 00:00:00'),
(12, 'http://localhost/templates/yt-framework17/index.php/explore/features/template-info/plugins/system/ytswitcher/ytswitcher/joomla151617.png', '', 'http://localhost/templates/yt-framework17/index.php/explore/features/template-info/module-variations', '', 0, -2, '2011-11-28 09:35:12', '0000-00-00 00:00:00'),
(13, 'http://localhost/templates/yt-framework17/index.php/templates/yt_framework17/images/black/logo.png', '', 'http://localhost/templates/yt-framework17/index.php/the-joomla-community', '', 0, -2, '2011-12-13 10:09:27', '0000-00-00 00:00:00'),
(14, 'http://localhost/templates/yt-framework17/index.php/using-joomla/extensions/components/search-component/templates/yt_framework17/images/black/logo.png', '', 'http://localhost/templates/yt-framework17/index.php/using-joomla/extensions/components/search-component/search?searchword=&searchphrase=all', '', 0, -2, '2011-12-16 07:37:40', '0000-00-00 00:00:00'),
(15, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/templates/yt_framework17/images/blue/logo.png', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla-content/single-article-default', '', 0, -2, '2011-12-19 02:33:18', '0000-00-00 00:00:00'),
(16, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/templates/yt_framework17/images/blue/logo.png', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/joomla/joomla', '', 0, -2, '2011-12-19 02:33:34', '0000-00-00 00:00:00'),
(17, 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/explore/features/template-info/templates/yt_framework17/images/blue/logo.png', '', 'http://192.168.1.200/ytc_templates/yt-framework17/index.php/explore/features/template-info/module-variations', '', 0, -2, '2011-12-19 02:33:38', '0000-00-00 00:00:00'),
(18, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php?Itemid=238', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2011-12-28 13:10:31', '0000-00-00 00:00:00'),
(19, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/-- Joomla Content', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/126-tames-pede-elit', '', 0, -2, '2011-12-29 04:46:24', '0000-00-00 00:00:00'),
(20, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/-- Features', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla/joomla-content/category-list-default/126-tames-pede-elit', '', 0, -2, '2011-12-29 04:46:31', '0000-00-00 00:00:00'),
(21, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/user/2011-06-29-04-49-48/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/user/2011-06-29-04-49-48/rigistration-form', '', 0, -2, '2011-12-29 05:36:43', '0000-00-00 00:00:00'),
(22, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/87-ursus-senectus-aliquet-pretium', '', 0, -2, '2012-01-12 08:45:49', '0000-00-00 00:00:00'),
(23, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/content/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/content/', '', 0, -2, '2012-01-12 10:38:46', '0000-00-00 00:00:00'),
(24, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/joomla17/', '', 0, -2, '2012-01-12 11:00:15', '0000-00-00 00:00:00'),
(25, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/k2/k2-category/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/k2/k2-category/k2-category2', '', 0, -2, '2012-01-12 13:17:26', '0000-00-00 00:00:00'),
(26, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/forum/index.php', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/forum/4-browse-groups', '', 0, -2, '2012-01-13 05:48:19', '0000-00-00 00:00:00'),
(27, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/features/typographys/PIE.htc', '', '', '', 0, -2, '2012-01-15 15:10:26', '0000-00-00 00:00:00'),
(28, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/hehe.php&a=bcd?ytcpanel_widthType=px&ytcpanel_templa', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/98-ceger-nisl-pellentesque-in-id-metus', '', 0, -2, '2012-01-29 03:05:19', '0000-00-00 00:00:00'),
(29, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/..templates/yt_framework17/includes/hehe.php&layout=', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/content/content-category3/98-ceger-nisl-pellentesque-in-id-metus', '', 0, -2, '2012-01-29 03:25:52', '0000-00-00 00:00:00'),
(30, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1/item/87-ursus-senectus-aliquet-pretium', '', 0, -2, '2012-02-03 07:22:47', '0000-00-00 00:00:00'),
(31, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/features/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/features/typography', '', 0, -2, '2012-02-06 10:27:17', '0000-00-00 00:00:00'),
(32, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/index.php', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/97-netra-faucibus-eu-laoreet-nunc', '', 0, -2, '2012-02-11 07:48:49', '0000-00-00 00:00:00'),
(33, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/images/content_category/600x400xbroken_social_scene_hovland_5.jpg.pagesp', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1', '', 0, -2, '2012-02-20 07:19:28', '0000-00-00 00:00:00'),
(34, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=full.xml&wtype=px', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:32', '0000-00-00 00:00:00'),
(35, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=left-main.xml&wtype=p', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:33', '0000-00-00 00:00:00'),
(36, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=left-right-main.xml&w', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:37', '0000-00-00 00:00:00'),
(37, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/templates/yt_framework17/includes/cpanel-twidth.php?clayout=main-left-right.xml&w', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-02-27 05:15:38', '0000-00-00 00:00:00'),
(38, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/templates/yt_framework17/includes/cpanel-twidth.ph', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category2/item/96-kril-penectus-aliquet-pretium', '', 0, -2, '2012-02-27 06:47:24', '0000-00-00 00:00:00'),
(39, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/component/content/category?id=83', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/component/finder/search?q=jtc&Itemid=435', '', 0, -2, '2012-02-29 04:48:02', '0000-00-00 00:00:00'),
(40, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/smart-seach?q=aliquam&Itemid=435', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2012-02-29 05:06:32', '0000-00-00 00:00:00'),
(41, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/image-gallery?id=28', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17/smart-seach?q=articles', '', 0, -2, '2012-03-01 04:50:54', '0000-00-00 00:00:00'),
(42, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/templates/yt_framework17/includes/cpanel-twidth.php?clayout=left-main-right.xml&wtype=px', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1', '', 0, -2, '2012-03-01 05:26:19', '0000-00-00 00:00:00'),
(43, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/templates/yt_framework17/includes/cpanel-twidth.php?clayout=main-left-right.xml&wtype=%', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/k2/k2-category/k2-category1', '', 0, -2, '2012-03-01 05:26:47', '0000-00-00 00:00:00'),
(44, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/joomla17', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/forum/9-entertainment-a-arts', '', 0, -2, '2012-03-01 08:06:09', '0000-00-00 00:00:00'),
(45, 'http://localhost/yt-framework17/index.php/joomla17', '', 'http://localhost/yt-framework17/index.php/k2', '', 0, -2, '2012-03-02 17:27:34', '0000-00-00 00:00:00'),
(46, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/joomla17', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2012-03-05 04:14:39', '0000-00-00 00:00:00'),
(47, 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php/growers', '', 'http://192.168.1.200/ytc_templates/joomla17/yt-framework/index.php', '', 0, -2, '2012-03-06 08:35:50', '0000-00-00 00:00:00'),
(48, 'http://192.168.1.44/ytc_templates/joomla17/yt-framework/index.php/forum/safari-extension://com.slicefactory.firebug-M6DQ5JZ52E/e16bb23c/skin/xp/pixel_transparent.gif', '', 'http://192.168.1.44/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-03-09 03:38:06', '0000-00-00 00:00:00'),
(49, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/safari-extension://com.slicefactory.firebug-M6DQ5JZ52E/9c66462b/skin/xp/pixel_transparent.gif', '', 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/index', '', 0, -2, '2012-03-09 04:00:10', '0000-00-00 00:00:00'),
(50, 'http://localhost/ytc_templates/joomla17/yt-framework/index.php/forum/blank.gif', '', '', '', 0, -2, '2012-03-09 04:00:19', '0000-00-00 00:00:00'),
(51, 'http://192.168.1.41/ytc_templates/joomla25/yt-responsive/index.php/welcome', '', 'http://192.168.1.41/ytc_templates/joomla25/yt-responsive/index.php/joomla17/content/content-category1/80-detus-laoreet-dignissim-vel', '', 0, -2, '2012-05-29 03:13:29', '0000-00-00 00:00:00'),
(52, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/getting-started', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:37', '0000-00-00 00:00:00'),
(53, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/growers', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:42', '0000-00-00 00:00:00'),
(54, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/the-joomla-project', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:50', '0000-00-00 00:00:00'),
(55, 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/index.php/welcome', '', 'http://192.168.1.33/ytc_templates/joomla25/yt-responsive-masonry/', '', 0, -2, '2012-06-26 08:51:53', '0000-00-00 00:00:00'),
(56, 'http://localhost/ytc_templates/joomla25/sj-company/index.php/features/index.php', '', 'http://localhost/ytc_templates/joomla25/sj-company/index.php/features/module-variations', '', 12, -2, '2012-12-27 06:06:27', '0000-00-00 00:00:00'),
(57, 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=156&Itemid=648', '', 'http://localhost/ytc_templates/joomla25/sj-company/', '', 3, -2, '2013-02-22 09:44:37', '0000-00-00 00:00:00'),
(58, 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=157&Itemid=427', '', 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=156&Itemid=429', '', 1, -2, '2013-02-22 09:51:23', '0000-00-00 00:00:00'),
(59, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=54&Itemid=265', '', 'http://localhost/joomla25/sj-company/index.php?option=com_weblinks&view=category&id=32&Itemid=274', '', 3, -2, '2013-02-25 01:51:52', '0000-00-00 00:00:00'),
(60, 'http://localhost/joomla25/sj-company/index.php/features/index.php', '', '', '', 2, -2, '2013-02-25 03:32:56', '0000-00-00 00:00:00'),
(61, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/index.php', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/faq', '', 2, -2, '2013-02-25 06:37:37', '0000-00-00 00:00:00'),
(62, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_nw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 4, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(63, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_w.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 3, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(64, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_se.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 2, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(65, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_s.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 4, -2, '2013-02-26 08:13:42', '0000-00-00 00:00:00'),
(66, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_sw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 4, -2, '2013-02-26 08:13:43', '0000-00-00 00:00:00'),
(67, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_e.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/weblinks', '', 3, -2, '2013-02-26 08:13:43', '0000-00-00 00:00:00'),
(68, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_ne.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/smart-seach', '', 2, -2, '2013-02-26 08:13:47', '0000-00-00 00:00:00'),
(69, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/fancybox/fancy_shadow_n.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/smart-seach', '', 3, -2, '2013-02-26 08:13:48', '0000-00-00 00:00:00'),
(70, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_w.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:04', '0000-00-00 00:00:00'),
(71, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_s.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:04', '0000-00-00 00:00:00'),
(72, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_nw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:04', '0000-00-00 00:00:00'),
(73, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_ne.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(74, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_sw.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(75, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_se.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(76, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_e.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(77, 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/fancybox/fancy_shadow_n.png', '', 'http://localhost/joomla25/sj-company/index.php/joomla-pages/joomla-content/category-blog', '', 1, -2, '2013-02-26 08:18:05', '0000-00-00 00:00:00'),
(78, 'http://localhost/joomla25/sj-company/index.php/bonus-pages/index.php', '', 'http://localhost/joomla25/sj-company/index.php/bonus-pages/about-us', '', 3, -2, '2013-03-07 05:38:27', '0000-00-00 00:00:00'),
(79, 'http://localhost/joomla25/sj-company/index.php/bonus-pages/faq?view=categories', '', 'http://localhost/joomla25/sj-company/index.php/bonus-pages/faq', '', 2, -2, '2013-03-07 07:02:15', '0000-00-00 00:00:00'),
(80, 'http://localhost/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=22&Itemid=497', '', 'http://localhost/ytc_templates/joomla25/sj-company/index.php', '', 2, -2, '2013-03-08 01:48:18', '0000-00-00 00:00:00'),
(81, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=181181&Itemid=665', '', '', '', 1, -2, '2013-03-21 04:50:52', '0000-00-00 00:00:00'),
(82, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=659&Itemid=659', '', '', '', 1, -2, '2013-03-21 04:55:40', '0000-00-00 00:00:00'),
(83, 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=186&Itemid=497', '', 'http://localhost/joomla25/sj-company/index.php?option=com_content&view=article&id=159&Itemid=430', '', 4, -2, '2013-03-21 09:36:10', '0000-00-00 00:00:00'),
(84, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=4&Itemid=621', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-company/index.php?option=com_content&view=article&id=92&Itemid=620', '', 2, -2, '2013-03-25 02:54:37', '0000-00-00 00:00:00'),
(85, 'http://localhost/joomla25/sj-company/index.php/joomla-pages', '', 'http://localhost/joomla25/sj-company/', '', 3, -2, '2013-03-26 07:23:34', '0000-00-00 00:00:00'),
(86, 'http://localhost/joomla25/sj-company-less/index.php/explore/images/yt/screenshot1.png', '', 'http://localhost/joomla25/sj-company-less/index.php/explore/what-s-new', '', 2, -2, '2013-03-29 03:21:45', '0000-00-00 00:00:00'),
(87, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_s.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(88, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_w.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(89, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_nw.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(90, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_sw.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(91, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_ne.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(92, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_e.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:46', '0000-00-00 00:00:00'),
(93, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_se.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:47', '0000-00-00 00:00:00'),
(94, 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/fancybox/fancy_shadow_n.png', '', 'http://localhost/joomla25/sj-company-less/index.php/joomla-pages/weblinks', '', 2, -2, '2013-03-29 04:10:47', '0000-00-00 00:00:00'),
(95, 'http://localhost/joomla25/sj-company-less/index.php/function.file-get-contents', '', 'http://localhost/joomla25/sj-company-less/index.php/recipes', '', 1, -2, '2013-04-03 08:20:08', '0000-00-00 00:00:00'),
(96, 'http://localhost/joomla25/sj-company-less/index.php/explore/short-codes', '', 'http://localhost/joomla25/sj-company-less/index.php/explore/typography', '', 2, -2, '2013-04-10 02:56:02', '0000-00-00 00:00:00'),
(97, 'http://localhost/joomla25/sj-company-less/index.php/using-joomla/extensions/components/news-feeds-component', '', 'http://localhost/joomla25/sj-company-less/index.php/using-joomla/extensions/components/news-feeds-component/single-news-feed', '', 1, -2, '2013-04-18 02:38:11', '0000-00-00 00:00:00'),
(98, 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/index.php', '', 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/smart-seach?q=Search...&Itemid=435', '', 2, -2, '2013-04-18 06:04:28', '0000-00-00 00:00:00'),
(99, 'http://localhost/joomla25/sj-plus/index.php/joomla-pages', '', 'http://localhost/joomla25/sj-plus/index.php/explore/module-variations', '', 2, -2, '2013-04-22 09:52:26', '0000-00-00 00:00:00'),
(100, 'http://localhost/joomla25/sj-plus/index.php/company2/sample-data1', '', 'http://localhost/joomla25/sj-plus/', '', 1, -2, '2013-04-24 08:20:46', '0000-00-00 00:00:00'),
(101, 'http://localhost/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://localhost/joomla25/sj-plus/', '', 22, -2, '2013-05-13 03:36:48', '0000-00-00 00:00:00'),
(102, 'http://192.168.1.200/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://192.168.1.200/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/our-services', '', 2, -2, '2013-05-13 10:19:38', '0000-00-00 00:00:00'),
(103, 'http://localhost/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://localhost/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/join-now', '', 2, -2, '2013-05-14 08:52:19', '0000-00-00 00:00:00'),
(104, 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://dev.ytcvn.com/ytc_templates/joomla25/sj-plus/index.php/bonus-pages/join-now', '', 1, -2, '2013-05-16 06:50:46', '0000-00-00 00:00:00'),
(105, 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/images/yt/less.png', '', 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/login-form', '', 3, -2, '2013-05-20 03:27:03', '0000-00-00 00:00:00'),
(106, 'http://localhost/joomla25/sj-plus/index.php/contact-us', '', 'http://localhost/joomla25/sj-plus/index.php/blockquotes', '', 3, -2, '2013-05-21 02:42:43', '0000-00-00 00:00:00'),
(107, 'http://localhost/joomla25/sj-plus/index.php/shop-login', '', 'http://localhost/joomla25/sj-plus/index.php/buttons', '', 1, -2, '2013-05-21 02:43:33', '0000-00-00 00:00:00'),
(108, 'http://192.168.1.23/joomla25/sj-plus/index.php/bonus-pages/page-404', '', 'http://192.168.1.23/joomla25/sj-plus/', '', 9, -2, '2013-05-22 10:18:29', '0000-00-00 00:00:00'),
(109, 'http://192.168.1.23/joomla25/sj-plus/index.php/joomla-pages', '', 'http://192.168.1.23/joomla25/sj-plus/index.php/joomla-pages/all-contact/list-all-contacts-categories', '', 2, -2, '2013-05-23 03:06:25', '0000-00-00 00:00:00'),
(110, 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/Login Form', '', 'http://localhost/joomla25/sj-plus/index.php/joomla-pages/login-form', '', 2, -2, '2013-05-24 03:29:05', '0000-00-00 00:00:00'),
(111, 'http://localhost/joomla31/sj-plus/index.php?option=com_content&view=article&id=1&Itemid=705', '', 'http://localhost/joomla31/sj-plus/index.php?option=com_content&view=article&id=193&Itemid=706', '', 1, -2, '2013-05-28 10:14:41', '0000-00-00 00:00:00'),
(112, 'http://localhost/joomla31/sj-plus/index.php/joomla-pages/joomla-content/safari-extension://com.slicefactory.firebug-M6DQ5JZ52E/35a427d6/skin/xp/pixel_transparent.gif', '', 'http://localhost/joomla31/sj-plus/index.php/joomla-pages/joomla-content/single-article', '', 1, -2, '2013-05-31 07:23:51', '0000-00-00 00:00:00'),
(113, 'http://localhost/joomla32/sj_plus/index.php/plugins/system/ytshortcodes/assets/images/nophoto.png', '', 'http://localhost/joomla32/sj_plus/index.php/slide-show', '', 1, -2, '2013-12-07 15:40:45', '0000-00-00 00:00:00'),
(114, 'http://localhost/joomla32/sj_plus/index.php/explore', '', 'http://localhost/joomla32/sj_plus/', '', 1, -2, '2013-12-08 15:12:38', '0000-00-00 00:00:00'),
(115, 'http://localhost/joomla32/sj_plus/index.php/bonus-pages/page-404', '', 'http://localhost/joomla32/sj_plus/', '', 1, -2, '2013-12-25 16:37:21', '0000-00-00 00:00:00'),
(116, 'http://localhost/joomla32/sj_framework/index.php/explore/joomla-pages/all-contact', '', 'http://localhost/joomla32/sj_framework/index.php/explore/joomla-pages/all-contact/list-all-contacts-categories', '', 1, -2, '2013-12-30 15:33:04', '0000-00-00 00:00:00'),
(117, 'http://localhost/joomla32/sj_framework/index.php/explore/joomla-pages/news-feed-2/list-all-news-feed-categories', '', 'http://localhost/joomla32/sj_framework/index.php/explore/joomla-pages/news-feed-2/single-news-feed', '', 1, -2, '2013-12-30 15:35:44', '0000-00-00 00:00:00'),
(118, 'http://localhost/joomla32/sj_framework/index.php/bonus-pages/page-404', '', 'http://localhost/joomla32/sj_framework/index.php/bonus-pages/portfolio', '', 1, -2, '2013-12-30 16:02:09', '0000-00-00 00:00:00'),
(119, 'http://localhost/joomla32/sj-blank/index.php/images/shortcode/l13.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/lightbox', '', 1, -2, '2014-01-02 10:11:24', '0000-00-00 00:00:00'),
(120, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/b01c70802c62e46c7177380a875915c8.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/lightbox', '', 1, -2, '2014-01-02 10:18:07', '0000-00-00 00:00:00'),
(121, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/4de10400eaad3b9e491ff3c4746b7323.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:21:15', '0000-00-00 00:00:00'),
(122, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/5858bcd3acc9e62c50b94d9dad44cd3d.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:21:15', '0000-00-00 00:00:00'),
(123, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/9548d2110d85ef676c1295981ca05162.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:21:15', '0000-00-00 00:00:00'),
(124, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/d6f031d43a7a8f58bc2cc29d82a4018e.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:21:15', '0000-00-00 00:00:00'),
(125, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/c6093471783863ed3fa62ee75ce63a23.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:21:15', '0000-00-00 00:00:00'),
(126, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/f38e185bc1653abeb4f531c599b1256c.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:21:15', '0000-00-00 00:00:00'),
(127, 'http://localhost/joomla32/sj-blank/index.php/cache/resized/e4650092655d2b3847a17080e7470a66.png', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:37:04', '0000-00-00 00:00:00'),
(128, 'http://localhost/joomla32/sj-blank/index.php/images/shortcode/l4.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:37:59', '0000-00-00 00:00:00'),
(129, 'http://localhost/joomla32/sj-blank/index.php/images/shortcode/l5.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:37:59', '0000-00-00 00:00:00'),
(130, 'http://localhost/joomla32/sj-blank/index.php/images/shortcode/l6.jpg', '', 'http://localhost/joomla32/sj-blank/index.php/gallery', '', 1, -2, '2014-01-02 10:37:59', '0000-00-00 00:00:00'),
(131, 'http://localhost/joomla32/sj-blank/index.php/bonus-pages/page-404', '', 'http://localhost/joomla32/sj-blank/index.php/bonus-pages/portfolio', '', 1, -2, '2014-01-07 10:13:43', '0000-00-00 00:00:00'),
(132, 'http://localhost/joomla32/sj-blank/index.php', '', 'http://localhost/joomla32/sj-blank/index.php/explore/joomla-pages/tags/tagged-items', '', 1, -2, '2014-01-14 16:17:15', '0000-00-00 00:00:00'),
(133, 'http://192.168.1.200/ytc_templates/joomla32/sj-blank/index.php/short-codes/administrator', '', '', '', 1, -2, '2014-01-15 10:21:28', '0000-00-00 00:00:00'),
(134, 'http://localhost/joomla32/yt-framework/index.php/bonus-pages/page-404', '', 'http://localhost/joomla32/yt-framework/index.php/bonus-pages/portfolio', '', 1, -2, '2014-01-25 02:32:44', '0000-00-00 00:00:00'),
(135, 'http://localhost/joomla32/sj-blank/index.php/yt-assets/developing/templates^sj_plus^asset^bootstrap^less^bootstrap.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:03', '0000-00-00 00:00:00'),
(136, 'http://localhost/joomla32/sj-blank/index.php/yt-assets/developing/templates^sj_plus^asset^fonts^awesome^less^font-awesome.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:03', '0000-00-00 00:00:00'),
(137, 'http://localhost/joomla32/sj-blank/index.php/templates/system/css/general.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:03', '0000-00-00 00:00:00'),
(138, 'http://localhost/joomla32/sj-blank/index.php/templates/system/css/system.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:03', '0000-00-00 00:00:00'),
(139, 'http://localhost/joomla32/sj-blank/index.php/yt-assets/developing/templates^sj_plus^less^pattern.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:03', '0000-00-00 00:00:00'),
(140, 'http://localhost/joomla32/sj-blank/index.php/yt-assets/developing/templates^sj_plus^less^template.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:03', '0000-00-00 00:00:00'),
(141, 'http://localhost/joomla32/sj-blank/index.php/templates/sj_plus/asset/minicolors/jquery.miniColors.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:06', '0000-00-00 00:00:00'),
(142, 'http://localhost/joomla32/sj-blank/index.php/yt-assets/developing/templates^sj_plus^less^responsive.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:06', '0000-00-00 00:00:00'),
(143, 'http://localhost/joomla32/sj-blank/index.php/yt-assets/developing/plugins^system^ytshortcodes^assets^less^shortcodes.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:06', '0000-00-00 00:00:00'),
(144, 'http://localhost/joomla32/sj-blank/index.php/yt-assets/developing/templates^sj_plus^asset^bootstrap^less^responsive.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:06', '0000-00-00 00:00:00'),
(145, 'http://localhost/joomla32/sj-blank/index.php/plugins/system/ytshortcodes/assets/css/awesome/glyphicon.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:06', '0000-00-00 00:00:00'),
(146, 'http://localhost/joomla32/sj-blank/index.php/plugins/system/ytshortcodes/assets/css/awesome/font-awesome.css', '', 'http://localhost/joomla32/sj-blank/index.php/joomla-content', '', 1, -2, '2014-02-28 09:26:06', '0000-00-00 00:00:00'),
(147, 'http://localhost/joomla32/sj-blank/index.php/ar/explore/joomla-pages/login-form/index.php', '', 'http://localhost/joomla32/sj-blank/index.php/ar/explore/joomla-pages/login-form/login-form', '', 1, -2, '2014-03-03 08:51:34', '0000-00-00 00:00:00'),
(148, 'http://192.168.1.117/joomla32/sj-blank/index.php/explore/joomla-pages/index.php', '', 'http://192.168.1.117/joomla32/sj-blank/index.php/explore/joomla-pages/contact', '', 1, -2, '2014-03-05 07:09:15', '0000-00-00 00:00:00'),
(149, 'http://localhost/joomla32/sj_icenter/index.php/explore/template-info/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/explore/template-info/module-variations?tp=1', '', 1, -2, '2014-03-06 08:45:34', '0000-00-00 00:00:00'),
(150, 'http://localhost/joomla32/sj_icenter/index.php/explore', '', 'http://localhost/joomla32/sj_icenter/index.php/explore/template-info/module-variations', '', 1, -2, '2014-03-06 10:27:09', '0000-00-00 00:00:00'),
(151, 'http://localhost/joomla32/sj_icenter/index.php/ar/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/ar/', '', 1, -2, '2014-03-07 03:49:29', '0000-00-00 00:00:00'),
(152, 'http://sj_icenter.wp/index.php/bonus-pages/page-404', '', 'http://sj_icenter.wp/', '', 1, -2, '2014-03-10 03:51:49', '0000-00-00 00:00:00'),
(153, 'http://localhost/joomla32/sj_icenter/index.php/explore/template-info/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/explore/template-info/module-variations', '', 1, -2, '2014-03-10 06:06:40', '0000-00-00 00:00:00'),
(154, 'http://localhost/joomla32/sj_icenter/index.php/bonus-pages/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/bonus-pages/about-us', '', 1, -2, '2014-03-10 08:23:48', '0000-00-00 00:00:00'),
(155, 'http://localhost/joomla32/sj_icenter/index.php/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/homepage', '', 1, -2, '2014-03-10 09:32:10', '0000-00-00 00:00:00'),
(156, 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/category-blog/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/category-blog/category-blog-4-columns', '', 1, -2, '2014-03-10 09:39:29', '0000-00-00 00:00:00'),
(157, 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/category-blog/category-blog-4-columns/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/category-blog/category-blog-4-columns/91-haretra-faucibus-eu-laoreet-nunc', '', 1, -2, '2014-03-10 09:40:20', '0000-00-00 00:00:00'),
(158, 'http://sj_icenter.wp/index.php/home', '', 'http://sj_icenter.wp/index.php', '', 1, -2, '2014-03-11 04:55:49', '0000-00-00 00:00:00'),
(159, 'http://sj_icenter.wp/index.php/images/demo/blog/kindle.jpg', '', 'http://sj_icenter.wp/index.php/home', '', 1, -2, '2014-03-11 10:15:31', '0000-00-00 00:00:00'),
(160, 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/category-blog?limitstart=0', '', 1, -2, '2014-03-12 02:59:50', '0000-00-00 00:00:00'),
(161, 'http://localhost/joomla32/sj_icenter/index.php/k2/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/k2/k2-item', '', 1, -2, '2014-03-13 03:15:19', '0000-00-00 00:00:00'),
(162, 'http://localhost/joomla32/sj_icenter/index.php/k2/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/k2/k2-category', '', 1, -2, '2014-03-13 06:05:03', '0000-00-00 00:00:00'),
(163, 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/category-blog/category-blog-2-column', '', '', '', 1, -2, '2014-03-13 07:54:16', '0000-00-00 00:00:00'),
(164, 'http://localhost/joomla32/sj_icenter/index.php/fr/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/fr/', '', 1, -2, '2014-03-15 04:52:52', '0000-00-00 00:00:00'),
(165, 'http://localhost/joomla32/sj_icenter/index.php/fr/k2/jquery-1.10.2.min.map', '', 'http://localhost/joomla32/sj_icenter/index.php/fr/k2/latest-items-2-columns', '', 1, -2, '2014-03-17 03:30:43', '0000-00-00 00:00:00'),
(166, 'http://localhost/joomla32/sj_icenter/index.php/k2/k2-user-page', '', 'http://localhost/joomla32/sj_icenter/index.php/k2-user-page', '', 1, -2, '2014-03-17 04:18:56', '0000-00-00 00:00:00'),
(167, 'http://sj_icenter.wp/index.php/blank.gif', '', 'http://sj_icenter.wp/index.php/easyblog', '', 1, -2, '2014-03-17 06:39:57', '0000-00-00 00:00:00'),
(168, 'http://localhost/joomla32/sj_icenter/index.php/ar/explore', '', 'http://localhost/joomla32/sj_icenter/index.php/ar/', '', 1, -2, '2014-03-18 03:13:36', '0000-00-00 00:00:00'),
(169, 'http://192.168.1.110/joomla32/sj_icenter/index.php/ar/explore/template-info/index.php', '', 'http://192.168.1.110/joomla32/sj_icenter/index.php/ar/explore/template-info/module-variations', '', 1, -2, '2014-03-18 04:26:54', '0000-00-00 00:00:00'),
(170, 'http://localhost/joomla32/sj_icenter/index.php/ar/k2/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/ar/k2/k2-category', '', 1, -2, '2014-03-18 06:03:47', '0000-00-00 00:00:00'),
(171, 'http://localhost/sj_icenter/index.php/explore/template-info/index.php', '', 'http://localhost/sj_icenter/index.php/explore/template-info/module-variations', '', 1, -2, '2014-03-18 08:50:48', '0000-00-00 00:00:00'),
(172, 'http://localhost/joomla32/sj_icenter/index.php/fr/explore', '', 'http://localhost/joomla32/sj_icenter/index.php/fr/explore/template-info/module-variations', '', 1, -2, '2014-03-18 10:33:22', '0000-00-00 00:00:00'),
(173, 'http://sj_icenter.wp/index.php/explore/template-info/index.php', '', 'http://sj_icenter.wp/index.php/explore/template-info/module-variations', '', 1, -2, '2014-03-19 05:58:16', '0000-00-00 00:00:00'),
(174, 'http://localhost/joomla32/sj_icenter/index.php/explore/joomla-pages/contact', '', 'http://localhost/joomla32/sj_icenter/', '', 1, -2, '2014-03-19 07:22:48', '0000-00-00 00:00:00'),
(175, 'http://sj_icenter.wp/index.php/k2/index.php', '', 'http://sj_icenter.wp/index.php/k2/k2-category', '', 1, -2, '2014-03-19 09:29:06', '0000-00-00 00:00:00'),
(176, 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/blank.gif', '', 'http://localhost/joomla32/sj_icenter/index.php/joomla-content/featured-articles', '', 1, -2, '2014-03-20 07:29:08', '0000-00-00 00:00:00'),
(177, 'http://localhost/joomla32/sj_icenter/index.php/k2/k2-users-page', '', '', '', 1, -2, '2014-03-22 07:03:58', '0000-00-00 00:00:00'),
(178, 'http://localhost/joomla32/sj_icenter/index.php/k2', '', '', '', 1, -2, '2014-03-22 07:04:07', '0000-00-00 00:00:00'),
(179, 'http://localhost/joomla32/sj_icenter/index.php/smartphone', '', 'http://localhost/joomla32/sj_icenter/index.php/k2/k2-category/itemlist/category/2-tablet', '', 1, -2, '2014-03-22 09:57:07', '0000-00-00 00:00:00'),
(180, 'http://sj_icenter.wp/index.php/explore', '', 'http://sj_icenter.wp/index.php/bonus-pages/photo-gallery', '', 1, -2, '2014-03-22 10:31:12', '0000-00-00 00:00:00'),
(181, 'http://192.168.1.200/ytc_templates/joomla32/sj_icenter/index.php/explore/template-info/index.php', '', 'http://192.168.1.200/ytc_templates/joomla32/sj_icenter/index.php/explore/template-info/extenstions', '', 1, -2, '2014-03-24 04:11:21', '0000-00-00 00:00:00'),
(182, 'http://localhost/joomla32/sj_icenter/index.php/k2/k2-item/item/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/k2/k2-item/item/58-integer-vestibulum-sapien-et-turpis', '', 1, -2, '2014-03-24 06:05:28', '0000-00-00 00:00:00'),
(183, 'http://localhost/joomla32/sj_icenter/index.php/ar/bonus-pages/page-404', '', 'http://localhost/joomla32/sj_icenter/index.php/ar/bonus-pages/portfolio', '', 1, -2, '2014-03-24 06:40:47', '0000-00-00 00:00:00'),
(184, 'http://localhost/sj_icenter/index.php/smartphone', '', '', '', 1, -2, '2014-03-24 07:21:25', '0000-00-00 00:00:00'),
(185, 'http://localhost/sj_icenter/index.php/smartphones', '', '', '', 1, -2, '2014-03-24 07:21:48', '0000-00-00 00:00:00'),
(186, 'http://localhost/joomla32/sj_icenter/index.php/bonus-pages/page-404', '', 'http://localhost/joomla32/sj_icenter/index.php/explore/template-info/module-variations?hitcount=0', '', 1, -2, '2014-03-24 07:23:08', '0000-00-00 00:00:00'),
(187, 'http://localhost/sj_icenter/index.php/bonus-pages/page-404', '', 'http://localhost/sj_icenter/index.php/bonus-pages/photo-gallery', '', 1, -2, '2014-03-24 13:42:53', '0000-00-00 00:00:00'),
(188, 'http://sj_icenter.wp/index.php/ar/explore', '', 'http://sj_icenter.wp/index.php/ar/', '', 1, -2, '2014-03-25 01:50:51', '0000-00-00 00:00:00'),
(189, 'http://localhost/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/single-blog-entry', '', 1, -2, '2014-03-25 03:37:02', '0000-00-00 00:00:00'),
(190, 'http://localhost/joomla32/sj_icenter/index.php/fr/easyblog-2/easyblog-ii-3/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/fr/easyblog-2/easyblog-ii-3/featured-blogs-layout-3', '', 1, -2, '2014-03-25 05:59:32', '0000-00-00 00:00:00'),
(191, 'http://sj_icenter.wp/index.php/ar/easyblog/easyblog-2/index.php', '', 'http://sj_icenter.wp/index.php/ar/easyblog/easyblog-2/category-layout-2', '', 1, -2, '2014-03-25 06:00:01', '0000-00-00 00:00:00'),
(192, 'http://localhost/joomla32/sj_icenter/index.php/easyblog/easyblog-ii', '', 'http://localhost/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/single-blog-entry', '', 1, -2, '2014-03-25 06:06:58', '0000-00-00 00:00:00'),
(193, 'http://192.168.1.123/joomla32/sj_icenter/index.php/ar/short-codes/photo-shortcode', '', 'http://192.168.1.123/joomla32/sj_icenter/index.php/ar/explore/template-info/menu-example/91-haretra-faucibus-eu-laoreet-nunc', '', 1, -2, '2014-03-25 08:47:00', '0000-00-00 00:00:00'),
(194, 'http://sj_icenter.wp/index.php/k2', '', 'http://sj_icenter.wp/index.php/k2/k2-category', '', 1, -2, '2014-03-25 09:30:20', '0000-00-00 00:00:00'),
(195, 'http://192.168.1.190/wp/sj_icenter/index.php/k2/index.php', '', 'http://192.168.1.190/wp/sj_icenter/index.php/k2/k2-item', '', 1, -2, '2014-03-25 09:33:39', '0000-00-00 00:00:00'),
(196, 'http://192.168.1.190/wp/sj_icenter/index.php/ar/bonus-pages/page-404', '', 'http://192.168.1.190/wp/sj_icenter/index.php/ar/bonus-pages/portfolio', '', 1, -2, '2014-03-25 09:52:38', '0000-00-00 00:00:00'),
(197, 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/explore/template-info/index.php', '', 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/explore/template-info/module-variations', '', 1, -2, '2014-03-25 12:40:18', '0000-00-00 00:00:00'),
(198, 'http://localhost/joomla32/sj_icenter/index.php/explore/joomla-pages/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/explore/joomla-pages/contact', '', 1, -2, '2014-03-26 03:56:20', '0000-00-00 00:00:00'),
(199, 'http://192.168.1.190/wp/sj_icenter/index.php/explore/template-info/index.php', '', 'http://192.168.1.190/wp/sj_icenter/index.php/explore/template-info/extenstions', '', 1, -2, '2014-03-26 04:48:15', '0000-00-00 00:00:00'),
(200, 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/k2/k2-category/item/index.php', '', 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/k2/k2-category/item/30-ruma-pizan-sima', '', 1, -2, '2014-03-26 08:12:41', '0000-00-00 00:00:00'),
(201, 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/k2/index.php', '', 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/k2/latest-items-2-columns', '', 1, -2, '2014-03-27 07:48:51', '0000-00-00 00:00:00'),
(202, 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/bonus-pages/page-404', '', 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/bonus-pages/portfolio', '', 1, -2, '2014-03-27 08:23:59', '0000-00-00 00:00:00'),
(203, 'http://192.168.1.122/joomla32/sj_icenter/index.php/short-codes-2/photo-shortcode', '', 'http://192.168.1.122/joomla32/sj_icenter/index.php/short-codes-2', '', 1, -2, '2014-03-27 09:56:06', '0000-00-00 00:00:00'),
(204, 'http://localhost/joomla32/sj_icenter/index.php/short-codes-2/photo-shortcode', '', 'http://localhost/joomla32/sj_icenter/', '', 1, -2, '2014-03-28 02:15:52', '0000-00-00 00:00:00'),
(205, 'http://192.168.1.200/ytc_templates/joomla32/sj_icenter/index.php/explore/joomla-pages/index.php', '', 'http://192.168.1.200/ytc_templates/joomla32/sj_icenter/index.php/explore/joomla-pages/contact', '', 1, -2, '2014-03-28 05:45:48', '0000-00-00 00:00:00'),
(206, 'http://sj_icenter.wp/index.php/explore/joomla-pages/login-form/index.php', '', 'http://sj_icenter.wp/index.php/explore/joomla-pages/login-form/edit-user-profile', '', 1, -2, '2014-03-28 09:55:13', '0000-00-00 00:00:00'),
(207, 'http://192.168.1.122/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/index.php', '', 'http://192.168.1.122/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/frontpage-blog-layout', '', 1, -2, '2014-03-29 04:11:49', '0000-00-00 00:00:00'),
(208, 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/ar/bonus-pages/page-404', '', 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/ar/bonus-pages/join-now', '', 1, -2, '2014-03-31 07:55:36', '0000-00-00 00:00:00'),
(209, 'http://192.168.1.200/ytc_templates/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/index.php', '', 'http://192.168.1.200/ytc_templates/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/single-blog-entry', '', 1, -2, '2014-03-31 08:44:05', '0000-00-00 00:00:00'),
(210, 'http://localhost/joomla32/sj_icenter/index.php/ar/easyblog/easyblog-ii-2/index.php', '', 'http://localhost/joomla32/sj_icenter/index.php/ar/easyblog/easyblog-ii-2/single-blog-entry-2', '', 1, -2, '2014-04-01 03:27:30', '0000-00-00 00:00:00'),
(211, 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/index.php', '', 'http://dev.ytcvn.com/ytc_templates/joomla32/sj_icenter/index.php/easyblog/easyblog-ii/tags-layout', '', 1, -2, '2014-04-01 04:17:51', '0000-00-00 00:00:00'),
(212, 'http://192.168.1.121/joomla32/sj_icenter/index.php/ar/k2/index.php', '', 'http://192.168.1.121/joomla32/sj_icenter/index.php/ar/k2/k2-item', '', 1, -2, '2014-04-01 06:04:35', '0000-00-00 00:00:00'),
(213, 'http://192.168.1.121/joomla32/sj_icenter/index.php/k2/index.php', '', 'http://192.168.1.121/joomla32/sj_icenter/index.php/k2/k2-item', '', 1, -2, '2014-04-01 06:08:13', '0000-00-00 00:00:00'),
(214, 'http://localhost/joomla32/sj_icenter/index.php?Itemid=956', '', 'http://localhost/joomla32/sj_icenter/', '', 1, -2, '2014-04-02 04:07:51', '0000-00-00 00:00:00');
INSERT INTO `#__redirect_links` (`id`, `old_url`, `new_url`, `referer`, `comment`, `hits`, `published`, `created_date`, `modified_date`) VALUES
(215, 'http://localhost/joomla32/sj_icenter/index.php/bonus-pages/plugins/system/ytshortcodes/assets/images/youtube.png', '', 'http://localhost/joomla32/sj_icenter/index.php/bonus-pages/photo-gallery', '', 1, -2, '2014-04-04 01:34:35', '0000-00-00 00:00:00'),
(216, 'http://localhost/joomla32/sj_icenter/index.php/bonus-pages/plugins/system/ytshortcodes/assets/images/vimeo.png', '', 'http://localhost/joomla32/sj_icenter/index.php/bonus-pages/photo-gallery', '', 1, -2, '2014-04-04 01:55:13', '0000-00-00 00:00:00'),
(217, 'http://192.168.1.134/joomla32/sj_icenter/index.php/ar/modules/mod_sj_k2_extraslider/assets/images/nophoto.png', '', 'http://192.168.1.134/joomla32/sj_icenter/index.php/ar/', '', 1, -2, '2014-04-04 03:04:55', '0000-00-00 00:00:00'),
(218, 'http://192.168.1.134/joomla32/sj_icenter/index.php/fr/modules/mod_sj_k2_extraslider/assets/images/nophoto.png', '', 'http://192.168.1.134/joomla32/sj_icenter/index.php/fr/', '', 1, -2, '2014-04-04 03:09:55', '0000-00-00 00:00:00'),
(219, 'http://localhost/joomla32/sj_icenter/index.php/fr/modules/mod_sj_k2_extraslider/assets/images/nophoto.png', '', 'http://localhost/joomla32/sj_icenter/index.php/fr/', '', 1, -2, '2014-04-04 03:11:21', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE IF NOT EXISTS `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.2.3-2014-02-20');

DROP TABLE IF EXISTS `#__session`;
CREATE TABLE IF NOT EXISTS `#__session` (
  `session_id` varchar(200) NOT NULL DEFAULT '',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `guest` tinyint(4) unsigned DEFAULT '1',
  `time` varchar(14) DEFAULT '',
  `data` mediumtext,
  `userid` int(11) DEFAULT '0',
  `username` varchar(150) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__session` (`session_id`, `client_id`, `guest`, `time`, `data`, `userid`, `username`) VALUES
('42hcs4oa9p3h7rf65ejhgh97r2', 0, 1, '1396597910', '__default|a:8:{s:15:"session.counter";i:44;s:19:"session.timer.start";i:1396593272;s:18:"session.timer.last";i:1396597823;s:17:"session.timer.now";i:1396597898;s:22:"session.client.browser";s:65:"Mozilla/5.0 (Windows NT 6.1; rv:28.0) Gecko/20100101 Firefox/28.0";s:8:"registry";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:4:"user";O:5:"JUser":24:{s:9:"\\0\\0\\0isRoot";b:0;s:2:"id";i:0;s:4:"name";N;s:8:"username";N;s:5:"email";N;s:8:"password";N;s:14:"password_clear";s:0:"";s:5:"block";N;s:9:"sendEmail";i:0;s:12:"registerDate";N;s:13:"lastvisitDate";N;s:10:"activation";N;s:6:"params";N;s:6:"groups";a:1:{i:0;s:1:"1";}s:5:"guest";i:1;s:13:"lastResetTime";N;s:10:"resetCount";N;s:10:"\\0\\0\\0_params";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:14:"\\0\\0\\0_authGroups";a:1:{i:0;i:1;}s:14:"\\0\\0\\0_authLevels";a:2:{i:0;i:1;i:1;i:1;}s:15:"\\0\\0\\0_authActions";N;s:12:"\\0\\0\\0_errorMsg";N;s:10:"\\0\\0\\0_errors";a:0:{}s:3:"aid";i:0;}s:13:"session.token";s:32:"5aca4de0de1e4ba71f18148a0935a971";}', 0, ''),
('l2alb1fp66upgvirhn8f4mdqp7', 1, 0, '1396598097', '__default|a:8:{s:15:"session.counter";i:41;s:19:"session.timer.start";i:1396593284;s:18:"session.timer.last";i:1396598088;s:17:"session.timer.now";i:1396598093;s:22:"session.client.browser";s:65:"Mozilla/5.0 (Windows NT 6.1; rv:28.0) Gecko/20100101 Firefox/28.0";s:8:"registry";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":4:{s:11:"application";O:8:"stdClass":1:{s:4:"lang";s:0:"";}s:13:"com_templates";O:8:"stdClass":1:{s:4:"edit";O:8:"stdClass":1:{s:5:"style";O:8:"stdClass":2:{s:2:"id";a:0:{}s:4:"data";N;}}}s:10:"com_config";O:8:"stdClass":1:{s:6:"config";O:8:"stdClass":1:{s:6:"global";O:8:"stdClass":1:{s:4:"data";N;}}}s:13:"com_installer";O:8:"stdClass":2:{s:7:"message";s:0:"";s:17:"extension_message";s:0:"";}}}s:4:"user";O:5:"JUser":27:{s:9:"\\0\\0\\0isRoot";b:1;s:2:"id";s:2:"86";s:4:"name";s:10:"Super User";s:8:"username";s:5:"admin";s:5:"email";s:19:"admin@localhost.com";s:8:"password";s:34:"$P$Da..vbzJvRiOkCQmkL1.OOs9fWqhhs0";s:14:"password_clear";s:0:"";s:5:"block";s:1:"0";s:9:"sendEmail";s:1:"1";s:12:"registerDate";s:19:"2014-04-02 06:56:29";s:13:"lastvisitDate";s:19:"2014-04-04 04:49:19";s:10:"activation";s:1:"0";s:6:"params";s:0:"";s:6:"groups";a:1:{i:8;s:1:"8";}s:5:"guest";i:0;s:13:"lastResetTime";s:19:"0000-00-00 00:00:00";s:10:"resetCount";s:1:"0";s:10:"\\0\\0\\0_params";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:14:"\\0\\0\\0_authGroups";a:2:{i:0;i:1;i:1;i:8;}s:14:"\\0\\0\\0_authLevels";a:4:{i:0;i:1;i:1;i:1;i:2;i:2;i:3;i:3;}s:15:"\\0\\0\\0_authActions";N;s:12:"\\0\\0\\0_errorMsg";N;s:10:"\\0\\0\\0_errors";a:0:{}s:3:"aid";i:0;s:6:"otpKey";s:0:"";s:4:"otep";s:0:"";s:3:"gid";i:1000;}s:13:"session.token";s:32:"df7d8428aea34f980ec9483a8590a96f";}', 86, 'admin'),
('q6a2t94kr4f4te8r0nq5madd72', 0, 1, '1396597748', '__default|a:8:{s:15:"session.counter";i:8;s:19:"session.timer.start";i:1396596676;s:18:"session.timer.last";i:1396597529;s:17:"session.timer.now";i:1396597747;s:22:"session.client.browser";s:63:"Mozilla/5.0 (compatible; MSIE 9.0; Windows NT 6.1; Trident/5.0)";s:8:"registry";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:4:"user";O:5:"JUser":24:{s:9:"\\0\\0\\0isRoot";b:0;s:2:"id";i:0;s:4:"name";N;s:8:"username";N;s:5:"email";N;s:8:"password";N;s:14:"password_clear";s:0:"";s:5:"block";N;s:9:"sendEmail";i:0;s:12:"registerDate";N;s:13:"lastvisitDate";N;s:10:"activation";N;s:6:"params";N;s:6:"groups";a:1:{i:0;s:1:"1";}s:5:"guest";i:1;s:13:"lastResetTime";N;s:10:"resetCount";N;s:10:"\\0\\0\\0_params";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:14:"\\0\\0\\0_authGroups";a:1:{i:0;i:1;}s:14:"\\0\\0\\0_authLevels";a:2:{i:0;i:1;i:1;i:1;}s:15:"\\0\\0\\0_authActions";N;s:12:"\\0\\0\\0_errorMsg";N;s:10:"\\0\\0\\0_errors";a:0:{}s:3:"aid";i:0;}s:13:"session.token";s:32:"676e79e0e5f185565d2130f3c1842355";}', 0, ''),
('qa2ni25fd93j1snrmqadu1g503', 0, 1, '1396597555', '__default|a:8:{s:15:"session.counter";i:4;s:19:"session.timer.start";i:1396596630;s:18:"session.timer.last";i:1396596709;s:17:"session.timer.now";i:1396597553;s:22:"session.client.browser";s:72:"Mozilla/5.0 (Windows NT 6.1; WOW64; rv:28.0) Gecko/20100101 Firefox/28.0";s:8:"registry";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:4:"user";O:5:"JUser":24:{s:9:"\\0\\0\\0isRoot";b:0;s:2:"id";i:0;s:4:"name";N;s:8:"username";N;s:5:"email";N;s:8:"password";N;s:14:"password_clear";s:0:"";s:5:"block";N;s:9:"sendEmail";i:0;s:12:"registerDate";N;s:13:"lastvisitDate";N;s:10:"activation";N;s:6:"params";N;s:6:"groups";a:1:{i:0;s:1:"1";}s:5:"guest";i:1;s:13:"lastResetTime";N;s:10:"resetCount";N;s:10:"\\0\\0\\0_params";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:14:"\\0\\0\\0_authGroups";a:1:{i:0;i:1;}s:14:"\\0\\0\\0_authLevels";a:2:{i:0;i:1;i:1;i:1;}s:15:"\\0\\0\\0_authActions";N;s:12:"\\0\\0\\0_errorMsg";N;s:10:"\\0\\0\\0_errors";a:0:{}s:3:"aid";i:0;}s:13:"session.token";s:32:"7b15d7c780548cc8ad9ac3232e402b11";}', 0, ''),
('t9l4j0h14jpjvj7e7sd1m654d4', 0, 1, '1396597710', '__default|a:8:{s:15:"session.counter";i:3;s:19:"session.timer.start";i:1396596576;s:18:"session.timer.last";i:1396596871;s:17:"session.timer.now";i:1396597709;s:22:"session.client.browser";s:65:"Mozilla/5.0 (Windows NT 6.1; rv:28.0) Gecko/20100101 Firefox/28.0";s:8:"registry";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:4:"user";O:5:"JUser":24:{s:9:"\\0\\0\\0isRoot";b:0;s:2:"id";i:0;s:4:"name";N;s:8:"username";N;s:5:"email";N;s:8:"password";N;s:14:"password_clear";s:0:"";s:5:"block";N;s:9:"sendEmail";i:0;s:12:"registerDate";N;s:13:"lastvisitDate";N;s:10:"activation";N;s:6:"params";N;s:6:"groups";a:1:{i:0;s:1:"1";}s:5:"guest";i:1;s:13:"lastResetTime";N;s:10:"resetCount";N;s:10:"\\0\\0\\0_params";O:9:"JRegistry":1:{s:7:"\\0\\0\\0data";O:8:"stdClass":0:{}}s:14:"\\0\\0\\0_authGroups";a:1:{i:0;i:1;}s:14:"\\0\\0\\0_authLevels";a:2:{i:0;i:1;i:1;i:1;}s:15:"\\0\\0\\0_authActions";N;s:12:"\\0\\0\\0_errorMsg";N;s:10:"\\0\\0\\0_errors";a:0:{}s:3:"aid";i:0;}s:13:"session.token";s:32:"59291b1eb08a31b40415bed094c37ca6";}', 0, '');

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE IF NOT EXISTS `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 23, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 86, '2011-01-01 00:00:01', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 1, 1, 2, 1, 'joomla31', 'joomla31', 'joomla31', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 86, '2013-05-28 07:21:04', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 1, 3, 12, 1, 'smartaddons', 'Smartaddons', 'smartaddons', '', 'Donec porttitor fringilla leo, non consectetur lacus bibendum a. Integer sagittis odio et arcu pretium ac egestas ante fringilla? In tristique magna sit amet libero facilisis ut ullamcorper quam dignissim. Nullam ornare aliquam tellus eget rhoncus. Cras erat augue, laoreet a posuere eget; consequat quis diam. ', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '{"author":"","robots":"","tags":null}', 86, '2013-05-28 07:22:24', '', 42, '2013-05-28 07:22:28', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 3, 4, 5, 2, 'smartaddons/sj-plus', 'SJ-Plus', 'sj-plus', '', 'Donec porttitor fringilla leo, non consectetur lacus bibendum a. Integer sagittis odio et arcu pretium ac egestas ante fringilla? In tristique magna sit amet libero facilisis ut ullamcorper quam dignissim. Nullam ornare aliquam tellus eget rhoncus. Cras erat augue, laoreet a posuere eget; consequat quis diam. ', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '{"author":"","robots":"","tags":null}', 86, '2013-05-28 07:23:07', '', 42, '2013-05-28 07:25:43', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 3, 6, 7, 2, 'smartaddons/responsive', 'Responsive', 'responsive', '', 'Donec porttitor fringilla leo, non consectetur lacus bibendum a. Integer sagittis odio et arcu pretium ac egestas ante fringilla? In tristique magna sit amet libero facilisis ut ullamcorper quam dignissim. Nullam ornare aliquam tellus eget rhoncus. Cras erat augue, laoreet a posuere eget; consequat quis diam. ', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '{"author":"","robots":"","tags":null}', 86, '2013-05-28 07:24:18', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 48, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 3, 8, 9, 2, 'smartaddons/design', 'Design', 'design', '', 'Donec porttitor fringilla leo, non consectetur lacus bibendum a. Integer sagittis odio et arcu pretium ac egestas ante fringilla? In tristique magna sit amet libero facilisis ut ullamcorper quam dignissim. Nullam ornare aliquam tellus eget rhoncus. Cras erat augue, laoreet a posuere eget; consequat quis diam. ', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '{"author":"","robots":"","tags":null}', 86, '2013-05-28 07:24:38', '', 0, '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 1, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 3, 10, 11, 2, 'smartaddons/templates', 'Templates', 'templates', '', 'Donec porttitor fringilla leo, non consectetur lacus bibendum a. Integer sagittis odio et arcu pretium ac egestas ante fringilla? In tristique magna sit amet libero facilisis ut ullamcorper quam dignissim. Nullam ornare aliquam tellus eget rhoncus. Cras erat augue, laoreet a posuere eget; consequat quis diam. ', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '{"author":"","robots":"","tags":null}', 86, '2013-05-28 07:25:07', '', 42, '2013-05-28 07:25:19', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 1, 13, 14, 1, 'wordpress', 'Wordpress', 'wordpress', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 86, '2013-05-28 07:31:45', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(9, 1, 15, 16, 1, 'magento', 'Magento', 'magento', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 86, '2013-05-28 07:55:51', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(10, 1, 17, 18, 1, 'mysql', 'MySQL', 'mysql', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 86, '2013-05-28 08:19:39', '', 0, '0000-00-00 00:00:00', '', '', 1, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(11, 1, 19, 20, 1, 'php', 'php ', 'php', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 86, '2013-05-28 08:35:12', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(12, 1, 21, 22, 1, 'extensions', 'Extensions ', 'extensions', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 86, '2013-05-28 08:38:38', '', 0, '0000-00-00 00:00:00', '', '', 1, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE IF NOT EXISTS `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=134 ;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(126, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(127, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(131, 'sj_icenter', 0, '1', 'sj_icenter - Default', '{"hideComponentHomePage":0,"responsive":1,"templateLayout":"main-right","overrideLayouts":"733=variations ","menutype":"main-menu-english","menustyle":"mega","keepMenu":1,"fancyMenu":1,"responsiveMenu":"sidebar","moofx":"easeInOutCirc","moofxduration":"500","startlevel":"0","endlevel":"9","templateColor":"blue","logoType":"image","overrideLogoImage":"","logoText":"SmartAddons.Com","sloganText":"The high quality products","typelayout":"wide","bgcolor":"#f4f4f4","linkcolor":"#58bee7","textcolor":"#666666","bgimage":"pattern6","fontSize":"12px","fontName":"arial","googleWebFont":"Open Sans:300,400","googleWebFontTargets":"h1,h2,h3,h4,h5,h6,#yt_menuposition ul.navi > li.level1 > .item-link,.item-title ,.sj-responsive-listing .respl-wrap a,.sj-tabs .moduletabs.top-position .tabs-container ul.tabs li .tab","direction":"ltr","thumbnail":1,"thumbnail_front_page":1,"leading_width":"250","leading_height":"240","intro_width":"250","intro_height":"240","thumbnail_background":"#000000","thumbnail_mode":"stretch","developing":0,"compileLess":"server","optimizeMergeFile":1,"optimizeCSS":1,"optimizeCSSExclude":"","optimizeJS":0,"optimizeJSExclude":"respond.min.js","optimizeFolder":"yt-assets","scrollAnimate":1,"showBacktotop":1,"showCpanel":1,"useSpecialPositions":0,"activeNotice":1,"setGeneratorTag":"SmartAddons.Com - the high quality products!","enableGoogleAnalytics":1,"googleAnalyticsTrackingID":"UA-3214811-18","includeLazyload":1}'),
(132, 'sj_icenter', 0, 'ar-AA', 'sj_icenter - Arabic', '{"hideComponentHomePage":0,"responsive":1,"templateLayout":"main-right","overrideLayouts":"867=variations ","menutype":"main-menu-arabic","menustyle":"mega","keepMenu":1,"fancyMenu":1,"responsiveMenu":"sidebar","moofx":"easeInOutCirc","moofxduration":"500","startlevel":"0","endlevel":"9","templateColor":"blue","logoType":"image","overrideLogoImage":"","logoText":"SmartAddons.Com","sloganText":"The high quality products","typelayout":"wide","bgcolor":"#f4f4f4","linkcolor":"#58bee7","textcolor":"#666666","bgimage":"pattern3","fontSize":"12px","fontName":"arial","googleWebFont":"Open Sans:300,400","googleWebFontTargets":"h1,h2,h3,h4,h5,h6,#yt_menuposition ul.navi > li.level1,.item-title ,.sj-responsive-listing .respl-wrap a","direction":"rtl","thumbnail":1,"thumbnail_front_page":1,"leading_width":"250","leading_height":"240","intro_width":"250","intro_height":"240","thumbnail_background":"#000000","thumbnail_mode":"stretch","developing":0,"compileLess":"server","optimizeMergeFile":1,"optimizeCSS":1,"optimizeCSSExclude":"","optimizeJS":0,"optimizeJSExclude":"respond.min.js","optimizeFolder":"yt-assets","showBacktotop":1,"showCpanel":1,"useSpecialPositions":0,"activeNotice":1,"setGeneratorTag":"SmartAddons.Com - the high quality products!","enableGoogleAnalytics":1,"googleAnalyticsTrackingID":"UA-3214811-18","includeLazyload":1}'),
(133, 'sj_icenter', 0, 'fr-FR', 'sj_icenter - France', '{"hideComponentHomePage":0,"responsive":1,"templateLayout":"main-right","overrideLayouts":"800=variations ","menutype":"main-menu-france","menustyle":"mega","keepMenu":1,"fancyMenu":1,"responsiveMenu":"sidebar","moofx":"easeInOutCirc","moofxduration":"500","startlevel":"0","endlevel":"9","templateColor":"blue","logoType":"image","overrideLogoImage":"","logoText":"SmartAddons.Com","sloganText":"The high quality products","typelayout":"wide","bgcolor":"#f4f4f4","linkcolor":"#58bee7","textcolor":"#666666","bgimage":"pattern3","fontSize":"12px","fontName":"arial","googleWebFont":"Open Sans:300,400","googleWebFontTargets":"h1,h2,h3,h4,h5,h6,#yt_menuposition ul.navi > li.level1,.item-title ,.sj-responsive-listing .respl-wrap a","direction":"ltr","thumbnail":1,"thumbnail_front_page":1,"leading_width":"250","leading_height":"240","intro_width":"250","intro_height":"240","thumbnail_background":"#000000","thumbnail_mode":"stretch","developing":0,"compileLess":"server","optimizeMergeFile":1,"optimizeCSS":1,"optimizeCSSExclude":"","optimizeJS":0,"optimizeJSExclude":"respond.min.js","optimizeFolder":"yt-assets","showBacktotop":1,"showCpanel":1,"useSpecialPositions":0,"activeNotice":1,"setGeneratorTag":"SmartAddons.Com - the high quality products!","enableGoogleAnalytics":1,"googleAnalyticsTrackingID":"UA-3214811-18","includeLazyload":1}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE IF NOT EXISTS `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES
(1, 91, 1, 0),
(3, 80, 1, 0),
(4, 83, 1, 0),
(5, 82, 1, 0),
(7, 85, 1, 0),
(8, 81, 1, 0),
(9, 115, 1, 0),
(10, 3, 2, 1),
(11, 2, 2, 1),
(13, 4, 4, 1),
(14, 86, 1, 0),
(15, 87, 1, 0);

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE IF NOT EXISTS `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(255) NOT NULL,
  `core_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL,
  `core_publish_up` datetime NOT NULL,
  `core_publish_down` datetime NOT NULL,
  `core_content_item_id` int(10) unsigned DEFAULT NULL COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned DEFAULT NULL COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Contains core content data in name spaced fields' AUTO_INCREMENT=16 ;

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES
(1, 'com_content.article', 'Faucibus eu laoreet nunc', 'haretra-faucibus-eu-laoreet-nunc', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:52:24', 660, '2014-03-17 15:36:03', '*', '2011-05-26 16:52:24', '0000-00-00 00:00:00', 91, 318, '{"image_intro":"images\\/SJ_iCenter\\/c12.jpg","float_intro":"","image_intro_alt":"Faucibus eu laoreet nunc","image_intro_caption":"Faucibus eu laoreet nunc","image_fulltext":"images\\/SJ_iCenter\\/c12.jpg","float_fulltext":"","image_fulltext_alt":"Faucibus eu laoreet nunc","image_fulltext_caption":"Faucibus eu laoreet nunc"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 50, 14, 1, '', '', 78, '', 1),
(3, 'com_content.article', 'Detus laoreet dignissim ', 'detus-laoreet-dignissim-vel', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:46:07', 660, '2014-03-17 15:35:22', '*', '2011-05-26 16:46:07', '0000-00-00 00:00:00', 80, 320, '{"image_intro":"images\\/SJ_iCenter\\/c11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c11.jpg","float_fulltext":"","image_fulltext_alt":"Detus laoreet dignissim ","image_fulltext_caption":"Detus laoreet dignissim "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 39, 12, 8, '', '', 78, '', 1),
(4, 'com_content.article', 'Mauris ut mauris ', 'mauris-ut-mauris-vel-libero', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:49:05', 660, '2014-03-17 15:37:52', '*', '2011-05-26 16:49:05', '0000-00-00 00:00:00', 83, 321, '{"image_intro":"images\\/SJ_iCenter\\/c14.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c14.jpg","float_fulltext":"left","image_fulltext_alt":"Proin consectetur vestibulum tellus eu tempor","image_fulltext_caption":"Proin consectetur vestibulum tellus eu tempor"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 86, 27, 5, '', '', 78, '', 1),
(5, 'com_content.article', 'Mes pede elit nibh ', 'mes-pede-elit-nibh', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:48:10', 660, '2014-03-17 15:38:32', '*', '2011-05-26 16:48:10', '0000-00-00 00:00:00', 82, 322, '{"image_intro":"images\\/SJ_iCenter\\/c15.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c15.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 6, 8, 6, '', '', 78, '', 1),
(7, 'com_content.article', 'Aliquam lobortis cursus ', 'aliquam-lobortis-cursus-erat', '<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam sodales.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:51:13', 660, '2014-03-17 15:34:40', '*', '2011-05-26 16:51:13', '0000-00-00 00:00:00', 85, 324, '{"image_intro":"images\\/SJ_iCenter\\/c10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c10.jpg","float_fulltext":"","image_fulltext_alt":"Garetra faucibus eu ","image_fulltext_caption":"Garetra faucibus eu "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 159, 22, 3, '', '', 78, '', 1),
(8, 'com_content.article', 'Lacinia Sed convallis ', 'lacinia-sed-convallis-urna', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:46:50', 660, '2014-03-17 15:37:08', '*', '2011-05-26 16:46:50', '0000-00-00 00:00:00', 81, 325, '{"image_intro":"images\\/SJ_iCenter\\/c13.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c13.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 10, 7, '', '', 78, '', 1),
(9, 'com_content.article', 'Gucibus Teu laoreet nunc', 'getra-faucibus-eu-laoreet-nunc', '<p>Kus eu laoreet nunc. Tincidunt nulla a Nulla eu convallis scelerisque sociis nulla interdum et. Cursus senectus alique.Ty fames pede elit nibh at risus tempus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:52:24', 660, '2014-03-24 03:59:45', '*', '2011-05-26 16:52:24', '0000-00-00 00:00:00', 115, 326, '{"image_intro":"images\\/SJ_iCenter\\/c15.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c15.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 306, 62, 3, '', '', 81, '', 1),
(10, 'com_weblinks.weblink', 'MySQL', 'mysql', '<p>The database that Joomla! uses</p>', -2, '', 0, 1, '{"target":"","width":"","height":"","count_clicks":""}', 0, '{"tags":[10],"robots":"","rights":""}', 86, '', '2011-01-01 00:00:01', 0, '2013-05-28 08:19:39', 'en-GB', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 3, 327, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}', '', 1, 1, 2, '', '', 33, '', 2),
(11, 'com_weblinks.weblink', 'php.net', 'php', '<p>The language that Joomla! is developed in</p>', -2, '', 0, 1, '{"target":"","width":"","height":"","count_clicks":""}', 0, '{"tags":[11],"robots":"","rights":""}', 86, '', '2011-01-01 00:00:01', 0, '2013-05-28 08:35:12', 'en-GB', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 2, 328, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}', '', 6, 1, 1, '', '', 33, '', 2),
(13, 'com_newsfeeds.newsfeed', 'Joomla Templates Feed', 'joomla-templates-feed', '', 1, '', 0, 1, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', 0, '{"tags":[7],"robots":"","rights":""}', 86, '', '2011-01-01 00:00:01', 0, '2013-05-28 08:39:26', 'en-GB', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 4, 330, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}', 'http://feeds.feedburner.com/smartaddons/joomla-templates', 0, 2, 3, '', '', 17, '', 4),
(14, 'com_content.article', 'Aenean vea aliquam', 'aenean-vehicula-vehicula-aliquam', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"SJ Company","xreference":""}', 86, '', '2011-05-26 16:52:24', 0, '2014-03-17 15:33:54', '*', '2011-05-26 16:52:24', '0000-00-00 00:00:00', 86, 445, '{"image_intro":"images\\/SJ_iCenter\\/c1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":" Page break example","targeta":"","urlb":false,"urlbtext":" Stet clita kasd guber","targetb":"","urlc":false,"urlctext":" Curabitur a lectus vitae elit","targetc":""}', 279, 55, 2, '', '', 78, '', 1),
(15, 'com_content.article', 'Ursus senectus ', 'ursus-senectus-aliquet-pretium', '<p>Suspendisse at libero porttitor nisi aliquet vulputate vitae at velit. Aliquam eget arcu magna, vel congue dui. Nunc auctor mauris tempor leo aliquam vel porta ante sodales. Nulla facilisi. In accumsan mattis odio vel luctus.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 86, '', '2011-05-26 16:53:19', 660, '2014-03-17 15:40:46', '*', '2011-05-26 16:53:19', '0000-00-00 00:00:00', 87, 446, '{"image_intro":"images\\/SJ_iCenter\\/c17.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/SJ_iCenter\\/c17.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 81, 28, 4, '', '', 78, '', 1);

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE IF NOT EXISTS `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE IF NOT EXISTS `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Available Updates' AUTO_INCREMENT=54 ;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(1, 11, 0, 'Malay', '', 'pkg_ms-MY', 'package', '', 0, '3.2.2.1', '', 'http://update.joomla.org/language/details3/ms-MY_details.xml', '', ''),
(2, 11, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(3, 11, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(4, 11, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/zh-TW_details.xml', '', ''),
(5, 11, 0, 'German', '', 'pkg_de-DE', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(6, 11, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.2.0.1', '', 'http://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(7, 11, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(8, 11, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.1', '', 'http://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(9, 11, 0, 'EnglishAU', '', 'pkg_en-AU', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(10, 11, 0, 'EnglishUS', '', 'pkg_en-US', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(11, 11, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(12, 11, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.2.0.1', '', 'http://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(13, 7, 10084, 'YT Shortcodes', '', 'ytshortcodes', 'plugin', 'system', 0, '1.2.2', '', 'http://smartaddons.com/update_server/plugins/ytshortcodes.xml', '', ''),
(14, 11, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(15, 7, 0, 'SJ Company', '', 'sj_company', 'template', '', 0, '1.2.0', '', 'Please update manually', '', ''),
(16, 11, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(17, 7, 0, 'SJ Expo', '', 'sj_expo', 'template', '', 0, '1.1.1', '', 'Please update manually', '', ''),
(18, 11, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(19, 7, 0, 'SJ Jare', '', 'sj_jare', 'template', '', 0, '1.0.0', '', 'Please update manually', '', ''),
(20, 11, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(21, 7, 0, 'SJ Plus', '', 'sj_plus', 'template', '', 0, '1.0.0', '', 'http://smartaddons.com/update_server/templates/sj_plus.xml', '', ''),
(22, 11, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.1.5.1', '', 'http://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(23, 11, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.2.3.3', '', 'http://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(24, 11, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(25, 11, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(26, 11, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(27, 11, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(28, 11, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(29, 11, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.2.3.2', '', 'http://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(30, 11, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(31, 11, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.2.2.1', '', 'http://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(32, 11, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(33, 11, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(34, 11, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(35, 11, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(36, 11, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(37, 11, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(38, 11, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(39, 11, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(40, 11, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(41, 11, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.2.0.6', '', 'http://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(42, 11, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(43, 11, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.1', '', 'http://update.joomla.org/language/details3/sq-AL_details.xml', '', ''),
(44, 11, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.0.2.1', '', 'http://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(45, 11, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.2.3.3', '', 'http://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(46, 11, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(47, 11, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(48, 11, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.2.3.2', '', 'http://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(49, 11, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(50, 11, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(51, 11, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(52, 11, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.2.3.1', '', 'http://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(53, 11, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.2.1.1', '', 'http://update.joomla.org/language/details3/srp-ME_details.xml', '', '');

DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE IF NOT EXISTS `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Update Sites' AUTO_INCREMENT=13 ;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla Core', 'collection', 'http://update.joomla.org/core/list.xml', 1, 1396598093, ''),
(2, 'Joomla Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 0, 0, ''),
(7, '', 'collection', 'http://smartaddons.com/update_server/products.xml', 1, 1396598093, ''),
(8, 'WebInstaller Update Site', 'extension', 'http://appscdn.joomla.org/webapps/jedapps/webinstaller.xml', 1, 1396598091, ''),
(9, 'DISQUS Comments for Joomla!', 'extension', 'http://www.joomlaworks.net/updates/jw_disqus.xml', 1, 1396598093, ''),
(11, 'Accredited Joomla! Translations', 'collection', 'http://update.joomla.org/language/translationlist_3.xml', 1, 1396598091, ''),
(12, 'K2 Updates', 'extension', 'http://getk2.org/update.xml', 1, 1396598093, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE IF NOT EXISTS `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(7, 10011),
(7, 10084),
(7, 10109),
(8, 10094),
(9, 10095),
(11, 10102),
(11, 10105),
(12, 10110);

DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE IF NOT EXISTS `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 20, 'Public'),
(2, 1, 6, 17, 'Registered'),
(3, 2, 7, 14, 'Author'),
(4, 3, 8, 11, 'Editor'),
(5, 4, 9, 10, 'Publisher'),
(6, 1, 2, 5, 'Manager'),
(7, 6, 3, 4, 'Administrator'),
(8, 1, 18, 19, 'Super Users'),
(10, 3, 12, 13, 'Shop Suppliers'),
(12, 2, 15, 16, 'Customer Group');

DROP TABLE IF EXISTS `#__users`;
CREATE TABLE IF NOT EXISTS `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT '0' COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=661 ;

INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`, `otpKey`, `otep`) VALUES
(660, 'Smartaddon', 'smartaddon', 'admin@smartaddon.com', '$P$DMpAEYTII2HN38MR7w0NnUXFtxtwOM.', 0, 1, '2014-03-06 06:58:37', '2014-04-02 03:22:50', '0', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '');

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE IF NOT EXISTS `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(255) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `#__user_keys` (`id`, `user_id`, `token`, `series`, `invalid`, `time`, `uastring`) VALUES
(1, 'admin', 'f454663b3bfec19e1181c598969b1f4f', 'ZjlDSEU0RjdCTU55dW91eG9HZW8=', 0, '1401071316', '1023f9778cc31d0caedfc8f532f48084');

DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE IF NOT EXISTS `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE IF NOT EXISTS `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` varchar(255) NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';

DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE IF NOT EXISTS `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES
(660, 2);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE IF NOT EXISTS `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]'),
(4, 'Customer Access Level', 3, '[6,3,12]');

DROP TABLE IF EXISTS `#__weblinks`;
CREATE TABLE IF NOT EXISTS `#__weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

INSERT INTO `#__weblinks` (`id`, `catid`, `title`, `alias`, `url`, `description`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `images`) VALUES
(1, 31, 'Joomla! Templates ', 'joomla', 'http://www.smartaddons.com/joomla/templates/template-showcase/itemlist/cattag?cattag=responsive&catid=19,20', 'Join today for instant access to all our templates, extensions</br>\r\nJust only $49 for Joomla Templates Club and $39 for Joomla Extensions Club. ', 3, 1, 0, '0000-00-00 00:00:00', 1, 1, '{"target":"0","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2014-01-14 15:54:18', 315, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 3, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(2, 33, 'php.net', 'php', 'http://www.php.net', '<p>The language that Joomla! is developed in</p>', 6, -2, 0, '0000-00-00 00:00:00', 1, 1, '{"target":"","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2013-05-28 08:35:12', 42, '', '', '{"tags":[11],"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(3, 33, 'MySQL', 'mysql', 'http://www.mysql.com', '<p>The database that Joomla! uses</p>', 1, -2, 0, '0000-00-00 00:00:00', 2, 1, '{"target":"","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2013-05-28 08:19:39', 42, '', '', '{"tags":[10],"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(4, 32, 'OpenSourceMatters', 'opensourcematters', 'http://www.opensourcematters.org', '<p>Home of OSM</p>', 11, -2, 0, '0000-00-00 00:00:00', 3, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(5, 31, 'Magento Extensions ', 'magento-extensions', 'http://www.magentech.com/extensions/commercial-extensions', '<p>All our extensions have been developed in accordance with Magento standards and can be installed even on highly customized stores! The extensions are compatible with the latest Magento versions. </p>', 6, 1, 0, '0000-00-00 00:00:00', 2, 1, '{"target":"0","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2014-01-14 15:56:08', 315, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 3, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(6, 33, 'Ohloh Tracking of Joomla!', 'ohloh-tracking-of-joomla', 'http://www.ohloh.net/projects/20', '<p>Objective reports from Ohloh about Joomla''s development activity. Joomla! has some star developers with serious kudos.</p>', 2, -2, 0, '0000-00-00 00:00:00', 3, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, ''),
(7, 31, 'Joomla! Extensions', 'joomla-extensions', 'http://www.smartaddons.com/joomla/extensions/commercial-extensions', 'Join today for instant access to all our templates, extensions<br>\r\nJust only $49 for Joomla Templates Club and $39 for Joomla Extensions Club. ', 0, 1, 0, '0000-00-00 00:00:00', 1, 1, '{"target":"0","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2014-01-14 15:53:52', 315, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 3, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(8, 31, 'Magento! Themes', 'magento-themes', 'http://www.magentech.com/themes/premium-themes', '<p>We offer professional and high grade magento themes for all niche. Browse through official release notes for our themes below.</p>', 0, 1, 0, '0000-00-00 00:00:00', 2, 1, '{"target":"0","width":"","height":"","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2014-03-22 09:32:44', 660, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 3, '{"image_first":"","float_first":"","image_first_alt":"","image_first_caption":"","image_second":"","float_second":"","image_second_alt":"","image_second_caption":""}'),
(9, 31, 'Pulu Keeling', 'pulu-keeling', 'http://www.environment.gov.au/parks/cocos/index.html', '<p>Located on an atoll 2000 kilometers north of Perth, Pulu Keeling is Australia''s smallest national park.</p>', 0, -2, 0, '0000-00-00 00:00:00', 3, 1, '{"target":"0","count_clicks":""}', 'en-GB', '2011-01-01 00:00:01', 86, '', '2011-01-01 00:00:01', 42, '', '', '{"robots":"","author":"","rights":""}', 0, '', '2010-07-10 23:44:03', '0000-00-00 00:00:00', 1, '');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
